#' Contact matrices
#'
#' A list of contact matrices representing different ...
#'
#' @format A list of contact matrices
# #' @source \url{https://www.imperial.ac.uk/mrc-global-infectious-disease-analysis/covid-19/report-12-global-impact-covid-19/}
"contact_matrices"

#' Population
#'
#' Population by age group and country
#'
#' @format A data.frame
# #' @source \url{https://population.un.org/wpp/}
"population"

#' Country specific healthcare capacity
#'
#' Hospital and ICU beds per 1000 pop for various countries
#'
#' @format A data.frame
# #' @source \url{https://www.imperial.ac.uk/mrc-global-infectious-disease-analysis/covid-19/report-12-global-impact-covid-19/}
"country_specific_healthcare_capacity"

#' Income strata healthcare capacity
#'
#' Average Hospital and ICU beds per 1000 pop for different
#' World Bank income groups
#'
#' @format A data.frame
# #' @source \url{https://data.worldbank.org/indicator/sh.med.beds.zs}
"income_strata_healthcare_capacity"

#' Income group
#'
#' World Bank income group for all countries
#'
#' @format A data.frame
# #' @source \url{https://datahelpdesk.worldbank.org/knowledgebase/articles/906519-world-bank-country-and-lending-groups}
"income_group"
