% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/format_output.R
\name{format_output}
\alias{format_output}
\title{Format model output as data.frame}
\usage{
format_output(
  x,
  var_select = NULL,
  reduce_age = TRUE,
  combine_compartments = TRUE,
  date_0 = NULL
)
}
\arguments{
\item{x}{squire_simulation object}

\item{var_select}{Vector of compartment names, e.g. \code{c("S", "R")}. In
  addition a number of summary compartment can be requested. These include:
\itemize{
      \item{"deaths"}{ Daily Deaths }
      \item{"infections"}{ Daily Infections }
      \item{"hospital_occupancy"}{ Occupied Hospital Beds }
      \item{"ICU_occupancy"}{ Occupied ICU Beds }
      \item{"hospital_demand}{ Required Hospital Beds }
      \item{"ICU_demand}{ Required ICU Beds }
      }}

\item{reduce_age}{Collapse age-dimension, calculating the total in the
compartment.}

\item{combine_compartments}{Collapse compartments of same type together
(e.g. E1 and E2 -> E)}

\item{date_0}{Date of time 0, if specified a date column will be added}
}
\value{
Formatted long data.frame
}
\description{
Format model output as data.frame
}
