// Automatically generated by odin - do not edit
#include <R.h>
#include <Rmath.h>
#include <Rinternals.h>
#include <stdbool.h>
#include <R_ext/Rdynload.h>
#ifndef CINTERPOLTE_CINTERPOLATE_H_
#define CINTERPOLTE_CINTERPOLATE_H_

// Allow use from C++
#ifdef __cplusplus
extern "C" {
#endif

// There are only three functions in the interface; allocation,
// evaluation and freeing.

// Allocate an interpolation object.
//
//   type: The mode of interpolation. Must be one of "constant",
//       "linear" or "spline" (an R error is thrown if a different
//       value is given).
//
//   n: The number of `x` points to interpolate over
//
//   ny: the number of `y` points per `x` point.  This is 1 in the
//       case of zimple interpolation as used by Rs `interpolate()`
//
//   x: an array of `x` values of length `n`
//
//   y: an array of `ny` sets of `y` values.  This is in R's matrix
//       order (i.e., the first `n` values are the first series to
//       interpolate over).
//
//   fail_on_extrapolate: if true, when an extrapolation occurs throw
//       an error; if false return NA_REAL
//
//   auto_free: automatically clean up the interpolation object on
//       return to R. This uses `R_alloc` for allocations rather than
//       `Calloc` so freeing will always happen (even on error
//       elsewhere in the code). However, this prevents returning back
//       a pointer to R that will last longer than the call into C
//       code.
//
// The return value is an opaque pointer that can be passed through to
// `cinterpolate_eval` and `cinterpolate_free`
void *cinterpolate_alloc(const char *type, size_t n, size_t ny,
                         double *x, double *y, bool fail_on_extrapolate,
                         bool auto_free);

// Evaluate the interpolated function at a new `x` point.
//
//   x: A new, single, `x` point to interpolate `y` values to
//
//   obj: The interpolation object, as returned by `cinterpolate_alloc`
//
//   y: An array of length `ny` to store the interpolated values
//
// The return value is 0 if the interpolation is successful (with x
// lying within the range of values that the interpolation function
// supports), -1 otherwise
int cinterpolate_eval(double x, void *obj, double *y);

// Clean up all allocated memory
//
//   obj: The interpolation object, as returned by `cinterpolate_alloc`
void cinterpolate_free(void *obj);

#ifdef __cplusplus
}
#endif

#endif
typedef struct explicit_SEIR_internal {
  double *beta_set;
  double *D_0;
  double *delta_D;
  double *delta_E1;
  double *delta_E2;
  double *delta_ICase1;
  double *delta_ICase2;
  double *delta_IMild;
  double *delta_IMVGetDie1;
  double *delta_IMVGetDie2;
  double *delta_IMVGetLive1;
  double *delta_IMVGetLive2;
  double *delta_IMVNotGetDie1;
  double *delta_IMVNotGetDie2;
  double *delta_IMVNotGetLive1;
  double *delta_IMVNotGetLive2;
  double *delta_IOxGetDie1;
  double *delta_IOxGetDie2;
  double *delta_IOxGetLive1;
  double *delta_IOxGetLive2;
  double *delta_IOxNotGetDie1;
  double *delta_IOxNotGetDie2;
  double *delta_IOxNotGetLive1;
  double *delta_IOxNotGetLive2;
  double *delta_IRec1;
  double *delta_IRec2;
  double *delta_R;
  int dim_beta_set;
  int dim_D;
  int dim_D_0;
  int dim_delta_D;
  int dim_delta_E1;
  int dim_delta_E2;
  int dim_delta_ICase1;
  int dim_delta_ICase2;
  int dim_delta_IMild;
  int dim_delta_IMVGetDie1;
  int dim_delta_IMVGetDie2;
  int dim_delta_IMVGetLive1;
  int dim_delta_IMVGetLive2;
  int dim_delta_IMVNotGetDie1;
  int dim_delta_IMVNotGetDie2;
  int dim_delta_IMVNotGetLive1;
  int dim_delta_IMVNotGetLive2;
  int dim_delta_IOxGetDie1;
  int dim_delta_IOxGetDie2;
  int dim_delta_IOxGetLive1;
  int dim_delta_IOxGetLive2;
  int dim_delta_IOxNotGetDie1;
  int dim_delta_IOxNotGetDie2;
  int dim_delta_IOxNotGetLive1;
  int dim_delta_IOxNotGetLive2;
  int dim_delta_IRec1;
  int dim_delta_IRec2;
  int dim_delta_R;
  int dim_E1;
  int dim_E1_0;
  int dim_E2;
  int dim_E2_0;
  int dim_hosp_beds;
  int dim_ICase1;
  int dim_ICase1_0;
  int dim_ICase2;
  int dim_ICase2_0;
  int dim_ICU_beds;
  int dim_IMild;
  int dim_IMild_0;
  int dim_IMVGetDie1;
  int dim_IMVGetDie1_0;
  int dim_IMVGetDie2;
  int dim_IMVGetDie2_0;
  int dim_IMVGetLive1;
  int dim_IMVGetLive1_0;
  int dim_IMVGetLive2;
  int dim_IMVGetLive2_0;
  int dim_IMVNotGetDie1;
  int dim_IMVNotGetDie1_0;
  int dim_IMVNotGetDie2;
  int dim_IMVNotGetDie2_0;
  int dim_IMVNotGetLive1;
  int dim_IMVNotGetLive1_0;
  int dim_IMVNotGetLive2;
  int dim_IMVNotGetLive2_0;
  int dim_IOxGetDie1;
  int dim_IOxGetDie1_0;
  int dim_IOxGetDie2;
  int dim_IOxGetDie2_0;
  int dim_IOxGetLive1;
  int dim_IOxGetLive1_0;
  int dim_IOxGetLive2;
  int dim_IOxGetLive2_0;
  int dim_IOxNotGetDie1;
  int dim_IOxNotGetDie1_0;
  int dim_IOxNotGetDie2;
  int dim_IOxNotGetDie2_0;
  int dim_IOxNotGetLive1;
  int dim_IOxNotGetLive1_0;
  int dim_IOxNotGetLive2;
  int dim_IOxNotGetLive2_0;
  int dim_IRec1;
  int dim_IRec1_0;
  int dim_IRec2;
  int dim_IRec2_0;
  int dim_lambda;
  int dim_m;
  int dim_m_1;
  int dim_m_2;
  int dim_mix_mat_set;
  int dim_mix_mat_set_1;
  int dim_mix_mat_set_12;
  int dim_mix_mat_set_2;
  int dim_mix_mat_set_3;
  int dim_n_E1_E2;
  int dim_n_E2_I;
  int dim_n_E2_ICase1;
  int dim_n_E2_IMild;
  int dim_n_ICase1_ICase2;
  int dim_n_ICase2_Hosp;
  int dim_n_IMild_R;
  int dim_n_IMVGetDie1;
  int dim_n_IMVGetDie1_IMVGetDie2;
  int dim_n_IMVGetDie2_D;
  int dim_n_IMVGetLive1;
  int dim_n_IMVGetLive1_IMVGetLive2;
  int dim_n_IMVGetLive2_Rec;
  int dim_n_IMVNotGetDie1;
  int dim_n_IMVNotGetDie1_IMVNotGetDie2;
  int dim_n_IMVNotGetDie2_D;
  int dim_n_IMVNotGetLive1;
  int dim_n_IMVNotGetLive1_IMVNotGetLive2;
  int dim_n_IMVNotGetLive2_R;
  int dim_n_IOxGetDie1;
  int dim_n_IOxGetDie1_IOxGetDie2;
  int dim_n_IOxGetDie2_D;
  int dim_n_IOxGetLive1;
  int dim_n_IOxGetLive1_IOxGetLive2;
  int dim_n_IOxGetLive2_R;
  int dim_n_IOxNotGetDie1;
  int dim_n_IOxNotGetDie1_IOxNotGetDie2;
  int dim_n_IOxNotGetDie2_D;
  int dim_n_IOxNotGetLive1;
  int dim_n_IOxNotGetLive1_IOxNotGetLive2;
  int dim_n_IOxNotGetLive2_R;
  int dim_n_IRec1_IRec2;
  int dim_n_IRec2_R;
  int dim_n_S_E1;
  int dim_number_get_IMV;
  int dim_number_get_Ox;
  int dim_number_notget_IMV;
  int dim_number_notget_Ox;
  int dim_number_requiring_IMV;
  int dim_number_requiring_Ox;
  int dim_p_S_E1;
  int dim_prob_hosp;
  int dim_prob_non_severe_death_no_treatment;
  int dim_prob_non_severe_death_treatment;
  int dim_prob_severe;
  int dim_prob_severe_death_no_treatment;
  int dim_prob_severe_death_treatment;
  int dim_R;
  int dim_R_0;
  int dim_S;
  int dim_S_0;
  int dim_s_ij;
  int dim_s_ij_1;
  int dim_s_ij_2;
  int dim_temp;
  int dim_tt_beta;
  int dim_tt_hosp_beds;
  int dim_tt_ICU_beds;
  int dim_tt_matrix;
  double dt;
  double *E1_0;
  double *E2_0;
  double gamma_E;
  double gamma_get_mv_die;
  double gamma_get_mv_survive;
  double gamma_get_ox_die;
  double gamma_get_ox_survive;
  double gamma_ICase;
  double gamma_IMild;
  double gamma_not_get_mv_die;
  double gamma_not_get_mv_survive;
  double gamma_not_get_ox_die;
  double gamma_not_get_ox_survive;
  double gamma_rec;
  double *hosp_beds;
  double *ICase1_0;
  double *ICase2_0;
  double *ICU_beds;
  double *IMild_0;
  double *IMVGetDie1_0;
  double *IMVGetDie2_0;
  double *IMVGetLive1_0;
  double *IMVGetLive2_0;
  double *IMVNotGetDie1_0;
  double *IMVNotGetDie2_0;
  double *IMVNotGetLive1_0;
  double *IMVNotGetLive2_0;
  double *initial_D;
  double *initial_E1;
  double *initial_E2;
  double *initial_ICase1;
  double *initial_ICase2;
  double *initial_IMild;
  double *initial_IMVGetDie1;
  double *initial_IMVGetDie2;
  double *initial_IMVGetLive1;
  double *initial_IMVGetLive2;
  double *initial_IMVNotGetDie1;
  double *initial_IMVNotGetDie2;
  double *initial_IMVNotGetLive1;
  double *initial_IMVNotGetLive2;
  double *initial_IOxGetDie1;
  double *initial_IOxGetDie2;
  double *initial_IOxGetLive1;
  double *initial_IOxGetLive2;
  double *initial_IOxNotGetDie1;
  double *initial_IOxNotGetDie2;
  double *initial_IOxNotGetLive1;
  double *initial_IOxNotGetLive2;
  double *initial_IRec1;
  double *initial_IRec2;
  double *initial_R;
  double *initial_S;
  void *interpolate_beta;
  void *interpolate_hosp_bed_capacity;
  void *interpolate_ICU_bed_capacity;
  void *interpolate_m;
  double *IOxGetDie1_0;
  double *IOxGetDie2_0;
  double *IOxGetLive1_0;
  double *IOxGetLive2_0;
  double *IOxNotGetDie1_0;
  double *IOxNotGetDie2_0;
  double *IOxNotGetLive1_0;
  double *IOxNotGetLive2_0;
  double *IRec1_0;
  double *IRec2_0;
  double *lambda;
  double *m;
  double *mix_mat_set;
  int N_age;
  double *n_E1_E2;
  double *n_E2_I;
  double *n_E2_ICase1;
  double *n_E2_IMild;
  double *n_ICase1_ICase2;
  double *n_ICase2_Hosp;
  double *n_IMild_R;
  double *n_IMVGetDie1;
  double *n_IMVGetDie1_IMVGetDie2;
  double *n_IMVGetDie2_D;
  double *n_IMVGetLive1;
  double *n_IMVGetLive1_IMVGetLive2;
  double *n_IMVGetLive2_Rec;
  double *n_IMVNotGetDie1;
  double *n_IMVNotGetDie1_IMVNotGetDie2;
  double *n_IMVNotGetDie2_D;
  double *n_IMVNotGetLive1;
  double *n_IMVNotGetLive1_IMVNotGetLive2;
  double *n_IMVNotGetLive2_R;
  double *n_IOxGetDie1;
  double *n_IOxGetDie1_IOxGetDie2;
  double *n_IOxGetDie2_D;
  double *n_IOxGetLive1;
  double *n_IOxGetLive1_IOxGetLive2;
  double *n_IOxGetLive2_R;
  double *n_IOxNotGetDie1;
  double *n_IOxNotGetDie1_IOxNotGetDie2;
  double *n_IOxNotGetDie2_D;
  double *n_IOxNotGetLive1;
  double *n_IOxNotGetLive1_IOxNotGetLive2;
  double *n_IOxNotGetLive2_R;
  double *n_IRec1_IRec2;
  double *n_IRec2_R;
  double *n_S_E1;
  int *number_get_IMV;
  int *number_get_Ox;
  double *number_notget_IMV;
  double *number_notget_Ox;
  double *number_requiring_IMV;
  double *number_requiring_Ox;
  int offset_output_delta_D;
  int offset_output_n_E2_ICase1;
  int offset_output_n_E2_IMild;
  int offset_output_number_requiring_IMV;
  int offset_variable_D;
  int offset_variable_E2;
  int offset_variable_ICase1;
  int offset_variable_ICase2;
  int offset_variable_IMild;
  int offset_variable_IMVGetDie1;
  int offset_variable_IMVGetDie2;
  int offset_variable_IMVGetLive1;
  int offset_variable_IMVGetLive2;
  int offset_variable_IMVNotGetDie1;
  int offset_variable_IMVNotGetDie2;
  int offset_variable_IMVNotGetLive1;
  int offset_variable_IMVNotGetLive2;
  int offset_variable_IOxGetDie1;
  int offset_variable_IOxGetDie2;
  int offset_variable_IOxGetLive1;
  int offset_variable_IOxGetLive2;
  int offset_variable_IOxNotGetDie1;
  int offset_variable_IOxNotGetDie2;
  int offset_variable_IOxNotGetLive1;
  int offset_variable_IOxNotGetLive2;
  int offset_variable_IRec1;
  int offset_variable_IRec2;
  int offset_variable_R;
  double p_E1_E2;
  double p_E2_I;
  double p_ICase1_ICase2;
  double p_ICase2_Hosp;
  double p_IMild_R;
  double p_IMVGetDie1_IMVGetDie2;
  double p_IMVGetDie2_D;
  double p_IMVGetLive1_IMVGetLive2;
  double p_IMVGetLive2_Rec;
  double p_IMVNotGetDie1_IMVNotGetDie2;
  double p_IMVNotGetDie2_D;
  double p_IMVNotGetLive1_IMVNotGetLive2;
  double p_IMVNotGetLive2_R;
  double p_IOxGetDie1_IOxGetDie2;
  double p_IOxGetDie2_D;
  double p_IOxGetLive1_IOxGetLive2;
  double p_IOxGetLive2_R;
  double p_IOxNotGetDie1_IOxNotGetDie2;
  double p_IOxNotGetDie2_D;
  double p_IOxNotGetLive1_IOxNotGetLive2;
  double p_IOxNotGetLive2_R;
  double p_Rec1_Rec2;
  double p_Rec2_R;
  double *p_S_E1;
  double *prob_hosp;
  double *prob_non_severe_death_no_treatment;
  double *prob_non_severe_death_treatment;
  double *prob_severe;
  double *prob_severe_death_no_treatment;
  double *prob_severe_death_treatment;
  double *R_0;
  double *S_0;
  double *s_ij;
  double *temp;
  double *tt_beta;
  double *tt_hosp_beds;
  double *tt_ICU_beds;
  double *tt_matrix;
} explicit_SEIR_internal;
typedef struct explicit_SEIR_deterministic_internal {
  double *beta_set;
  double *D_0;
  int dim_beta_set;
  int dim_D;
  int dim_D_0;
  int dim_E1;
  int dim_E1_0;
  int dim_E2;
  int dim_E2_0;
  int dim_ICase1;
  int dim_ICase1_0;
  int dim_ICase2;
  int dim_ICase2_0;
  int dim_IMild;
  int dim_IMild_0;
  int dim_IMV_dist_weighting;
  int dim_IMVGetDie1;
  int dim_IMVGetDie1_0;
  int dim_IMVGetDie2;
  int dim_IMVGetDie2_0;
  int dim_IMVGetLive1;
  int dim_IMVGetLive1_0;
  int dim_IMVGetLive2;
  int dim_IMVGetLive2_0;
  int dim_IMVNotGetDie1;
  int dim_IMVNotGetDie1_0;
  int dim_IMVNotGetDie2;
  int dim_IMVNotGetDie2_0;
  int dim_IMVNotGetLive1;
  int dim_IMVNotGetLive1_0;
  int dim_IMVNotGetLive2;
  int dim_IMVNotGetLive2_0;
  int dim_IOxGetDie1;
  int dim_IOxGetDie1_0;
  int dim_IOxGetDie2;
  int dim_IOxGetDie2_0;
  int dim_IOxGetLive1;
  int dim_IOxGetLive1_0;
  int dim_IOxGetLive2;
  int dim_IOxGetLive2_0;
  int dim_IOxNotGetDie1;
  int dim_IOxNotGetDie1_0;
  int dim_IOxNotGetDie2;
  int dim_IOxNotGetDie2_0;
  int dim_IOxNotGetLive1;
  int dim_IOxNotGetLive1_0;
  int dim_IOxNotGetLive2;
  int dim_IOxNotGetLive2_0;
  int dim_IRec1;
  int dim_IRec1_0;
  int dim_IRec2;
  int dim_IRec2_0;
  int dim_lambda;
  int dim_m;
  int dim_m_1;
  int dim_m_2;
  int dim_mix_mat_set;
  int dim_mix_mat_set_1;
  int dim_mix_mat_set_12;
  int dim_mix_mat_set_2;
  int dim_mix_mat_set_3;
  int dim_number_get_IMV;
  int dim_number_get_Ox;
  int dim_number_requiring_IMV;
  int dim_number_requiring_Ox;
  int dim_Ox_dist_weighting;
  int dim_p_dist;
  int dim_prob_hosp;
  int dim_prob_non_severe_death_no_treatment;
  int dim_prob_non_severe_death_treatment;
  int dim_prob_severe;
  int dim_prob_severe_death_no_treatment;
  int dim_prob_severe_death_treatment;
  int dim_R;
  int dim_R_0;
  int dim_S;
  int dim_S_0;
  int dim_s_ij;
  int dim_s_ij_1;
  int dim_s_ij_2;
  int dim_temp;
  int dim_tt_beta;
  int dim_tt_matrix;
  double *E1_0;
  double *E2_0;
  double gamma_E;
  double gamma_get_mv_die;
  double gamma_get_mv_survive;
  double gamma_get_ox_die;
  double gamma_get_ox_survive;
  double gamma_hosp;
  double gamma_not_get_mv_die;
  double gamma_not_get_mv_survive;
  double gamma_not_get_ox_die;
  double gamma_not_get_ox_survive;
  double gamma_R;
  double gamma_rec;
  double hosp_bed_capacity;
  double *ICase1_0;
  double *ICase2_0;
  double ICU_bed_capacity;
  double *IMild_0;
  double *IMV_dist_weighting;
  double *IMVGetDie1_0;
  double *IMVGetDie2_0;
  double *IMVGetLive1_0;
  double *IMVGetLive2_0;
  double *IMVNotGetDie1_0;
  double *IMVNotGetDie2_0;
  double *IMVNotGetLive1_0;
  double *IMVNotGetLive2_0;
  double *initial_D;
  double *initial_E1;
  double *initial_E2;
  double *initial_ICase1;
  double *initial_ICase2;
  double *initial_IMild;
  double *initial_IMVGetDie1;
  double *initial_IMVGetDie2;
  double *initial_IMVGetLive1;
  double *initial_IMVGetLive2;
  double *initial_IMVNotGetDie1;
  double *initial_IMVNotGetDie2;
  double *initial_IMVNotGetLive1;
  double *initial_IMVNotGetLive2;
  double *initial_IOxGetDie1;
  double *initial_IOxGetDie2;
  double *initial_IOxGetLive1;
  double *initial_IOxGetLive2;
  double *initial_IOxNotGetDie1;
  double *initial_IOxNotGetDie2;
  double *initial_IOxNotGetLive1;
  double *initial_IOxNotGetLive2;
  double *initial_IRec1;
  double *initial_IRec2;
  double *initial_R;
  double *initial_S;
  void *interpolate_beta;
  void *interpolate_m;
  double *IOxGetDie1_0;
  double *IOxGetDie2_0;
  double *IOxGetLive1_0;
  double *IOxGetLive2_0;
  double *IOxNotGetDie1_0;
  double *IOxNotGetDie2_0;
  double *IOxNotGetLive1_0;
  double *IOxNotGetLive2_0;
  double *IRec1_0;
  double *IRec2_0;
  double *lambda;
  double *m;
  double *mix_mat_set;
  int N_age;
  double *number_get_IMV;
  double *number_get_Ox;
  double *number_requiring_IMV;
  double *number_requiring_Ox;
  int offset_variable_D;
  int offset_variable_E2;
  int offset_variable_ICase1;
  int offset_variable_ICase2;
  int offset_variable_IMild;
  int offset_variable_IMVGetDie1;
  int offset_variable_IMVGetDie2;
  int offset_variable_IMVGetLive1;
  int offset_variable_IMVGetLive2;
  int offset_variable_IMVNotGetDie1;
  int offset_variable_IMVNotGetDie2;
  int offset_variable_IMVNotGetLive1;
  int offset_variable_IMVNotGetLive2;
  int offset_variable_IOxGetDie1;
  int offset_variable_IOxGetDie2;
  int offset_variable_IOxGetLive1;
  int offset_variable_IOxGetLive2;
  int offset_variable_IOxNotGetDie1;
  int offset_variable_IOxNotGetDie2;
  int offset_variable_IOxNotGetLive1;
  int offset_variable_IOxNotGetLive2;
  int offset_variable_IRec1;
  int offset_variable_IRec2;
  int offset_variable_R;
  double *Ox_dist_weighting;
  double *p_dist;
  double *prob_hosp;
  double *prob_non_severe_death_no_treatment;
  double *prob_non_severe_death_treatment;
  double *prob_severe;
  double *prob_severe_death_no_treatment;
  double *prob_severe_death_treatment;
  double *R_0;
  double *S_0;
  double *s_ij;
  double *temp;
  double *tt_beta;
  double *tt_matrix;
} explicit_SEIR_deterministic_internal;
typedef struct less_basic_model_for_js_internal {
  double beta_1;
  double beta_2;
  double *D0;
  int dim_D;
  int dim_D0;
  int dim_E;
  int dim_E0;
  int dim_I_hosp;
  int dim_I_hosp0;
  int dim_I_ICU;
  int dim_I_ICU0;
  int dim_I_mild;
  int dim_I_mild0;
  int dim_lambda;
  int dim_m;
  int dim_m_1;
  int dim_m_2;
  int dim_p_hosp;
  int dim_p_ICU;
  int dim_p_mild;
  int dim_R;
  int dim_R0;
  int dim_S;
  int dim_s_ij;
  int dim_s_ij_1;
  int dim_s_ij_2;
  int dim_S0;
  int dim_temp;
  double *E0;
  double gamma;
  double *I_hosp0;
  double *I_ICU0;
  double *I_mild0;
  double *initial_D;
  double *initial_E;
  double *initial_I_hosp;
  double *initial_I_ICU;
  double *initial_I_mild;
  double *initial_R;
  double *initial_S;
  double *lambda;
  double *m;
  double mu;
  int offset_variable_D;
  int offset_variable_I_hosp;
  int offset_variable_I_ICU;
  int offset_variable_I_mild;
  int offset_variable_R;
  double *p_hosp;
  double *p_ICU;
  double *p_mild;
  double *R0;
  double *s_ij;
  double *S0;
  double sigma;
  double *temp;
} less_basic_model_for_js_internal;
typedef struct simple_SEIR_internal {
  double *beta_set;
  double *delta_E1;
  double *delta_E2;
  double *delta_I;
  double *delta_R;
  int dim_beta_set;
  int dim_delta_E1;
  int dim_delta_E2;
  int dim_delta_I;
  int dim_delta_R;
  int dim_E0;
  int dim_E02;
  int dim_E1;
  int dim_E2;
  int dim_I;
  int dim_I0;
  int dim_lambda;
  int dim_m;
  int dim_m_1;
  int dim_m_2;
  int dim_mix_mat_set;
  int dim_mix_mat_set_1;
  int dim_mix_mat_set_12;
  int dim_mix_mat_set_2;
  int dim_mix_mat_set_3;
  int dim_n_EE;
  int dim_n_EI;
  int dim_n_IR;
  int dim_n_SE;
  int dim_p_SE;
  int dim_R;
  int dim_R0;
  int dim_S;
  int dim_s_ij;
  int dim_s_ij_1;
  int dim_s_ij_2;
  int dim_S0;
  int dim_temp;
  int dim_tt_beta;
  int dim_tt_matrix;
  double dt;
  double *E0;
  double *E02;
  double gamma_E;
  double gamma_I;
  double *I0;
  double *initial_E1;
  double *initial_E2;
  double *initial_I;
  double *initial_R;
  double *initial_S;
  void *interpolate_beta;
  void *interpolate_m;
  double *lambda;
  double *m;
  double *mix_mat_set;
  int N_age;
  double *n_EE;
  double *n_EI;
  double *n_IR;
  double *n_SE;
  int offset_variable_E2;
  int offset_variable_I;
  int offset_variable_R;
  double p_EE;
  double p_EI;
  double p_IR;
  double *p_SE;
  double *R0;
  double *s_ij;
  double *S0;
  double *temp;
  double *tt_beta;
  double *tt_matrix;
} simple_SEIR_internal;
explicit_SEIR_internal* explicit_SEIR_get_internal(SEXP internal_p, int closed_error);
static void explicit_SEIR_finalise(SEXP internal_p);
SEXP explicit_SEIR_create(SEXP user);
void explicit_SEIR_initmod_desolve(void(* odeparms) (int *, double *));
SEXP explicit_SEIR_contents(SEXP internal_p);
SEXP explicit_SEIR_set_user(SEXP internal_p, SEXP user);
SEXP explicit_SEIR_metadata(SEXP internal_p);
SEXP explicit_SEIR_initial_conditions(SEXP internal_p, SEXP step_ptr);
void explicit_SEIR_rhs(explicit_SEIR_internal* internal, size_t step, double * state, double * state_next, double * output);
void explicit_SEIR_rhs_dde(size_t n_eq, size_t step, double * state, double * state_next, size_t n_out, double * output, void * internal);
SEXP explicit_SEIR_rhs_r(SEXP internal_p, SEXP step, SEXP state);
explicit_SEIR_deterministic_internal* explicit_SEIR_deterministic_get_internal(SEXP internal_p, int closed_error);
static void explicit_SEIR_deterministic_finalise(SEXP internal_p);
SEXP explicit_SEIR_deterministic_create(SEXP user);
void explicit_SEIR_deterministic_initmod_desolve(void(* odeparms) (int *, double *));
SEXP explicit_SEIR_deterministic_contents(SEXP internal_p);
SEXP explicit_SEIR_deterministic_set_user(SEXP internal_p, SEXP user);
SEXP explicit_SEIR_deterministic_metadata(SEXP internal_p);
SEXP explicit_SEIR_deterministic_initial_conditions(SEXP internal_p, SEXP t_ptr);
void explicit_SEIR_deterministic_rhs(explicit_SEIR_deterministic_internal* internal, double t, double * state, double * dstatedt, double * output);
void explicit_SEIR_deterministic_rhs_dde(size_t neq, double t, double * state, double * dstatedt, void * internal);
void explicit_SEIR_deterministic_rhs_desolve(int * neq, double * t, double * state, double * dstatedt, double * output, int * np);
SEXP explicit_SEIR_deterministic_rhs_r(SEXP internal_p, SEXP t, SEXP state);
less_basic_model_for_js_internal* less_basic_model_for_js_get_internal(SEXP internal_p, int closed_error);
static void less_basic_model_for_js_finalise(SEXP internal_p);
SEXP less_basic_model_for_js_create(SEXP user);
void less_basic_model_for_js_initmod_desolve(void(* odeparms) (int *, double *));
SEXP less_basic_model_for_js_contents(SEXP internal_p);
SEXP less_basic_model_for_js_set_user(SEXP internal_p, SEXP user);
SEXP less_basic_model_for_js_metadata(SEXP internal_p);
SEXP less_basic_model_for_js_initial_conditions(SEXP internal_p, SEXP t_ptr);
void less_basic_model_for_js_rhs(less_basic_model_for_js_internal* internal, double t, double * state, double * dstatedt, double * output);
void less_basic_model_for_js_rhs_dde(size_t neq, double t, double * state, double * dstatedt, void * internal);
void less_basic_model_for_js_rhs_desolve(int * neq, double * t, double * state, double * dstatedt, double * output, int * np);
SEXP less_basic_model_for_js_rhs_r(SEXP internal_p, SEXP t, SEXP state);
simple_SEIR_internal* simple_SEIR_get_internal(SEXP internal_p, int closed_error);
static void simple_SEIR_finalise(SEXP internal_p);
SEXP simple_SEIR_create(SEXP user);
void simple_SEIR_initmod_desolve(void(* odeparms) (int *, double *));
SEXP simple_SEIR_contents(SEXP internal_p);
SEXP simple_SEIR_set_user(SEXP internal_p, SEXP user);
SEXP simple_SEIR_metadata(SEXP internal_p);
SEXP simple_SEIR_initial_conditions(SEXP internal_p, SEXP step_ptr);
void simple_SEIR_rhs(simple_SEIR_internal* internal, size_t step, double * state, double * state_next, double * output);
void simple_SEIR_rhs_dde(size_t n_eq, size_t step, double * state, double * state_next, size_t n_out, double * output, void * internal);
SEXP simple_SEIR_rhs_r(SEXP internal_p, SEXP step, SEXP state);
double user_get_scalar_double(SEXP user, const char *name,
                              double default_value, double min, double max);
int user_get_scalar_int(SEXP user, const char *name,
                        int default_value, double min, double max);
void user_check_values_double(double * value, size_t len,
                                  double min, double max, const char *name);
void user_check_values_int(int * value, size_t len,
                               double min, double max, const char *name);
void user_check_values(SEXP value, double min, double max,
                           const char *name);
SEXP user_list_element(SEXP list, const char *name);
void odin_set_dim(SEXP target, int rank, ...);
void* user_get_array_dim(SEXP user, bool is_integer, void * previous,
                         const char *name, int rank,
                         double min, double max, int *dest_dim);
void* user_get_array(SEXP user, bool is_integer, void * previous,
                     const char *name, double min, double max,
                     int rank, ...);
SEXP user_get_array_check(SEXP el, bool is_integer, const char *name,
                          double min, double max);
SEXP user_get_array_check_rank(SEXP user, const char *name, int rank,
                               bool required);
void interpolate_check_y(size_t nx, size_t ny, size_t i, const char *name_arg, const char *name_target);
double odin_sum1(double *x, size_t from, size_t to);
double odin_sum2(double* x, int from_i, int to_i, int from_j, int to_j, int dim_x_1);
double odin_sum3(double* x, int from_i, int to_i, int from_j, int to_j, int from_k, int to_k, int dim_x_1, int dim_x_12);
void rmhyper(size_t n_sample, int *k, size_t m);
void rmhyper_i(size_t n_sample, int *k, size_t m, int *ret);
void rmhyper_d(size_t n_sample, double *k, size_t m, int *ret);
explicit_SEIR_internal* explicit_SEIR_get_internal(SEXP internal_p, int closed_error) {
  explicit_SEIR_internal *internal = NULL;
  if (TYPEOF(internal_p) != EXTPTRSXP) {
    Rf_error("Expected an external pointer");
  }
  internal = (explicit_SEIR_internal*) R_ExternalPtrAddr(internal_p);
  if (!internal && closed_error) {
    Rf_error("Pointer has been invalidated");
  }
  return internal;
}
void explicit_SEIR_finalise(SEXP internal_p) {
  explicit_SEIR_internal *internal = explicit_SEIR_get_internal(internal_p, 0);
  if (internal_p) {
    cinterpolate_free(internal->interpolate_beta);
    cinterpolate_free(internal->interpolate_hosp_bed_capacity);
    cinterpolate_free(internal->interpolate_ICU_bed_capacity);
    cinterpolate_free(internal->interpolate_m);
    internal->interpolate_beta = NULL;
    internal->interpolate_hosp_bed_capacity = NULL;
    internal->interpolate_ICU_bed_capacity = NULL;
    internal->interpolate_m = NULL;
    Free(internal->beta_set);
    Free(internal->D_0);
    Free(internal->delta_D);
    Free(internal->delta_E1);
    Free(internal->delta_E2);
    Free(internal->delta_ICase1);
    Free(internal->delta_ICase2);
    Free(internal->delta_IMild);
    Free(internal->delta_IMVGetDie1);
    Free(internal->delta_IMVGetDie2);
    Free(internal->delta_IMVGetLive1);
    Free(internal->delta_IMVGetLive2);
    Free(internal->delta_IMVNotGetDie1);
    Free(internal->delta_IMVNotGetDie2);
    Free(internal->delta_IMVNotGetLive1);
    Free(internal->delta_IMVNotGetLive2);
    Free(internal->delta_IOxGetDie1);
    Free(internal->delta_IOxGetDie2);
    Free(internal->delta_IOxGetLive1);
    Free(internal->delta_IOxGetLive2);
    Free(internal->delta_IOxNotGetDie1);
    Free(internal->delta_IOxNotGetDie2);
    Free(internal->delta_IOxNotGetLive1);
    Free(internal->delta_IOxNotGetLive2);
    Free(internal->delta_IRec1);
    Free(internal->delta_IRec2);
    Free(internal->delta_R);
    Free(internal->E1_0);
    Free(internal->E2_0);
    Free(internal->hosp_beds);
    Free(internal->ICase1_0);
    Free(internal->ICase2_0);
    Free(internal->ICU_beds);
    Free(internal->IMild_0);
    Free(internal->IMVGetDie1_0);
    Free(internal->IMVGetDie2_0);
    Free(internal->IMVGetLive1_0);
    Free(internal->IMVGetLive2_0);
    Free(internal->IMVNotGetDie1_0);
    Free(internal->IMVNotGetDie2_0);
    Free(internal->IMVNotGetLive1_0);
    Free(internal->IMVNotGetLive2_0);
    Free(internal->initial_D);
    Free(internal->initial_E1);
    Free(internal->initial_E2);
    Free(internal->initial_ICase1);
    Free(internal->initial_ICase2);
    Free(internal->initial_IMild);
    Free(internal->initial_IMVGetDie1);
    Free(internal->initial_IMVGetDie2);
    Free(internal->initial_IMVGetLive1);
    Free(internal->initial_IMVGetLive2);
    Free(internal->initial_IMVNotGetDie1);
    Free(internal->initial_IMVNotGetDie2);
    Free(internal->initial_IMVNotGetLive1);
    Free(internal->initial_IMVNotGetLive2);
    Free(internal->initial_IOxGetDie1);
    Free(internal->initial_IOxGetDie2);
    Free(internal->initial_IOxGetLive1);
    Free(internal->initial_IOxGetLive2);
    Free(internal->initial_IOxNotGetDie1);
    Free(internal->initial_IOxNotGetDie2);
    Free(internal->initial_IOxNotGetLive1);
    Free(internal->initial_IOxNotGetLive2);
    Free(internal->initial_IRec1);
    Free(internal->initial_IRec2);
    Free(internal->initial_R);
    Free(internal->initial_S);
    Free(internal->IOxGetDie1_0);
    Free(internal->IOxGetDie2_0);
    Free(internal->IOxGetLive1_0);
    Free(internal->IOxGetLive2_0);
    Free(internal->IOxNotGetDie1_0);
    Free(internal->IOxNotGetDie2_0);
    Free(internal->IOxNotGetLive1_0);
    Free(internal->IOxNotGetLive2_0);
    Free(internal->IRec1_0);
    Free(internal->IRec2_0);
    Free(internal->lambda);
    Free(internal->m);
    Free(internal->mix_mat_set);
    Free(internal->n_E1_E2);
    Free(internal->n_E2_I);
    Free(internal->n_E2_ICase1);
    Free(internal->n_E2_IMild);
    Free(internal->n_ICase1_ICase2);
    Free(internal->n_ICase2_Hosp);
    Free(internal->n_IMild_R);
    Free(internal->n_IMVGetDie1);
    Free(internal->n_IMVGetDie1_IMVGetDie2);
    Free(internal->n_IMVGetDie2_D);
    Free(internal->n_IMVGetLive1);
    Free(internal->n_IMVGetLive1_IMVGetLive2);
    Free(internal->n_IMVGetLive2_Rec);
    Free(internal->n_IMVNotGetDie1);
    Free(internal->n_IMVNotGetDie1_IMVNotGetDie2);
    Free(internal->n_IMVNotGetDie2_D);
    Free(internal->n_IMVNotGetLive1);
    Free(internal->n_IMVNotGetLive1_IMVNotGetLive2);
    Free(internal->n_IMVNotGetLive2_R);
    Free(internal->n_IOxGetDie1);
    Free(internal->n_IOxGetDie1_IOxGetDie2);
    Free(internal->n_IOxGetDie2_D);
    Free(internal->n_IOxGetLive1);
    Free(internal->n_IOxGetLive1_IOxGetLive2);
    Free(internal->n_IOxGetLive2_R);
    Free(internal->n_IOxNotGetDie1);
    Free(internal->n_IOxNotGetDie1_IOxNotGetDie2);
    Free(internal->n_IOxNotGetDie2_D);
    Free(internal->n_IOxNotGetLive1);
    Free(internal->n_IOxNotGetLive1_IOxNotGetLive2);
    Free(internal->n_IOxNotGetLive2_R);
    Free(internal->n_IRec1_IRec2);
    Free(internal->n_IRec2_R);
    Free(internal->n_S_E1);
    Free(internal->number_get_IMV);
    Free(internal->number_get_Ox);
    Free(internal->number_notget_IMV);
    Free(internal->number_notget_Ox);
    Free(internal->number_requiring_IMV);
    Free(internal->number_requiring_Ox);
    Free(internal->p_S_E1);
    Free(internal->prob_hosp);
    Free(internal->prob_non_severe_death_no_treatment);
    Free(internal->prob_non_severe_death_treatment);
    Free(internal->prob_severe);
    Free(internal->prob_severe_death_no_treatment);
    Free(internal->prob_severe_death_treatment);
    Free(internal->R_0);
    Free(internal->S_0);
    Free(internal->s_ij);
    Free(internal->temp);
    Free(internal->tt_beta);
    Free(internal->tt_hosp_beds);
    Free(internal->tt_ICU_beds);
    Free(internal->tt_matrix);
    Free(internal);
    R_ClearExternalPtr(internal_p);
  }
}
SEXP explicit_SEIR_create(SEXP user) {
  explicit_SEIR_internal *internal = (explicit_SEIR_internal*) Calloc(1, explicit_SEIR_internal);
  internal->beta_set = NULL;
  internal->D_0 = NULL;
  internal->delta_D = NULL;
  internal->delta_E1 = NULL;
  internal->delta_E2 = NULL;
  internal->delta_ICase1 = NULL;
  internal->delta_ICase2 = NULL;
  internal->delta_IMild = NULL;
  internal->delta_IMVGetDie1 = NULL;
  internal->delta_IMVGetDie2 = NULL;
  internal->delta_IMVGetLive1 = NULL;
  internal->delta_IMVGetLive2 = NULL;
  internal->delta_IMVNotGetDie1 = NULL;
  internal->delta_IMVNotGetDie2 = NULL;
  internal->delta_IMVNotGetLive1 = NULL;
  internal->delta_IMVNotGetLive2 = NULL;
  internal->delta_IOxGetDie1 = NULL;
  internal->delta_IOxGetDie2 = NULL;
  internal->delta_IOxGetLive1 = NULL;
  internal->delta_IOxGetLive2 = NULL;
  internal->delta_IOxNotGetDie1 = NULL;
  internal->delta_IOxNotGetDie2 = NULL;
  internal->delta_IOxNotGetLive1 = NULL;
  internal->delta_IOxNotGetLive2 = NULL;
  internal->delta_IRec1 = NULL;
  internal->delta_IRec2 = NULL;
  internal->delta_R = NULL;
  internal->E1_0 = NULL;
  internal->E2_0 = NULL;
  internal->hosp_beds = NULL;
  internal->ICase1_0 = NULL;
  internal->ICase2_0 = NULL;
  internal->ICU_beds = NULL;
  internal->IMild_0 = NULL;
  internal->IMVGetDie1_0 = NULL;
  internal->IMVGetDie2_0 = NULL;
  internal->IMVGetLive1_0 = NULL;
  internal->IMVGetLive2_0 = NULL;
  internal->IMVNotGetDie1_0 = NULL;
  internal->IMVNotGetDie2_0 = NULL;
  internal->IMVNotGetLive1_0 = NULL;
  internal->IMVNotGetLive2_0 = NULL;
  internal->initial_D = NULL;
  internal->initial_E1 = NULL;
  internal->initial_E2 = NULL;
  internal->initial_ICase1 = NULL;
  internal->initial_ICase2 = NULL;
  internal->initial_IMild = NULL;
  internal->initial_IMVGetDie1 = NULL;
  internal->initial_IMVGetDie2 = NULL;
  internal->initial_IMVGetLive1 = NULL;
  internal->initial_IMVGetLive2 = NULL;
  internal->initial_IMVNotGetDie1 = NULL;
  internal->initial_IMVNotGetDie2 = NULL;
  internal->initial_IMVNotGetLive1 = NULL;
  internal->initial_IMVNotGetLive2 = NULL;
  internal->initial_IOxGetDie1 = NULL;
  internal->initial_IOxGetDie2 = NULL;
  internal->initial_IOxGetLive1 = NULL;
  internal->initial_IOxGetLive2 = NULL;
  internal->initial_IOxNotGetDie1 = NULL;
  internal->initial_IOxNotGetDie2 = NULL;
  internal->initial_IOxNotGetLive1 = NULL;
  internal->initial_IOxNotGetLive2 = NULL;
  internal->initial_IRec1 = NULL;
  internal->initial_IRec2 = NULL;
  internal->initial_R = NULL;
  internal->initial_S = NULL;
  internal->interpolate_m = NULL;
  internal->IOxGetDie1_0 = NULL;
  internal->IOxGetDie2_0 = NULL;
  internal->IOxGetLive1_0 = NULL;
  internal->IOxGetLive2_0 = NULL;
  internal->IOxNotGetDie1_0 = NULL;
  internal->IOxNotGetDie2_0 = NULL;
  internal->IOxNotGetLive1_0 = NULL;
  internal->IOxNotGetLive2_0 = NULL;
  internal->IRec1_0 = NULL;
  internal->IRec2_0 = NULL;
  internal->lambda = NULL;
  internal->m = NULL;
  internal->mix_mat_set = NULL;
  internal->n_E1_E2 = NULL;
  internal->n_E2_I = NULL;
  internal->n_E2_ICase1 = NULL;
  internal->n_E2_IMild = NULL;
  internal->n_ICase1_ICase2 = NULL;
  internal->n_ICase2_Hosp = NULL;
  internal->n_IMild_R = NULL;
  internal->n_IMVGetDie1 = NULL;
  internal->n_IMVGetDie1_IMVGetDie2 = NULL;
  internal->n_IMVGetDie2_D = NULL;
  internal->n_IMVGetLive1 = NULL;
  internal->n_IMVGetLive1_IMVGetLive2 = NULL;
  internal->n_IMVGetLive2_Rec = NULL;
  internal->n_IMVNotGetDie1 = NULL;
  internal->n_IMVNotGetDie1_IMVNotGetDie2 = NULL;
  internal->n_IMVNotGetDie2_D = NULL;
  internal->n_IMVNotGetLive1 = NULL;
  internal->n_IMVNotGetLive1_IMVNotGetLive2 = NULL;
  internal->n_IMVNotGetLive2_R = NULL;
  internal->n_IOxGetDie1 = NULL;
  internal->n_IOxGetDie1_IOxGetDie2 = NULL;
  internal->n_IOxGetDie2_D = NULL;
  internal->n_IOxGetLive1 = NULL;
  internal->n_IOxGetLive1_IOxGetLive2 = NULL;
  internal->n_IOxGetLive2_R = NULL;
  internal->n_IOxNotGetDie1 = NULL;
  internal->n_IOxNotGetDie1_IOxNotGetDie2 = NULL;
  internal->n_IOxNotGetDie2_D = NULL;
  internal->n_IOxNotGetLive1 = NULL;
  internal->n_IOxNotGetLive1_IOxNotGetLive2 = NULL;
  internal->n_IOxNotGetLive2_R = NULL;
  internal->n_IRec1_IRec2 = NULL;
  internal->n_IRec2_R = NULL;
  internal->n_S_E1 = NULL;
  internal->number_get_IMV = NULL;
  internal->number_get_Ox = NULL;
  internal->number_notget_IMV = NULL;
  internal->number_notget_Ox = NULL;
  internal->number_requiring_IMV = NULL;
  internal->number_requiring_Ox = NULL;
  internal->p_S_E1 = NULL;
  internal->prob_hosp = NULL;
  internal->prob_non_severe_death_no_treatment = NULL;
  internal->prob_non_severe_death_treatment = NULL;
  internal->prob_severe = NULL;
  internal->prob_severe_death_no_treatment = NULL;
  internal->prob_severe_death_treatment = NULL;
  internal->R_0 = NULL;
  internal->S_0 = NULL;
  internal->s_ij = NULL;
  internal->temp = NULL;
  internal->tt_beta = NULL;
  internal->tt_hosp_beds = NULL;
  internal->tt_ICU_beds = NULL;
  internal->tt_matrix = NULL;
  internal->beta_set = NULL;
  internal->D_0 = NULL;
  internal->dt = NA_REAL;
  internal->E1_0 = NULL;
  internal->E2_0 = NULL;
  internal->gamma_E = NA_REAL;
  internal->gamma_get_mv_die = NA_REAL;
  internal->gamma_get_mv_survive = NA_REAL;
  internal->gamma_get_ox_die = NA_REAL;
  internal->gamma_get_ox_survive = NA_REAL;
  internal->gamma_ICase = NA_REAL;
  internal->gamma_IMild = NA_REAL;
  internal->gamma_not_get_mv_die = NA_REAL;
  internal->gamma_not_get_mv_survive = NA_REAL;
  internal->gamma_not_get_ox_die = NA_REAL;
  internal->gamma_not_get_ox_survive = NA_REAL;
  internal->gamma_rec = NA_REAL;
  internal->hosp_beds = NULL;
  internal->ICase1_0 = NULL;
  internal->ICase2_0 = NULL;
  internal->ICU_beds = NULL;
  internal->IMild_0 = NULL;
  internal->IMVGetDie1_0 = NULL;
  internal->IMVGetDie2_0 = NULL;
  internal->IMVGetLive1_0 = NULL;
  internal->IMVGetLive2_0 = NULL;
  internal->IMVNotGetDie1_0 = NULL;
  internal->IMVNotGetDie2_0 = NULL;
  internal->IMVNotGetLive1_0 = NULL;
  internal->IMVNotGetLive2_0 = NULL;
  internal->IOxGetDie1_0 = NULL;
  internal->IOxGetDie2_0 = NULL;
  internal->IOxGetLive1_0 = NULL;
  internal->IOxGetLive2_0 = NULL;
  internal->IOxNotGetDie1_0 = NULL;
  internal->IOxNotGetDie2_0 = NULL;
  internal->IOxNotGetLive1_0 = NULL;
  internal->IOxNotGetLive2_0 = NULL;
  internal->IRec1_0 = NULL;
  internal->IRec2_0 = NULL;
  internal->mix_mat_set = NULL;
  internal->N_age = NA_INTEGER;
  internal->prob_hosp = NULL;
  internal->prob_non_severe_death_no_treatment = NULL;
  internal->prob_non_severe_death_treatment = NULL;
  internal->prob_severe = NULL;
  internal->prob_severe_death_no_treatment = NULL;
  internal->prob_severe_death_treatment = NULL;
  internal->R_0 = NULL;
  internal->S_0 = NULL;
  internal->tt_beta = NULL;
  internal->tt_hosp_beds = NULL;
  internal->tt_ICU_beds = NULL;
  internal->tt_matrix = NULL;
  SEXP ptr = PROTECT(R_MakeExternalPtr(internal, R_NilValue, R_NilValue));
  R_RegisterCFinalizer(ptr, explicit_SEIR_finalise);
  UNPROTECT(1);
  return ptr;
}
static explicit_SEIR_internal *explicit_SEIR_internal_ds;
void explicit_SEIR_initmod_desolve(void(* odeparms) (int *, double *)) {
  static DL_FUNC get_desolve_gparms = NULL;
  if (get_desolve_gparms == NULL) {
    get_desolve_gparms =
      R_GetCCallable("deSolve", "get_deSolve_gparms");
  }
  explicit_SEIR_internal_ds = explicit_SEIR_get_internal(get_desolve_gparms(), 1);
}
SEXP explicit_SEIR_contents(SEXP internal_p) {
  explicit_SEIR_internal *internal = explicit_SEIR_get_internal(internal_p, 1);
  SEXP contents = PROTECT(allocVector(VECSXP, 349));
  SEXP beta_set = PROTECT(allocVector(REALSXP, internal->dim_beta_set));
  memcpy(REAL(beta_set), internal->beta_set, internal->dim_beta_set * sizeof(double));
  SET_VECTOR_ELT(contents, 0, beta_set);
  SEXP D_0 = PROTECT(allocVector(REALSXP, internal->dim_D_0));
  memcpy(REAL(D_0), internal->D_0, internal->dim_D_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 1, D_0);
  SEXP delta_D = PROTECT(allocVector(REALSXP, internal->dim_delta_D));
  memcpy(REAL(delta_D), internal->delta_D, internal->dim_delta_D * sizeof(double));
  SET_VECTOR_ELT(contents, 2, delta_D);
  SEXP delta_E1 = PROTECT(allocVector(REALSXP, internal->dim_delta_E1));
  memcpy(REAL(delta_E1), internal->delta_E1, internal->dim_delta_E1 * sizeof(double));
  SET_VECTOR_ELT(contents, 3, delta_E1);
  SEXP delta_E2 = PROTECT(allocVector(REALSXP, internal->dim_delta_E2));
  memcpy(REAL(delta_E2), internal->delta_E2, internal->dim_delta_E2 * sizeof(double));
  SET_VECTOR_ELT(contents, 4, delta_E2);
  SEXP delta_ICase1 = PROTECT(allocVector(REALSXP, internal->dim_delta_ICase1));
  memcpy(REAL(delta_ICase1), internal->delta_ICase1, internal->dim_delta_ICase1 * sizeof(double));
  SET_VECTOR_ELT(contents, 5, delta_ICase1);
  SEXP delta_ICase2 = PROTECT(allocVector(REALSXP, internal->dim_delta_ICase2));
  memcpy(REAL(delta_ICase2), internal->delta_ICase2, internal->dim_delta_ICase2 * sizeof(double));
  SET_VECTOR_ELT(contents, 6, delta_ICase2);
  SEXP delta_IMild = PROTECT(allocVector(REALSXP, internal->dim_delta_IMild));
  memcpy(REAL(delta_IMild), internal->delta_IMild, internal->dim_delta_IMild * sizeof(double));
  SET_VECTOR_ELT(contents, 7, delta_IMild);
  SEXP delta_IMVGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_delta_IMVGetDie1));
  memcpy(REAL(delta_IMVGetDie1), internal->delta_IMVGetDie1, internal->dim_delta_IMVGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 8, delta_IMVGetDie1);
  SEXP delta_IMVGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_delta_IMVGetDie2));
  memcpy(REAL(delta_IMVGetDie2), internal->delta_IMVGetDie2, internal->dim_delta_IMVGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 9, delta_IMVGetDie2);
  SEXP delta_IMVGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_delta_IMVGetLive1));
  memcpy(REAL(delta_IMVGetLive1), internal->delta_IMVGetLive1, internal->dim_delta_IMVGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 10, delta_IMVGetLive1);
  SEXP delta_IMVGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_delta_IMVGetLive2));
  memcpy(REAL(delta_IMVGetLive2), internal->delta_IMVGetLive2, internal->dim_delta_IMVGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 11, delta_IMVGetLive2);
  SEXP delta_IMVNotGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_delta_IMVNotGetDie1));
  memcpy(REAL(delta_IMVNotGetDie1), internal->delta_IMVNotGetDie1, internal->dim_delta_IMVNotGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 12, delta_IMVNotGetDie1);
  SEXP delta_IMVNotGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_delta_IMVNotGetDie2));
  memcpy(REAL(delta_IMVNotGetDie2), internal->delta_IMVNotGetDie2, internal->dim_delta_IMVNotGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 13, delta_IMVNotGetDie2);
  SEXP delta_IMVNotGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_delta_IMVNotGetLive1));
  memcpy(REAL(delta_IMVNotGetLive1), internal->delta_IMVNotGetLive1, internal->dim_delta_IMVNotGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 14, delta_IMVNotGetLive1);
  SEXP delta_IMVNotGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_delta_IMVNotGetLive2));
  memcpy(REAL(delta_IMVNotGetLive2), internal->delta_IMVNotGetLive2, internal->dim_delta_IMVNotGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 15, delta_IMVNotGetLive2);
  SEXP delta_IOxGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_delta_IOxGetDie1));
  memcpy(REAL(delta_IOxGetDie1), internal->delta_IOxGetDie1, internal->dim_delta_IOxGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 16, delta_IOxGetDie1);
  SEXP delta_IOxGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_delta_IOxGetDie2));
  memcpy(REAL(delta_IOxGetDie2), internal->delta_IOxGetDie2, internal->dim_delta_IOxGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 17, delta_IOxGetDie2);
  SEXP delta_IOxGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_delta_IOxGetLive1));
  memcpy(REAL(delta_IOxGetLive1), internal->delta_IOxGetLive1, internal->dim_delta_IOxGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 18, delta_IOxGetLive1);
  SEXP delta_IOxGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_delta_IOxGetLive2));
  memcpy(REAL(delta_IOxGetLive2), internal->delta_IOxGetLive2, internal->dim_delta_IOxGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 19, delta_IOxGetLive2);
  SEXP delta_IOxNotGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_delta_IOxNotGetDie1));
  memcpy(REAL(delta_IOxNotGetDie1), internal->delta_IOxNotGetDie1, internal->dim_delta_IOxNotGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 20, delta_IOxNotGetDie1);
  SEXP delta_IOxNotGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_delta_IOxNotGetDie2));
  memcpy(REAL(delta_IOxNotGetDie2), internal->delta_IOxNotGetDie2, internal->dim_delta_IOxNotGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 21, delta_IOxNotGetDie2);
  SEXP delta_IOxNotGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_delta_IOxNotGetLive1));
  memcpy(REAL(delta_IOxNotGetLive1), internal->delta_IOxNotGetLive1, internal->dim_delta_IOxNotGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 22, delta_IOxNotGetLive1);
  SEXP delta_IOxNotGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_delta_IOxNotGetLive2));
  memcpy(REAL(delta_IOxNotGetLive2), internal->delta_IOxNotGetLive2, internal->dim_delta_IOxNotGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 23, delta_IOxNotGetLive2);
  SEXP delta_IRec1 = PROTECT(allocVector(REALSXP, internal->dim_delta_IRec1));
  memcpy(REAL(delta_IRec1), internal->delta_IRec1, internal->dim_delta_IRec1 * sizeof(double));
  SET_VECTOR_ELT(contents, 24, delta_IRec1);
  SEXP delta_IRec2 = PROTECT(allocVector(REALSXP, internal->dim_delta_IRec2));
  memcpy(REAL(delta_IRec2), internal->delta_IRec2, internal->dim_delta_IRec2 * sizeof(double));
  SET_VECTOR_ELT(contents, 25, delta_IRec2);
  SEXP delta_R = PROTECT(allocVector(REALSXP, internal->dim_delta_R));
  memcpy(REAL(delta_R), internal->delta_R, internal->dim_delta_R * sizeof(double));
  SET_VECTOR_ELT(contents, 26, delta_R);
  SET_VECTOR_ELT(contents, 27, ScalarInteger(internal->dim_beta_set));
  SET_VECTOR_ELT(contents, 28, ScalarInteger(internal->dim_D));
  SET_VECTOR_ELT(contents, 29, ScalarInteger(internal->dim_D_0));
  SET_VECTOR_ELT(contents, 30, ScalarInteger(internal->dim_delta_D));
  SET_VECTOR_ELT(contents, 31, ScalarInteger(internal->dim_delta_E1));
  SET_VECTOR_ELT(contents, 32, ScalarInteger(internal->dim_delta_E2));
  SET_VECTOR_ELT(contents, 33, ScalarInteger(internal->dim_delta_ICase1));
  SET_VECTOR_ELT(contents, 34, ScalarInteger(internal->dim_delta_ICase2));
  SET_VECTOR_ELT(contents, 35, ScalarInteger(internal->dim_delta_IMild));
  SET_VECTOR_ELT(contents, 36, ScalarInteger(internal->dim_delta_IMVGetDie1));
  SET_VECTOR_ELT(contents, 37, ScalarInteger(internal->dim_delta_IMVGetDie2));
  SET_VECTOR_ELT(contents, 38, ScalarInteger(internal->dim_delta_IMVGetLive1));
  SET_VECTOR_ELT(contents, 39, ScalarInteger(internal->dim_delta_IMVGetLive2));
  SET_VECTOR_ELT(contents, 40, ScalarInteger(internal->dim_delta_IMVNotGetDie1));
  SET_VECTOR_ELT(contents, 41, ScalarInteger(internal->dim_delta_IMVNotGetDie2));
  SET_VECTOR_ELT(contents, 42, ScalarInteger(internal->dim_delta_IMVNotGetLive1));
  SET_VECTOR_ELT(contents, 43, ScalarInteger(internal->dim_delta_IMVNotGetLive2));
  SET_VECTOR_ELT(contents, 44, ScalarInteger(internal->dim_delta_IOxGetDie1));
  SET_VECTOR_ELT(contents, 45, ScalarInteger(internal->dim_delta_IOxGetDie2));
  SET_VECTOR_ELT(contents, 46, ScalarInteger(internal->dim_delta_IOxGetLive1));
  SET_VECTOR_ELT(contents, 47, ScalarInteger(internal->dim_delta_IOxGetLive2));
  SET_VECTOR_ELT(contents, 48, ScalarInteger(internal->dim_delta_IOxNotGetDie1));
  SET_VECTOR_ELT(contents, 49, ScalarInteger(internal->dim_delta_IOxNotGetDie2));
  SET_VECTOR_ELT(contents, 50, ScalarInteger(internal->dim_delta_IOxNotGetLive1));
  SET_VECTOR_ELT(contents, 51, ScalarInteger(internal->dim_delta_IOxNotGetLive2));
  SET_VECTOR_ELT(contents, 52, ScalarInteger(internal->dim_delta_IRec1));
  SET_VECTOR_ELT(contents, 53, ScalarInteger(internal->dim_delta_IRec2));
  SET_VECTOR_ELT(contents, 54, ScalarInteger(internal->dim_delta_R));
  SET_VECTOR_ELT(contents, 55, ScalarInteger(internal->dim_E1));
  SET_VECTOR_ELT(contents, 56, ScalarInteger(internal->dim_E1_0));
  SET_VECTOR_ELT(contents, 57, ScalarInteger(internal->dim_E2));
  SET_VECTOR_ELT(contents, 58, ScalarInteger(internal->dim_E2_0));
  SET_VECTOR_ELT(contents, 59, ScalarInteger(internal->dim_hosp_beds));
  SET_VECTOR_ELT(contents, 60, ScalarInteger(internal->dim_ICase1));
  SET_VECTOR_ELT(contents, 61, ScalarInteger(internal->dim_ICase1_0));
  SET_VECTOR_ELT(contents, 62, ScalarInteger(internal->dim_ICase2));
  SET_VECTOR_ELT(contents, 63, ScalarInteger(internal->dim_ICase2_0));
  SET_VECTOR_ELT(contents, 64, ScalarInteger(internal->dim_ICU_beds));
  SET_VECTOR_ELT(contents, 65, ScalarInteger(internal->dim_IMild));
  SET_VECTOR_ELT(contents, 66, ScalarInteger(internal->dim_IMild_0));
  SET_VECTOR_ELT(contents, 67, ScalarInteger(internal->dim_IMVGetDie1));
  SET_VECTOR_ELT(contents, 68, ScalarInteger(internal->dim_IMVGetDie1_0));
  SET_VECTOR_ELT(contents, 69, ScalarInteger(internal->dim_IMVGetDie2));
  SET_VECTOR_ELT(contents, 70, ScalarInteger(internal->dim_IMVGetDie2_0));
  SET_VECTOR_ELT(contents, 71, ScalarInteger(internal->dim_IMVGetLive1));
  SET_VECTOR_ELT(contents, 72, ScalarInteger(internal->dim_IMVGetLive1_0));
  SET_VECTOR_ELT(contents, 73, ScalarInteger(internal->dim_IMVGetLive2));
  SET_VECTOR_ELT(contents, 74, ScalarInteger(internal->dim_IMVGetLive2_0));
  SET_VECTOR_ELT(contents, 75, ScalarInteger(internal->dim_IMVNotGetDie1));
  SET_VECTOR_ELT(contents, 76, ScalarInteger(internal->dim_IMVNotGetDie1_0));
  SET_VECTOR_ELT(contents, 77, ScalarInteger(internal->dim_IMVNotGetDie2));
  SET_VECTOR_ELT(contents, 78, ScalarInteger(internal->dim_IMVNotGetDie2_0));
  SET_VECTOR_ELT(contents, 79, ScalarInteger(internal->dim_IMVNotGetLive1));
  SET_VECTOR_ELT(contents, 80, ScalarInteger(internal->dim_IMVNotGetLive1_0));
  SET_VECTOR_ELT(contents, 81, ScalarInteger(internal->dim_IMVNotGetLive2));
  SET_VECTOR_ELT(contents, 82, ScalarInteger(internal->dim_IMVNotGetLive2_0));
  SET_VECTOR_ELT(contents, 83, ScalarInteger(internal->dim_IOxGetDie1));
  SET_VECTOR_ELT(contents, 84, ScalarInteger(internal->dim_IOxGetDie1_0));
  SET_VECTOR_ELT(contents, 85, ScalarInteger(internal->dim_IOxGetDie2));
  SET_VECTOR_ELT(contents, 86, ScalarInteger(internal->dim_IOxGetDie2_0));
  SET_VECTOR_ELT(contents, 87, ScalarInteger(internal->dim_IOxGetLive1));
  SET_VECTOR_ELT(contents, 88, ScalarInteger(internal->dim_IOxGetLive1_0));
  SET_VECTOR_ELT(contents, 89, ScalarInteger(internal->dim_IOxGetLive2));
  SET_VECTOR_ELT(contents, 90, ScalarInteger(internal->dim_IOxGetLive2_0));
  SET_VECTOR_ELT(contents, 91, ScalarInteger(internal->dim_IOxNotGetDie1));
  SET_VECTOR_ELT(contents, 92, ScalarInteger(internal->dim_IOxNotGetDie1_0));
  SET_VECTOR_ELT(contents, 93, ScalarInteger(internal->dim_IOxNotGetDie2));
  SET_VECTOR_ELT(contents, 94, ScalarInteger(internal->dim_IOxNotGetDie2_0));
  SET_VECTOR_ELT(contents, 95, ScalarInteger(internal->dim_IOxNotGetLive1));
  SET_VECTOR_ELT(contents, 96, ScalarInteger(internal->dim_IOxNotGetLive1_0));
  SET_VECTOR_ELT(contents, 97, ScalarInteger(internal->dim_IOxNotGetLive2));
  SET_VECTOR_ELT(contents, 98, ScalarInteger(internal->dim_IOxNotGetLive2_0));
  SET_VECTOR_ELT(contents, 99, ScalarInteger(internal->dim_IRec1));
  SET_VECTOR_ELT(contents, 100, ScalarInteger(internal->dim_IRec1_0));
  SET_VECTOR_ELT(contents, 101, ScalarInteger(internal->dim_IRec2));
  SET_VECTOR_ELT(contents, 102, ScalarInteger(internal->dim_IRec2_0));
  SET_VECTOR_ELT(contents, 103, ScalarInteger(internal->dim_lambda));
  SET_VECTOR_ELT(contents, 104, ScalarInteger(internal->dim_m));
  SET_VECTOR_ELT(contents, 105, ScalarInteger(internal->dim_m_1));
  SET_VECTOR_ELT(contents, 106, ScalarInteger(internal->dim_m_2));
  SET_VECTOR_ELT(contents, 107, ScalarInteger(internal->dim_mix_mat_set));
  SET_VECTOR_ELT(contents, 108, ScalarInteger(internal->dim_mix_mat_set_1));
  SET_VECTOR_ELT(contents, 109, ScalarInteger(internal->dim_mix_mat_set_12));
  SET_VECTOR_ELT(contents, 110, ScalarInteger(internal->dim_mix_mat_set_2));
  SET_VECTOR_ELT(contents, 111, ScalarInteger(internal->dim_mix_mat_set_3));
  SET_VECTOR_ELT(contents, 112, ScalarInteger(internal->dim_n_E1_E2));
  SET_VECTOR_ELT(contents, 113, ScalarInteger(internal->dim_n_E2_I));
  SET_VECTOR_ELT(contents, 114, ScalarInteger(internal->dim_n_E2_ICase1));
  SET_VECTOR_ELT(contents, 115, ScalarInteger(internal->dim_n_E2_IMild));
  SET_VECTOR_ELT(contents, 116, ScalarInteger(internal->dim_n_ICase1_ICase2));
  SET_VECTOR_ELT(contents, 117, ScalarInteger(internal->dim_n_ICase2_Hosp));
  SET_VECTOR_ELT(contents, 118, ScalarInteger(internal->dim_n_IMild_R));
  SET_VECTOR_ELT(contents, 119, ScalarInteger(internal->dim_n_IMVGetDie1));
  SET_VECTOR_ELT(contents, 120, ScalarInteger(internal->dim_n_IMVGetDie1_IMVGetDie2));
  SET_VECTOR_ELT(contents, 121, ScalarInteger(internal->dim_n_IMVGetDie2_D));
  SET_VECTOR_ELT(contents, 122, ScalarInteger(internal->dim_n_IMVGetLive1));
  SET_VECTOR_ELT(contents, 123, ScalarInteger(internal->dim_n_IMVGetLive1_IMVGetLive2));
  SET_VECTOR_ELT(contents, 124, ScalarInteger(internal->dim_n_IMVGetLive2_Rec));
  SET_VECTOR_ELT(contents, 125, ScalarInteger(internal->dim_n_IMVNotGetDie1));
  SET_VECTOR_ELT(contents, 126, ScalarInteger(internal->dim_n_IMVNotGetDie1_IMVNotGetDie2));
  SET_VECTOR_ELT(contents, 127, ScalarInteger(internal->dim_n_IMVNotGetDie2_D));
  SET_VECTOR_ELT(contents, 128, ScalarInteger(internal->dim_n_IMVNotGetLive1));
  SET_VECTOR_ELT(contents, 129, ScalarInteger(internal->dim_n_IMVNotGetLive1_IMVNotGetLive2));
  SET_VECTOR_ELT(contents, 130, ScalarInteger(internal->dim_n_IMVNotGetLive2_R));
  SET_VECTOR_ELT(contents, 131, ScalarInteger(internal->dim_n_IOxGetDie1));
  SET_VECTOR_ELT(contents, 132, ScalarInteger(internal->dim_n_IOxGetDie1_IOxGetDie2));
  SET_VECTOR_ELT(contents, 133, ScalarInteger(internal->dim_n_IOxGetDie2_D));
  SET_VECTOR_ELT(contents, 134, ScalarInteger(internal->dim_n_IOxGetLive1));
  SET_VECTOR_ELT(contents, 135, ScalarInteger(internal->dim_n_IOxGetLive1_IOxGetLive2));
  SET_VECTOR_ELT(contents, 136, ScalarInteger(internal->dim_n_IOxGetLive2_R));
  SET_VECTOR_ELT(contents, 137, ScalarInteger(internal->dim_n_IOxNotGetDie1));
  SET_VECTOR_ELT(contents, 138, ScalarInteger(internal->dim_n_IOxNotGetDie1_IOxNotGetDie2));
  SET_VECTOR_ELT(contents, 139, ScalarInteger(internal->dim_n_IOxNotGetDie2_D));
  SET_VECTOR_ELT(contents, 140, ScalarInteger(internal->dim_n_IOxNotGetLive1));
  SET_VECTOR_ELT(contents, 141, ScalarInteger(internal->dim_n_IOxNotGetLive1_IOxNotGetLive2));
  SET_VECTOR_ELT(contents, 142, ScalarInteger(internal->dim_n_IOxNotGetLive2_R));
  SET_VECTOR_ELT(contents, 143, ScalarInteger(internal->dim_n_IRec1_IRec2));
  SET_VECTOR_ELT(contents, 144, ScalarInteger(internal->dim_n_IRec2_R));
  SET_VECTOR_ELT(contents, 145, ScalarInteger(internal->dim_n_S_E1));
  SET_VECTOR_ELT(contents, 146, ScalarInteger(internal->dim_number_get_IMV));
  SET_VECTOR_ELT(contents, 147, ScalarInteger(internal->dim_number_get_Ox));
  SET_VECTOR_ELT(contents, 148, ScalarInteger(internal->dim_number_notget_IMV));
  SET_VECTOR_ELT(contents, 149, ScalarInteger(internal->dim_number_notget_Ox));
  SET_VECTOR_ELT(contents, 150, ScalarInteger(internal->dim_number_requiring_IMV));
  SET_VECTOR_ELT(contents, 151, ScalarInteger(internal->dim_number_requiring_Ox));
  SET_VECTOR_ELT(contents, 152, ScalarInteger(internal->dim_p_S_E1));
  SET_VECTOR_ELT(contents, 153, ScalarInteger(internal->dim_prob_hosp));
  SET_VECTOR_ELT(contents, 154, ScalarInteger(internal->dim_prob_non_severe_death_no_treatment));
  SET_VECTOR_ELT(contents, 155, ScalarInteger(internal->dim_prob_non_severe_death_treatment));
  SET_VECTOR_ELT(contents, 156, ScalarInteger(internal->dim_prob_severe));
  SET_VECTOR_ELT(contents, 157, ScalarInteger(internal->dim_prob_severe_death_no_treatment));
  SET_VECTOR_ELT(contents, 158, ScalarInteger(internal->dim_prob_severe_death_treatment));
  SET_VECTOR_ELT(contents, 159, ScalarInteger(internal->dim_R));
  SET_VECTOR_ELT(contents, 160, ScalarInteger(internal->dim_R_0));
  SET_VECTOR_ELT(contents, 161, ScalarInteger(internal->dim_S));
  SET_VECTOR_ELT(contents, 162, ScalarInteger(internal->dim_S_0));
  SET_VECTOR_ELT(contents, 163, ScalarInteger(internal->dim_s_ij));
  SET_VECTOR_ELT(contents, 164, ScalarInteger(internal->dim_s_ij_1));
  SET_VECTOR_ELT(contents, 165, ScalarInteger(internal->dim_s_ij_2));
  SET_VECTOR_ELT(contents, 166, ScalarInteger(internal->dim_temp));
  SET_VECTOR_ELT(contents, 167, ScalarInteger(internal->dim_tt_beta));
  SET_VECTOR_ELT(contents, 168, ScalarInteger(internal->dim_tt_hosp_beds));
  SET_VECTOR_ELT(contents, 169, ScalarInteger(internal->dim_tt_ICU_beds));
  SET_VECTOR_ELT(contents, 170, ScalarInteger(internal->dim_tt_matrix));
  SET_VECTOR_ELT(contents, 171, ScalarReal(internal->dt));
  SEXP E1_0 = PROTECT(allocVector(REALSXP, internal->dim_E1_0));
  memcpy(REAL(E1_0), internal->E1_0, internal->dim_E1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 172, E1_0);
  SEXP E2_0 = PROTECT(allocVector(REALSXP, internal->dim_E2_0));
  memcpy(REAL(E2_0), internal->E2_0, internal->dim_E2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 173, E2_0);
  SET_VECTOR_ELT(contents, 174, ScalarReal(internal->gamma_E));
  SET_VECTOR_ELT(contents, 175, ScalarReal(internal->gamma_get_mv_die));
  SET_VECTOR_ELT(contents, 176, ScalarReal(internal->gamma_get_mv_survive));
  SET_VECTOR_ELT(contents, 177, ScalarReal(internal->gamma_get_ox_die));
  SET_VECTOR_ELT(contents, 178, ScalarReal(internal->gamma_get_ox_survive));
  SET_VECTOR_ELT(contents, 179, ScalarReal(internal->gamma_ICase));
  SET_VECTOR_ELT(contents, 180, ScalarReal(internal->gamma_IMild));
  SET_VECTOR_ELT(contents, 181, ScalarReal(internal->gamma_not_get_mv_die));
  SET_VECTOR_ELT(contents, 182, ScalarReal(internal->gamma_not_get_mv_survive));
  SET_VECTOR_ELT(contents, 183, ScalarReal(internal->gamma_not_get_ox_die));
  SET_VECTOR_ELT(contents, 184, ScalarReal(internal->gamma_not_get_ox_survive));
  SET_VECTOR_ELT(contents, 185, ScalarReal(internal->gamma_rec));
  SEXP hosp_beds = PROTECT(allocVector(REALSXP, internal->dim_hosp_beds));
  memcpy(REAL(hosp_beds), internal->hosp_beds, internal->dim_hosp_beds * sizeof(double));
  SET_VECTOR_ELT(contents, 186, hosp_beds);
  SEXP ICase1_0 = PROTECT(allocVector(REALSXP, internal->dim_ICase1_0));
  memcpy(REAL(ICase1_0), internal->ICase1_0, internal->dim_ICase1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 187, ICase1_0);
  SEXP ICase2_0 = PROTECT(allocVector(REALSXP, internal->dim_ICase2_0));
  memcpy(REAL(ICase2_0), internal->ICase2_0, internal->dim_ICase2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 188, ICase2_0);
  SEXP ICU_beds = PROTECT(allocVector(REALSXP, internal->dim_ICU_beds));
  memcpy(REAL(ICU_beds), internal->ICU_beds, internal->dim_ICU_beds * sizeof(double));
  SET_VECTOR_ELT(contents, 189, ICU_beds);
  SEXP IMild_0 = PROTECT(allocVector(REALSXP, internal->dim_IMild_0));
  memcpy(REAL(IMild_0), internal->IMild_0, internal->dim_IMild_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 190, IMild_0);
  SEXP IMVGetDie1_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetDie1_0));
  memcpy(REAL(IMVGetDie1_0), internal->IMVGetDie1_0, internal->dim_IMVGetDie1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 191, IMVGetDie1_0);
  SEXP IMVGetDie2_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetDie2_0));
  memcpy(REAL(IMVGetDie2_0), internal->IMVGetDie2_0, internal->dim_IMVGetDie2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 192, IMVGetDie2_0);
  SEXP IMVGetLive1_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetLive1_0));
  memcpy(REAL(IMVGetLive1_0), internal->IMVGetLive1_0, internal->dim_IMVGetLive1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 193, IMVGetLive1_0);
  SEXP IMVGetLive2_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetLive2_0));
  memcpy(REAL(IMVGetLive2_0), internal->IMVGetLive2_0, internal->dim_IMVGetLive2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 194, IMVGetLive2_0);
  SEXP IMVNotGetDie1_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetDie1_0));
  memcpy(REAL(IMVNotGetDie1_0), internal->IMVNotGetDie1_0, internal->dim_IMVNotGetDie1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 195, IMVNotGetDie1_0);
  SEXP IMVNotGetDie2_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetDie2_0));
  memcpy(REAL(IMVNotGetDie2_0), internal->IMVNotGetDie2_0, internal->dim_IMVNotGetDie2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 196, IMVNotGetDie2_0);
  SEXP IMVNotGetLive1_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetLive1_0));
  memcpy(REAL(IMVNotGetLive1_0), internal->IMVNotGetLive1_0, internal->dim_IMVNotGetLive1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 197, IMVNotGetLive1_0);
  SEXP IMVNotGetLive2_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetLive2_0));
  memcpy(REAL(IMVNotGetLive2_0), internal->IMVNotGetLive2_0, internal->dim_IMVNotGetLive2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 198, IMVNotGetLive2_0);
  SEXP initial_D = PROTECT(allocVector(REALSXP, internal->dim_D));
  memcpy(REAL(initial_D), internal->initial_D, internal->dim_D * sizeof(double));
  SET_VECTOR_ELT(contents, 199, initial_D);
  SEXP initial_E1 = PROTECT(allocVector(REALSXP, internal->dim_E1));
  memcpy(REAL(initial_E1), internal->initial_E1, internal->dim_E1 * sizeof(double));
  SET_VECTOR_ELT(contents, 200, initial_E1);
  SEXP initial_E2 = PROTECT(allocVector(REALSXP, internal->dim_E2));
  memcpy(REAL(initial_E2), internal->initial_E2, internal->dim_E2 * sizeof(double));
  SET_VECTOR_ELT(contents, 201, initial_E2);
  SEXP initial_ICase1 = PROTECT(allocVector(REALSXP, internal->dim_ICase1));
  memcpy(REAL(initial_ICase1), internal->initial_ICase1, internal->dim_ICase1 * sizeof(double));
  SET_VECTOR_ELT(contents, 202, initial_ICase1);
  SEXP initial_ICase2 = PROTECT(allocVector(REALSXP, internal->dim_ICase2));
  memcpy(REAL(initial_ICase2), internal->initial_ICase2, internal->dim_ICase2 * sizeof(double));
  SET_VECTOR_ELT(contents, 203, initial_ICase2);
  SEXP initial_IMild = PROTECT(allocVector(REALSXP, internal->dim_IMild));
  memcpy(REAL(initial_IMild), internal->initial_IMild, internal->dim_IMild * sizeof(double));
  SET_VECTOR_ELT(contents, 204, initial_IMild);
  SEXP initial_IMVGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetDie1));
  memcpy(REAL(initial_IMVGetDie1), internal->initial_IMVGetDie1, internal->dim_IMVGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 205, initial_IMVGetDie1);
  SEXP initial_IMVGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetDie2));
  memcpy(REAL(initial_IMVGetDie2), internal->initial_IMVGetDie2, internal->dim_IMVGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 206, initial_IMVGetDie2);
  SEXP initial_IMVGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetLive1));
  memcpy(REAL(initial_IMVGetLive1), internal->initial_IMVGetLive1, internal->dim_IMVGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 207, initial_IMVGetLive1);
  SEXP initial_IMVGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetLive2));
  memcpy(REAL(initial_IMVGetLive2), internal->initial_IMVGetLive2, internal->dim_IMVGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 208, initial_IMVGetLive2);
  SEXP initial_IMVNotGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetDie1));
  memcpy(REAL(initial_IMVNotGetDie1), internal->initial_IMVNotGetDie1, internal->dim_IMVNotGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 209, initial_IMVNotGetDie1);
  SEXP initial_IMVNotGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetDie2));
  memcpy(REAL(initial_IMVNotGetDie2), internal->initial_IMVNotGetDie2, internal->dim_IMVNotGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 210, initial_IMVNotGetDie2);
  SEXP initial_IMVNotGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetLive1));
  memcpy(REAL(initial_IMVNotGetLive1), internal->initial_IMVNotGetLive1, internal->dim_IMVNotGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 211, initial_IMVNotGetLive1);
  SEXP initial_IMVNotGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetLive2));
  memcpy(REAL(initial_IMVNotGetLive2), internal->initial_IMVNotGetLive2, internal->dim_IMVNotGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 212, initial_IMVNotGetLive2);
  SEXP initial_IOxGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetDie1));
  memcpy(REAL(initial_IOxGetDie1), internal->initial_IOxGetDie1, internal->dim_IOxGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 213, initial_IOxGetDie1);
  SEXP initial_IOxGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetDie2));
  memcpy(REAL(initial_IOxGetDie2), internal->initial_IOxGetDie2, internal->dim_IOxGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 214, initial_IOxGetDie2);
  SEXP initial_IOxGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetLive1));
  memcpy(REAL(initial_IOxGetLive1), internal->initial_IOxGetLive1, internal->dim_IOxGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 215, initial_IOxGetLive1);
  SEXP initial_IOxGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetLive2));
  memcpy(REAL(initial_IOxGetLive2), internal->initial_IOxGetLive2, internal->dim_IOxGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 216, initial_IOxGetLive2);
  SEXP initial_IOxNotGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetDie1));
  memcpy(REAL(initial_IOxNotGetDie1), internal->initial_IOxNotGetDie1, internal->dim_IOxNotGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 217, initial_IOxNotGetDie1);
  SEXP initial_IOxNotGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetDie2));
  memcpy(REAL(initial_IOxNotGetDie2), internal->initial_IOxNotGetDie2, internal->dim_IOxNotGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 218, initial_IOxNotGetDie2);
  SEXP initial_IOxNotGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetLive1));
  memcpy(REAL(initial_IOxNotGetLive1), internal->initial_IOxNotGetLive1, internal->dim_IOxNotGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 219, initial_IOxNotGetLive1);
  SEXP initial_IOxNotGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetLive2));
  memcpy(REAL(initial_IOxNotGetLive2), internal->initial_IOxNotGetLive2, internal->dim_IOxNotGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 220, initial_IOxNotGetLive2);
  SEXP initial_IRec1 = PROTECT(allocVector(REALSXP, internal->dim_IRec1));
  memcpy(REAL(initial_IRec1), internal->initial_IRec1, internal->dim_IRec1 * sizeof(double));
  SET_VECTOR_ELT(contents, 221, initial_IRec1);
  SEXP initial_IRec2 = PROTECT(allocVector(REALSXP, internal->dim_IRec2));
  memcpy(REAL(initial_IRec2), internal->initial_IRec2, internal->dim_IRec2 * sizeof(double));
  SET_VECTOR_ELT(contents, 222, initial_IRec2);
  SEXP initial_R = PROTECT(allocVector(REALSXP, internal->dim_R));
  memcpy(REAL(initial_R), internal->initial_R, internal->dim_R * sizeof(double));
  SET_VECTOR_ELT(contents, 223, initial_R);
  SEXP initial_S = PROTECT(allocVector(REALSXP, internal->dim_S));
  memcpy(REAL(initial_S), internal->initial_S, internal->dim_S * sizeof(double));
  SET_VECTOR_ELT(contents, 224, initial_S);
  SEXP IOxGetDie1_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetDie1_0));
  memcpy(REAL(IOxGetDie1_0), internal->IOxGetDie1_0, internal->dim_IOxGetDie1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 229, IOxGetDie1_0);
  SEXP IOxGetDie2_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetDie2_0));
  memcpy(REAL(IOxGetDie2_0), internal->IOxGetDie2_0, internal->dim_IOxGetDie2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 230, IOxGetDie2_0);
  SEXP IOxGetLive1_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetLive1_0));
  memcpy(REAL(IOxGetLive1_0), internal->IOxGetLive1_0, internal->dim_IOxGetLive1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 231, IOxGetLive1_0);
  SEXP IOxGetLive2_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetLive2_0));
  memcpy(REAL(IOxGetLive2_0), internal->IOxGetLive2_0, internal->dim_IOxGetLive2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 232, IOxGetLive2_0);
  SEXP IOxNotGetDie1_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetDie1_0));
  memcpy(REAL(IOxNotGetDie1_0), internal->IOxNotGetDie1_0, internal->dim_IOxNotGetDie1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 233, IOxNotGetDie1_0);
  SEXP IOxNotGetDie2_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetDie2_0));
  memcpy(REAL(IOxNotGetDie2_0), internal->IOxNotGetDie2_0, internal->dim_IOxNotGetDie2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 234, IOxNotGetDie2_0);
  SEXP IOxNotGetLive1_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetLive1_0));
  memcpy(REAL(IOxNotGetLive1_0), internal->IOxNotGetLive1_0, internal->dim_IOxNotGetLive1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 235, IOxNotGetLive1_0);
  SEXP IOxNotGetLive2_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetLive2_0));
  memcpy(REAL(IOxNotGetLive2_0), internal->IOxNotGetLive2_0, internal->dim_IOxNotGetLive2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 236, IOxNotGetLive2_0);
  SEXP IRec1_0 = PROTECT(allocVector(REALSXP, internal->dim_IRec1_0));
  memcpy(REAL(IRec1_0), internal->IRec1_0, internal->dim_IRec1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 237, IRec1_0);
  SEXP IRec2_0 = PROTECT(allocVector(REALSXP, internal->dim_IRec2_0));
  memcpy(REAL(IRec2_0), internal->IRec2_0, internal->dim_IRec2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 238, IRec2_0);
  SEXP lambda = PROTECT(allocVector(REALSXP, internal->dim_lambda));
  memcpy(REAL(lambda), internal->lambda, internal->dim_lambda * sizeof(double));
  SET_VECTOR_ELT(contents, 239, lambda);
  SEXP m = PROTECT(allocVector(REALSXP, internal->dim_m));
  memcpy(REAL(m), internal->m, internal->dim_m * sizeof(double));
  odin_set_dim(m, 2, internal->dim_m_1, internal->dim_m_2);
  SET_VECTOR_ELT(contents, 240, m);
  SEXP mix_mat_set = PROTECT(allocVector(REALSXP, internal->dim_mix_mat_set));
  memcpy(REAL(mix_mat_set), internal->mix_mat_set, internal->dim_mix_mat_set * sizeof(double));
  odin_set_dim(mix_mat_set, 3, internal->dim_mix_mat_set_1, internal->dim_mix_mat_set_2, internal->dim_mix_mat_set_3);
  SET_VECTOR_ELT(contents, 241, mix_mat_set);
  SET_VECTOR_ELT(contents, 242, ScalarInteger(internal->N_age));
  SEXP n_E1_E2 = PROTECT(allocVector(REALSXP, internal->dim_n_E1_E2));
  memcpy(REAL(n_E1_E2), internal->n_E1_E2, internal->dim_n_E1_E2 * sizeof(double));
  SET_VECTOR_ELT(contents, 243, n_E1_E2);
  SEXP n_E2_I = PROTECT(allocVector(REALSXP, internal->dim_n_E2_I));
  memcpy(REAL(n_E2_I), internal->n_E2_I, internal->dim_n_E2_I * sizeof(double));
  SET_VECTOR_ELT(contents, 244, n_E2_I);
  SEXP n_E2_ICase1 = PROTECT(allocVector(REALSXP, internal->dim_n_E2_ICase1));
  memcpy(REAL(n_E2_ICase1), internal->n_E2_ICase1, internal->dim_n_E2_ICase1 * sizeof(double));
  SET_VECTOR_ELT(contents, 245, n_E2_ICase1);
  SEXP n_E2_IMild = PROTECT(allocVector(REALSXP, internal->dim_n_E2_IMild));
  memcpy(REAL(n_E2_IMild), internal->n_E2_IMild, internal->dim_n_E2_IMild * sizeof(double));
  SET_VECTOR_ELT(contents, 246, n_E2_IMild);
  SEXP n_ICase1_ICase2 = PROTECT(allocVector(REALSXP, internal->dim_n_ICase1_ICase2));
  memcpy(REAL(n_ICase1_ICase2), internal->n_ICase1_ICase2, internal->dim_n_ICase1_ICase2 * sizeof(double));
  SET_VECTOR_ELT(contents, 247, n_ICase1_ICase2);
  SEXP n_ICase2_Hosp = PROTECT(allocVector(REALSXP, internal->dim_n_ICase2_Hosp));
  memcpy(REAL(n_ICase2_Hosp), internal->n_ICase2_Hosp, internal->dim_n_ICase2_Hosp * sizeof(double));
  SET_VECTOR_ELT(contents, 248, n_ICase2_Hosp);
  SEXP n_IMild_R = PROTECT(allocVector(REALSXP, internal->dim_n_IMild_R));
  memcpy(REAL(n_IMild_R), internal->n_IMild_R, internal->dim_n_IMild_R * sizeof(double));
  SET_VECTOR_ELT(contents, 249, n_IMild_R);
  SEXP n_IMVGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_n_IMVGetDie1));
  memcpy(REAL(n_IMVGetDie1), internal->n_IMVGetDie1, internal->dim_n_IMVGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 250, n_IMVGetDie1);
  SEXP n_IMVGetDie1_IMVGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_n_IMVGetDie1_IMVGetDie2));
  memcpy(REAL(n_IMVGetDie1_IMVGetDie2), internal->n_IMVGetDie1_IMVGetDie2, internal->dim_n_IMVGetDie1_IMVGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 251, n_IMVGetDie1_IMVGetDie2);
  SEXP n_IMVGetDie2_D = PROTECT(allocVector(REALSXP, internal->dim_n_IMVGetDie2_D));
  memcpy(REAL(n_IMVGetDie2_D), internal->n_IMVGetDie2_D, internal->dim_n_IMVGetDie2_D * sizeof(double));
  SET_VECTOR_ELT(contents, 252, n_IMVGetDie2_D);
  SEXP n_IMVGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_n_IMVGetLive1));
  memcpy(REAL(n_IMVGetLive1), internal->n_IMVGetLive1, internal->dim_n_IMVGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 253, n_IMVGetLive1);
  SEXP n_IMVGetLive1_IMVGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_n_IMVGetLive1_IMVGetLive2));
  memcpy(REAL(n_IMVGetLive1_IMVGetLive2), internal->n_IMVGetLive1_IMVGetLive2, internal->dim_n_IMVGetLive1_IMVGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 254, n_IMVGetLive1_IMVGetLive2);
  SEXP n_IMVGetLive2_Rec = PROTECT(allocVector(REALSXP, internal->dim_n_IMVGetLive2_Rec));
  memcpy(REAL(n_IMVGetLive2_Rec), internal->n_IMVGetLive2_Rec, internal->dim_n_IMVGetLive2_Rec * sizeof(double));
  SET_VECTOR_ELT(contents, 255, n_IMVGetLive2_Rec);
  SEXP n_IMVNotGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_n_IMVNotGetDie1));
  memcpy(REAL(n_IMVNotGetDie1), internal->n_IMVNotGetDie1, internal->dim_n_IMVNotGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 256, n_IMVNotGetDie1);
  SEXP n_IMVNotGetDie1_IMVNotGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_n_IMVNotGetDie1_IMVNotGetDie2));
  memcpy(REAL(n_IMVNotGetDie1_IMVNotGetDie2), internal->n_IMVNotGetDie1_IMVNotGetDie2, internal->dim_n_IMVNotGetDie1_IMVNotGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 257, n_IMVNotGetDie1_IMVNotGetDie2);
  SEXP n_IMVNotGetDie2_D = PROTECT(allocVector(REALSXP, internal->dim_n_IMVNotGetDie2_D));
  memcpy(REAL(n_IMVNotGetDie2_D), internal->n_IMVNotGetDie2_D, internal->dim_n_IMVNotGetDie2_D * sizeof(double));
  SET_VECTOR_ELT(contents, 258, n_IMVNotGetDie2_D);
  SEXP n_IMVNotGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_n_IMVNotGetLive1));
  memcpy(REAL(n_IMVNotGetLive1), internal->n_IMVNotGetLive1, internal->dim_n_IMVNotGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 259, n_IMVNotGetLive1);
  SEXP n_IMVNotGetLive1_IMVNotGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_n_IMVNotGetLive1_IMVNotGetLive2));
  memcpy(REAL(n_IMVNotGetLive1_IMVNotGetLive2), internal->n_IMVNotGetLive1_IMVNotGetLive2, internal->dim_n_IMVNotGetLive1_IMVNotGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 260, n_IMVNotGetLive1_IMVNotGetLive2);
  SEXP n_IMVNotGetLive2_R = PROTECT(allocVector(REALSXP, internal->dim_n_IMVNotGetLive2_R));
  memcpy(REAL(n_IMVNotGetLive2_R), internal->n_IMVNotGetLive2_R, internal->dim_n_IMVNotGetLive2_R * sizeof(double));
  SET_VECTOR_ELT(contents, 261, n_IMVNotGetLive2_R);
  SEXP n_IOxGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_n_IOxGetDie1));
  memcpy(REAL(n_IOxGetDie1), internal->n_IOxGetDie1, internal->dim_n_IOxGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 262, n_IOxGetDie1);
  SEXP n_IOxGetDie1_IOxGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_n_IOxGetDie1_IOxGetDie2));
  memcpy(REAL(n_IOxGetDie1_IOxGetDie2), internal->n_IOxGetDie1_IOxGetDie2, internal->dim_n_IOxGetDie1_IOxGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 263, n_IOxGetDie1_IOxGetDie2);
  SEXP n_IOxGetDie2_D = PROTECT(allocVector(REALSXP, internal->dim_n_IOxGetDie2_D));
  memcpy(REAL(n_IOxGetDie2_D), internal->n_IOxGetDie2_D, internal->dim_n_IOxGetDie2_D * sizeof(double));
  SET_VECTOR_ELT(contents, 264, n_IOxGetDie2_D);
  SEXP n_IOxGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_n_IOxGetLive1));
  memcpy(REAL(n_IOxGetLive1), internal->n_IOxGetLive1, internal->dim_n_IOxGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 265, n_IOxGetLive1);
  SEXP n_IOxGetLive1_IOxGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_n_IOxGetLive1_IOxGetLive2));
  memcpy(REAL(n_IOxGetLive1_IOxGetLive2), internal->n_IOxGetLive1_IOxGetLive2, internal->dim_n_IOxGetLive1_IOxGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 266, n_IOxGetLive1_IOxGetLive2);
  SEXP n_IOxGetLive2_R = PROTECT(allocVector(REALSXP, internal->dim_n_IOxGetLive2_R));
  memcpy(REAL(n_IOxGetLive2_R), internal->n_IOxGetLive2_R, internal->dim_n_IOxGetLive2_R * sizeof(double));
  SET_VECTOR_ELT(contents, 267, n_IOxGetLive2_R);
  SEXP n_IOxNotGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_n_IOxNotGetDie1));
  memcpy(REAL(n_IOxNotGetDie1), internal->n_IOxNotGetDie1, internal->dim_n_IOxNotGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 268, n_IOxNotGetDie1);
  SEXP n_IOxNotGetDie1_IOxNotGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_n_IOxNotGetDie1_IOxNotGetDie2));
  memcpy(REAL(n_IOxNotGetDie1_IOxNotGetDie2), internal->n_IOxNotGetDie1_IOxNotGetDie2, internal->dim_n_IOxNotGetDie1_IOxNotGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 269, n_IOxNotGetDie1_IOxNotGetDie2);
  SEXP n_IOxNotGetDie2_D = PROTECT(allocVector(REALSXP, internal->dim_n_IOxNotGetDie2_D));
  memcpy(REAL(n_IOxNotGetDie2_D), internal->n_IOxNotGetDie2_D, internal->dim_n_IOxNotGetDie2_D * sizeof(double));
  SET_VECTOR_ELT(contents, 270, n_IOxNotGetDie2_D);
  SEXP n_IOxNotGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_n_IOxNotGetLive1));
  memcpy(REAL(n_IOxNotGetLive1), internal->n_IOxNotGetLive1, internal->dim_n_IOxNotGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 271, n_IOxNotGetLive1);
  SEXP n_IOxNotGetLive1_IOxNotGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_n_IOxNotGetLive1_IOxNotGetLive2));
  memcpy(REAL(n_IOxNotGetLive1_IOxNotGetLive2), internal->n_IOxNotGetLive1_IOxNotGetLive2, internal->dim_n_IOxNotGetLive1_IOxNotGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 272, n_IOxNotGetLive1_IOxNotGetLive2);
  SEXP n_IOxNotGetLive2_R = PROTECT(allocVector(REALSXP, internal->dim_n_IOxNotGetLive2_R));
  memcpy(REAL(n_IOxNotGetLive2_R), internal->n_IOxNotGetLive2_R, internal->dim_n_IOxNotGetLive2_R * sizeof(double));
  SET_VECTOR_ELT(contents, 273, n_IOxNotGetLive2_R);
  SEXP n_IRec1_IRec2 = PROTECT(allocVector(REALSXP, internal->dim_n_IRec1_IRec2));
  memcpy(REAL(n_IRec1_IRec2), internal->n_IRec1_IRec2, internal->dim_n_IRec1_IRec2 * sizeof(double));
  SET_VECTOR_ELT(contents, 274, n_IRec1_IRec2);
  SEXP n_IRec2_R = PROTECT(allocVector(REALSXP, internal->dim_n_IRec2_R));
  memcpy(REAL(n_IRec2_R), internal->n_IRec2_R, internal->dim_n_IRec2_R * sizeof(double));
  SET_VECTOR_ELT(contents, 275, n_IRec2_R);
  SEXP n_S_E1 = PROTECT(allocVector(REALSXP, internal->dim_n_S_E1));
  memcpy(REAL(n_S_E1), internal->n_S_E1, internal->dim_n_S_E1 * sizeof(double));
  SET_VECTOR_ELT(contents, 276, n_S_E1);
  SEXP number_get_IMV = PROTECT(allocVector(INTSXP, internal->dim_number_get_IMV));
  memcpy(INTEGER(number_get_IMV), internal->number_get_IMV, internal->dim_number_get_IMV * sizeof(int));
  SET_VECTOR_ELT(contents, 277, number_get_IMV);
  SEXP number_get_Ox = PROTECT(allocVector(INTSXP, internal->dim_number_get_Ox));
  memcpy(INTEGER(number_get_Ox), internal->number_get_Ox, internal->dim_number_get_Ox * sizeof(int));
  SET_VECTOR_ELT(contents, 278, number_get_Ox);
  SEXP number_notget_IMV = PROTECT(allocVector(REALSXP, internal->dim_number_notget_IMV));
  memcpy(REAL(number_notget_IMV), internal->number_notget_IMV, internal->dim_number_notget_IMV * sizeof(double));
  SET_VECTOR_ELT(contents, 279, number_notget_IMV);
  SEXP number_notget_Ox = PROTECT(allocVector(REALSXP, internal->dim_number_notget_Ox));
  memcpy(REAL(number_notget_Ox), internal->number_notget_Ox, internal->dim_number_notget_Ox * sizeof(double));
  SET_VECTOR_ELT(contents, 280, number_notget_Ox);
  SEXP number_requiring_IMV = PROTECT(allocVector(REALSXP, internal->dim_number_requiring_IMV));
  memcpy(REAL(number_requiring_IMV), internal->number_requiring_IMV, internal->dim_number_requiring_IMV * sizeof(double));
  SET_VECTOR_ELT(contents, 281, number_requiring_IMV);
  SEXP number_requiring_Ox = PROTECT(allocVector(REALSXP, internal->dim_number_requiring_Ox));
  memcpy(REAL(number_requiring_Ox), internal->number_requiring_Ox, internal->dim_number_requiring_Ox * sizeof(double));
  SET_VECTOR_ELT(contents, 282, number_requiring_Ox);
  SET_VECTOR_ELT(contents, 283, ScalarInteger(internal->offset_output_delta_D));
  SET_VECTOR_ELT(contents, 284, ScalarInteger(internal->offset_output_n_E2_ICase1));
  SET_VECTOR_ELT(contents, 285, ScalarInteger(internal->offset_output_n_E2_IMild));
  SET_VECTOR_ELT(contents, 286, ScalarInteger(internal->offset_output_number_requiring_IMV));
  SET_VECTOR_ELT(contents, 287, ScalarInteger(internal->offset_variable_D));
  SET_VECTOR_ELT(contents, 288, ScalarInteger(internal->offset_variable_E2));
  SET_VECTOR_ELT(contents, 289, ScalarInteger(internal->offset_variable_ICase1));
  SET_VECTOR_ELT(contents, 290, ScalarInteger(internal->offset_variable_ICase2));
  SET_VECTOR_ELT(contents, 291, ScalarInteger(internal->offset_variable_IMild));
  SET_VECTOR_ELT(contents, 292, ScalarInteger(internal->offset_variable_IMVGetDie1));
  SET_VECTOR_ELT(contents, 293, ScalarInteger(internal->offset_variable_IMVGetDie2));
  SET_VECTOR_ELT(contents, 294, ScalarInteger(internal->offset_variable_IMVGetLive1));
  SET_VECTOR_ELT(contents, 295, ScalarInteger(internal->offset_variable_IMVGetLive2));
  SET_VECTOR_ELT(contents, 296, ScalarInteger(internal->offset_variable_IMVNotGetDie1));
  SET_VECTOR_ELT(contents, 297, ScalarInteger(internal->offset_variable_IMVNotGetDie2));
  SET_VECTOR_ELT(contents, 298, ScalarInteger(internal->offset_variable_IMVNotGetLive1));
  SET_VECTOR_ELT(contents, 299, ScalarInteger(internal->offset_variable_IMVNotGetLive2));
  SET_VECTOR_ELT(contents, 300, ScalarInteger(internal->offset_variable_IOxGetDie1));
  SET_VECTOR_ELT(contents, 301, ScalarInteger(internal->offset_variable_IOxGetDie2));
  SET_VECTOR_ELT(contents, 302, ScalarInteger(internal->offset_variable_IOxGetLive1));
  SET_VECTOR_ELT(contents, 303, ScalarInteger(internal->offset_variable_IOxGetLive2));
  SET_VECTOR_ELT(contents, 304, ScalarInteger(internal->offset_variable_IOxNotGetDie1));
  SET_VECTOR_ELT(contents, 305, ScalarInteger(internal->offset_variable_IOxNotGetDie2));
  SET_VECTOR_ELT(contents, 306, ScalarInteger(internal->offset_variable_IOxNotGetLive1));
  SET_VECTOR_ELT(contents, 307, ScalarInteger(internal->offset_variable_IOxNotGetLive2));
  SET_VECTOR_ELT(contents, 308, ScalarInteger(internal->offset_variable_IRec1));
  SET_VECTOR_ELT(contents, 309, ScalarInteger(internal->offset_variable_IRec2));
  SET_VECTOR_ELT(contents, 310, ScalarInteger(internal->offset_variable_R));
  SET_VECTOR_ELT(contents, 311, ScalarReal(internal->p_E1_E2));
  SET_VECTOR_ELT(contents, 312, ScalarReal(internal->p_E2_I));
  SET_VECTOR_ELT(contents, 313, ScalarReal(internal->p_ICase1_ICase2));
  SET_VECTOR_ELT(contents, 314, ScalarReal(internal->p_ICase2_Hosp));
  SET_VECTOR_ELT(contents, 315, ScalarReal(internal->p_IMild_R));
  SET_VECTOR_ELT(contents, 316, ScalarReal(internal->p_IMVGetDie1_IMVGetDie2));
  SET_VECTOR_ELT(contents, 317, ScalarReal(internal->p_IMVGetDie2_D));
  SET_VECTOR_ELT(contents, 318, ScalarReal(internal->p_IMVGetLive1_IMVGetLive2));
  SET_VECTOR_ELT(contents, 319, ScalarReal(internal->p_IMVGetLive2_Rec));
  SET_VECTOR_ELT(contents, 320, ScalarReal(internal->p_IMVNotGetDie1_IMVNotGetDie2));
  SET_VECTOR_ELT(contents, 321, ScalarReal(internal->p_IMVNotGetDie2_D));
  SET_VECTOR_ELT(contents, 322, ScalarReal(internal->p_IMVNotGetLive1_IMVNotGetLive2));
  SET_VECTOR_ELT(contents, 323, ScalarReal(internal->p_IMVNotGetLive2_R));
  SET_VECTOR_ELT(contents, 324, ScalarReal(internal->p_IOxGetDie1_IOxGetDie2));
  SET_VECTOR_ELT(contents, 325, ScalarReal(internal->p_IOxGetDie2_D));
  SET_VECTOR_ELT(contents, 326, ScalarReal(internal->p_IOxGetLive1_IOxGetLive2));
  SET_VECTOR_ELT(contents, 327, ScalarReal(internal->p_IOxGetLive2_R));
  SET_VECTOR_ELT(contents, 328, ScalarReal(internal->p_IOxNotGetDie1_IOxNotGetDie2));
  SET_VECTOR_ELT(contents, 329, ScalarReal(internal->p_IOxNotGetDie2_D));
  SET_VECTOR_ELT(contents, 330, ScalarReal(internal->p_IOxNotGetLive1_IOxNotGetLive2));
  SET_VECTOR_ELT(contents, 331, ScalarReal(internal->p_IOxNotGetLive2_R));
  SET_VECTOR_ELT(contents, 332, ScalarReal(internal->p_Rec1_Rec2));
  SET_VECTOR_ELT(contents, 333, ScalarReal(internal->p_Rec2_R));
  SEXP p_S_E1 = PROTECT(allocVector(REALSXP, internal->dim_p_S_E1));
  memcpy(REAL(p_S_E1), internal->p_S_E1, internal->dim_p_S_E1 * sizeof(double));
  SET_VECTOR_ELT(contents, 334, p_S_E1);
  SEXP prob_hosp = PROTECT(allocVector(REALSXP, internal->dim_prob_hosp));
  memcpy(REAL(prob_hosp), internal->prob_hosp, internal->dim_prob_hosp * sizeof(double));
  SET_VECTOR_ELT(contents, 335, prob_hosp);
  SEXP prob_non_severe_death_no_treatment = PROTECT(allocVector(REALSXP, internal->dim_prob_non_severe_death_no_treatment));
  memcpy(REAL(prob_non_severe_death_no_treatment), internal->prob_non_severe_death_no_treatment, internal->dim_prob_non_severe_death_no_treatment * sizeof(double));
  SET_VECTOR_ELT(contents, 336, prob_non_severe_death_no_treatment);
  SEXP prob_non_severe_death_treatment = PROTECT(allocVector(REALSXP, internal->dim_prob_non_severe_death_treatment));
  memcpy(REAL(prob_non_severe_death_treatment), internal->prob_non_severe_death_treatment, internal->dim_prob_non_severe_death_treatment * sizeof(double));
  SET_VECTOR_ELT(contents, 337, prob_non_severe_death_treatment);
  SEXP prob_severe = PROTECT(allocVector(REALSXP, internal->dim_prob_severe));
  memcpy(REAL(prob_severe), internal->prob_severe, internal->dim_prob_severe * sizeof(double));
  SET_VECTOR_ELT(contents, 338, prob_severe);
  SEXP prob_severe_death_no_treatment = PROTECT(allocVector(REALSXP, internal->dim_prob_severe_death_no_treatment));
  memcpy(REAL(prob_severe_death_no_treatment), internal->prob_severe_death_no_treatment, internal->dim_prob_severe_death_no_treatment * sizeof(double));
  SET_VECTOR_ELT(contents, 339, prob_severe_death_no_treatment);
  SEXP prob_severe_death_treatment = PROTECT(allocVector(REALSXP, internal->dim_prob_severe_death_treatment));
  memcpy(REAL(prob_severe_death_treatment), internal->prob_severe_death_treatment, internal->dim_prob_severe_death_treatment * sizeof(double));
  SET_VECTOR_ELT(contents, 340, prob_severe_death_treatment);
  SEXP R_0 = PROTECT(allocVector(REALSXP, internal->dim_R_0));
  memcpy(REAL(R_0), internal->R_0, internal->dim_R_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 341, R_0);
  SEXP S_0 = PROTECT(allocVector(REALSXP, internal->dim_S_0));
  memcpy(REAL(S_0), internal->S_0, internal->dim_S_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 342, S_0);
  SEXP s_ij = PROTECT(allocVector(REALSXP, internal->dim_s_ij));
  memcpy(REAL(s_ij), internal->s_ij, internal->dim_s_ij * sizeof(double));
  odin_set_dim(s_ij, 2, internal->dim_s_ij_1, internal->dim_s_ij_2);
  SET_VECTOR_ELT(contents, 343, s_ij);
  SEXP temp = PROTECT(allocVector(REALSXP, internal->dim_temp));
  memcpy(REAL(temp), internal->temp, internal->dim_temp * sizeof(double));
  SET_VECTOR_ELT(contents, 344, temp);
  SEXP tt_beta = PROTECT(allocVector(REALSXP, internal->dim_tt_beta));
  memcpy(REAL(tt_beta), internal->tt_beta, internal->dim_tt_beta * sizeof(double));
  SET_VECTOR_ELT(contents, 345, tt_beta);
  SEXP tt_hosp_beds = PROTECT(allocVector(REALSXP, internal->dim_tt_hosp_beds));
  memcpy(REAL(tt_hosp_beds), internal->tt_hosp_beds, internal->dim_tt_hosp_beds * sizeof(double));
  SET_VECTOR_ELT(contents, 346, tt_hosp_beds);
  SEXP tt_ICU_beds = PROTECT(allocVector(REALSXP, internal->dim_tt_ICU_beds));
  memcpy(REAL(tt_ICU_beds), internal->tt_ICU_beds, internal->dim_tt_ICU_beds * sizeof(double));
  SET_VECTOR_ELT(contents, 347, tt_ICU_beds);
  SEXP tt_matrix = PROTECT(allocVector(REALSXP, internal->dim_tt_matrix));
  memcpy(REAL(tt_matrix), internal->tt_matrix, internal->dim_tt_matrix * sizeof(double));
  SET_VECTOR_ELT(contents, 348, tt_matrix);
  SEXP nms = PROTECT(allocVector(STRSXP, 349));
  SET_STRING_ELT(nms, 0, mkChar("beta_set"));
  SET_STRING_ELT(nms, 1, mkChar("D_0"));
  SET_STRING_ELT(nms, 2, mkChar("delta_D"));
  SET_STRING_ELT(nms, 3, mkChar("delta_E1"));
  SET_STRING_ELT(nms, 4, mkChar("delta_E2"));
  SET_STRING_ELT(nms, 5, mkChar("delta_ICase1"));
  SET_STRING_ELT(nms, 6, mkChar("delta_ICase2"));
  SET_STRING_ELT(nms, 7, mkChar("delta_IMild"));
  SET_STRING_ELT(nms, 8, mkChar("delta_IMVGetDie1"));
  SET_STRING_ELT(nms, 9, mkChar("delta_IMVGetDie2"));
  SET_STRING_ELT(nms, 10, mkChar("delta_IMVGetLive1"));
  SET_STRING_ELT(nms, 11, mkChar("delta_IMVGetLive2"));
  SET_STRING_ELT(nms, 12, mkChar("delta_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 13, mkChar("delta_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 14, mkChar("delta_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 15, mkChar("delta_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 16, mkChar("delta_IOxGetDie1"));
  SET_STRING_ELT(nms, 17, mkChar("delta_IOxGetDie2"));
  SET_STRING_ELT(nms, 18, mkChar("delta_IOxGetLive1"));
  SET_STRING_ELT(nms, 19, mkChar("delta_IOxGetLive2"));
  SET_STRING_ELT(nms, 20, mkChar("delta_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 21, mkChar("delta_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 22, mkChar("delta_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 23, mkChar("delta_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 24, mkChar("delta_IRec1"));
  SET_STRING_ELT(nms, 25, mkChar("delta_IRec2"));
  SET_STRING_ELT(nms, 26, mkChar("delta_R"));
  SET_STRING_ELT(nms, 27, mkChar("dim_beta_set"));
  SET_STRING_ELT(nms, 28, mkChar("dim_D"));
  SET_STRING_ELT(nms, 29, mkChar("dim_D_0"));
  SET_STRING_ELT(nms, 30, mkChar("dim_delta_D"));
  SET_STRING_ELT(nms, 31, mkChar("dim_delta_E1"));
  SET_STRING_ELT(nms, 32, mkChar("dim_delta_E2"));
  SET_STRING_ELT(nms, 33, mkChar("dim_delta_ICase1"));
  SET_STRING_ELT(nms, 34, mkChar("dim_delta_ICase2"));
  SET_STRING_ELT(nms, 35, mkChar("dim_delta_IMild"));
  SET_STRING_ELT(nms, 36, mkChar("dim_delta_IMVGetDie1"));
  SET_STRING_ELT(nms, 37, mkChar("dim_delta_IMVGetDie2"));
  SET_STRING_ELT(nms, 38, mkChar("dim_delta_IMVGetLive1"));
  SET_STRING_ELT(nms, 39, mkChar("dim_delta_IMVGetLive2"));
  SET_STRING_ELT(nms, 40, mkChar("dim_delta_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 41, mkChar("dim_delta_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 42, mkChar("dim_delta_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 43, mkChar("dim_delta_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 44, mkChar("dim_delta_IOxGetDie1"));
  SET_STRING_ELT(nms, 45, mkChar("dim_delta_IOxGetDie2"));
  SET_STRING_ELT(nms, 46, mkChar("dim_delta_IOxGetLive1"));
  SET_STRING_ELT(nms, 47, mkChar("dim_delta_IOxGetLive2"));
  SET_STRING_ELT(nms, 48, mkChar("dim_delta_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 49, mkChar("dim_delta_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 50, mkChar("dim_delta_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 51, mkChar("dim_delta_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 52, mkChar("dim_delta_IRec1"));
  SET_STRING_ELT(nms, 53, mkChar("dim_delta_IRec2"));
  SET_STRING_ELT(nms, 54, mkChar("dim_delta_R"));
  SET_STRING_ELT(nms, 55, mkChar("dim_E1"));
  SET_STRING_ELT(nms, 56, mkChar("dim_E1_0"));
  SET_STRING_ELT(nms, 57, mkChar("dim_E2"));
  SET_STRING_ELT(nms, 58, mkChar("dim_E2_0"));
  SET_STRING_ELT(nms, 59, mkChar("dim_hosp_beds"));
  SET_STRING_ELT(nms, 60, mkChar("dim_ICase1"));
  SET_STRING_ELT(nms, 61, mkChar("dim_ICase1_0"));
  SET_STRING_ELT(nms, 62, mkChar("dim_ICase2"));
  SET_STRING_ELT(nms, 63, mkChar("dim_ICase2_0"));
  SET_STRING_ELT(nms, 64, mkChar("dim_ICU_beds"));
  SET_STRING_ELT(nms, 65, mkChar("dim_IMild"));
  SET_STRING_ELT(nms, 66, mkChar("dim_IMild_0"));
  SET_STRING_ELT(nms, 67, mkChar("dim_IMVGetDie1"));
  SET_STRING_ELT(nms, 68, mkChar("dim_IMVGetDie1_0"));
  SET_STRING_ELT(nms, 69, mkChar("dim_IMVGetDie2"));
  SET_STRING_ELT(nms, 70, mkChar("dim_IMVGetDie2_0"));
  SET_STRING_ELT(nms, 71, mkChar("dim_IMVGetLive1"));
  SET_STRING_ELT(nms, 72, mkChar("dim_IMVGetLive1_0"));
  SET_STRING_ELT(nms, 73, mkChar("dim_IMVGetLive2"));
  SET_STRING_ELT(nms, 74, mkChar("dim_IMVGetLive2_0"));
  SET_STRING_ELT(nms, 75, mkChar("dim_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 76, mkChar("dim_IMVNotGetDie1_0"));
  SET_STRING_ELT(nms, 77, mkChar("dim_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 78, mkChar("dim_IMVNotGetDie2_0"));
  SET_STRING_ELT(nms, 79, mkChar("dim_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 80, mkChar("dim_IMVNotGetLive1_0"));
  SET_STRING_ELT(nms, 81, mkChar("dim_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 82, mkChar("dim_IMVNotGetLive2_0"));
  SET_STRING_ELT(nms, 83, mkChar("dim_IOxGetDie1"));
  SET_STRING_ELT(nms, 84, mkChar("dim_IOxGetDie1_0"));
  SET_STRING_ELT(nms, 85, mkChar("dim_IOxGetDie2"));
  SET_STRING_ELT(nms, 86, mkChar("dim_IOxGetDie2_0"));
  SET_STRING_ELT(nms, 87, mkChar("dim_IOxGetLive1"));
  SET_STRING_ELT(nms, 88, mkChar("dim_IOxGetLive1_0"));
  SET_STRING_ELT(nms, 89, mkChar("dim_IOxGetLive2"));
  SET_STRING_ELT(nms, 90, mkChar("dim_IOxGetLive2_0"));
  SET_STRING_ELT(nms, 91, mkChar("dim_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 92, mkChar("dim_IOxNotGetDie1_0"));
  SET_STRING_ELT(nms, 93, mkChar("dim_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 94, mkChar("dim_IOxNotGetDie2_0"));
  SET_STRING_ELT(nms, 95, mkChar("dim_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 96, mkChar("dim_IOxNotGetLive1_0"));
  SET_STRING_ELT(nms, 97, mkChar("dim_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 98, mkChar("dim_IOxNotGetLive2_0"));
  SET_STRING_ELT(nms, 99, mkChar("dim_IRec1"));
  SET_STRING_ELT(nms, 100, mkChar("dim_IRec1_0"));
  SET_STRING_ELT(nms, 101, mkChar("dim_IRec2"));
  SET_STRING_ELT(nms, 102, mkChar("dim_IRec2_0"));
  SET_STRING_ELT(nms, 103, mkChar("dim_lambda"));
  SET_STRING_ELT(nms, 104, mkChar("dim_m"));
  SET_STRING_ELT(nms, 105, mkChar("dim_m_1"));
  SET_STRING_ELT(nms, 106, mkChar("dim_m_2"));
  SET_STRING_ELT(nms, 107, mkChar("dim_mix_mat_set"));
  SET_STRING_ELT(nms, 108, mkChar("dim_mix_mat_set_1"));
  SET_STRING_ELT(nms, 109, mkChar("dim_mix_mat_set_12"));
  SET_STRING_ELT(nms, 110, mkChar("dim_mix_mat_set_2"));
  SET_STRING_ELT(nms, 111, mkChar("dim_mix_mat_set_3"));
  SET_STRING_ELT(nms, 112, mkChar("dim_n_E1_E2"));
  SET_STRING_ELT(nms, 113, mkChar("dim_n_E2_I"));
  SET_STRING_ELT(nms, 114, mkChar("dim_n_E2_ICase1"));
  SET_STRING_ELT(nms, 115, mkChar("dim_n_E2_IMild"));
  SET_STRING_ELT(nms, 116, mkChar("dim_n_ICase1_ICase2"));
  SET_STRING_ELT(nms, 117, mkChar("dim_n_ICase2_Hosp"));
  SET_STRING_ELT(nms, 118, mkChar("dim_n_IMild_R"));
  SET_STRING_ELT(nms, 119, mkChar("dim_n_IMVGetDie1"));
  SET_STRING_ELT(nms, 120, mkChar("dim_n_IMVGetDie1_IMVGetDie2"));
  SET_STRING_ELT(nms, 121, mkChar("dim_n_IMVGetDie2_D"));
  SET_STRING_ELT(nms, 122, mkChar("dim_n_IMVGetLive1"));
  SET_STRING_ELT(nms, 123, mkChar("dim_n_IMVGetLive1_IMVGetLive2"));
  SET_STRING_ELT(nms, 124, mkChar("dim_n_IMVGetLive2_Rec"));
  SET_STRING_ELT(nms, 125, mkChar("dim_n_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 126, mkChar("dim_n_IMVNotGetDie1_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 127, mkChar("dim_n_IMVNotGetDie2_D"));
  SET_STRING_ELT(nms, 128, mkChar("dim_n_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 129, mkChar("dim_n_IMVNotGetLive1_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 130, mkChar("dim_n_IMVNotGetLive2_R"));
  SET_STRING_ELT(nms, 131, mkChar("dim_n_IOxGetDie1"));
  SET_STRING_ELT(nms, 132, mkChar("dim_n_IOxGetDie1_IOxGetDie2"));
  SET_STRING_ELT(nms, 133, mkChar("dim_n_IOxGetDie2_D"));
  SET_STRING_ELT(nms, 134, mkChar("dim_n_IOxGetLive1"));
  SET_STRING_ELT(nms, 135, mkChar("dim_n_IOxGetLive1_IOxGetLive2"));
  SET_STRING_ELT(nms, 136, mkChar("dim_n_IOxGetLive2_R"));
  SET_STRING_ELT(nms, 137, mkChar("dim_n_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 138, mkChar("dim_n_IOxNotGetDie1_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 139, mkChar("dim_n_IOxNotGetDie2_D"));
  SET_STRING_ELT(nms, 140, mkChar("dim_n_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 141, mkChar("dim_n_IOxNotGetLive1_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 142, mkChar("dim_n_IOxNotGetLive2_R"));
  SET_STRING_ELT(nms, 143, mkChar("dim_n_IRec1_IRec2"));
  SET_STRING_ELT(nms, 144, mkChar("dim_n_IRec2_R"));
  SET_STRING_ELT(nms, 145, mkChar("dim_n_S_E1"));
  SET_STRING_ELT(nms, 146, mkChar("dim_number_get_IMV"));
  SET_STRING_ELT(nms, 147, mkChar("dim_number_get_Ox"));
  SET_STRING_ELT(nms, 148, mkChar("dim_number_notget_IMV"));
  SET_STRING_ELT(nms, 149, mkChar("dim_number_notget_Ox"));
  SET_STRING_ELT(nms, 150, mkChar("dim_number_requiring_IMV"));
  SET_STRING_ELT(nms, 151, mkChar("dim_number_requiring_Ox"));
  SET_STRING_ELT(nms, 152, mkChar("dim_p_S_E1"));
  SET_STRING_ELT(nms, 153, mkChar("dim_prob_hosp"));
  SET_STRING_ELT(nms, 154, mkChar("dim_prob_non_severe_death_no_treatment"));
  SET_STRING_ELT(nms, 155, mkChar("dim_prob_non_severe_death_treatment"));
  SET_STRING_ELT(nms, 156, mkChar("dim_prob_severe"));
  SET_STRING_ELT(nms, 157, mkChar("dim_prob_severe_death_no_treatment"));
  SET_STRING_ELT(nms, 158, mkChar("dim_prob_severe_death_treatment"));
  SET_STRING_ELT(nms, 159, mkChar("dim_R"));
  SET_STRING_ELT(nms, 160, mkChar("dim_R_0"));
  SET_STRING_ELT(nms, 161, mkChar("dim_S"));
  SET_STRING_ELT(nms, 162, mkChar("dim_S_0"));
  SET_STRING_ELT(nms, 163, mkChar("dim_s_ij"));
  SET_STRING_ELT(nms, 164, mkChar("dim_s_ij_1"));
  SET_STRING_ELT(nms, 165, mkChar("dim_s_ij_2"));
  SET_STRING_ELT(nms, 166, mkChar("dim_temp"));
  SET_STRING_ELT(nms, 167, mkChar("dim_tt_beta"));
  SET_STRING_ELT(nms, 168, mkChar("dim_tt_hosp_beds"));
  SET_STRING_ELT(nms, 169, mkChar("dim_tt_ICU_beds"));
  SET_STRING_ELT(nms, 170, mkChar("dim_tt_matrix"));
  SET_STRING_ELT(nms, 171, mkChar("dt"));
  SET_STRING_ELT(nms, 172, mkChar("E1_0"));
  SET_STRING_ELT(nms, 173, mkChar("E2_0"));
  SET_STRING_ELT(nms, 174, mkChar("gamma_E"));
  SET_STRING_ELT(nms, 175, mkChar("gamma_get_mv_die"));
  SET_STRING_ELT(nms, 176, mkChar("gamma_get_mv_survive"));
  SET_STRING_ELT(nms, 177, mkChar("gamma_get_ox_die"));
  SET_STRING_ELT(nms, 178, mkChar("gamma_get_ox_survive"));
  SET_STRING_ELT(nms, 179, mkChar("gamma_ICase"));
  SET_STRING_ELT(nms, 180, mkChar("gamma_IMild"));
  SET_STRING_ELT(nms, 181, mkChar("gamma_not_get_mv_die"));
  SET_STRING_ELT(nms, 182, mkChar("gamma_not_get_mv_survive"));
  SET_STRING_ELT(nms, 183, mkChar("gamma_not_get_ox_die"));
  SET_STRING_ELT(nms, 184, mkChar("gamma_not_get_ox_survive"));
  SET_STRING_ELT(nms, 185, mkChar("gamma_rec"));
  SET_STRING_ELT(nms, 186, mkChar("hosp_beds"));
  SET_STRING_ELT(nms, 187, mkChar("ICase1_0"));
  SET_STRING_ELT(nms, 188, mkChar("ICase2_0"));
  SET_STRING_ELT(nms, 189, mkChar("ICU_beds"));
  SET_STRING_ELT(nms, 190, mkChar("IMild_0"));
  SET_STRING_ELT(nms, 191, mkChar("IMVGetDie1_0"));
  SET_STRING_ELT(nms, 192, mkChar("IMVGetDie2_0"));
  SET_STRING_ELT(nms, 193, mkChar("IMVGetLive1_0"));
  SET_STRING_ELT(nms, 194, mkChar("IMVGetLive2_0"));
  SET_STRING_ELT(nms, 195, mkChar("IMVNotGetDie1_0"));
  SET_STRING_ELT(nms, 196, mkChar("IMVNotGetDie2_0"));
  SET_STRING_ELT(nms, 197, mkChar("IMVNotGetLive1_0"));
  SET_STRING_ELT(nms, 198, mkChar("IMVNotGetLive2_0"));
  SET_STRING_ELT(nms, 199, mkChar("initial_D"));
  SET_STRING_ELT(nms, 200, mkChar("initial_E1"));
  SET_STRING_ELT(nms, 201, mkChar("initial_E2"));
  SET_STRING_ELT(nms, 202, mkChar("initial_ICase1"));
  SET_STRING_ELT(nms, 203, mkChar("initial_ICase2"));
  SET_STRING_ELT(nms, 204, mkChar("initial_IMild"));
  SET_STRING_ELT(nms, 205, mkChar("initial_IMVGetDie1"));
  SET_STRING_ELT(nms, 206, mkChar("initial_IMVGetDie2"));
  SET_STRING_ELT(nms, 207, mkChar("initial_IMVGetLive1"));
  SET_STRING_ELT(nms, 208, mkChar("initial_IMVGetLive2"));
  SET_STRING_ELT(nms, 209, mkChar("initial_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 210, mkChar("initial_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 211, mkChar("initial_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 212, mkChar("initial_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 213, mkChar("initial_IOxGetDie1"));
  SET_STRING_ELT(nms, 214, mkChar("initial_IOxGetDie2"));
  SET_STRING_ELT(nms, 215, mkChar("initial_IOxGetLive1"));
  SET_STRING_ELT(nms, 216, mkChar("initial_IOxGetLive2"));
  SET_STRING_ELT(nms, 217, mkChar("initial_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 218, mkChar("initial_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 219, mkChar("initial_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 220, mkChar("initial_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 221, mkChar("initial_IRec1"));
  SET_STRING_ELT(nms, 222, mkChar("initial_IRec2"));
  SET_STRING_ELT(nms, 223, mkChar("initial_R"));
  SET_STRING_ELT(nms, 224, mkChar("initial_S"));
  SET_STRING_ELT(nms, 225, mkChar("interpolate_beta"));
  SET_STRING_ELT(nms, 226, mkChar("interpolate_hosp_bed_capacity"));
  SET_STRING_ELT(nms, 227, mkChar("interpolate_ICU_bed_capacity"));
  SET_STRING_ELT(nms, 228, mkChar("interpolate_m"));
  SET_STRING_ELT(nms, 229, mkChar("IOxGetDie1_0"));
  SET_STRING_ELT(nms, 230, mkChar("IOxGetDie2_0"));
  SET_STRING_ELT(nms, 231, mkChar("IOxGetLive1_0"));
  SET_STRING_ELT(nms, 232, mkChar("IOxGetLive2_0"));
  SET_STRING_ELT(nms, 233, mkChar("IOxNotGetDie1_0"));
  SET_STRING_ELT(nms, 234, mkChar("IOxNotGetDie2_0"));
  SET_STRING_ELT(nms, 235, mkChar("IOxNotGetLive1_0"));
  SET_STRING_ELT(nms, 236, mkChar("IOxNotGetLive2_0"));
  SET_STRING_ELT(nms, 237, mkChar("IRec1_0"));
  SET_STRING_ELT(nms, 238, mkChar("IRec2_0"));
  SET_STRING_ELT(nms, 239, mkChar("lambda"));
  SET_STRING_ELT(nms, 240, mkChar("m"));
  SET_STRING_ELT(nms, 241, mkChar("mix_mat_set"));
  SET_STRING_ELT(nms, 242, mkChar("N_age"));
  SET_STRING_ELT(nms, 243, mkChar("n_E1_E2"));
  SET_STRING_ELT(nms, 244, mkChar("n_E2_I"));
  SET_STRING_ELT(nms, 245, mkChar("n_E2_ICase1"));
  SET_STRING_ELT(nms, 246, mkChar("n_E2_IMild"));
  SET_STRING_ELT(nms, 247, mkChar("n_ICase1_ICase2"));
  SET_STRING_ELT(nms, 248, mkChar("n_ICase2_Hosp"));
  SET_STRING_ELT(nms, 249, mkChar("n_IMild_R"));
  SET_STRING_ELT(nms, 250, mkChar("n_IMVGetDie1"));
  SET_STRING_ELT(nms, 251, mkChar("n_IMVGetDie1_IMVGetDie2"));
  SET_STRING_ELT(nms, 252, mkChar("n_IMVGetDie2_D"));
  SET_STRING_ELT(nms, 253, mkChar("n_IMVGetLive1"));
  SET_STRING_ELT(nms, 254, mkChar("n_IMVGetLive1_IMVGetLive2"));
  SET_STRING_ELT(nms, 255, mkChar("n_IMVGetLive2_Rec"));
  SET_STRING_ELT(nms, 256, mkChar("n_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 257, mkChar("n_IMVNotGetDie1_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 258, mkChar("n_IMVNotGetDie2_D"));
  SET_STRING_ELT(nms, 259, mkChar("n_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 260, mkChar("n_IMVNotGetLive1_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 261, mkChar("n_IMVNotGetLive2_R"));
  SET_STRING_ELT(nms, 262, mkChar("n_IOxGetDie1"));
  SET_STRING_ELT(nms, 263, mkChar("n_IOxGetDie1_IOxGetDie2"));
  SET_STRING_ELT(nms, 264, mkChar("n_IOxGetDie2_D"));
  SET_STRING_ELT(nms, 265, mkChar("n_IOxGetLive1"));
  SET_STRING_ELT(nms, 266, mkChar("n_IOxGetLive1_IOxGetLive2"));
  SET_STRING_ELT(nms, 267, mkChar("n_IOxGetLive2_R"));
  SET_STRING_ELT(nms, 268, mkChar("n_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 269, mkChar("n_IOxNotGetDie1_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 270, mkChar("n_IOxNotGetDie2_D"));
  SET_STRING_ELT(nms, 271, mkChar("n_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 272, mkChar("n_IOxNotGetLive1_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 273, mkChar("n_IOxNotGetLive2_R"));
  SET_STRING_ELT(nms, 274, mkChar("n_IRec1_IRec2"));
  SET_STRING_ELT(nms, 275, mkChar("n_IRec2_R"));
  SET_STRING_ELT(nms, 276, mkChar("n_S_E1"));
  SET_STRING_ELT(nms, 277, mkChar("number_get_IMV"));
  SET_STRING_ELT(nms, 278, mkChar("number_get_Ox"));
  SET_STRING_ELT(nms, 279, mkChar("number_notget_IMV"));
  SET_STRING_ELT(nms, 280, mkChar("number_notget_Ox"));
  SET_STRING_ELT(nms, 281, mkChar("number_requiring_IMV"));
  SET_STRING_ELT(nms, 282, mkChar("number_requiring_Ox"));
  SET_STRING_ELT(nms, 283, mkChar("offset_output_delta_D"));
  SET_STRING_ELT(nms, 284, mkChar("offset_output_n_E2_ICase1"));
  SET_STRING_ELT(nms, 285, mkChar("offset_output_n_E2_IMild"));
  SET_STRING_ELT(nms, 286, mkChar("offset_output_number_requiring_IMV"));
  SET_STRING_ELT(nms, 287, mkChar("offset_variable_D"));
  SET_STRING_ELT(nms, 288, mkChar("offset_variable_E2"));
  SET_STRING_ELT(nms, 289, mkChar("offset_variable_ICase1"));
  SET_STRING_ELT(nms, 290, mkChar("offset_variable_ICase2"));
  SET_STRING_ELT(nms, 291, mkChar("offset_variable_IMild"));
  SET_STRING_ELT(nms, 292, mkChar("offset_variable_IMVGetDie1"));
  SET_STRING_ELT(nms, 293, mkChar("offset_variable_IMVGetDie2"));
  SET_STRING_ELT(nms, 294, mkChar("offset_variable_IMVGetLive1"));
  SET_STRING_ELT(nms, 295, mkChar("offset_variable_IMVGetLive2"));
  SET_STRING_ELT(nms, 296, mkChar("offset_variable_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 297, mkChar("offset_variable_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 298, mkChar("offset_variable_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 299, mkChar("offset_variable_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 300, mkChar("offset_variable_IOxGetDie1"));
  SET_STRING_ELT(nms, 301, mkChar("offset_variable_IOxGetDie2"));
  SET_STRING_ELT(nms, 302, mkChar("offset_variable_IOxGetLive1"));
  SET_STRING_ELT(nms, 303, mkChar("offset_variable_IOxGetLive2"));
  SET_STRING_ELT(nms, 304, mkChar("offset_variable_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 305, mkChar("offset_variable_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 306, mkChar("offset_variable_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 307, mkChar("offset_variable_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 308, mkChar("offset_variable_IRec1"));
  SET_STRING_ELT(nms, 309, mkChar("offset_variable_IRec2"));
  SET_STRING_ELT(nms, 310, mkChar("offset_variable_R"));
  SET_STRING_ELT(nms, 311, mkChar("p_E1_E2"));
  SET_STRING_ELT(nms, 312, mkChar("p_E2_I"));
  SET_STRING_ELT(nms, 313, mkChar("p_ICase1_ICase2"));
  SET_STRING_ELT(nms, 314, mkChar("p_ICase2_Hosp"));
  SET_STRING_ELT(nms, 315, mkChar("p_IMild_R"));
  SET_STRING_ELT(nms, 316, mkChar("p_IMVGetDie1_IMVGetDie2"));
  SET_STRING_ELT(nms, 317, mkChar("p_IMVGetDie2_D"));
  SET_STRING_ELT(nms, 318, mkChar("p_IMVGetLive1_IMVGetLive2"));
  SET_STRING_ELT(nms, 319, mkChar("p_IMVGetLive2_Rec"));
  SET_STRING_ELT(nms, 320, mkChar("p_IMVNotGetDie1_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 321, mkChar("p_IMVNotGetDie2_D"));
  SET_STRING_ELT(nms, 322, mkChar("p_IMVNotGetLive1_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 323, mkChar("p_IMVNotGetLive2_R"));
  SET_STRING_ELT(nms, 324, mkChar("p_IOxGetDie1_IOxGetDie2"));
  SET_STRING_ELT(nms, 325, mkChar("p_IOxGetDie2_D"));
  SET_STRING_ELT(nms, 326, mkChar("p_IOxGetLive1_IOxGetLive2"));
  SET_STRING_ELT(nms, 327, mkChar("p_IOxGetLive2_R"));
  SET_STRING_ELT(nms, 328, mkChar("p_IOxNotGetDie1_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 329, mkChar("p_IOxNotGetDie2_D"));
  SET_STRING_ELT(nms, 330, mkChar("p_IOxNotGetLive1_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 331, mkChar("p_IOxNotGetLive2_R"));
  SET_STRING_ELT(nms, 332, mkChar("p_Rec1_Rec2"));
  SET_STRING_ELT(nms, 333, mkChar("p_Rec2_R"));
  SET_STRING_ELT(nms, 334, mkChar("p_S_E1"));
  SET_STRING_ELT(nms, 335, mkChar("prob_hosp"));
  SET_STRING_ELT(nms, 336, mkChar("prob_non_severe_death_no_treatment"));
  SET_STRING_ELT(nms, 337, mkChar("prob_non_severe_death_treatment"));
  SET_STRING_ELT(nms, 338, mkChar("prob_severe"));
  SET_STRING_ELT(nms, 339, mkChar("prob_severe_death_no_treatment"));
  SET_STRING_ELT(nms, 340, mkChar("prob_severe_death_treatment"));
  SET_STRING_ELT(nms, 341, mkChar("R_0"));
  SET_STRING_ELT(nms, 342, mkChar("S_0"));
  SET_STRING_ELT(nms, 343, mkChar("s_ij"));
  SET_STRING_ELT(nms, 344, mkChar("temp"));
  SET_STRING_ELT(nms, 345, mkChar("tt_beta"));
  SET_STRING_ELT(nms, 346, mkChar("tt_hosp_beds"));
  SET_STRING_ELT(nms, 347, mkChar("tt_ICU_beds"));
  SET_STRING_ELT(nms, 348, mkChar("tt_matrix"));
  setAttrib(contents, R_NamesSymbol, nms);
  UNPROTECT(138);
  return contents;
}
SEXP explicit_SEIR_set_user(SEXP internal_p, SEXP user) {
  explicit_SEIR_internal *internal = explicit_SEIR_get_internal(internal_p, 1);
  internal->dt = user_get_scalar_double(user, "dt", internal->dt, NA_REAL, NA_REAL);
  internal->gamma_E = user_get_scalar_double(user, "gamma_E", internal->gamma_E, NA_REAL, NA_REAL);
  internal->gamma_get_mv_die = user_get_scalar_double(user, "gamma_get_mv_die", internal->gamma_get_mv_die, NA_REAL, NA_REAL);
  internal->gamma_get_mv_survive = user_get_scalar_double(user, "gamma_get_mv_survive", internal->gamma_get_mv_survive, NA_REAL, NA_REAL);
  internal->gamma_get_ox_die = user_get_scalar_double(user, "gamma_get_ox_die", internal->gamma_get_ox_die, NA_REAL, NA_REAL);
  internal->gamma_get_ox_survive = user_get_scalar_double(user, "gamma_get_ox_survive", internal->gamma_get_ox_survive, NA_REAL, NA_REAL);
  internal->gamma_ICase = user_get_scalar_double(user, "gamma_ICase", internal->gamma_ICase, NA_REAL, NA_REAL);
  internal->gamma_IMild = user_get_scalar_double(user, "gamma_IMild", internal->gamma_IMild, NA_REAL, NA_REAL);
  internal->gamma_not_get_mv_die = user_get_scalar_double(user, "gamma_not_get_mv_die", internal->gamma_not_get_mv_die, NA_REAL, NA_REAL);
  internal->gamma_not_get_mv_survive = user_get_scalar_double(user, "gamma_not_get_mv_survive", internal->gamma_not_get_mv_survive, NA_REAL, NA_REAL);
  internal->gamma_not_get_ox_die = user_get_scalar_double(user, "gamma_not_get_ox_die", internal->gamma_not_get_ox_die, NA_REAL, NA_REAL);
  internal->gamma_not_get_ox_survive = user_get_scalar_double(user, "gamma_not_get_ox_survive", internal->gamma_not_get_ox_survive, NA_REAL, NA_REAL);
  internal->gamma_rec = user_get_scalar_double(user, "gamma_rec", internal->gamma_rec, NA_REAL, NA_REAL);
  internal->N_age = user_get_scalar_int(user, "N_age", internal->N_age, NA_REAL, NA_REAL);
  internal->tt_beta = (double*) user_get_array_dim(user, false, internal->tt_beta, "tt_beta", 1, NA_REAL, NA_REAL, &internal->dim_tt_beta);
  internal->tt_hosp_beds = (double*) user_get_array_dim(user, false, internal->tt_hosp_beds, "tt_hosp_beds", 1, NA_REAL, NA_REAL, &internal->dim_tt_hosp_beds);
  internal->tt_ICU_beds = (double*) user_get_array_dim(user, false, internal->tt_ICU_beds, "tt_ICU_beds", 1, NA_REAL, NA_REAL, &internal->dim_tt_ICU_beds);
  internal->tt_matrix = (double*) user_get_array_dim(user, false, internal->tt_matrix, "tt_matrix", 1, NA_REAL, NA_REAL, &internal->dim_tt_matrix);
  internal->dim_D = internal->N_age;
  internal->dim_D_0 = internal->N_age;
  internal->dim_delta_D = internal->N_age;
  internal->dim_delta_E1 = internal->N_age;
  internal->dim_delta_E2 = internal->N_age;
  internal->dim_delta_ICase1 = internal->N_age;
  internal->dim_delta_ICase2 = internal->N_age;
  internal->dim_delta_IMild = internal->N_age;
  internal->dim_delta_IMVGetDie1 = internal->N_age;
  internal->dim_delta_IMVGetDie2 = internal->N_age;
  internal->dim_delta_IMVGetLive1 = internal->N_age;
  internal->dim_delta_IMVGetLive2 = internal->N_age;
  internal->dim_delta_IMVNotGetDie1 = internal->N_age;
  internal->dim_delta_IMVNotGetDie2 = internal->N_age;
  internal->dim_delta_IMVNotGetLive1 = internal->N_age;
  internal->dim_delta_IMVNotGetLive2 = internal->N_age;
  internal->dim_delta_IOxGetDie1 = internal->N_age;
  internal->dim_delta_IOxGetDie2 = internal->N_age;
  internal->dim_delta_IOxGetLive1 = internal->N_age;
  internal->dim_delta_IOxGetLive2 = internal->N_age;
  internal->dim_delta_IOxNotGetDie1 = internal->N_age;
  internal->dim_delta_IOxNotGetDie2 = internal->N_age;
  internal->dim_delta_IOxNotGetLive1 = internal->N_age;
  internal->dim_delta_IOxNotGetLive2 = internal->N_age;
  internal->dim_delta_IRec1 = internal->N_age;
  internal->dim_delta_IRec2 = internal->N_age;
  internal->dim_delta_R = internal->N_age;
  internal->dim_E1 = internal->N_age;
  internal->dim_E1_0 = internal->N_age;
  internal->dim_E2 = internal->N_age;
  internal->dim_E2_0 = internal->N_age;
  internal->dim_ICase1 = internal->N_age;
  internal->dim_ICase1_0 = internal->N_age;
  internal->dim_ICase2 = internal->N_age;
  internal->dim_ICase2_0 = internal->N_age;
  internal->dim_IMild = internal->N_age;
  internal->dim_IMild_0 = internal->N_age;
  internal->dim_IMVGetDie1 = internal->N_age;
  internal->dim_IMVGetDie1_0 = internal->N_age;
  internal->dim_IMVGetDie2 = internal->N_age;
  internal->dim_IMVGetDie2_0 = internal->N_age;
  internal->dim_IMVGetLive1 = internal->N_age;
  internal->dim_IMVGetLive1_0 = internal->N_age;
  internal->dim_IMVGetLive2 = internal->N_age;
  internal->dim_IMVGetLive2_0 = internal->N_age;
  internal->dim_IMVNotGetDie1 = internal->N_age;
  internal->dim_IMVNotGetDie1_0 = internal->N_age;
  internal->dim_IMVNotGetDie2 = internal->N_age;
  internal->dim_IMVNotGetDie2_0 = internal->N_age;
  internal->dim_IMVNotGetLive1 = internal->N_age;
  internal->dim_IMVNotGetLive1_0 = internal->N_age;
  internal->dim_IMVNotGetLive2 = internal->N_age;
  internal->dim_IMVNotGetLive2_0 = internal->N_age;
  internal->dim_IOxGetDie1 = internal->N_age;
  internal->dim_IOxGetDie1_0 = internal->N_age;
  internal->dim_IOxGetDie2 = internal->N_age;
  internal->dim_IOxGetDie2_0 = internal->N_age;
  internal->dim_IOxGetLive1 = internal->N_age;
  internal->dim_IOxGetLive1_0 = internal->N_age;
  internal->dim_IOxGetLive2 = internal->N_age;
  internal->dim_IOxGetLive2_0 = internal->N_age;
  internal->dim_IOxNotGetDie1 = internal->N_age;
  internal->dim_IOxNotGetDie1_0 = internal->N_age;
  internal->dim_IOxNotGetDie2 = internal->N_age;
  internal->dim_IOxNotGetDie2_0 = internal->N_age;
  internal->dim_IOxNotGetLive1 = internal->N_age;
  internal->dim_IOxNotGetLive1_0 = internal->N_age;
  internal->dim_IOxNotGetLive2 = internal->N_age;
  internal->dim_IOxNotGetLive2_0 = internal->N_age;
  internal->dim_IRec1 = internal->N_age;
  internal->dim_IRec1_0 = internal->N_age;
  internal->dim_IRec2 = internal->N_age;
  internal->dim_IRec2_0 = internal->N_age;
  internal->dim_lambda = internal->N_age;
  internal->dim_m_1 = internal->N_age;
  internal->dim_m_2 = internal->N_age;
  internal->dim_n_E1_E2 = internal->N_age;
  internal->dim_n_E2_I = internal->N_age;
  internal->dim_n_E2_ICase1 = internal->N_age;
  internal->dim_n_E2_IMild = internal->N_age;
  internal->dim_n_ICase1_ICase2 = internal->N_age;
  internal->dim_n_ICase2_Hosp = internal->N_age;
  internal->dim_n_IMild_R = internal->N_age;
  internal->dim_n_IMVGetDie1 = internal->N_age;
  internal->dim_n_IMVGetDie1_IMVGetDie2 = internal->N_age;
  internal->dim_n_IMVGetDie2_D = internal->N_age;
  internal->dim_n_IMVGetLive1 = internal->N_age;
  internal->dim_n_IMVGetLive1_IMVGetLive2 = internal->N_age;
  internal->dim_n_IMVGetLive2_Rec = internal->N_age;
  internal->dim_n_IMVNotGetDie1 = internal->N_age;
  internal->dim_n_IMVNotGetDie1_IMVNotGetDie2 = internal->N_age;
  internal->dim_n_IMVNotGetDie2_D = internal->N_age;
  internal->dim_n_IMVNotGetLive1 = internal->N_age;
  internal->dim_n_IMVNotGetLive1_IMVNotGetLive2 = internal->N_age;
  internal->dim_n_IMVNotGetLive2_R = internal->N_age;
  internal->dim_n_IOxGetDie1 = internal->N_age;
  internal->dim_n_IOxGetDie1_IOxGetDie2 = internal->N_age;
  internal->dim_n_IOxGetDie2_D = internal->N_age;
  internal->dim_n_IOxGetLive1 = internal->N_age;
  internal->dim_n_IOxGetLive1_IOxGetLive2 = internal->N_age;
  internal->dim_n_IOxGetLive2_R = internal->N_age;
  internal->dim_n_IOxNotGetDie1 = internal->N_age;
  internal->dim_n_IOxNotGetDie1_IOxNotGetDie2 = internal->N_age;
  internal->dim_n_IOxNotGetDie2_D = internal->N_age;
  internal->dim_n_IOxNotGetLive1 = internal->N_age;
  internal->dim_n_IOxNotGetLive1_IOxNotGetLive2 = internal->N_age;
  internal->dim_n_IOxNotGetLive2_R = internal->N_age;
  internal->dim_n_IRec1_IRec2 = internal->N_age;
  internal->dim_n_IRec2_R = internal->N_age;
  internal->dim_n_S_E1 = internal->N_age;
  internal->dim_number_get_IMV = internal->N_age;
  internal->dim_number_get_Ox = internal->N_age;
  internal->dim_number_notget_IMV = internal->N_age;
  internal->dim_number_notget_Ox = internal->N_age;
  internal->dim_number_requiring_IMV = internal->N_age;
  internal->dim_number_requiring_Ox = internal->N_age;
  internal->dim_p_S_E1 = internal->N_age;
  internal->dim_prob_hosp = internal->N_age;
  internal->dim_prob_non_severe_death_no_treatment = internal->N_age;
  internal->dim_prob_non_severe_death_treatment = internal->N_age;
  internal->dim_prob_severe = internal->N_age;
  internal->dim_prob_severe_death_no_treatment = internal->N_age;
  internal->dim_prob_severe_death_treatment = internal->N_age;
  internal->dim_R = internal->N_age;
  internal->dim_R_0 = internal->N_age;
  internal->dim_S = internal->N_age;
  internal->dim_S_0 = internal->N_age;
  internal->dim_s_ij_1 = internal->N_age;
  internal->dim_s_ij_2 = internal->N_age;
  internal->dim_temp = internal->N_age;
  internal->p_E1_E2 = 1 - exp(-(internal->gamma_E) * internal->dt);
  internal->p_E2_I = 1 - exp(-(internal->gamma_E) * internal->dt);
  internal->p_ICase1_ICase2 = 1 - exp(-(internal->gamma_ICase) * internal->dt);
  internal->p_ICase2_Hosp = 1 - exp(-(internal->gamma_ICase) * internal->dt);
  internal->p_IMild_R = 1 - exp(-(internal->gamma_IMild) * internal->dt);
  internal->p_IMVGetDie1_IMVGetDie2 = 1 - exp(-(internal->gamma_get_mv_die) * internal->dt);
  internal->p_IMVGetDie2_D = 1 - exp(-(internal->gamma_get_mv_die) * internal->dt);
  internal->p_IMVGetLive1_IMVGetLive2 = 1 - exp(-(internal->gamma_get_mv_survive) * internal->dt);
  internal->p_IMVGetLive2_Rec = 1 - exp(-(internal->gamma_get_mv_survive) * internal->dt);
  internal->p_IMVNotGetDie1_IMVNotGetDie2 = 1 - exp(-(internal->gamma_not_get_mv_die) * internal->dt);
  internal->p_IMVNotGetDie2_D = 1 - exp(-(internal->gamma_not_get_mv_die) * internal->dt);
  internal->p_IMVNotGetLive1_IMVNotGetLive2 = 1 - exp(-(internal->gamma_not_get_mv_survive) * internal->dt);
  internal->p_IMVNotGetLive2_R = 1 - exp(-(internal->gamma_not_get_mv_survive) * internal->dt);
  internal->p_IOxGetDie1_IOxGetDie2 = 1 - exp(-(internal->gamma_get_ox_die) * internal->dt);
  internal->p_IOxGetDie2_D = 1 - exp(-(internal->gamma_get_ox_die) * internal->dt);
  internal->p_IOxGetLive1_IOxGetLive2 = 1 - exp(-(internal->gamma_get_ox_survive) * internal->dt);
  internal->p_IOxGetLive2_R = 1 - exp(-(internal->gamma_get_ox_survive) * internal->dt);
  internal->p_IOxNotGetDie1_IOxNotGetDie2 = 1 - exp(-(internal->gamma_not_get_ox_die) * internal->dt);
  internal->p_IOxNotGetDie2_D = 1 - exp(-(internal->gamma_not_get_ox_die) * internal->dt);
  internal->p_IOxNotGetLive1_IOxNotGetLive2 = 1 - exp(-(internal->gamma_not_get_ox_survive) * internal->dt);
  internal->p_IOxNotGetLive2_R = 1 - exp(-(internal->gamma_not_get_ox_survive) * internal->dt);
  internal->p_Rec1_Rec2 = 1 - exp(-(internal->gamma_rec) * internal->dt);
  internal->p_Rec2_R = 1 - exp(-(internal->gamma_rec) * internal->dt);
  Free(internal->delta_D);
  internal->delta_D = (double*) Calloc(internal->dim_delta_D, double);
  Free(internal->delta_E1);
  internal->delta_E1 = (double*) Calloc(internal->dim_delta_E1, double);
  Free(internal->delta_E2);
  internal->delta_E2 = (double*) Calloc(internal->dim_delta_E2, double);
  Free(internal->delta_ICase1);
  internal->delta_ICase1 = (double*) Calloc(internal->dim_delta_ICase1, double);
  Free(internal->delta_ICase2);
  internal->delta_ICase2 = (double*) Calloc(internal->dim_delta_ICase2, double);
  Free(internal->delta_IMild);
  internal->delta_IMild = (double*) Calloc(internal->dim_delta_IMild, double);
  Free(internal->delta_IMVGetDie1);
  internal->delta_IMVGetDie1 = (double*) Calloc(internal->dim_delta_IMVGetDie1, double);
  Free(internal->delta_IMVGetDie2);
  internal->delta_IMVGetDie2 = (double*) Calloc(internal->dim_delta_IMVGetDie2, double);
  Free(internal->delta_IMVGetLive1);
  internal->delta_IMVGetLive1 = (double*) Calloc(internal->dim_delta_IMVGetLive1, double);
  Free(internal->delta_IMVGetLive2);
  internal->delta_IMVGetLive2 = (double*) Calloc(internal->dim_delta_IMVGetLive2, double);
  Free(internal->delta_IMVNotGetDie1);
  internal->delta_IMVNotGetDie1 = (double*) Calloc(internal->dim_delta_IMVNotGetDie1, double);
  Free(internal->delta_IMVNotGetDie2);
  internal->delta_IMVNotGetDie2 = (double*) Calloc(internal->dim_delta_IMVNotGetDie2, double);
  Free(internal->delta_IMVNotGetLive1);
  internal->delta_IMVNotGetLive1 = (double*) Calloc(internal->dim_delta_IMVNotGetLive1, double);
  Free(internal->delta_IMVNotGetLive2);
  internal->delta_IMVNotGetLive2 = (double*) Calloc(internal->dim_delta_IMVNotGetLive2, double);
  Free(internal->delta_IOxGetDie1);
  internal->delta_IOxGetDie1 = (double*) Calloc(internal->dim_delta_IOxGetDie1, double);
  Free(internal->delta_IOxGetDie2);
  internal->delta_IOxGetDie2 = (double*) Calloc(internal->dim_delta_IOxGetDie2, double);
  Free(internal->delta_IOxGetLive1);
  internal->delta_IOxGetLive1 = (double*) Calloc(internal->dim_delta_IOxGetLive1, double);
  Free(internal->delta_IOxGetLive2);
  internal->delta_IOxGetLive2 = (double*) Calloc(internal->dim_delta_IOxGetLive2, double);
  Free(internal->delta_IOxNotGetDie1);
  internal->delta_IOxNotGetDie1 = (double*) Calloc(internal->dim_delta_IOxNotGetDie1, double);
  Free(internal->delta_IOxNotGetDie2);
  internal->delta_IOxNotGetDie2 = (double*) Calloc(internal->dim_delta_IOxNotGetDie2, double);
  Free(internal->delta_IOxNotGetLive1);
  internal->delta_IOxNotGetLive1 = (double*) Calloc(internal->dim_delta_IOxNotGetLive1, double);
  Free(internal->delta_IOxNotGetLive2);
  internal->delta_IOxNotGetLive2 = (double*) Calloc(internal->dim_delta_IOxNotGetLive2, double);
  Free(internal->delta_IRec1);
  internal->delta_IRec1 = (double*) Calloc(internal->dim_delta_IRec1, double);
  Free(internal->delta_IRec2);
  internal->delta_IRec2 = (double*) Calloc(internal->dim_delta_IRec2, double);
  Free(internal->delta_R);
  internal->delta_R = (double*) Calloc(internal->dim_delta_R, double);
  Free(internal->initial_D);
  internal->initial_D = (double*) Calloc(internal->dim_D, double);
  Free(internal->initial_E1);
  internal->initial_E1 = (double*) Calloc(internal->dim_E1, double);
  Free(internal->initial_E2);
  internal->initial_E2 = (double*) Calloc(internal->dim_E2, double);
  Free(internal->initial_ICase1);
  internal->initial_ICase1 = (double*) Calloc(internal->dim_ICase1, double);
  Free(internal->initial_ICase2);
  internal->initial_ICase2 = (double*) Calloc(internal->dim_ICase2, double);
  Free(internal->initial_IMild);
  internal->initial_IMild = (double*) Calloc(internal->dim_IMild, double);
  Free(internal->initial_IMVGetDie1);
  internal->initial_IMVGetDie1 = (double*) Calloc(internal->dim_IMVGetDie1, double);
  Free(internal->initial_IMVGetDie2);
  internal->initial_IMVGetDie2 = (double*) Calloc(internal->dim_IMVGetDie2, double);
  Free(internal->initial_IMVGetLive1);
  internal->initial_IMVGetLive1 = (double*) Calloc(internal->dim_IMVGetLive1, double);
  Free(internal->initial_IMVGetLive2);
  internal->initial_IMVGetLive2 = (double*) Calloc(internal->dim_IMVGetLive2, double);
  Free(internal->initial_IMVNotGetDie1);
  internal->initial_IMVNotGetDie1 = (double*) Calloc(internal->dim_IMVNotGetDie1, double);
  Free(internal->initial_IMVNotGetDie2);
  internal->initial_IMVNotGetDie2 = (double*) Calloc(internal->dim_IMVNotGetDie2, double);
  Free(internal->initial_IMVNotGetLive1);
  internal->initial_IMVNotGetLive1 = (double*) Calloc(internal->dim_IMVNotGetLive1, double);
  Free(internal->initial_IMVNotGetLive2);
  internal->initial_IMVNotGetLive2 = (double*) Calloc(internal->dim_IMVNotGetLive2, double);
  Free(internal->initial_IOxGetDie1);
  internal->initial_IOxGetDie1 = (double*) Calloc(internal->dim_IOxGetDie1, double);
  Free(internal->initial_IOxGetDie2);
  internal->initial_IOxGetDie2 = (double*) Calloc(internal->dim_IOxGetDie2, double);
  Free(internal->initial_IOxGetLive1);
  internal->initial_IOxGetLive1 = (double*) Calloc(internal->dim_IOxGetLive1, double);
  Free(internal->initial_IOxGetLive2);
  internal->initial_IOxGetLive2 = (double*) Calloc(internal->dim_IOxGetLive2, double);
  Free(internal->initial_IOxNotGetDie1);
  internal->initial_IOxNotGetDie1 = (double*) Calloc(internal->dim_IOxNotGetDie1, double);
  Free(internal->initial_IOxNotGetDie2);
  internal->initial_IOxNotGetDie2 = (double*) Calloc(internal->dim_IOxNotGetDie2, double);
  Free(internal->initial_IOxNotGetLive1);
  internal->initial_IOxNotGetLive1 = (double*) Calloc(internal->dim_IOxNotGetLive1, double);
  Free(internal->initial_IOxNotGetLive2);
  internal->initial_IOxNotGetLive2 = (double*) Calloc(internal->dim_IOxNotGetLive2, double);
  Free(internal->initial_IRec1);
  internal->initial_IRec1 = (double*) Calloc(internal->dim_IRec1, double);
  Free(internal->initial_IRec2);
  internal->initial_IRec2 = (double*) Calloc(internal->dim_IRec2, double);
  Free(internal->initial_R);
  internal->initial_R = (double*) Calloc(internal->dim_R, double);
  Free(internal->initial_S);
  internal->initial_S = (double*) Calloc(internal->dim_S, double);
  Free(internal->lambda);
  internal->lambda = (double*) Calloc(internal->dim_lambda, double);
  Free(internal->n_E1_E2);
  internal->n_E1_E2 = (double*) Calloc(internal->dim_n_E1_E2, double);
  Free(internal->n_E2_I);
  internal->n_E2_I = (double*) Calloc(internal->dim_n_E2_I, double);
  Free(internal->n_E2_ICase1);
  internal->n_E2_ICase1 = (double*) Calloc(internal->dim_n_E2_ICase1, double);
  Free(internal->n_E2_IMild);
  internal->n_E2_IMild = (double*) Calloc(internal->dim_n_E2_IMild, double);
  Free(internal->n_ICase1_ICase2);
  internal->n_ICase1_ICase2 = (double*) Calloc(internal->dim_n_ICase1_ICase2, double);
  Free(internal->n_ICase2_Hosp);
  internal->n_ICase2_Hosp = (double*) Calloc(internal->dim_n_ICase2_Hosp, double);
  Free(internal->n_IMild_R);
  internal->n_IMild_R = (double*) Calloc(internal->dim_n_IMild_R, double);
  Free(internal->n_IMVGetDie1);
  internal->n_IMVGetDie1 = (double*) Calloc(internal->dim_n_IMVGetDie1, double);
  Free(internal->n_IMVGetDie1_IMVGetDie2);
  internal->n_IMVGetDie1_IMVGetDie2 = (double*) Calloc(internal->dim_n_IMVGetDie1_IMVGetDie2, double);
  Free(internal->n_IMVGetDie2_D);
  internal->n_IMVGetDie2_D = (double*) Calloc(internal->dim_n_IMVGetDie2_D, double);
  Free(internal->n_IMVGetLive1);
  internal->n_IMVGetLive1 = (double*) Calloc(internal->dim_n_IMVGetLive1, double);
  Free(internal->n_IMVGetLive1_IMVGetLive2);
  internal->n_IMVGetLive1_IMVGetLive2 = (double*) Calloc(internal->dim_n_IMVGetLive1_IMVGetLive2, double);
  Free(internal->n_IMVGetLive2_Rec);
  internal->n_IMVGetLive2_Rec = (double*) Calloc(internal->dim_n_IMVGetLive2_Rec, double);
  Free(internal->n_IMVNotGetDie1);
  internal->n_IMVNotGetDie1 = (double*) Calloc(internal->dim_n_IMVNotGetDie1, double);
  Free(internal->n_IMVNotGetDie1_IMVNotGetDie2);
  internal->n_IMVNotGetDie1_IMVNotGetDie2 = (double*) Calloc(internal->dim_n_IMVNotGetDie1_IMVNotGetDie2, double);
  Free(internal->n_IMVNotGetDie2_D);
  internal->n_IMVNotGetDie2_D = (double*) Calloc(internal->dim_n_IMVNotGetDie2_D, double);
  Free(internal->n_IMVNotGetLive1);
  internal->n_IMVNotGetLive1 = (double*) Calloc(internal->dim_n_IMVNotGetLive1, double);
  Free(internal->n_IMVNotGetLive1_IMVNotGetLive2);
  internal->n_IMVNotGetLive1_IMVNotGetLive2 = (double*) Calloc(internal->dim_n_IMVNotGetLive1_IMVNotGetLive2, double);
  Free(internal->n_IMVNotGetLive2_R);
  internal->n_IMVNotGetLive2_R = (double*) Calloc(internal->dim_n_IMVNotGetLive2_R, double);
  Free(internal->n_IOxGetDie1);
  internal->n_IOxGetDie1 = (double*) Calloc(internal->dim_n_IOxGetDie1, double);
  Free(internal->n_IOxGetDie1_IOxGetDie2);
  internal->n_IOxGetDie1_IOxGetDie2 = (double*) Calloc(internal->dim_n_IOxGetDie1_IOxGetDie2, double);
  Free(internal->n_IOxGetDie2_D);
  internal->n_IOxGetDie2_D = (double*) Calloc(internal->dim_n_IOxGetDie2_D, double);
  Free(internal->n_IOxGetLive1);
  internal->n_IOxGetLive1 = (double*) Calloc(internal->dim_n_IOxGetLive1, double);
  Free(internal->n_IOxGetLive1_IOxGetLive2);
  internal->n_IOxGetLive1_IOxGetLive2 = (double*) Calloc(internal->dim_n_IOxGetLive1_IOxGetLive2, double);
  Free(internal->n_IOxGetLive2_R);
  internal->n_IOxGetLive2_R = (double*) Calloc(internal->dim_n_IOxGetLive2_R, double);
  Free(internal->n_IOxNotGetDie1);
  internal->n_IOxNotGetDie1 = (double*) Calloc(internal->dim_n_IOxNotGetDie1, double);
  Free(internal->n_IOxNotGetDie1_IOxNotGetDie2);
  internal->n_IOxNotGetDie1_IOxNotGetDie2 = (double*) Calloc(internal->dim_n_IOxNotGetDie1_IOxNotGetDie2, double);
  Free(internal->n_IOxNotGetDie2_D);
  internal->n_IOxNotGetDie2_D = (double*) Calloc(internal->dim_n_IOxNotGetDie2_D, double);
  Free(internal->n_IOxNotGetLive1);
  internal->n_IOxNotGetLive1 = (double*) Calloc(internal->dim_n_IOxNotGetLive1, double);
  Free(internal->n_IOxNotGetLive1_IOxNotGetLive2);
  internal->n_IOxNotGetLive1_IOxNotGetLive2 = (double*) Calloc(internal->dim_n_IOxNotGetLive1_IOxNotGetLive2, double);
  Free(internal->n_IOxNotGetLive2_R);
  internal->n_IOxNotGetLive2_R = (double*) Calloc(internal->dim_n_IOxNotGetLive2_R, double);
  Free(internal->n_IRec1_IRec2);
  internal->n_IRec1_IRec2 = (double*) Calloc(internal->dim_n_IRec1_IRec2, double);
  Free(internal->n_IRec2_R);
  internal->n_IRec2_R = (double*) Calloc(internal->dim_n_IRec2_R, double);
  Free(internal->n_S_E1);
  internal->n_S_E1 = (double*) Calloc(internal->dim_n_S_E1, double);
  Free(internal->number_get_IMV);
  internal->number_get_IMV = (int*) Calloc(internal->dim_number_get_IMV, int);
  Free(internal->number_get_Ox);
  internal->number_get_Ox = (int*) Calloc(internal->dim_number_get_Ox, int);
  Free(internal->number_notget_IMV);
  internal->number_notget_IMV = (double*) Calloc(internal->dim_number_notget_IMV, double);
  Free(internal->number_notget_Ox);
  internal->number_notget_Ox = (double*) Calloc(internal->dim_number_notget_Ox, double);
  Free(internal->number_requiring_IMV);
  internal->number_requiring_IMV = (double*) Calloc(internal->dim_number_requiring_IMV, double);
  Free(internal->number_requiring_Ox);
  internal->number_requiring_Ox = (double*) Calloc(internal->dim_number_requiring_Ox, double);
  Free(internal->p_S_E1);
  internal->p_S_E1 = (double*) Calloc(internal->dim_p_S_E1, double);
  Free(internal->temp);
  internal->temp = (double*) Calloc(internal->dim_temp, double);
  internal->D_0 = (double*) user_get_array(user, false, internal->D_0, "D_0", NA_REAL, NA_REAL, 1, internal->dim_D_0);
  internal->dim_beta_set = internal->dim_tt_beta;
  internal->dim_hosp_beds = internal->dim_tt_hosp_beds;
  internal->dim_ICU_beds = internal->dim_tt_ICU_beds;
  internal->dim_m = internal->dim_m_1 * internal->dim_m_2;
  internal->dim_mix_mat_set_1 = internal->dim_tt_matrix;
  internal->dim_mix_mat_set_2 = internal->N_age;
  internal->dim_mix_mat_set_3 = internal->N_age;
  internal->dim_s_ij = internal->dim_s_ij_1 * internal->dim_s_ij_2;
  internal->E1_0 = (double*) user_get_array(user, false, internal->E1_0, "E1_0", NA_REAL, NA_REAL, 1, internal->dim_E1_0);
  internal->E2_0 = (double*) user_get_array(user, false, internal->E2_0, "E2_0", NA_REAL, NA_REAL, 1, internal->dim_E2_0);
  internal->ICase1_0 = (double*) user_get_array(user, false, internal->ICase1_0, "ICase1_0", NA_REAL, NA_REAL, 1, internal->dim_ICase1_0);
  internal->ICase2_0 = (double*) user_get_array(user, false, internal->ICase2_0, "ICase2_0", NA_REAL, NA_REAL, 1, internal->dim_ICase2_0);
  internal->IMild_0 = (double*) user_get_array(user, false, internal->IMild_0, "IMild_0", NA_REAL, NA_REAL, 1, internal->dim_IMild_0);
  internal->IMVGetDie1_0 = (double*) user_get_array(user, false, internal->IMVGetDie1_0, "IMVGetDie1_0", NA_REAL, NA_REAL, 1, internal->dim_IMVGetDie1_0);
  internal->IMVGetDie2_0 = (double*) user_get_array(user, false, internal->IMVGetDie2_0, "IMVGetDie2_0", NA_REAL, NA_REAL, 1, internal->dim_IMVGetDie2_0);
  internal->IMVGetLive1_0 = (double*) user_get_array(user, false, internal->IMVGetLive1_0, "IMVGetLive1_0", NA_REAL, NA_REAL, 1, internal->dim_IMVGetLive1_0);
  internal->IMVGetLive2_0 = (double*) user_get_array(user, false, internal->IMVGetLive2_0, "IMVGetLive2_0", NA_REAL, NA_REAL, 1, internal->dim_IMVGetLive2_0);
  internal->IMVNotGetDie1_0 = (double*) user_get_array(user, false, internal->IMVNotGetDie1_0, "IMVNotGetDie1_0", NA_REAL, NA_REAL, 1, internal->dim_IMVNotGetDie1_0);
  internal->IMVNotGetDie2_0 = (double*) user_get_array(user, false, internal->IMVNotGetDie2_0, "IMVNotGetDie2_0", NA_REAL, NA_REAL, 1, internal->dim_IMVNotGetDie2_0);
  internal->IMVNotGetLive1_0 = (double*) user_get_array(user, false, internal->IMVNotGetLive1_0, "IMVNotGetLive1_0", NA_REAL, NA_REAL, 1, internal->dim_IMVNotGetLive1_0);
  internal->IMVNotGetLive2_0 = (double*) user_get_array(user, false, internal->IMVNotGetLive2_0, "IMVNotGetLive2_0", NA_REAL, NA_REAL, 1, internal->dim_IMVNotGetLive2_0);
  internal->IOxGetDie1_0 = (double*) user_get_array(user, false, internal->IOxGetDie1_0, "IOxGetDie1_0", NA_REAL, NA_REAL, 1, internal->dim_IOxGetDie1_0);
  internal->IOxGetDie2_0 = (double*) user_get_array(user, false, internal->IOxGetDie2_0, "IOxGetDie2_0", NA_REAL, NA_REAL, 1, internal->dim_IOxGetDie2_0);
  internal->IOxGetLive1_0 = (double*) user_get_array(user, false, internal->IOxGetLive1_0, "IOxGetLive1_0", NA_REAL, NA_REAL, 1, internal->dim_IOxGetLive1_0);
  internal->IOxGetLive2_0 = (double*) user_get_array(user, false, internal->IOxGetLive2_0, "IOxGetLive2_0", NA_REAL, NA_REAL, 1, internal->dim_IOxGetLive2_0);
  internal->IOxNotGetDie1_0 = (double*) user_get_array(user, false, internal->IOxNotGetDie1_0, "IOxNotGetDie1_0", NA_REAL, NA_REAL, 1, internal->dim_IOxNotGetDie1_0);
  internal->IOxNotGetDie2_0 = (double*) user_get_array(user, false, internal->IOxNotGetDie2_0, "IOxNotGetDie2_0", NA_REAL, NA_REAL, 1, internal->dim_IOxNotGetDie2_0);
  internal->IOxNotGetLive1_0 = (double*) user_get_array(user, false, internal->IOxNotGetLive1_0, "IOxNotGetLive1_0", NA_REAL, NA_REAL, 1, internal->dim_IOxNotGetLive1_0);
  internal->IOxNotGetLive2_0 = (double*) user_get_array(user, false, internal->IOxNotGetLive2_0, "IOxNotGetLive2_0", NA_REAL, NA_REAL, 1, internal->dim_IOxNotGetLive2_0);
  internal->IRec1_0 = (double*) user_get_array(user, false, internal->IRec1_0, "IRec1_0", NA_REAL, NA_REAL, 1, internal->dim_IRec1_0);
  internal->IRec2_0 = (double*) user_get_array(user, false, internal->IRec2_0, "IRec2_0", NA_REAL, NA_REAL, 1, internal->dim_IRec2_0);
  internal->offset_output_delta_D = 1 + internal->dim_n_E2_I + internal->dim_n_E2_ICase1 + internal->dim_n_E2_IMild + internal->dim_number_requiring_IMV;
  internal->offset_output_n_E2_ICase1 = 1 + internal->dim_n_E2_I;
  internal->offset_output_n_E2_IMild = 1 + internal->dim_n_E2_I + internal->dim_n_E2_ICase1;
  internal->offset_output_number_requiring_IMV = 1 + internal->dim_n_E2_I + internal->dim_n_E2_ICase1 + internal->dim_n_E2_IMild;
  internal->offset_variable_D = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2 + internal->dim_IRec1 + internal->dim_IRec2 + internal->dim_R;
  internal->offset_variable_E2 = internal->dim_S + internal->dim_E1;
  internal->offset_variable_ICase1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild;
  internal->offset_variable_ICase2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1;
  internal->offset_variable_IMild = internal->dim_S + internal->dim_E1 + internal->dim_E2;
  internal->offset_variable_IMVGetDie1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2;
  internal->offset_variable_IMVGetDie2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1;
  internal->offset_variable_IMVGetLive1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2;
  internal->offset_variable_IMVGetLive2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1;
  internal->offset_variable_IMVNotGetDie1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2;
  internal->offset_variable_IMVNotGetDie2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1;
  internal->offset_variable_IMVNotGetLive1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2;
  internal->offset_variable_IMVNotGetLive2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1;
  internal->offset_variable_IOxGetDie1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2;
  internal->offset_variable_IOxGetDie2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1;
  internal->offset_variable_IOxGetLive1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2;
  internal->offset_variable_IOxGetLive2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1;
  internal->offset_variable_IOxNotGetDie1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2;
  internal->offset_variable_IOxNotGetDie2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1;
  internal->offset_variable_IOxNotGetLive1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2;
  internal->offset_variable_IOxNotGetLive2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1;
  internal->offset_variable_IRec1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2;
  internal->offset_variable_IRec2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2 + internal->dim_IRec1;
  internal->offset_variable_R = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2 + internal->dim_IRec1 + internal->dim_IRec2;
  internal->prob_hosp = (double*) user_get_array(user, false, internal->prob_hosp, "prob_hosp", NA_REAL, NA_REAL, 1, internal->dim_prob_hosp);
  internal->prob_non_severe_death_no_treatment = (double*) user_get_array(user, false, internal->prob_non_severe_death_no_treatment, "prob_non_severe_death_no_treatment", NA_REAL, NA_REAL, 1, internal->dim_prob_non_severe_death_no_treatment);
  internal->prob_non_severe_death_treatment = (double*) user_get_array(user, false, internal->prob_non_severe_death_treatment, "prob_non_severe_death_treatment", NA_REAL, NA_REAL, 1, internal->dim_prob_non_severe_death_treatment);
  internal->prob_severe = (double*) user_get_array(user, false, internal->prob_severe, "prob_severe", NA_REAL, NA_REAL, 1, internal->dim_prob_severe);
  internal->prob_severe_death_no_treatment = (double*) user_get_array(user, false, internal->prob_severe_death_no_treatment, "prob_severe_death_no_treatment", NA_REAL, NA_REAL, 1, internal->dim_prob_severe_death_no_treatment);
  internal->prob_severe_death_treatment = (double*) user_get_array(user, false, internal->prob_severe_death_treatment, "prob_severe_death_treatment", NA_REAL, NA_REAL, 1, internal->dim_prob_severe_death_treatment);
  internal->R_0 = (double*) user_get_array(user, false, internal->R_0, "R_0", NA_REAL, NA_REAL, 1, internal->dim_R_0);
  internal->S_0 = (double*) user_get_array(user, false, internal->S_0, "S_0", NA_REAL, NA_REAL, 1, internal->dim_S_0);
  Free(internal->m);
  internal->m = (double*) Calloc(internal->dim_m, double);
  Free(internal->s_ij);
  internal->s_ij = (double*) Calloc(internal->dim_s_ij, double);
  internal->beta_set = (double*) user_get_array(user, false, internal->beta_set, "beta_set", NA_REAL, NA_REAL, 1, internal->dim_beta_set);
  internal->dim_mix_mat_set = internal->dim_mix_mat_set_1 * internal->dim_mix_mat_set_2 * internal->dim_mix_mat_set_3;
  internal->dim_mix_mat_set_12 = internal->dim_mix_mat_set_1 * internal->dim_mix_mat_set_2;
  internal->hosp_beds = (double*) user_get_array(user, false, internal->hosp_beds, "hosp_beds", NA_REAL, NA_REAL, 1, internal->dim_hosp_beds);
  internal->ICU_beds = (double*) user_get_array(user, false, internal->ICU_beds, "ICU_beds", NA_REAL, NA_REAL, 1, internal->dim_ICU_beds);
  for (int i = 1; i <= internal->dim_D; ++i) {
    internal->initial_D[i - 1] = internal->D_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_E1; ++i) {
    internal->initial_E1[i - 1] = internal->E1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_E2; ++i) {
    internal->initial_E2[i - 1] = internal->E2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_ICase1; ++i) {
    internal->initial_ICase1[i - 1] = internal->ICase1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_ICase2; ++i) {
    internal->initial_ICase2[i - 1] = internal->ICase2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMild; ++i) {
    internal->initial_IMild[i - 1] = internal->IMild_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetDie1; ++i) {
    internal->initial_IMVGetDie1[i - 1] = internal->IMVGetDie1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetDie2; ++i) {
    internal->initial_IMVGetDie2[i - 1] = internal->IMVGetDie2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetLive1; ++i) {
    internal->initial_IMVGetLive1[i - 1] = internal->IMVGetLive1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetLive2; ++i) {
    internal->initial_IMVGetLive2[i - 1] = internal->IMVGetLive2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetDie1; ++i) {
    internal->initial_IMVNotGetDie1[i - 1] = internal->IMVNotGetDie1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetDie2; ++i) {
    internal->initial_IMVNotGetDie2[i - 1] = internal->IMVNotGetDie2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetLive1; ++i) {
    internal->initial_IMVNotGetLive1[i - 1] = internal->IMVNotGetLive1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetLive2; ++i) {
    internal->initial_IMVNotGetLive2[i - 1] = internal->IMVNotGetLive2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetDie1; ++i) {
    internal->initial_IOxGetDie1[i - 1] = internal->IOxGetDie1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetDie2; ++i) {
    internal->initial_IOxGetDie2[i - 1] = internal->IOxGetDie2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetLive1; ++i) {
    internal->initial_IOxGetLive1[i - 1] = internal->IOxGetLive1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetLive2; ++i) {
    internal->initial_IOxGetLive2[i - 1] = internal->IOxGetLive2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetDie1; ++i) {
    internal->initial_IOxNotGetDie1[i - 1] = internal->IOxNotGetDie1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetDie2; ++i) {
    internal->initial_IOxNotGetDie2[i - 1] = internal->IOxNotGetDie2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetLive1; ++i) {
    internal->initial_IOxNotGetLive1[i - 1] = internal->IOxNotGetLive1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetLive2; ++i) {
    internal->initial_IOxNotGetLive2[i - 1] = internal->IOxNotGetLive2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IRec1; ++i) {
    internal->initial_IRec1[i - 1] = internal->IRec1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IRec2; ++i) {
    internal->initial_IRec2[i - 1] = internal->IRec2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_R; ++i) {
    internal->initial_R[i - 1] = internal->R_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_S; ++i) {
    internal->initial_S[i - 1] = internal->S_0[i - 1];
  }
  interpolate_check_y(internal->dim_tt_beta, internal->dim_beta_set, 0, "beta_set", "beta");
  cinterpolate_free(internal->interpolate_beta);
  internal->interpolate_beta = cinterpolate_alloc("constant", internal->dim_tt_beta, 1, internal->tt_beta, internal->beta_set, true, false);
  interpolate_check_y(internal->dim_tt_hosp_beds, internal->dim_hosp_beds, 0, "hosp_beds", "hosp_bed_capacity");
  cinterpolate_free(internal->interpolate_hosp_bed_capacity);
  internal->interpolate_hosp_bed_capacity = cinterpolate_alloc("constant", internal->dim_tt_hosp_beds, 1, internal->tt_hosp_beds, internal->hosp_beds, true, false);
  interpolate_check_y(internal->dim_tt_ICU_beds, internal->dim_ICU_beds, 0, "ICU_beds", "ICU_bed_capacity");
  cinterpolate_free(internal->interpolate_ICU_bed_capacity);
  internal->interpolate_ICU_bed_capacity = cinterpolate_alloc("constant", internal->dim_tt_ICU_beds, 1, internal->tt_ICU_beds, internal->ICU_beds, true, false);
  internal->mix_mat_set = (double*) user_get_array(user, false, internal->mix_mat_set, "mix_mat_set", NA_REAL, NA_REAL, 3, internal->dim_mix_mat_set_1, internal->dim_mix_mat_set_2, internal->dim_mix_mat_set_3);
  interpolate_check_y(internal->dim_tt_matrix, internal->dim_mix_mat_set_1, 1, "mix_mat_set", "m");
  interpolate_check_y(internal->dim_m_1, internal->dim_mix_mat_set_2, 2, "mix_mat_set", "m");
  interpolate_check_y(internal->dim_m_2, internal->dim_mix_mat_set_3, 3, "mix_mat_set", "m");
  cinterpolate_free(internal->interpolate_m);
  internal->interpolate_m = cinterpolate_alloc("constant", internal->dim_tt_matrix, internal->dim_m, internal->tt_matrix, internal->mix_mat_set, true, false);
  return R_NilValue;
}
SEXP explicit_SEIR_metadata(SEXP internal_p) {
  explicit_SEIR_internal *internal = explicit_SEIR_get_internal(internal_p, 1);
  SEXP ret = PROTECT(allocVector(VECSXP, 4));
  SEXP nms = PROTECT(allocVector(STRSXP, 4));
  SET_STRING_ELT(nms, 0, mkChar("variable_order"));
  SET_STRING_ELT(nms, 1, mkChar("output_order"));
  SET_STRING_ELT(nms, 2, mkChar("n_out"));
  SET_STRING_ELT(nms, 3, mkChar("interpolate_t"));
  setAttrib(ret, R_NamesSymbol, nms);
  SEXP variable_length = PROTECT(allocVector(VECSXP, 26));
  SEXP variable_names = PROTECT(allocVector(STRSXP, 26));
  setAttrib(variable_length, R_NamesSymbol, variable_names);
  SET_VECTOR_ELT(variable_length, 0, ScalarInteger(internal->dim_S));
  SET_VECTOR_ELT(variable_length, 1, ScalarInteger(internal->dim_E1));
  SET_VECTOR_ELT(variable_length, 2, ScalarInteger(internal->dim_E2));
  SET_VECTOR_ELT(variable_length, 3, ScalarInteger(internal->dim_IMild));
  SET_VECTOR_ELT(variable_length, 4, ScalarInteger(internal->dim_ICase1));
  SET_VECTOR_ELT(variable_length, 5, ScalarInteger(internal->dim_ICase2));
  SET_VECTOR_ELT(variable_length, 6, ScalarInteger(internal->dim_IOxGetLive1));
  SET_VECTOR_ELT(variable_length, 7, ScalarInteger(internal->dim_IOxGetLive2));
  SET_VECTOR_ELT(variable_length, 8, ScalarInteger(internal->dim_IOxGetDie1));
  SET_VECTOR_ELT(variable_length, 9, ScalarInteger(internal->dim_IOxGetDie2));
  SET_VECTOR_ELT(variable_length, 10, ScalarInteger(internal->dim_IOxNotGetLive1));
  SET_VECTOR_ELT(variable_length, 11, ScalarInteger(internal->dim_IOxNotGetLive2));
  SET_VECTOR_ELT(variable_length, 12, ScalarInteger(internal->dim_IOxNotGetDie1));
  SET_VECTOR_ELT(variable_length, 13, ScalarInteger(internal->dim_IOxNotGetDie2));
  SET_VECTOR_ELT(variable_length, 14, ScalarInteger(internal->dim_IMVGetLive1));
  SET_VECTOR_ELT(variable_length, 15, ScalarInteger(internal->dim_IMVGetLive2));
  SET_VECTOR_ELT(variable_length, 16, ScalarInteger(internal->dim_IMVGetDie1));
  SET_VECTOR_ELT(variable_length, 17, ScalarInteger(internal->dim_IMVGetDie2));
  SET_VECTOR_ELT(variable_length, 18, ScalarInteger(internal->dim_IMVNotGetLive1));
  SET_VECTOR_ELT(variable_length, 19, ScalarInteger(internal->dim_IMVNotGetLive2));
  SET_VECTOR_ELT(variable_length, 20, ScalarInteger(internal->dim_IMVNotGetDie1));
  SET_VECTOR_ELT(variable_length, 21, ScalarInteger(internal->dim_IMVNotGetDie2));
  SET_VECTOR_ELT(variable_length, 22, ScalarInteger(internal->dim_IRec1));
  SET_VECTOR_ELT(variable_length, 23, ScalarInteger(internal->dim_IRec2));
  SET_VECTOR_ELT(variable_length, 24, ScalarInteger(internal->dim_R));
  SET_VECTOR_ELT(variable_length, 25, ScalarInteger(internal->dim_D));
  SET_STRING_ELT(variable_names, 0, mkChar("S"));
  SET_STRING_ELT(variable_names, 1, mkChar("E1"));
  SET_STRING_ELT(variable_names, 2, mkChar("E2"));
  SET_STRING_ELT(variable_names, 3, mkChar("IMild"));
  SET_STRING_ELT(variable_names, 4, mkChar("ICase1"));
  SET_STRING_ELT(variable_names, 5, mkChar("ICase2"));
  SET_STRING_ELT(variable_names, 6, mkChar("IOxGetLive1"));
  SET_STRING_ELT(variable_names, 7, mkChar("IOxGetLive2"));
  SET_STRING_ELT(variable_names, 8, mkChar("IOxGetDie1"));
  SET_STRING_ELT(variable_names, 9, mkChar("IOxGetDie2"));
  SET_STRING_ELT(variable_names, 10, mkChar("IOxNotGetLive1"));
  SET_STRING_ELT(variable_names, 11, mkChar("IOxNotGetLive2"));
  SET_STRING_ELT(variable_names, 12, mkChar("IOxNotGetDie1"));
  SET_STRING_ELT(variable_names, 13, mkChar("IOxNotGetDie2"));
  SET_STRING_ELT(variable_names, 14, mkChar("IMVGetLive1"));
  SET_STRING_ELT(variable_names, 15, mkChar("IMVGetLive2"));
  SET_STRING_ELT(variable_names, 16, mkChar("IMVGetDie1"));
  SET_STRING_ELT(variable_names, 17, mkChar("IMVGetDie2"));
  SET_STRING_ELT(variable_names, 18, mkChar("IMVNotGetLive1"));
  SET_STRING_ELT(variable_names, 19, mkChar("IMVNotGetLive2"));
  SET_STRING_ELT(variable_names, 20, mkChar("IMVNotGetDie1"));
  SET_STRING_ELT(variable_names, 21, mkChar("IMVNotGetDie2"));
  SET_STRING_ELT(variable_names, 22, mkChar("IRec1"));
  SET_STRING_ELT(variable_names, 23, mkChar("IRec2"));
  SET_STRING_ELT(variable_names, 24, mkChar("R"));
  SET_STRING_ELT(variable_names, 25, mkChar("D"));
  SET_VECTOR_ELT(ret, 0, variable_length);
  UNPROTECT(2);
  SEXP output_length = PROTECT(allocVector(VECSXP, 6));
  SEXP output_names = PROTECT(allocVector(STRSXP, 6));
  setAttrib(output_length, R_NamesSymbol, output_names);
  SET_VECTOR_ELT(output_length, 0, R_NilValue);
  SET_VECTOR_ELT(output_length, 1, ScalarInteger(internal->dim_n_E2_I));
  SET_VECTOR_ELT(output_length, 2, ScalarInteger(internal->dim_n_E2_ICase1));
  SET_VECTOR_ELT(output_length, 3, ScalarInteger(internal->dim_n_E2_IMild));
  SET_VECTOR_ELT(output_length, 4, ScalarInteger(internal->dim_number_requiring_IMV));
  SET_VECTOR_ELT(output_length, 5, ScalarInteger(internal->dim_delta_D));
  SET_STRING_ELT(output_names, 0, mkChar("time"));
  SET_STRING_ELT(output_names, 1, mkChar("n_E2_I"));
  SET_STRING_ELT(output_names, 2, mkChar("n_E2_ICase1"));
  SET_STRING_ELT(output_names, 3, mkChar("n_E2_IMild"));
  SET_STRING_ELT(output_names, 4, mkChar("number_requiring_IMV"));
  SET_STRING_ELT(output_names, 5, mkChar("delta_D"));
  SET_VECTOR_ELT(ret, 1, output_length);
  UNPROTECT(2);
  SET_VECTOR_ELT(ret, 2, ScalarInteger(1 + internal->dim_n_E2_I + internal->dim_n_E2_ICase1 + internal->dim_n_E2_IMild + internal->dim_number_requiring_IMV + internal->dim_delta_D));
  SEXP interpolate_t = PROTECT(allocVector(VECSXP, 3));
  SEXP interpolate_t_nms = PROTECT(allocVector(STRSXP, 3));
  setAttrib(interpolate_t, R_NamesSymbol, interpolate_t_nms);
  SET_VECTOR_ELT(interpolate_t, 0, ScalarReal(fmax(internal->tt_beta[0], fmax(internal->tt_hosp_beds[0], fmax(internal->tt_ICU_beds[0], internal->tt_matrix[0])))));
  SET_VECTOR_ELT(interpolate_t, 1, ScalarReal(R_PosInf));
  SET_STRING_ELT(interpolate_t_nms, 0, mkChar("min"));
  SET_STRING_ELT(interpolate_t_nms, 1, mkChar("max"));
  SET_VECTOR_ELT(ret, 3, interpolate_t);
  UNPROTECT(2);
  UNPROTECT(2);
  return ret;
}
SEXP explicit_SEIR_initial_conditions(SEXP internal_p, SEXP step_ptr) {
  explicit_SEIR_internal *internal = explicit_SEIR_get_internal(internal_p, 1);
  SEXP r_state = PROTECT(allocVector(REALSXP, internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2 + internal->dim_IRec1 + internal->dim_IRec2 + internal->dim_R + internal->dim_D));
  double * state = REAL(r_state);
  memcpy(state + 0, internal->initial_S, internal->dim_S * sizeof(double));
  memcpy(state + internal->dim_S, internal->initial_E1, internal->dim_E1 * sizeof(double));
  memcpy(state + internal->offset_variable_E2, internal->initial_E2, internal->dim_E2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMild, internal->initial_IMild, internal->dim_IMild * sizeof(double));
  memcpy(state + internal->offset_variable_ICase1, internal->initial_ICase1, internal->dim_ICase1 * sizeof(double));
  memcpy(state + internal->offset_variable_ICase2, internal->initial_ICase2, internal->dim_ICase2 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxGetLive1, internal->initial_IOxGetLive1, internal->dim_IOxGetLive1 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxGetLive2, internal->initial_IOxGetLive2, internal->dim_IOxGetLive2 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxGetDie1, internal->initial_IOxGetDie1, internal->dim_IOxGetDie1 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxGetDie2, internal->initial_IOxGetDie2, internal->dim_IOxGetDie2 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxNotGetLive1, internal->initial_IOxNotGetLive1, internal->dim_IOxNotGetLive1 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxNotGetLive2, internal->initial_IOxNotGetLive2, internal->dim_IOxNotGetLive2 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxNotGetDie1, internal->initial_IOxNotGetDie1, internal->dim_IOxNotGetDie1 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxNotGetDie2, internal->initial_IOxNotGetDie2, internal->dim_IOxNotGetDie2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVGetLive1, internal->initial_IMVGetLive1, internal->dim_IMVGetLive1 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVGetLive2, internal->initial_IMVGetLive2, internal->dim_IMVGetLive2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVGetDie1, internal->initial_IMVGetDie1, internal->dim_IMVGetDie1 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVGetDie2, internal->initial_IMVGetDie2, internal->dim_IMVGetDie2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVNotGetLive1, internal->initial_IMVNotGetLive1, internal->dim_IMVNotGetLive1 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVNotGetLive2, internal->initial_IMVNotGetLive2, internal->dim_IMVNotGetLive2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVNotGetDie1, internal->initial_IMVNotGetDie1, internal->dim_IMVNotGetDie1 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVNotGetDie2, internal->initial_IMVNotGetDie2, internal->dim_IMVNotGetDie2 * sizeof(double));
  memcpy(state + internal->offset_variable_IRec1, internal->initial_IRec1, internal->dim_IRec1 * sizeof(double));
  memcpy(state + internal->offset_variable_IRec2, internal->initial_IRec2, internal->dim_IRec2 * sizeof(double));
  memcpy(state + internal->offset_variable_R, internal->initial_R, internal->dim_R * sizeof(double));
  memcpy(state + internal->offset_variable_D, internal->initial_D, internal->dim_D * sizeof(double));
  UNPROTECT(1);
  return r_state;
}
void explicit_SEIR_rhs(explicit_SEIR_internal* internal, size_t step, double * state, double * state_next, double * output) {
  double * S = state + 0;
  double * E1 = state + internal->dim_S;
  double * E2 = state + internal->offset_variable_E2;
  double * IMild = state + internal->offset_variable_IMild;
  double * ICase1 = state + internal->offset_variable_ICase1;
  double * ICase2 = state + internal->offset_variable_ICase2;
  double * IOxGetLive1 = state + internal->offset_variable_IOxGetLive1;
  double * IOxGetLive2 = state + internal->offset_variable_IOxGetLive2;
  double * IOxGetDie1 = state + internal->offset_variable_IOxGetDie1;
  double * IOxGetDie2 = state + internal->offset_variable_IOxGetDie2;
  double * IOxNotGetLive1 = state + internal->offset_variable_IOxNotGetLive1;
  double * IOxNotGetLive2 = state + internal->offset_variable_IOxNotGetLive2;
  double * IOxNotGetDie1 = state + internal->offset_variable_IOxNotGetDie1;
  double * IOxNotGetDie2 = state + internal->offset_variable_IOxNotGetDie2;
  double * IMVGetLive1 = state + internal->offset_variable_IMVGetLive1;
  double * IMVGetLive2 = state + internal->offset_variable_IMVGetLive2;
  double * IMVGetDie1 = state + internal->offset_variable_IMVGetDie1;
  double * IMVGetDie2 = state + internal->offset_variable_IMVGetDie2;
  double * IMVNotGetLive1 = state + internal->offset_variable_IMVNotGetLive1;
  double * IMVNotGetLive2 = state + internal->offset_variable_IMVNotGetLive2;
  double * IMVNotGetDie1 = state + internal->offset_variable_IMVNotGetDie1;
  double * IMVNotGetDie2 = state + internal->offset_variable_IMVNotGetDie2;
  double * IRec1 = state + internal->offset_variable_IRec1;
  double * IRec2 = state + internal->offset_variable_IRec2;
  double * R = state + internal->offset_variable_R;
  double * D = state + internal->offset_variable_D;
  double hosp_occ = odin_sum1(IOxGetLive1, 0, internal->dim_IOxGetLive1) + odin_sum1(IOxGetLive2, 0, internal->dim_IOxGetLive2) + odin_sum1(IOxGetDie1, 0, internal->dim_IOxGetDie1) + odin_sum1(IOxGetDie2, 0, internal->dim_IOxGetDie2) + odin_sum1(IRec1, 0, internal->dim_IRec1) + odin_sum1(IRec2, 0, internal->dim_IRec2);
  double ICU_occ = odin_sum1(IMVGetLive1, 0, internal->dim_IMVGetLive1) + odin_sum1(IMVGetLive2, 0, internal->dim_IMVGetLive2) + odin_sum1(IMVGetDie1, 0, internal->dim_IMVGetDie1) + odin_sum1(IMVGetDie2, 0, internal->dim_IMVGetDie2);
  for (int i = 1; i <= internal->dim_n_E1_E2; ++i) {
    internal->n_E1_E2[i - 1] = Rf_rbinom(round(E1[i - 1]), internal->p_E1_E2);
  }
  for (int i = 1; i <= internal->dim_n_E2_I; ++i) {
    internal->n_E2_I[i - 1] = Rf_rbinom(round(E2[i - 1]), internal->p_E2_I);
  }
  for (int i = 1; i <= internal->dim_n_ICase1_ICase2; ++i) {
    internal->n_ICase1_ICase2[i - 1] = Rf_rbinom(round(ICase1[i - 1]), internal->p_ICase1_ICase2);
  }
  for (int i = 1; i <= internal->dim_n_ICase2_Hosp; ++i) {
    internal->n_ICase2_Hosp[i - 1] = Rf_rbinom(round(ICase2[i - 1]), internal->p_ICase2_Hosp);
  }
  for (int i = 1; i <= internal->dim_n_IMild_R; ++i) {
    internal->n_IMild_R[i - 1] = Rf_rbinom(round(IMild[i - 1]), internal->p_IMild_R);
  }
  for (int i = 1; i <= internal->dim_n_IMVGetDie1_IMVGetDie2; ++i) {
    internal->n_IMVGetDie1_IMVGetDie2[i - 1] = Rf_rbinom(round(IMVGetDie1[i - 1]), internal->p_IMVGetDie1_IMVGetDie2);
  }
  for (int i = 1; i <= internal->dim_n_IMVGetDie2_D; ++i) {
    internal->n_IMVGetDie2_D[i - 1] = Rf_rbinom(round(IMVGetDie2[i - 1]), internal->p_IMVGetDie2_D);
  }
  for (int i = 1; i <= internal->dim_n_IMVGetLive1_IMVGetLive2; ++i) {
    internal->n_IMVGetLive1_IMVGetLive2[i - 1] = Rf_rbinom(round(IMVGetLive1[i - 1]), internal->p_IMVGetLive1_IMVGetLive2);
  }
  for (int i = 1; i <= internal->dim_n_IMVGetLive2_Rec; ++i) {
    internal->n_IMVGetLive2_Rec[i - 1] = Rf_rbinom(round(IMVGetLive2[i - 1]), internal->p_IMVGetLive2_Rec);
  }
  for (int i = 1; i <= internal->dim_n_IMVNotGetDie1_IMVNotGetDie2; ++i) {
    internal->n_IMVNotGetDie1_IMVNotGetDie2[i - 1] = Rf_rbinom(round(IMVNotGetDie1[i - 1]), internal->p_IMVNotGetDie1_IMVNotGetDie2);
  }
  for (int i = 1; i <= internal->dim_n_IMVNotGetDie2_D; ++i) {
    internal->n_IMVNotGetDie2_D[i - 1] = Rf_rbinom(round(IMVNotGetDie2[i - 1]), internal->p_IMVNotGetDie2_D);
  }
  for (int i = 1; i <= internal->dim_n_IMVNotGetLive1_IMVNotGetLive2; ++i) {
    internal->n_IMVNotGetLive1_IMVNotGetLive2[i - 1] = Rf_rbinom(round(IMVNotGetLive1[i - 1]), internal->p_IMVNotGetLive1_IMVNotGetLive2);
  }
  for (int i = 1; i <= internal->dim_n_IMVNotGetLive2_R; ++i) {
    internal->n_IMVNotGetLive2_R[i - 1] = Rf_rbinom(round(IMVNotGetLive2[i - 1]), internal->p_IMVNotGetLive2_R);
  }
  for (int i = 1; i <= internal->dim_n_IOxGetDie1_IOxGetDie2; ++i) {
    internal->n_IOxGetDie1_IOxGetDie2[i - 1] = Rf_rbinom(round(IOxGetDie1[i - 1]), internal->p_IOxGetDie1_IOxGetDie2);
  }
  for (int i = 1; i <= internal->dim_n_IOxGetDie2_D; ++i) {
    internal->n_IOxGetDie2_D[i - 1] = Rf_rbinom(round(IOxGetDie2[i - 1]), internal->p_IOxGetDie2_D);
  }
  for (int i = 1; i <= internal->dim_n_IOxGetLive1_IOxGetLive2; ++i) {
    internal->n_IOxGetLive1_IOxGetLive2[i - 1] = Rf_rbinom(round(IOxGetLive1[i - 1]), internal->p_IOxGetLive1_IOxGetLive2);
  }
  for (int i = 1; i <= internal->dim_n_IOxGetLive2_R; ++i) {
    internal->n_IOxGetLive2_R[i - 1] = Rf_rbinom(round(IOxGetLive2[i - 1]), internal->p_IOxGetLive2_R);
  }
  for (int i = 1; i <= internal->dim_n_IOxNotGetDie1_IOxNotGetDie2; ++i) {
    internal->n_IOxNotGetDie1_IOxNotGetDie2[i - 1] = Rf_rbinom(round(IOxNotGetDie1[i - 1]), internal->p_IOxNotGetDie1_IOxNotGetDie2);
  }
  for (int i = 1; i <= internal->dim_n_IOxNotGetDie2_D; ++i) {
    internal->n_IOxNotGetDie2_D[i - 1] = Rf_rbinom(round(IOxNotGetDie2[i - 1]), internal->p_IOxNotGetDie2_D);
  }
  for (int i = 1; i <= internal->dim_n_IOxNotGetLive1_IOxNotGetLive2; ++i) {
    internal->n_IOxNotGetLive1_IOxNotGetLive2[i - 1] = Rf_rbinom(round(IOxNotGetLive1[i - 1]), internal->p_IOxNotGetLive1_IOxNotGetLive2);
  }
  for (int i = 1; i <= internal->dim_n_IOxNotGetLive2_R; ++i) {
    internal->n_IOxNotGetLive2_R[i - 1] = Rf_rbinom(round(IOxNotGetLive2[i - 1]), internal->p_IOxNotGetLive2_R);
  }
  for (int i = 1; i <= internal->dim_n_IRec1_IRec2; ++i) {
    internal->n_IRec1_IRec2[i - 1] = Rf_rbinom(round(IRec1[i - 1]), internal->p_Rec1_Rec2);
  }
  for (int i = 1; i <= internal->dim_n_IRec2_R; ++i) {
    internal->n_IRec2_R[i - 1] = Rf_rbinom(round(IRec2[i - 1]), internal->p_Rec2_R);
  }
  for (int i = 1; i <= internal->dim_temp; ++i) {
    internal->temp[i - 1] = IMild[i - 1] + ICase1[i - 1] + ICase2[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_D; ++i) {
    internal->delta_D[i - 1] = internal->n_IOxGetDie2_D[i - 1] + internal->n_IOxNotGetDie2_D[i - 1] + internal->n_IMVGetDie2_D[i - 1] + internal->n_IMVNotGetDie2_D[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_E2; ++i) {
    internal->delta_E2[i - 1] = internal->n_E1_E2[i - 1] - internal->n_E2_I[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_ICase2; ++i) {
    internal->delta_ICase2[i - 1] = internal->n_ICase1_ICase2[i - 1] - internal->n_ICase2_Hosp[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IMVGetDie2; ++i) {
    internal->delta_IMVGetDie2[i - 1] = internal->n_IMVGetDie1_IMVGetDie2[i - 1] - internal->n_IMVGetDie2_D[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IMVGetLive2; ++i) {
    internal->delta_IMVGetLive2[i - 1] = internal->n_IMVGetLive1_IMVGetLive2[i - 1] - internal->n_IMVGetLive2_Rec[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IMVNotGetDie2; ++i) {
    internal->delta_IMVNotGetDie2[i - 1] = internal->n_IMVNotGetDie1_IMVNotGetDie2[i - 1] - internal->n_IMVNotGetDie2_D[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IMVNotGetLive2; ++i) {
    internal->delta_IMVNotGetLive2[i - 1] = internal->n_IMVNotGetLive1_IMVNotGetLive2[i - 1] - internal->n_IMVNotGetLive2_R[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IOxGetDie2; ++i) {
    internal->delta_IOxGetDie2[i - 1] = internal->n_IOxGetDie1_IOxGetDie2[i - 1] - internal->n_IOxGetDie2_D[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IOxGetLive2; ++i) {
    internal->delta_IOxGetLive2[i - 1] = internal->n_IOxGetLive1_IOxGetLive2[i - 1] - internal->n_IOxGetLive2_R[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IOxNotGetDie2; ++i) {
    internal->delta_IOxNotGetDie2[i - 1] = internal->n_IOxNotGetDie1_IOxNotGetDie2[i - 1] - internal->n_IOxNotGetDie2_D[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IOxNotGetLive2; ++i) {
    internal->delta_IOxNotGetLive2[i - 1] = internal->n_IOxNotGetLive1_IOxNotGetLive2[i - 1] - internal->n_IOxNotGetLive2_R[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IRec1; ++i) {
    internal->delta_IRec1[i - 1] = internal->n_IMVGetLive2_Rec[i - 1] - internal->n_IRec1_IRec2[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IRec2; ++i) {
    internal->delta_IRec2[i - 1] = internal->n_IRec1_IRec2[i - 1] - internal->n_IRec2_R[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_R; ++i) {
    internal->delta_R[i - 1] = internal->n_IOxGetLive2_R[i - 1] + internal->n_IOxNotGetLive2_R[i - 1] + internal->n_IRec2_R[i - 1] + internal->n_IMVNotGetLive2_R[i - 1] + internal->n_IMild_R[i - 1];
  }
  for (int i = 1; i <= internal->dim_n_E2_ICase1; ++i) {
    internal->n_E2_ICase1[i - 1] = Rf_rbinom(round(internal->n_E2_I[i - 1]), internal->prob_hosp[i - 1]);
  }
  for (int i = 1; i <= internal->dim_number_requiring_IMV; ++i) {
    internal->number_requiring_IMV[i - 1] = Rf_rbinom(round(internal->n_ICase2_Hosp[i - 1]), internal->prob_severe[i - 1]);
  }
  double beta = 0.0;
  cinterpolate_eval(step, internal->interpolate_beta, &beta);
  for (int i = 1; i <= internal->dim_delta_ICase1; ++i) {
    internal->delta_ICase1[i - 1] = internal->n_E2_ICase1[i - 1] - internal->n_ICase1_ICase2[i - 1];
  }
  double hosp_bed_capacity = 0.0;
  cinterpolate_eval(step, internal->interpolate_hosp_bed_capacity, &hosp_bed_capacity);
  double ICU_bed_capacity = 0.0;
  cinterpolate_eval(step, internal->interpolate_ICU_bed_capacity, &ICU_bed_capacity);
  for (int i = 1; i <= internal->dim_n_E2_IMild; ++i) {
    internal->n_E2_IMild[i - 1] = internal->n_E2_I[i - 1] - internal->n_E2_ICase1[i - 1];
  }
  for (int i = 1; i <= internal->dim_number_requiring_Ox; ++i) {
    internal->number_requiring_Ox[i - 1] = internal->n_ICase2_Hosp[i - 1] - internal->number_requiring_IMV[i - 1];
  }
  double total_number_requiring_IMV = odin_sum1(internal->number_requiring_IMV, 0, internal->dim_number_requiring_IMV);
  for (int i = 1; i <= internal->dim_D; ++i) {
    state_next[internal->offset_variable_D + i - 1] = D[i - 1] + internal->delta_D[i - 1];
  }
  for (int i = 1; i <= internal->dim_E2; ++i) {
    state_next[internal->offset_variable_E2 + i - 1] = E2[i - 1] + internal->delta_E2[i - 1];
  }
  for (int i = 1; i <= internal->dim_ICase2; ++i) {
    state_next[internal->offset_variable_ICase2 + i - 1] = ICase2[i - 1] + internal->delta_ICase2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetDie2; ++i) {
    state_next[internal->offset_variable_IMVGetDie2 + i - 1] = IMVGetDie2[i - 1] + internal->delta_IMVGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetLive2; ++i) {
    state_next[internal->offset_variable_IMVGetLive2 + i - 1] = IMVGetLive2[i - 1] + internal->delta_IMVGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetDie2; ++i) {
    state_next[internal->offset_variable_IMVNotGetDie2 + i - 1] = IMVNotGetDie2[i - 1] + internal->delta_IMVNotGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetLive2; ++i) {
    state_next[internal->offset_variable_IMVNotGetLive2 + i - 1] = IMVNotGetLive2[i - 1] + internal->delta_IMVNotGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetDie2; ++i) {
    state_next[internal->offset_variable_IOxGetDie2 + i - 1] = IOxGetDie2[i - 1] + internal->delta_IOxGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetLive2; ++i) {
    state_next[internal->offset_variable_IOxGetLive2 + i - 1] = IOxGetLive2[i - 1] + internal->delta_IOxGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetDie2; ++i) {
    state_next[internal->offset_variable_IOxNotGetDie2 + i - 1] = IOxNotGetDie2[i - 1] + internal->delta_IOxNotGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetLive2; ++i) {
    state_next[internal->offset_variable_IOxNotGetLive2 + i - 1] = IOxNotGetLive2[i - 1] + internal->delta_IOxNotGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IRec1; ++i) {
    state_next[internal->offset_variable_IRec1 + i - 1] = IRec1[i - 1] + internal->delta_IRec1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IRec2; ++i) {
    state_next[internal->offset_variable_IRec2 + i - 1] = IRec2[i - 1] + internal->delta_IRec2[i - 1];
  }
  for (int i = 1; i <= internal->dim_R; ++i) {
    state_next[internal->offset_variable_R + i - 1] = R[i - 1] + internal->delta_R[i - 1];
  }
  double current_free_hosp = hosp_bed_capacity + odin_sum1(internal->n_IOxGetDie2_D, 0, internal->dim_n_IOxGetDie2_D) + odin_sum1(internal->n_IOxGetLive2_R, 0, internal->dim_n_IOxGetLive2_R) + odin_sum1(internal->n_IRec2_R, 0, internal->dim_n_IRec2_R) - odin_sum1(internal->n_IMVGetLive2_Rec, 0, internal->dim_n_IMVGetLive2_Rec) - hosp_occ;
  double current_free_ICUs = ICU_bed_capacity + odin_sum1(internal->n_IMVGetLive2_Rec, 0, internal->dim_n_IMVGetLive2_Rec) + odin_sum1(internal->n_IMVGetDie2_D, 0, internal->dim_n_IMVGetDie2_D) - ICU_occ;
  for (int i = 1; i <= internal->dim_delta_IMild; ++i) {
    internal->delta_IMild[i - 1] = internal->n_E2_IMild[i - 1] - internal->n_IMild_R[i - 1];
  }
  cinterpolate_eval(step, internal->interpolate_m, internal->m);
  double total_number_requiring_Ox = odin_sum1(internal->number_requiring_Ox, 0, internal->dim_number_requiring_Ox);
  for (int i = 1; i <= internal->dim_ICase1; ++i) {
    state_next[internal->offset_variable_ICase1 + i - 1] = ICase1[i - 1] + internal->delta_ICase1[i - 1];
  }
  for (int i = 1; i <= internal->dim_s_ij_1; ++i) {
    for (int j = 1; j <= internal->dim_s_ij_2; ++j) {
      internal->s_ij[i - 1 + internal->dim_s_ij_1 * (j - 1)] = internal->m[internal->dim_m_1 * (j - 1) + i - 1] * internal->temp[j - 1];
    }
  }
  double total_number_get_hosp = (current_free_hosp <= 0 ? 0 : ((current_free_hosp - total_number_requiring_Ox >= 0 ? total_number_requiring_Ox : (current_free_hosp))));
  double total_number_get_IMV = (current_free_ICUs <= 0 ? 0 : ((current_free_ICUs - total_number_requiring_IMV >= 0 ? total_number_requiring_IMV : (current_free_ICUs))));
  for (int i = 1; i <= internal->dim_IMild; ++i) {
    state_next[internal->offset_variable_IMild + i - 1] = IMild[i - 1] + internal->delta_IMild[i - 1];
  }
  for (int i = 1; i <= internal->dim_lambda; ++i) {
    internal->lambda[i - 1] = beta * odin_sum2(internal->s_ij, i - 1, i, 0, internal->dim_s_ij_2, internal->dim_s_ij_1);
  }
  rmhyper_d(total_number_get_IMV, internal->number_requiring_IMV, internal->dim_number_get_IMV, internal->number_get_IMV);
  rmhyper_d(total_number_get_hosp, internal->number_requiring_Ox, internal->dim_number_get_Ox, internal->number_get_Ox);
  for (int i = 1; i <= internal->dim_n_IMVGetDie1; ++i) {
    internal->n_IMVGetDie1[i - 1] = Rf_rbinom(round(internal->number_get_IMV[i - 1]), internal->prob_severe_death_treatment[i - 1]);
  }
  for (int i = 1; i <= internal->dim_n_IOxGetDie1; ++i) {
    internal->n_IOxGetDie1[i - 1] = Rf_rbinom(round(internal->number_get_Ox[i - 1]), internal->prob_non_severe_death_treatment[i - 1]);
  }
  for (int i = 1; i <= internal->dim_number_notget_IMV; ++i) {
    internal->number_notget_IMV[i - 1] = internal->number_requiring_IMV[i - 1] - internal->number_get_IMV[i - 1];
  }
  for (int i = 1; i <= internal->dim_number_notget_Ox; ++i) {
    internal->number_notget_Ox[i - 1] = internal->number_requiring_Ox[i - 1] - internal->number_get_Ox[i - 1];
  }
  for (int i = 1; i <= internal->dim_p_S_E1; ++i) {
    internal->p_S_E1[i - 1] = 1 - exp(-(internal->lambda[i - 1]) * internal->dt);
  }
  for (int i = 1; i <= internal->dim_delta_IMVGetDie1; ++i) {
    internal->delta_IMVGetDie1[i - 1] = internal->n_IMVGetDie1[i - 1] - internal->n_IMVGetDie1_IMVGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IOxGetDie1; ++i) {
    internal->delta_IOxGetDie1[i - 1] = internal->n_IOxGetDie1[i - 1] - internal->n_IOxGetDie1_IOxGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_n_IMVGetLive1; ++i) {
    internal->n_IMVGetLive1[i - 1] = internal->number_get_IMV[i - 1] - internal->n_IMVGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_n_IMVNotGetDie1; ++i) {
    internal->n_IMVNotGetDie1[i - 1] = Rf_rbinom(round(internal->number_notget_IMV[i - 1]), internal->prob_severe_death_no_treatment[i - 1]);
  }
  for (int i = 1; i <= internal->dim_n_IOxGetLive1; ++i) {
    internal->n_IOxGetLive1[i - 1] = internal->number_get_Ox[i - 1] - internal->n_IOxGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_n_IOxNotGetDie1; ++i) {
    internal->n_IOxNotGetDie1[i - 1] = Rf_rbinom(round(internal->number_notget_Ox[i - 1]), internal->prob_non_severe_death_no_treatment[i - 1]);
  }
  for (int i = 1; i <= internal->dim_n_S_E1; ++i) {
    internal->n_S_E1[i - 1] = Rf_rbinom(round(S[i - 1]), internal->p_S_E1[i - 1]);
  }
  for (int i = 1; i <= internal->dim_delta_E1; ++i) {
    internal->delta_E1[i - 1] = internal->n_S_E1[i - 1] - internal->n_E1_E2[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IMVGetLive1; ++i) {
    internal->delta_IMVGetLive1[i - 1] = internal->n_IMVGetLive1[i - 1] - internal->n_IMVGetLive1_IMVGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IMVNotGetDie1; ++i) {
    internal->delta_IMVNotGetDie1[i - 1] = internal->n_IMVNotGetDie1[i - 1] - internal->n_IMVNotGetDie1_IMVNotGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IOxGetLive1; ++i) {
    internal->delta_IOxGetLive1[i - 1] = internal->n_IOxGetLive1[i - 1] - internal->n_IOxGetLive1_IOxGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IOxNotGetDie1; ++i) {
    internal->delta_IOxNotGetDie1[i - 1] = internal->n_IOxNotGetDie1[i - 1] - internal->n_IOxNotGetDie1_IOxNotGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_n_IMVNotGetLive1; ++i) {
    internal->n_IMVNotGetLive1[i - 1] = internal->number_notget_IMV[i - 1] - internal->n_IMVNotGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_n_IOxNotGetLive1; ++i) {
    internal->n_IOxNotGetLive1[i - 1] = internal->number_notget_Ox[i - 1] - internal->n_IOxNotGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetDie1; ++i) {
    state_next[internal->offset_variable_IMVGetDie1 + i - 1] = IMVGetDie1[i - 1] + internal->delta_IMVGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetDie1; ++i) {
    state_next[internal->offset_variable_IOxGetDie1 + i - 1] = IOxGetDie1[i - 1] + internal->delta_IOxGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_S; ++i) {
    state_next[0 + i - 1] = S[i - 1] - internal->n_S_E1[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IMVNotGetLive1; ++i) {
    internal->delta_IMVNotGetLive1[i - 1] = internal->n_IMVNotGetLive1[i - 1] - internal->n_IMVNotGetLive1_IMVNotGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_IOxNotGetLive1; ++i) {
    internal->delta_IOxNotGetLive1[i - 1] = internal->n_IOxNotGetLive1[i - 1] - internal->n_IOxNotGetLive1_IOxNotGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_E1; ++i) {
    state_next[internal->dim_S + i - 1] = E1[i - 1] + internal->delta_E1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetLive1; ++i) {
    state_next[internal->offset_variable_IMVGetLive1 + i - 1] = IMVGetLive1[i - 1] + internal->delta_IMVGetLive1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetDie1; ++i) {
    state_next[internal->offset_variable_IMVNotGetDie1 + i - 1] = IMVNotGetDie1[i - 1] + internal->delta_IMVNotGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetLive1; ++i) {
    state_next[internal->offset_variable_IOxGetLive1 + i - 1] = IOxGetLive1[i - 1] + internal->delta_IOxGetLive1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetDie1; ++i) {
    state_next[internal->offset_variable_IOxNotGetDie1 + i - 1] = IOxNotGetDie1[i - 1] + internal->delta_IOxNotGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetLive1; ++i) {
    state_next[internal->offset_variable_IMVNotGetLive1 + i - 1] = IMVNotGetLive1[i - 1] + internal->delta_IMVNotGetLive1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetLive1; ++i) {
    state_next[internal->offset_variable_IOxNotGetLive1 + i - 1] = IOxNotGetLive1[i - 1] + internal->delta_IOxNotGetLive1[i - 1];
  }
  double time = step * internal->dt;
  output[0] = time;
  memcpy(output + 1, internal->n_E2_I, internal->dim_n_E2_I * sizeof(double));
  memcpy(output + internal->offset_output_delta_D, internal->delta_D, internal->dim_delta_D * sizeof(double));
  memcpy(output + internal->offset_output_n_E2_ICase1, internal->n_E2_ICase1, internal->dim_n_E2_ICase1 * sizeof(double));
  memcpy(output + internal->offset_output_number_requiring_IMV, internal->number_requiring_IMV, internal->dim_number_requiring_IMV * sizeof(double));
  memcpy(output + internal->offset_output_n_E2_IMild, internal->n_E2_IMild, internal->dim_n_E2_IMild * sizeof(double));
}
void explicit_SEIR_rhs_dde(size_t n_eq, size_t step, double * state, double * state_next, size_t n_out, double * output, void * internal) {
  explicit_SEIR_rhs((explicit_SEIR_internal*)internal, step, state, state_next, output);
}
SEXP explicit_SEIR_rhs_r(SEXP internal_p, SEXP step, SEXP state) {
  SEXP state_next = PROTECT(allocVector(REALSXP, LENGTH(state)));
  explicit_SEIR_internal *internal = explicit_SEIR_get_internal(internal_p, 1);
  SEXP output_ptr = PROTECT(allocVector(REALSXP, 1 + internal->dim_n_E2_I + internal->dim_n_E2_ICase1 + internal->dim_n_E2_IMild + internal->dim_number_requiring_IMV + internal->dim_delta_D));
  setAttrib(state_next, install("output"), output_ptr);
  UNPROTECT(1);
  double *output = REAL(output_ptr);
  GetRNGstate();
  explicit_SEIR_rhs(internal, INTEGER(step)[0], REAL(state), REAL(state_next), output);
  PutRNGstate();
  UNPROTECT(1);
  return state_next;
}
explicit_SEIR_deterministic_internal* explicit_SEIR_deterministic_get_internal(SEXP internal_p, int closed_error) {
  explicit_SEIR_deterministic_internal *internal = NULL;
  if (TYPEOF(internal_p) != EXTPTRSXP) {
    Rf_error("Expected an external pointer");
  }
  internal = (explicit_SEIR_deterministic_internal*) R_ExternalPtrAddr(internal_p);
  if (!internal && closed_error) {
    Rf_error("Pointer has been invalidated");
  }
  return internal;
}
void explicit_SEIR_deterministic_finalise(SEXP internal_p) {
  explicit_SEIR_deterministic_internal *internal = explicit_SEIR_deterministic_get_internal(internal_p, 0);
  if (internal_p) {
    cinterpolate_free(internal->interpolate_beta);
    cinterpolate_free(internal->interpolate_m);
    internal->interpolate_beta = NULL;
    internal->interpolate_m = NULL;
    Free(internal->beta_set);
    Free(internal->D_0);
    Free(internal->E1_0);
    Free(internal->E2_0);
    Free(internal->ICase1_0);
    Free(internal->ICase2_0);
    Free(internal->IMild_0);
    Free(internal->IMV_dist_weighting);
    Free(internal->IMVGetDie1_0);
    Free(internal->IMVGetDie2_0);
    Free(internal->IMVGetLive1_0);
    Free(internal->IMVGetLive2_0);
    Free(internal->IMVNotGetDie1_0);
    Free(internal->IMVNotGetDie2_0);
    Free(internal->IMVNotGetLive1_0);
    Free(internal->IMVNotGetLive2_0);
    Free(internal->initial_D);
    Free(internal->initial_E1);
    Free(internal->initial_E2);
    Free(internal->initial_ICase1);
    Free(internal->initial_ICase2);
    Free(internal->initial_IMild);
    Free(internal->initial_IMVGetDie1);
    Free(internal->initial_IMVGetDie2);
    Free(internal->initial_IMVGetLive1);
    Free(internal->initial_IMVGetLive2);
    Free(internal->initial_IMVNotGetDie1);
    Free(internal->initial_IMVNotGetDie2);
    Free(internal->initial_IMVNotGetLive1);
    Free(internal->initial_IMVNotGetLive2);
    Free(internal->initial_IOxGetDie1);
    Free(internal->initial_IOxGetDie2);
    Free(internal->initial_IOxGetLive1);
    Free(internal->initial_IOxGetLive2);
    Free(internal->initial_IOxNotGetDie1);
    Free(internal->initial_IOxNotGetDie2);
    Free(internal->initial_IOxNotGetLive1);
    Free(internal->initial_IOxNotGetLive2);
    Free(internal->initial_IRec1);
    Free(internal->initial_IRec2);
    Free(internal->initial_R);
    Free(internal->initial_S);
    Free(internal->IOxGetDie1_0);
    Free(internal->IOxGetDie2_0);
    Free(internal->IOxGetLive1_0);
    Free(internal->IOxGetLive2_0);
    Free(internal->IOxNotGetDie1_0);
    Free(internal->IOxNotGetDie2_0);
    Free(internal->IOxNotGetLive1_0);
    Free(internal->IOxNotGetLive2_0);
    Free(internal->IRec1_0);
    Free(internal->IRec2_0);
    Free(internal->lambda);
    Free(internal->m);
    Free(internal->mix_mat_set);
    Free(internal->number_get_IMV);
    Free(internal->number_get_Ox);
    Free(internal->number_requiring_IMV);
    Free(internal->number_requiring_Ox);
    Free(internal->Ox_dist_weighting);
    Free(internal->p_dist);
    Free(internal->prob_hosp);
    Free(internal->prob_non_severe_death_no_treatment);
    Free(internal->prob_non_severe_death_treatment);
    Free(internal->prob_severe);
    Free(internal->prob_severe_death_no_treatment);
    Free(internal->prob_severe_death_treatment);
    Free(internal->R_0);
    Free(internal->S_0);
    Free(internal->s_ij);
    Free(internal->temp);
    Free(internal->tt_beta);
    Free(internal->tt_matrix);
    Free(internal);
    R_ClearExternalPtr(internal_p);
  }
}
SEXP explicit_SEIR_deterministic_create(SEXP user) {
  explicit_SEIR_deterministic_internal *internal = (explicit_SEIR_deterministic_internal*) Calloc(1, explicit_SEIR_deterministic_internal);
  internal->beta_set = NULL;
  internal->D_0 = NULL;
  internal->E1_0 = NULL;
  internal->E2_0 = NULL;
  internal->ICase1_0 = NULL;
  internal->ICase2_0 = NULL;
  internal->IMild_0 = NULL;
  internal->IMV_dist_weighting = NULL;
  internal->IMVGetDie1_0 = NULL;
  internal->IMVGetDie2_0 = NULL;
  internal->IMVGetLive1_0 = NULL;
  internal->IMVGetLive2_0 = NULL;
  internal->IMVNotGetDie1_0 = NULL;
  internal->IMVNotGetDie2_0 = NULL;
  internal->IMVNotGetLive1_0 = NULL;
  internal->IMVNotGetLive2_0 = NULL;
  internal->initial_D = NULL;
  internal->initial_E1 = NULL;
  internal->initial_E2 = NULL;
  internal->initial_ICase1 = NULL;
  internal->initial_ICase2 = NULL;
  internal->initial_IMild = NULL;
  internal->initial_IMVGetDie1 = NULL;
  internal->initial_IMVGetDie2 = NULL;
  internal->initial_IMVGetLive1 = NULL;
  internal->initial_IMVGetLive2 = NULL;
  internal->initial_IMVNotGetDie1 = NULL;
  internal->initial_IMVNotGetDie2 = NULL;
  internal->initial_IMVNotGetLive1 = NULL;
  internal->initial_IMVNotGetLive2 = NULL;
  internal->initial_IOxGetDie1 = NULL;
  internal->initial_IOxGetDie2 = NULL;
  internal->initial_IOxGetLive1 = NULL;
  internal->initial_IOxGetLive2 = NULL;
  internal->initial_IOxNotGetDie1 = NULL;
  internal->initial_IOxNotGetDie2 = NULL;
  internal->initial_IOxNotGetLive1 = NULL;
  internal->initial_IOxNotGetLive2 = NULL;
  internal->initial_IRec1 = NULL;
  internal->initial_IRec2 = NULL;
  internal->initial_R = NULL;
  internal->initial_S = NULL;
  internal->interpolate_m = NULL;
  internal->IOxGetDie1_0 = NULL;
  internal->IOxGetDie2_0 = NULL;
  internal->IOxGetLive1_0 = NULL;
  internal->IOxGetLive2_0 = NULL;
  internal->IOxNotGetDie1_0 = NULL;
  internal->IOxNotGetDie2_0 = NULL;
  internal->IOxNotGetLive1_0 = NULL;
  internal->IOxNotGetLive2_0 = NULL;
  internal->IRec1_0 = NULL;
  internal->IRec2_0 = NULL;
  internal->lambda = NULL;
  internal->m = NULL;
  internal->mix_mat_set = NULL;
  internal->number_get_IMV = NULL;
  internal->number_get_Ox = NULL;
  internal->number_requiring_IMV = NULL;
  internal->number_requiring_Ox = NULL;
  internal->Ox_dist_weighting = NULL;
  internal->p_dist = NULL;
  internal->prob_hosp = NULL;
  internal->prob_non_severe_death_no_treatment = NULL;
  internal->prob_non_severe_death_treatment = NULL;
  internal->prob_severe = NULL;
  internal->prob_severe_death_no_treatment = NULL;
  internal->prob_severe_death_treatment = NULL;
  internal->R_0 = NULL;
  internal->S_0 = NULL;
  internal->s_ij = NULL;
  internal->temp = NULL;
  internal->tt_beta = NULL;
  internal->tt_matrix = NULL;
  internal->beta_set = NULL;
  internal->D_0 = NULL;
  internal->E1_0 = NULL;
  internal->E2_0 = NULL;
  internal->gamma_E = NA_REAL;
  internal->gamma_get_mv_die = NA_REAL;
  internal->gamma_get_mv_survive = NA_REAL;
  internal->gamma_get_ox_die = NA_REAL;
  internal->gamma_get_ox_survive = NA_REAL;
  internal->gamma_hosp = NA_REAL;
  internal->gamma_not_get_mv_die = NA_REAL;
  internal->gamma_not_get_mv_survive = NA_REAL;
  internal->gamma_not_get_ox_die = NA_REAL;
  internal->gamma_not_get_ox_survive = NA_REAL;
  internal->gamma_R = NA_REAL;
  internal->gamma_rec = NA_REAL;
  internal->hosp_bed_capacity = NA_REAL;
  internal->ICase1_0 = NULL;
  internal->ICase2_0 = NULL;
  internal->ICU_bed_capacity = NA_REAL;
  internal->IMild_0 = NULL;
  internal->IMVGetDie1_0 = NULL;
  internal->IMVGetDie2_0 = NULL;
  internal->IMVGetLive1_0 = NULL;
  internal->IMVGetLive2_0 = NULL;
  internal->IMVNotGetDie1_0 = NULL;
  internal->IMVNotGetDie2_0 = NULL;
  internal->IMVNotGetLive1_0 = NULL;
  internal->IMVNotGetLive2_0 = NULL;
  internal->IOxGetDie1_0 = NULL;
  internal->IOxGetDie2_0 = NULL;
  internal->IOxGetLive1_0 = NULL;
  internal->IOxGetLive2_0 = NULL;
  internal->IOxNotGetDie1_0 = NULL;
  internal->IOxNotGetDie2_0 = NULL;
  internal->IOxNotGetLive1_0 = NULL;
  internal->IOxNotGetLive2_0 = NULL;
  internal->IRec1_0 = NULL;
  internal->IRec2_0 = NULL;
  internal->mix_mat_set = NULL;
  internal->N_age = NA_INTEGER;
  internal->p_dist = NULL;
  internal->prob_hosp = NULL;
  internal->prob_non_severe_death_no_treatment = NULL;
  internal->prob_non_severe_death_treatment = NULL;
  internal->prob_severe = NULL;
  internal->prob_severe_death_no_treatment = NULL;
  internal->prob_severe_death_treatment = NULL;
  internal->R_0 = NULL;
  internal->S_0 = NULL;
  internal->tt_beta = NULL;
  internal->tt_matrix = NULL;
  SEXP ptr = PROTECT(R_MakeExternalPtr(internal, R_NilValue, R_NilValue));
  R_RegisterCFinalizer(ptr, explicit_SEIR_deterministic_finalise);
  UNPROTECT(1);
  return ptr;
}
static explicit_SEIR_deterministic_internal *explicit_SEIR_deterministic_internal_ds;
void explicit_SEIR_deterministic_initmod_desolve(void(* odeparms) (int *, double *)) {
  static DL_FUNC get_desolve_gparms = NULL;
  if (get_desolve_gparms == NULL) {
    get_desolve_gparms =
      R_GetCCallable("deSolve", "get_deSolve_gparms");
  }
  explicit_SEIR_deterministic_internal_ds = explicit_SEIR_deterministic_get_internal(get_desolve_gparms(), 1);
}
SEXP explicit_SEIR_deterministic_contents(SEXP internal_p) {
  explicit_SEIR_deterministic_internal *internal = explicit_SEIR_deterministic_get_internal(internal_p, 1);
  SEXP contents = PROTECT(allocVector(VECSXP, 195));
  SEXP beta_set = PROTECT(allocVector(REALSXP, internal->dim_beta_set));
  memcpy(REAL(beta_set), internal->beta_set, internal->dim_beta_set * sizeof(double));
  SET_VECTOR_ELT(contents, 0, beta_set);
  SEXP D_0 = PROTECT(allocVector(REALSXP, internal->dim_D_0));
  memcpy(REAL(D_0), internal->D_0, internal->dim_D_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 1, D_0);
  SET_VECTOR_ELT(contents, 2, ScalarInteger(internal->dim_beta_set));
  SET_VECTOR_ELT(contents, 3, ScalarInteger(internal->dim_D));
  SET_VECTOR_ELT(contents, 4, ScalarInteger(internal->dim_D_0));
  SET_VECTOR_ELT(contents, 5, ScalarInteger(internal->dim_E1));
  SET_VECTOR_ELT(contents, 6, ScalarInteger(internal->dim_E1_0));
  SET_VECTOR_ELT(contents, 7, ScalarInteger(internal->dim_E2));
  SET_VECTOR_ELT(contents, 8, ScalarInteger(internal->dim_E2_0));
  SET_VECTOR_ELT(contents, 9, ScalarInteger(internal->dim_ICase1));
  SET_VECTOR_ELT(contents, 10, ScalarInteger(internal->dim_ICase1_0));
  SET_VECTOR_ELT(contents, 11, ScalarInteger(internal->dim_ICase2));
  SET_VECTOR_ELT(contents, 12, ScalarInteger(internal->dim_ICase2_0));
  SET_VECTOR_ELT(contents, 13, ScalarInteger(internal->dim_IMild));
  SET_VECTOR_ELT(contents, 14, ScalarInteger(internal->dim_IMild_0));
  SET_VECTOR_ELT(contents, 15, ScalarInteger(internal->dim_IMV_dist_weighting));
  SET_VECTOR_ELT(contents, 16, ScalarInteger(internal->dim_IMVGetDie1));
  SET_VECTOR_ELT(contents, 17, ScalarInteger(internal->dim_IMVGetDie1_0));
  SET_VECTOR_ELT(contents, 18, ScalarInteger(internal->dim_IMVGetDie2));
  SET_VECTOR_ELT(contents, 19, ScalarInteger(internal->dim_IMVGetDie2_0));
  SET_VECTOR_ELT(contents, 20, ScalarInteger(internal->dim_IMVGetLive1));
  SET_VECTOR_ELT(contents, 21, ScalarInteger(internal->dim_IMVGetLive1_0));
  SET_VECTOR_ELT(contents, 22, ScalarInteger(internal->dim_IMVGetLive2));
  SET_VECTOR_ELT(contents, 23, ScalarInteger(internal->dim_IMVGetLive2_0));
  SET_VECTOR_ELT(contents, 24, ScalarInteger(internal->dim_IMVNotGetDie1));
  SET_VECTOR_ELT(contents, 25, ScalarInteger(internal->dim_IMVNotGetDie1_0));
  SET_VECTOR_ELT(contents, 26, ScalarInteger(internal->dim_IMVNotGetDie2));
  SET_VECTOR_ELT(contents, 27, ScalarInteger(internal->dim_IMVNotGetDie2_0));
  SET_VECTOR_ELT(contents, 28, ScalarInteger(internal->dim_IMVNotGetLive1));
  SET_VECTOR_ELT(contents, 29, ScalarInteger(internal->dim_IMVNotGetLive1_0));
  SET_VECTOR_ELT(contents, 30, ScalarInteger(internal->dim_IMVNotGetLive2));
  SET_VECTOR_ELT(contents, 31, ScalarInteger(internal->dim_IMVNotGetLive2_0));
  SET_VECTOR_ELT(contents, 32, ScalarInteger(internal->dim_IOxGetDie1));
  SET_VECTOR_ELT(contents, 33, ScalarInteger(internal->dim_IOxGetDie1_0));
  SET_VECTOR_ELT(contents, 34, ScalarInteger(internal->dim_IOxGetDie2));
  SET_VECTOR_ELT(contents, 35, ScalarInteger(internal->dim_IOxGetDie2_0));
  SET_VECTOR_ELT(contents, 36, ScalarInteger(internal->dim_IOxGetLive1));
  SET_VECTOR_ELT(contents, 37, ScalarInteger(internal->dim_IOxGetLive1_0));
  SET_VECTOR_ELT(contents, 38, ScalarInteger(internal->dim_IOxGetLive2));
  SET_VECTOR_ELT(contents, 39, ScalarInteger(internal->dim_IOxGetLive2_0));
  SET_VECTOR_ELT(contents, 40, ScalarInteger(internal->dim_IOxNotGetDie1));
  SET_VECTOR_ELT(contents, 41, ScalarInteger(internal->dim_IOxNotGetDie1_0));
  SET_VECTOR_ELT(contents, 42, ScalarInteger(internal->dim_IOxNotGetDie2));
  SET_VECTOR_ELT(contents, 43, ScalarInteger(internal->dim_IOxNotGetDie2_0));
  SET_VECTOR_ELT(contents, 44, ScalarInteger(internal->dim_IOxNotGetLive1));
  SET_VECTOR_ELT(contents, 45, ScalarInteger(internal->dim_IOxNotGetLive1_0));
  SET_VECTOR_ELT(contents, 46, ScalarInteger(internal->dim_IOxNotGetLive2));
  SET_VECTOR_ELT(contents, 47, ScalarInteger(internal->dim_IOxNotGetLive2_0));
  SET_VECTOR_ELT(contents, 48, ScalarInteger(internal->dim_IRec1));
  SET_VECTOR_ELT(contents, 49, ScalarInteger(internal->dim_IRec1_0));
  SET_VECTOR_ELT(contents, 50, ScalarInteger(internal->dim_IRec2));
  SET_VECTOR_ELT(contents, 51, ScalarInteger(internal->dim_IRec2_0));
  SET_VECTOR_ELT(contents, 52, ScalarInteger(internal->dim_lambda));
  SET_VECTOR_ELT(contents, 53, ScalarInteger(internal->dim_m));
  SET_VECTOR_ELT(contents, 54, ScalarInteger(internal->dim_m_1));
  SET_VECTOR_ELT(contents, 55, ScalarInteger(internal->dim_m_2));
  SET_VECTOR_ELT(contents, 56, ScalarInteger(internal->dim_mix_mat_set));
  SET_VECTOR_ELT(contents, 57, ScalarInteger(internal->dim_mix_mat_set_1));
  SET_VECTOR_ELT(contents, 58, ScalarInteger(internal->dim_mix_mat_set_12));
  SET_VECTOR_ELT(contents, 59, ScalarInteger(internal->dim_mix_mat_set_2));
  SET_VECTOR_ELT(contents, 60, ScalarInteger(internal->dim_mix_mat_set_3));
  SET_VECTOR_ELT(contents, 61, ScalarInteger(internal->dim_number_get_IMV));
  SET_VECTOR_ELT(contents, 62, ScalarInteger(internal->dim_number_get_Ox));
  SET_VECTOR_ELT(contents, 63, ScalarInteger(internal->dim_number_requiring_IMV));
  SET_VECTOR_ELT(contents, 64, ScalarInteger(internal->dim_number_requiring_Ox));
  SET_VECTOR_ELT(contents, 65, ScalarInteger(internal->dim_Ox_dist_weighting));
  SET_VECTOR_ELT(contents, 66, ScalarInteger(internal->dim_p_dist));
  SET_VECTOR_ELT(contents, 67, ScalarInteger(internal->dim_prob_hosp));
  SET_VECTOR_ELT(contents, 68, ScalarInteger(internal->dim_prob_non_severe_death_no_treatment));
  SET_VECTOR_ELT(contents, 69, ScalarInteger(internal->dim_prob_non_severe_death_treatment));
  SET_VECTOR_ELT(contents, 70, ScalarInteger(internal->dim_prob_severe));
  SET_VECTOR_ELT(contents, 71, ScalarInteger(internal->dim_prob_severe_death_no_treatment));
  SET_VECTOR_ELT(contents, 72, ScalarInteger(internal->dim_prob_severe_death_treatment));
  SET_VECTOR_ELT(contents, 73, ScalarInteger(internal->dim_R));
  SET_VECTOR_ELT(contents, 74, ScalarInteger(internal->dim_R_0));
  SET_VECTOR_ELT(contents, 75, ScalarInteger(internal->dim_S));
  SET_VECTOR_ELT(contents, 76, ScalarInteger(internal->dim_S_0));
  SET_VECTOR_ELT(contents, 77, ScalarInteger(internal->dim_s_ij));
  SET_VECTOR_ELT(contents, 78, ScalarInteger(internal->dim_s_ij_1));
  SET_VECTOR_ELT(contents, 79, ScalarInteger(internal->dim_s_ij_2));
  SET_VECTOR_ELT(contents, 80, ScalarInteger(internal->dim_temp));
  SET_VECTOR_ELT(contents, 81, ScalarInteger(internal->dim_tt_beta));
  SET_VECTOR_ELT(contents, 82, ScalarInteger(internal->dim_tt_matrix));
  SEXP E1_0 = PROTECT(allocVector(REALSXP, internal->dim_E1_0));
  memcpy(REAL(E1_0), internal->E1_0, internal->dim_E1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 83, E1_0);
  SEXP E2_0 = PROTECT(allocVector(REALSXP, internal->dim_E2_0));
  memcpy(REAL(E2_0), internal->E2_0, internal->dim_E2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 84, E2_0);
  SET_VECTOR_ELT(contents, 85, ScalarReal(internal->gamma_E));
  SET_VECTOR_ELT(contents, 86, ScalarReal(internal->gamma_get_mv_die));
  SET_VECTOR_ELT(contents, 87, ScalarReal(internal->gamma_get_mv_survive));
  SET_VECTOR_ELT(contents, 88, ScalarReal(internal->gamma_get_ox_die));
  SET_VECTOR_ELT(contents, 89, ScalarReal(internal->gamma_get_ox_survive));
  SET_VECTOR_ELT(contents, 90, ScalarReal(internal->gamma_hosp));
  SET_VECTOR_ELT(contents, 91, ScalarReal(internal->gamma_not_get_mv_die));
  SET_VECTOR_ELT(contents, 92, ScalarReal(internal->gamma_not_get_mv_survive));
  SET_VECTOR_ELT(contents, 93, ScalarReal(internal->gamma_not_get_ox_die));
  SET_VECTOR_ELT(contents, 94, ScalarReal(internal->gamma_not_get_ox_survive));
  SET_VECTOR_ELT(contents, 95, ScalarReal(internal->gamma_R));
  SET_VECTOR_ELT(contents, 96, ScalarReal(internal->gamma_rec));
  SET_VECTOR_ELT(contents, 97, ScalarReal(internal->hosp_bed_capacity));
  SEXP ICase1_0 = PROTECT(allocVector(REALSXP, internal->dim_ICase1_0));
  memcpy(REAL(ICase1_0), internal->ICase1_0, internal->dim_ICase1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 98, ICase1_0);
  SEXP ICase2_0 = PROTECT(allocVector(REALSXP, internal->dim_ICase2_0));
  memcpy(REAL(ICase2_0), internal->ICase2_0, internal->dim_ICase2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 99, ICase2_0);
  SET_VECTOR_ELT(contents, 100, ScalarReal(internal->ICU_bed_capacity));
  SEXP IMild_0 = PROTECT(allocVector(REALSXP, internal->dim_IMild_0));
  memcpy(REAL(IMild_0), internal->IMild_0, internal->dim_IMild_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 101, IMild_0);
  SEXP IMV_dist_weighting = PROTECT(allocVector(REALSXP, internal->dim_IMV_dist_weighting));
  memcpy(REAL(IMV_dist_weighting), internal->IMV_dist_weighting, internal->dim_IMV_dist_weighting * sizeof(double));
  SET_VECTOR_ELT(contents, 102, IMV_dist_weighting);
  SEXP IMVGetDie1_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetDie1_0));
  memcpy(REAL(IMVGetDie1_0), internal->IMVGetDie1_0, internal->dim_IMVGetDie1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 103, IMVGetDie1_0);
  SEXP IMVGetDie2_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetDie2_0));
  memcpy(REAL(IMVGetDie2_0), internal->IMVGetDie2_0, internal->dim_IMVGetDie2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 104, IMVGetDie2_0);
  SEXP IMVGetLive1_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetLive1_0));
  memcpy(REAL(IMVGetLive1_0), internal->IMVGetLive1_0, internal->dim_IMVGetLive1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 105, IMVGetLive1_0);
  SEXP IMVGetLive2_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetLive2_0));
  memcpy(REAL(IMVGetLive2_0), internal->IMVGetLive2_0, internal->dim_IMVGetLive2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 106, IMVGetLive2_0);
  SEXP IMVNotGetDie1_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetDie1_0));
  memcpy(REAL(IMVNotGetDie1_0), internal->IMVNotGetDie1_0, internal->dim_IMVNotGetDie1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 107, IMVNotGetDie1_0);
  SEXP IMVNotGetDie2_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetDie2_0));
  memcpy(REAL(IMVNotGetDie2_0), internal->IMVNotGetDie2_0, internal->dim_IMVNotGetDie2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 108, IMVNotGetDie2_0);
  SEXP IMVNotGetLive1_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetLive1_0));
  memcpy(REAL(IMVNotGetLive1_0), internal->IMVNotGetLive1_0, internal->dim_IMVNotGetLive1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 109, IMVNotGetLive1_0);
  SEXP IMVNotGetLive2_0 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetLive2_0));
  memcpy(REAL(IMVNotGetLive2_0), internal->IMVNotGetLive2_0, internal->dim_IMVNotGetLive2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 110, IMVNotGetLive2_0);
  SEXP initial_D = PROTECT(allocVector(REALSXP, internal->dim_D));
  memcpy(REAL(initial_D), internal->initial_D, internal->dim_D * sizeof(double));
  SET_VECTOR_ELT(contents, 111, initial_D);
  SEXP initial_E1 = PROTECT(allocVector(REALSXP, internal->dim_E1));
  memcpy(REAL(initial_E1), internal->initial_E1, internal->dim_E1 * sizeof(double));
  SET_VECTOR_ELT(contents, 112, initial_E1);
  SEXP initial_E2 = PROTECT(allocVector(REALSXP, internal->dim_E2));
  memcpy(REAL(initial_E2), internal->initial_E2, internal->dim_E2 * sizeof(double));
  SET_VECTOR_ELT(contents, 113, initial_E2);
  SEXP initial_ICase1 = PROTECT(allocVector(REALSXP, internal->dim_ICase1));
  memcpy(REAL(initial_ICase1), internal->initial_ICase1, internal->dim_ICase1 * sizeof(double));
  SET_VECTOR_ELT(contents, 114, initial_ICase1);
  SEXP initial_ICase2 = PROTECT(allocVector(REALSXP, internal->dim_ICase2));
  memcpy(REAL(initial_ICase2), internal->initial_ICase2, internal->dim_ICase2 * sizeof(double));
  SET_VECTOR_ELT(contents, 115, initial_ICase2);
  SEXP initial_IMild = PROTECT(allocVector(REALSXP, internal->dim_IMild));
  memcpy(REAL(initial_IMild), internal->initial_IMild, internal->dim_IMild * sizeof(double));
  SET_VECTOR_ELT(contents, 116, initial_IMild);
  SEXP initial_IMVGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetDie1));
  memcpy(REAL(initial_IMVGetDie1), internal->initial_IMVGetDie1, internal->dim_IMVGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 117, initial_IMVGetDie1);
  SEXP initial_IMVGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetDie2));
  memcpy(REAL(initial_IMVGetDie2), internal->initial_IMVGetDie2, internal->dim_IMVGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 118, initial_IMVGetDie2);
  SEXP initial_IMVGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetLive1));
  memcpy(REAL(initial_IMVGetLive1), internal->initial_IMVGetLive1, internal->dim_IMVGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 119, initial_IMVGetLive1);
  SEXP initial_IMVGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_IMVGetLive2));
  memcpy(REAL(initial_IMVGetLive2), internal->initial_IMVGetLive2, internal->dim_IMVGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 120, initial_IMVGetLive2);
  SEXP initial_IMVNotGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetDie1));
  memcpy(REAL(initial_IMVNotGetDie1), internal->initial_IMVNotGetDie1, internal->dim_IMVNotGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 121, initial_IMVNotGetDie1);
  SEXP initial_IMVNotGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetDie2));
  memcpy(REAL(initial_IMVNotGetDie2), internal->initial_IMVNotGetDie2, internal->dim_IMVNotGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 122, initial_IMVNotGetDie2);
  SEXP initial_IMVNotGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetLive1));
  memcpy(REAL(initial_IMVNotGetLive1), internal->initial_IMVNotGetLive1, internal->dim_IMVNotGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 123, initial_IMVNotGetLive1);
  SEXP initial_IMVNotGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_IMVNotGetLive2));
  memcpy(REAL(initial_IMVNotGetLive2), internal->initial_IMVNotGetLive2, internal->dim_IMVNotGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 124, initial_IMVNotGetLive2);
  SEXP initial_IOxGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetDie1));
  memcpy(REAL(initial_IOxGetDie1), internal->initial_IOxGetDie1, internal->dim_IOxGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 125, initial_IOxGetDie1);
  SEXP initial_IOxGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetDie2));
  memcpy(REAL(initial_IOxGetDie2), internal->initial_IOxGetDie2, internal->dim_IOxGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 126, initial_IOxGetDie2);
  SEXP initial_IOxGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetLive1));
  memcpy(REAL(initial_IOxGetLive1), internal->initial_IOxGetLive1, internal->dim_IOxGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 127, initial_IOxGetLive1);
  SEXP initial_IOxGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetLive2));
  memcpy(REAL(initial_IOxGetLive2), internal->initial_IOxGetLive2, internal->dim_IOxGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 128, initial_IOxGetLive2);
  SEXP initial_IOxNotGetDie1 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetDie1));
  memcpy(REAL(initial_IOxNotGetDie1), internal->initial_IOxNotGetDie1, internal->dim_IOxNotGetDie1 * sizeof(double));
  SET_VECTOR_ELT(contents, 129, initial_IOxNotGetDie1);
  SEXP initial_IOxNotGetDie2 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetDie2));
  memcpy(REAL(initial_IOxNotGetDie2), internal->initial_IOxNotGetDie2, internal->dim_IOxNotGetDie2 * sizeof(double));
  SET_VECTOR_ELT(contents, 130, initial_IOxNotGetDie2);
  SEXP initial_IOxNotGetLive1 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetLive1));
  memcpy(REAL(initial_IOxNotGetLive1), internal->initial_IOxNotGetLive1, internal->dim_IOxNotGetLive1 * sizeof(double));
  SET_VECTOR_ELT(contents, 131, initial_IOxNotGetLive1);
  SEXP initial_IOxNotGetLive2 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetLive2));
  memcpy(REAL(initial_IOxNotGetLive2), internal->initial_IOxNotGetLive2, internal->dim_IOxNotGetLive2 * sizeof(double));
  SET_VECTOR_ELT(contents, 132, initial_IOxNotGetLive2);
  SEXP initial_IRec1 = PROTECT(allocVector(REALSXP, internal->dim_IRec1));
  memcpy(REAL(initial_IRec1), internal->initial_IRec1, internal->dim_IRec1 * sizeof(double));
  SET_VECTOR_ELT(contents, 133, initial_IRec1);
  SEXP initial_IRec2 = PROTECT(allocVector(REALSXP, internal->dim_IRec2));
  memcpy(REAL(initial_IRec2), internal->initial_IRec2, internal->dim_IRec2 * sizeof(double));
  SET_VECTOR_ELT(contents, 134, initial_IRec2);
  SEXP initial_R = PROTECT(allocVector(REALSXP, internal->dim_R));
  memcpy(REAL(initial_R), internal->initial_R, internal->dim_R * sizeof(double));
  SET_VECTOR_ELT(contents, 135, initial_R);
  SEXP initial_S = PROTECT(allocVector(REALSXP, internal->dim_S));
  memcpy(REAL(initial_S), internal->initial_S, internal->dim_S * sizeof(double));
  SET_VECTOR_ELT(contents, 136, initial_S);
  SEXP IOxGetDie1_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetDie1_0));
  memcpy(REAL(IOxGetDie1_0), internal->IOxGetDie1_0, internal->dim_IOxGetDie1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 139, IOxGetDie1_0);
  SEXP IOxGetDie2_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetDie2_0));
  memcpy(REAL(IOxGetDie2_0), internal->IOxGetDie2_0, internal->dim_IOxGetDie2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 140, IOxGetDie2_0);
  SEXP IOxGetLive1_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetLive1_0));
  memcpy(REAL(IOxGetLive1_0), internal->IOxGetLive1_0, internal->dim_IOxGetLive1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 141, IOxGetLive1_0);
  SEXP IOxGetLive2_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxGetLive2_0));
  memcpy(REAL(IOxGetLive2_0), internal->IOxGetLive2_0, internal->dim_IOxGetLive2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 142, IOxGetLive2_0);
  SEXP IOxNotGetDie1_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetDie1_0));
  memcpy(REAL(IOxNotGetDie1_0), internal->IOxNotGetDie1_0, internal->dim_IOxNotGetDie1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 143, IOxNotGetDie1_0);
  SEXP IOxNotGetDie2_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetDie2_0));
  memcpy(REAL(IOxNotGetDie2_0), internal->IOxNotGetDie2_0, internal->dim_IOxNotGetDie2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 144, IOxNotGetDie2_0);
  SEXP IOxNotGetLive1_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetLive1_0));
  memcpy(REAL(IOxNotGetLive1_0), internal->IOxNotGetLive1_0, internal->dim_IOxNotGetLive1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 145, IOxNotGetLive1_0);
  SEXP IOxNotGetLive2_0 = PROTECT(allocVector(REALSXP, internal->dim_IOxNotGetLive2_0));
  memcpy(REAL(IOxNotGetLive2_0), internal->IOxNotGetLive2_0, internal->dim_IOxNotGetLive2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 146, IOxNotGetLive2_0);
  SEXP IRec1_0 = PROTECT(allocVector(REALSXP, internal->dim_IRec1_0));
  memcpy(REAL(IRec1_0), internal->IRec1_0, internal->dim_IRec1_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 147, IRec1_0);
  SEXP IRec2_0 = PROTECT(allocVector(REALSXP, internal->dim_IRec2_0));
  memcpy(REAL(IRec2_0), internal->IRec2_0, internal->dim_IRec2_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 148, IRec2_0);
  SEXP lambda = PROTECT(allocVector(REALSXP, internal->dim_lambda));
  memcpy(REAL(lambda), internal->lambda, internal->dim_lambda * sizeof(double));
  SET_VECTOR_ELT(contents, 149, lambda);
  SEXP m = PROTECT(allocVector(REALSXP, internal->dim_m));
  memcpy(REAL(m), internal->m, internal->dim_m * sizeof(double));
  odin_set_dim(m, 2, internal->dim_m_1, internal->dim_m_2);
  SET_VECTOR_ELT(contents, 150, m);
  SEXP mix_mat_set = PROTECT(allocVector(REALSXP, internal->dim_mix_mat_set));
  memcpy(REAL(mix_mat_set), internal->mix_mat_set, internal->dim_mix_mat_set * sizeof(double));
  odin_set_dim(mix_mat_set, 3, internal->dim_mix_mat_set_1, internal->dim_mix_mat_set_2, internal->dim_mix_mat_set_3);
  SET_VECTOR_ELT(contents, 151, mix_mat_set);
  SET_VECTOR_ELT(contents, 152, ScalarInteger(internal->N_age));
  SEXP number_get_IMV = PROTECT(allocVector(REALSXP, internal->dim_number_get_IMV));
  memcpy(REAL(number_get_IMV), internal->number_get_IMV, internal->dim_number_get_IMV * sizeof(double));
  SET_VECTOR_ELT(contents, 153, number_get_IMV);
  SEXP number_get_Ox = PROTECT(allocVector(REALSXP, internal->dim_number_get_Ox));
  memcpy(REAL(number_get_Ox), internal->number_get_Ox, internal->dim_number_get_Ox * sizeof(double));
  SET_VECTOR_ELT(contents, 154, number_get_Ox);
  SEXP number_requiring_IMV = PROTECT(allocVector(REALSXP, internal->dim_number_requiring_IMV));
  memcpy(REAL(number_requiring_IMV), internal->number_requiring_IMV, internal->dim_number_requiring_IMV * sizeof(double));
  SET_VECTOR_ELT(contents, 155, number_requiring_IMV);
  SEXP number_requiring_Ox = PROTECT(allocVector(REALSXP, internal->dim_number_requiring_Ox));
  memcpy(REAL(number_requiring_Ox), internal->number_requiring_Ox, internal->dim_number_requiring_Ox * sizeof(double));
  SET_VECTOR_ELT(contents, 156, number_requiring_Ox);
  SET_VECTOR_ELT(contents, 157, ScalarInteger(internal->offset_variable_D));
  SET_VECTOR_ELT(contents, 158, ScalarInteger(internal->offset_variable_E2));
  SET_VECTOR_ELT(contents, 159, ScalarInteger(internal->offset_variable_ICase1));
  SET_VECTOR_ELT(contents, 160, ScalarInteger(internal->offset_variable_ICase2));
  SET_VECTOR_ELT(contents, 161, ScalarInteger(internal->offset_variable_IMild));
  SET_VECTOR_ELT(contents, 162, ScalarInteger(internal->offset_variable_IMVGetDie1));
  SET_VECTOR_ELT(contents, 163, ScalarInteger(internal->offset_variable_IMVGetDie2));
  SET_VECTOR_ELT(contents, 164, ScalarInteger(internal->offset_variable_IMVGetLive1));
  SET_VECTOR_ELT(contents, 165, ScalarInteger(internal->offset_variable_IMVGetLive2));
  SET_VECTOR_ELT(contents, 166, ScalarInteger(internal->offset_variable_IMVNotGetDie1));
  SET_VECTOR_ELT(contents, 167, ScalarInteger(internal->offset_variable_IMVNotGetDie2));
  SET_VECTOR_ELT(contents, 168, ScalarInteger(internal->offset_variable_IMVNotGetLive1));
  SET_VECTOR_ELT(contents, 169, ScalarInteger(internal->offset_variable_IMVNotGetLive2));
  SET_VECTOR_ELT(contents, 170, ScalarInteger(internal->offset_variable_IOxGetDie1));
  SET_VECTOR_ELT(contents, 171, ScalarInteger(internal->offset_variable_IOxGetDie2));
  SET_VECTOR_ELT(contents, 172, ScalarInteger(internal->offset_variable_IOxGetLive1));
  SET_VECTOR_ELT(contents, 173, ScalarInteger(internal->offset_variable_IOxGetLive2));
  SET_VECTOR_ELT(contents, 174, ScalarInteger(internal->offset_variable_IOxNotGetDie1));
  SET_VECTOR_ELT(contents, 175, ScalarInteger(internal->offset_variable_IOxNotGetDie2));
  SET_VECTOR_ELT(contents, 176, ScalarInteger(internal->offset_variable_IOxNotGetLive1));
  SET_VECTOR_ELT(contents, 177, ScalarInteger(internal->offset_variable_IOxNotGetLive2));
  SET_VECTOR_ELT(contents, 178, ScalarInteger(internal->offset_variable_IRec1));
  SET_VECTOR_ELT(contents, 179, ScalarInteger(internal->offset_variable_IRec2));
  SET_VECTOR_ELT(contents, 180, ScalarInteger(internal->offset_variable_R));
  SEXP Ox_dist_weighting = PROTECT(allocVector(REALSXP, internal->dim_Ox_dist_weighting));
  memcpy(REAL(Ox_dist_weighting), internal->Ox_dist_weighting, internal->dim_Ox_dist_weighting * sizeof(double));
  SET_VECTOR_ELT(contents, 181, Ox_dist_weighting);
  SEXP p_dist = PROTECT(allocVector(REALSXP, internal->dim_p_dist));
  memcpy(REAL(p_dist), internal->p_dist, internal->dim_p_dist * sizeof(double));
  SET_VECTOR_ELT(contents, 182, p_dist);
  SEXP prob_hosp = PROTECT(allocVector(REALSXP, internal->dim_prob_hosp));
  memcpy(REAL(prob_hosp), internal->prob_hosp, internal->dim_prob_hosp * sizeof(double));
  SET_VECTOR_ELT(contents, 183, prob_hosp);
  SEXP prob_non_severe_death_no_treatment = PROTECT(allocVector(REALSXP, internal->dim_prob_non_severe_death_no_treatment));
  memcpy(REAL(prob_non_severe_death_no_treatment), internal->prob_non_severe_death_no_treatment, internal->dim_prob_non_severe_death_no_treatment * sizeof(double));
  SET_VECTOR_ELT(contents, 184, prob_non_severe_death_no_treatment);
  SEXP prob_non_severe_death_treatment = PROTECT(allocVector(REALSXP, internal->dim_prob_non_severe_death_treatment));
  memcpy(REAL(prob_non_severe_death_treatment), internal->prob_non_severe_death_treatment, internal->dim_prob_non_severe_death_treatment * sizeof(double));
  SET_VECTOR_ELT(contents, 185, prob_non_severe_death_treatment);
  SEXP prob_severe = PROTECT(allocVector(REALSXP, internal->dim_prob_severe));
  memcpy(REAL(prob_severe), internal->prob_severe, internal->dim_prob_severe * sizeof(double));
  SET_VECTOR_ELT(contents, 186, prob_severe);
  SEXP prob_severe_death_no_treatment = PROTECT(allocVector(REALSXP, internal->dim_prob_severe_death_no_treatment));
  memcpy(REAL(prob_severe_death_no_treatment), internal->prob_severe_death_no_treatment, internal->dim_prob_severe_death_no_treatment * sizeof(double));
  SET_VECTOR_ELT(contents, 187, prob_severe_death_no_treatment);
  SEXP prob_severe_death_treatment = PROTECT(allocVector(REALSXP, internal->dim_prob_severe_death_treatment));
  memcpy(REAL(prob_severe_death_treatment), internal->prob_severe_death_treatment, internal->dim_prob_severe_death_treatment * sizeof(double));
  SET_VECTOR_ELT(contents, 188, prob_severe_death_treatment);
  SEXP R_0 = PROTECT(allocVector(REALSXP, internal->dim_R_0));
  memcpy(REAL(R_0), internal->R_0, internal->dim_R_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 189, R_0);
  SEXP S_0 = PROTECT(allocVector(REALSXP, internal->dim_S_0));
  memcpy(REAL(S_0), internal->S_0, internal->dim_S_0 * sizeof(double));
  SET_VECTOR_ELT(contents, 190, S_0);
  SEXP s_ij = PROTECT(allocVector(REALSXP, internal->dim_s_ij));
  memcpy(REAL(s_ij), internal->s_ij, internal->dim_s_ij * sizeof(double));
  odin_set_dim(s_ij, 2, internal->dim_s_ij_1, internal->dim_s_ij_2);
  SET_VECTOR_ELT(contents, 191, s_ij);
  SEXP temp = PROTECT(allocVector(REALSXP, internal->dim_temp));
  memcpy(REAL(temp), internal->temp, internal->dim_temp * sizeof(double));
  SET_VECTOR_ELT(contents, 192, temp);
  SEXP tt_beta = PROTECT(allocVector(REALSXP, internal->dim_tt_beta));
  memcpy(REAL(tt_beta), internal->tt_beta, internal->dim_tt_beta * sizeof(double));
  SET_VECTOR_ELT(contents, 193, tt_beta);
  SEXP tt_matrix = PROTECT(allocVector(REALSXP, internal->dim_tt_matrix));
  memcpy(REAL(tt_matrix), internal->tt_matrix, internal->dim_tt_matrix * sizeof(double));
  SET_VECTOR_ELT(contents, 194, tt_matrix);
  SEXP nms = PROTECT(allocVector(STRSXP, 195));
  SET_STRING_ELT(nms, 0, mkChar("beta_set"));
  SET_STRING_ELT(nms, 1, mkChar("D_0"));
  SET_STRING_ELT(nms, 2, mkChar("dim_beta_set"));
  SET_STRING_ELT(nms, 3, mkChar("dim_D"));
  SET_STRING_ELT(nms, 4, mkChar("dim_D_0"));
  SET_STRING_ELT(nms, 5, mkChar("dim_E1"));
  SET_STRING_ELT(nms, 6, mkChar("dim_E1_0"));
  SET_STRING_ELT(nms, 7, mkChar("dim_E2"));
  SET_STRING_ELT(nms, 8, mkChar("dim_E2_0"));
  SET_STRING_ELT(nms, 9, mkChar("dim_ICase1"));
  SET_STRING_ELT(nms, 10, mkChar("dim_ICase1_0"));
  SET_STRING_ELT(nms, 11, mkChar("dim_ICase2"));
  SET_STRING_ELT(nms, 12, mkChar("dim_ICase2_0"));
  SET_STRING_ELT(nms, 13, mkChar("dim_IMild"));
  SET_STRING_ELT(nms, 14, mkChar("dim_IMild_0"));
  SET_STRING_ELT(nms, 15, mkChar("dim_IMV_dist_weighting"));
  SET_STRING_ELT(nms, 16, mkChar("dim_IMVGetDie1"));
  SET_STRING_ELT(nms, 17, mkChar("dim_IMVGetDie1_0"));
  SET_STRING_ELT(nms, 18, mkChar("dim_IMVGetDie2"));
  SET_STRING_ELT(nms, 19, mkChar("dim_IMVGetDie2_0"));
  SET_STRING_ELT(nms, 20, mkChar("dim_IMVGetLive1"));
  SET_STRING_ELT(nms, 21, mkChar("dim_IMVGetLive1_0"));
  SET_STRING_ELT(nms, 22, mkChar("dim_IMVGetLive2"));
  SET_STRING_ELT(nms, 23, mkChar("dim_IMVGetLive2_0"));
  SET_STRING_ELT(nms, 24, mkChar("dim_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 25, mkChar("dim_IMVNotGetDie1_0"));
  SET_STRING_ELT(nms, 26, mkChar("dim_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 27, mkChar("dim_IMVNotGetDie2_0"));
  SET_STRING_ELT(nms, 28, mkChar("dim_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 29, mkChar("dim_IMVNotGetLive1_0"));
  SET_STRING_ELT(nms, 30, mkChar("dim_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 31, mkChar("dim_IMVNotGetLive2_0"));
  SET_STRING_ELT(nms, 32, mkChar("dim_IOxGetDie1"));
  SET_STRING_ELT(nms, 33, mkChar("dim_IOxGetDie1_0"));
  SET_STRING_ELT(nms, 34, mkChar("dim_IOxGetDie2"));
  SET_STRING_ELT(nms, 35, mkChar("dim_IOxGetDie2_0"));
  SET_STRING_ELT(nms, 36, mkChar("dim_IOxGetLive1"));
  SET_STRING_ELT(nms, 37, mkChar("dim_IOxGetLive1_0"));
  SET_STRING_ELT(nms, 38, mkChar("dim_IOxGetLive2"));
  SET_STRING_ELT(nms, 39, mkChar("dim_IOxGetLive2_0"));
  SET_STRING_ELT(nms, 40, mkChar("dim_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 41, mkChar("dim_IOxNotGetDie1_0"));
  SET_STRING_ELT(nms, 42, mkChar("dim_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 43, mkChar("dim_IOxNotGetDie2_0"));
  SET_STRING_ELT(nms, 44, mkChar("dim_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 45, mkChar("dim_IOxNotGetLive1_0"));
  SET_STRING_ELT(nms, 46, mkChar("dim_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 47, mkChar("dim_IOxNotGetLive2_0"));
  SET_STRING_ELT(nms, 48, mkChar("dim_IRec1"));
  SET_STRING_ELT(nms, 49, mkChar("dim_IRec1_0"));
  SET_STRING_ELT(nms, 50, mkChar("dim_IRec2"));
  SET_STRING_ELT(nms, 51, mkChar("dim_IRec2_0"));
  SET_STRING_ELT(nms, 52, mkChar("dim_lambda"));
  SET_STRING_ELT(nms, 53, mkChar("dim_m"));
  SET_STRING_ELT(nms, 54, mkChar("dim_m_1"));
  SET_STRING_ELT(nms, 55, mkChar("dim_m_2"));
  SET_STRING_ELT(nms, 56, mkChar("dim_mix_mat_set"));
  SET_STRING_ELT(nms, 57, mkChar("dim_mix_mat_set_1"));
  SET_STRING_ELT(nms, 58, mkChar("dim_mix_mat_set_12"));
  SET_STRING_ELT(nms, 59, mkChar("dim_mix_mat_set_2"));
  SET_STRING_ELT(nms, 60, mkChar("dim_mix_mat_set_3"));
  SET_STRING_ELT(nms, 61, mkChar("dim_number_get_IMV"));
  SET_STRING_ELT(nms, 62, mkChar("dim_number_get_Ox"));
  SET_STRING_ELT(nms, 63, mkChar("dim_number_requiring_IMV"));
  SET_STRING_ELT(nms, 64, mkChar("dim_number_requiring_Ox"));
  SET_STRING_ELT(nms, 65, mkChar("dim_Ox_dist_weighting"));
  SET_STRING_ELT(nms, 66, mkChar("dim_p_dist"));
  SET_STRING_ELT(nms, 67, mkChar("dim_prob_hosp"));
  SET_STRING_ELT(nms, 68, mkChar("dim_prob_non_severe_death_no_treatment"));
  SET_STRING_ELT(nms, 69, mkChar("dim_prob_non_severe_death_treatment"));
  SET_STRING_ELT(nms, 70, mkChar("dim_prob_severe"));
  SET_STRING_ELT(nms, 71, mkChar("dim_prob_severe_death_no_treatment"));
  SET_STRING_ELT(nms, 72, mkChar("dim_prob_severe_death_treatment"));
  SET_STRING_ELT(nms, 73, mkChar("dim_R"));
  SET_STRING_ELT(nms, 74, mkChar("dim_R_0"));
  SET_STRING_ELT(nms, 75, mkChar("dim_S"));
  SET_STRING_ELT(nms, 76, mkChar("dim_S_0"));
  SET_STRING_ELT(nms, 77, mkChar("dim_s_ij"));
  SET_STRING_ELT(nms, 78, mkChar("dim_s_ij_1"));
  SET_STRING_ELT(nms, 79, mkChar("dim_s_ij_2"));
  SET_STRING_ELT(nms, 80, mkChar("dim_temp"));
  SET_STRING_ELT(nms, 81, mkChar("dim_tt_beta"));
  SET_STRING_ELT(nms, 82, mkChar("dim_tt_matrix"));
  SET_STRING_ELT(nms, 83, mkChar("E1_0"));
  SET_STRING_ELT(nms, 84, mkChar("E2_0"));
  SET_STRING_ELT(nms, 85, mkChar("gamma_E"));
  SET_STRING_ELT(nms, 86, mkChar("gamma_get_mv_die"));
  SET_STRING_ELT(nms, 87, mkChar("gamma_get_mv_survive"));
  SET_STRING_ELT(nms, 88, mkChar("gamma_get_ox_die"));
  SET_STRING_ELT(nms, 89, mkChar("gamma_get_ox_survive"));
  SET_STRING_ELT(nms, 90, mkChar("gamma_hosp"));
  SET_STRING_ELT(nms, 91, mkChar("gamma_not_get_mv_die"));
  SET_STRING_ELT(nms, 92, mkChar("gamma_not_get_mv_survive"));
  SET_STRING_ELT(nms, 93, mkChar("gamma_not_get_ox_die"));
  SET_STRING_ELT(nms, 94, mkChar("gamma_not_get_ox_survive"));
  SET_STRING_ELT(nms, 95, mkChar("gamma_R"));
  SET_STRING_ELT(nms, 96, mkChar("gamma_rec"));
  SET_STRING_ELT(nms, 97, mkChar("hosp_bed_capacity"));
  SET_STRING_ELT(nms, 98, mkChar("ICase1_0"));
  SET_STRING_ELT(nms, 99, mkChar("ICase2_0"));
  SET_STRING_ELT(nms, 100, mkChar("ICU_bed_capacity"));
  SET_STRING_ELT(nms, 101, mkChar("IMild_0"));
  SET_STRING_ELT(nms, 102, mkChar("IMV_dist_weighting"));
  SET_STRING_ELT(nms, 103, mkChar("IMVGetDie1_0"));
  SET_STRING_ELT(nms, 104, mkChar("IMVGetDie2_0"));
  SET_STRING_ELT(nms, 105, mkChar("IMVGetLive1_0"));
  SET_STRING_ELT(nms, 106, mkChar("IMVGetLive2_0"));
  SET_STRING_ELT(nms, 107, mkChar("IMVNotGetDie1_0"));
  SET_STRING_ELT(nms, 108, mkChar("IMVNotGetDie2_0"));
  SET_STRING_ELT(nms, 109, mkChar("IMVNotGetLive1_0"));
  SET_STRING_ELT(nms, 110, mkChar("IMVNotGetLive2_0"));
  SET_STRING_ELT(nms, 111, mkChar("initial_D"));
  SET_STRING_ELT(nms, 112, mkChar("initial_E1"));
  SET_STRING_ELT(nms, 113, mkChar("initial_E2"));
  SET_STRING_ELT(nms, 114, mkChar("initial_ICase1"));
  SET_STRING_ELT(nms, 115, mkChar("initial_ICase2"));
  SET_STRING_ELT(nms, 116, mkChar("initial_IMild"));
  SET_STRING_ELT(nms, 117, mkChar("initial_IMVGetDie1"));
  SET_STRING_ELT(nms, 118, mkChar("initial_IMVGetDie2"));
  SET_STRING_ELT(nms, 119, mkChar("initial_IMVGetLive1"));
  SET_STRING_ELT(nms, 120, mkChar("initial_IMVGetLive2"));
  SET_STRING_ELT(nms, 121, mkChar("initial_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 122, mkChar("initial_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 123, mkChar("initial_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 124, mkChar("initial_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 125, mkChar("initial_IOxGetDie1"));
  SET_STRING_ELT(nms, 126, mkChar("initial_IOxGetDie2"));
  SET_STRING_ELT(nms, 127, mkChar("initial_IOxGetLive1"));
  SET_STRING_ELT(nms, 128, mkChar("initial_IOxGetLive2"));
  SET_STRING_ELT(nms, 129, mkChar("initial_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 130, mkChar("initial_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 131, mkChar("initial_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 132, mkChar("initial_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 133, mkChar("initial_IRec1"));
  SET_STRING_ELT(nms, 134, mkChar("initial_IRec2"));
  SET_STRING_ELT(nms, 135, mkChar("initial_R"));
  SET_STRING_ELT(nms, 136, mkChar("initial_S"));
  SET_STRING_ELT(nms, 137, mkChar("interpolate_beta"));
  SET_STRING_ELT(nms, 138, mkChar("interpolate_m"));
  SET_STRING_ELT(nms, 139, mkChar("IOxGetDie1_0"));
  SET_STRING_ELT(nms, 140, mkChar("IOxGetDie2_0"));
  SET_STRING_ELT(nms, 141, mkChar("IOxGetLive1_0"));
  SET_STRING_ELT(nms, 142, mkChar("IOxGetLive2_0"));
  SET_STRING_ELT(nms, 143, mkChar("IOxNotGetDie1_0"));
  SET_STRING_ELT(nms, 144, mkChar("IOxNotGetDie2_0"));
  SET_STRING_ELT(nms, 145, mkChar("IOxNotGetLive1_0"));
  SET_STRING_ELT(nms, 146, mkChar("IOxNotGetLive2_0"));
  SET_STRING_ELT(nms, 147, mkChar("IRec1_0"));
  SET_STRING_ELT(nms, 148, mkChar("IRec2_0"));
  SET_STRING_ELT(nms, 149, mkChar("lambda"));
  SET_STRING_ELT(nms, 150, mkChar("m"));
  SET_STRING_ELT(nms, 151, mkChar("mix_mat_set"));
  SET_STRING_ELT(nms, 152, mkChar("N_age"));
  SET_STRING_ELT(nms, 153, mkChar("number_get_IMV"));
  SET_STRING_ELT(nms, 154, mkChar("number_get_Ox"));
  SET_STRING_ELT(nms, 155, mkChar("number_requiring_IMV"));
  SET_STRING_ELT(nms, 156, mkChar("number_requiring_Ox"));
  SET_STRING_ELT(nms, 157, mkChar("offset_variable_D"));
  SET_STRING_ELT(nms, 158, mkChar("offset_variable_E2"));
  SET_STRING_ELT(nms, 159, mkChar("offset_variable_ICase1"));
  SET_STRING_ELT(nms, 160, mkChar("offset_variable_ICase2"));
  SET_STRING_ELT(nms, 161, mkChar("offset_variable_IMild"));
  SET_STRING_ELT(nms, 162, mkChar("offset_variable_IMVGetDie1"));
  SET_STRING_ELT(nms, 163, mkChar("offset_variable_IMVGetDie2"));
  SET_STRING_ELT(nms, 164, mkChar("offset_variable_IMVGetLive1"));
  SET_STRING_ELT(nms, 165, mkChar("offset_variable_IMVGetLive2"));
  SET_STRING_ELT(nms, 166, mkChar("offset_variable_IMVNotGetDie1"));
  SET_STRING_ELT(nms, 167, mkChar("offset_variable_IMVNotGetDie2"));
  SET_STRING_ELT(nms, 168, mkChar("offset_variable_IMVNotGetLive1"));
  SET_STRING_ELT(nms, 169, mkChar("offset_variable_IMVNotGetLive2"));
  SET_STRING_ELT(nms, 170, mkChar("offset_variable_IOxGetDie1"));
  SET_STRING_ELT(nms, 171, mkChar("offset_variable_IOxGetDie2"));
  SET_STRING_ELT(nms, 172, mkChar("offset_variable_IOxGetLive1"));
  SET_STRING_ELT(nms, 173, mkChar("offset_variable_IOxGetLive2"));
  SET_STRING_ELT(nms, 174, mkChar("offset_variable_IOxNotGetDie1"));
  SET_STRING_ELT(nms, 175, mkChar("offset_variable_IOxNotGetDie2"));
  SET_STRING_ELT(nms, 176, mkChar("offset_variable_IOxNotGetLive1"));
  SET_STRING_ELT(nms, 177, mkChar("offset_variable_IOxNotGetLive2"));
  SET_STRING_ELT(nms, 178, mkChar("offset_variable_IRec1"));
  SET_STRING_ELT(nms, 179, mkChar("offset_variable_IRec2"));
  SET_STRING_ELT(nms, 180, mkChar("offset_variable_R"));
  SET_STRING_ELT(nms, 181, mkChar("Ox_dist_weighting"));
  SET_STRING_ELT(nms, 182, mkChar("p_dist"));
  SET_STRING_ELT(nms, 183, mkChar("prob_hosp"));
  SET_STRING_ELT(nms, 184, mkChar("prob_non_severe_death_no_treatment"));
  SET_STRING_ELT(nms, 185, mkChar("prob_non_severe_death_treatment"));
  SET_STRING_ELT(nms, 186, mkChar("prob_severe"));
  SET_STRING_ELT(nms, 187, mkChar("prob_severe_death_no_treatment"));
  SET_STRING_ELT(nms, 188, mkChar("prob_severe_death_treatment"));
  SET_STRING_ELT(nms, 189, mkChar("R_0"));
  SET_STRING_ELT(nms, 190, mkChar("S_0"));
  SET_STRING_ELT(nms, 191, mkChar("s_ij"));
  SET_STRING_ELT(nms, 192, mkChar("temp"));
  SET_STRING_ELT(nms, 193, mkChar("tt_beta"));
  SET_STRING_ELT(nms, 194, mkChar("tt_matrix"));
  setAttrib(contents, R_NamesSymbol, nms);
  UNPROTECT(75);
  return contents;
}
SEXP explicit_SEIR_deterministic_set_user(SEXP internal_p, SEXP user) {
  explicit_SEIR_deterministic_internal *internal = explicit_SEIR_deterministic_get_internal(internal_p, 1);
  internal->gamma_E = user_get_scalar_double(user, "gamma_E", internal->gamma_E, NA_REAL, NA_REAL);
  internal->gamma_get_mv_die = user_get_scalar_double(user, "gamma_get_mv_die", internal->gamma_get_mv_die, NA_REAL, NA_REAL);
  internal->gamma_get_mv_survive = user_get_scalar_double(user, "gamma_get_mv_survive", internal->gamma_get_mv_survive, NA_REAL, NA_REAL);
  internal->gamma_get_ox_die = user_get_scalar_double(user, "gamma_get_ox_die", internal->gamma_get_ox_die, NA_REAL, NA_REAL);
  internal->gamma_get_ox_survive = user_get_scalar_double(user, "gamma_get_ox_survive", internal->gamma_get_ox_survive, NA_REAL, NA_REAL);
  internal->gamma_hosp = user_get_scalar_double(user, "gamma_hosp", internal->gamma_hosp, NA_REAL, NA_REAL);
  internal->gamma_not_get_mv_die = user_get_scalar_double(user, "gamma_not_get_mv_die", internal->gamma_not_get_mv_die, NA_REAL, NA_REAL);
  internal->gamma_not_get_mv_survive = user_get_scalar_double(user, "gamma_not_get_mv_survive", internal->gamma_not_get_mv_survive, NA_REAL, NA_REAL);
  internal->gamma_not_get_ox_die = user_get_scalar_double(user, "gamma_not_get_ox_die", internal->gamma_not_get_ox_die, NA_REAL, NA_REAL);
  internal->gamma_not_get_ox_survive = user_get_scalar_double(user, "gamma_not_get_ox_survive", internal->gamma_not_get_ox_survive, NA_REAL, NA_REAL);
  internal->gamma_R = user_get_scalar_double(user, "gamma_R", internal->gamma_R, NA_REAL, NA_REAL);
  internal->gamma_rec = user_get_scalar_double(user, "gamma_rec", internal->gamma_rec, NA_REAL, NA_REAL);
  internal->hosp_bed_capacity = user_get_scalar_double(user, "hosp_bed_capacity", internal->hosp_bed_capacity, NA_REAL, NA_REAL);
  internal->ICU_bed_capacity = user_get_scalar_double(user, "ICU_bed_capacity", internal->ICU_bed_capacity, NA_REAL, NA_REAL);
  internal->N_age = user_get_scalar_int(user, "N_age", internal->N_age, NA_REAL, NA_REAL);
  internal->tt_beta = (double*) user_get_array_dim(user, false, internal->tt_beta, "tt_beta", 1, NA_REAL, NA_REAL, &internal->dim_tt_beta);
  internal->tt_matrix = (double*) user_get_array_dim(user, false, internal->tt_matrix, "tt_matrix", 1, NA_REAL, NA_REAL, &internal->dim_tt_matrix);
  internal->dim_D = internal->N_age;
  internal->dim_D_0 = internal->N_age;
  internal->dim_E1 = internal->N_age;
  internal->dim_E1_0 = internal->N_age;
  internal->dim_E2 = internal->N_age;
  internal->dim_E2_0 = internal->N_age;
  internal->dim_ICase1 = internal->N_age;
  internal->dim_ICase1_0 = internal->N_age;
  internal->dim_ICase2 = internal->N_age;
  internal->dim_ICase2_0 = internal->N_age;
  internal->dim_IMild = internal->N_age;
  internal->dim_IMild_0 = internal->N_age;
  internal->dim_IMV_dist_weighting = internal->N_age;
  internal->dim_IMVGetDie1 = internal->N_age;
  internal->dim_IMVGetDie1_0 = internal->N_age;
  internal->dim_IMVGetDie2 = internal->N_age;
  internal->dim_IMVGetDie2_0 = internal->N_age;
  internal->dim_IMVGetLive1 = internal->N_age;
  internal->dim_IMVGetLive1_0 = internal->N_age;
  internal->dim_IMVGetLive2 = internal->N_age;
  internal->dim_IMVGetLive2_0 = internal->N_age;
  internal->dim_IMVNotGetDie1 = internal->N_age;
  internal->dim_IMVNotGetDie1_0 = internal->N_age;
  internal->dim_IMVNotGetDie2 = internal->N_age;
  internal->dim_IMVNotGetDie2_0 = internal->N_age;
  internal->dim_IMVNotGetLive1 = internal->N_age;
  internal->dim_IMVNotGetLive1_0 = internal->N_age;
  internal->dim_IMVNotGetLive2 = internal->N_age;
  internal->dim_IMVNotGetLive2_0 = internal->N_age;
  internal->dim_IOxGetDie1 = internal->N_age;
  internal->dim_IOxGetDie1_0 = internal->N_age;
  internal->dim_IOxGetDie2 = internal->N_age;
  internal->dim_IOxGetDie2_0 = internal->N_age;
  internal->dim_IOxGetLive1 = internal->N_age;
  internal->dim_IOxGetLive1_0 = internal->N_age;
  internal->dim_IOxGetLive2 = internal->N_age;
  internal->dim_IOxGetLive2_0 = internal->N_age;
  internal->dim_IOxNotGetDie1 = internal->N_age;
  internal->dim_IOxNotGetDie1_0 = internal->N_age;
  internal->dim_IOxNotGetDie2 = internal->N_age;
  internal->dim_IOxNotGetDie2_0 = internal->N_age;
  internal->dim_IOxNotGetLive1 = internal->N_age;
  internal->dim_IOxNotGetLive1_0 = internal->N_age;
  internal->dim_IOxNotGetLive2 = internal->N_age;
  internal->dim_IOxNotGetLive2_0 = internal->N_age;
  internal->dim_IRec1 = internal->N_age;
  internal->dim_IRec1_0 = internal->N_age;
  internal->dim_IRec2 = internal->N_age;
  internal->dim_IRec2_0 = internal->N_age;
  internal->dim_lambda = internal->N_age;
  internal->dim_m_1 = internal->N_age;
  internal->dim_m_2 = internal->N_age;
  internal->dim_number_get_IMV = internal->N_age;
  internal->dim_number_get_Ox = internal->N_age;
  internal->dim_number_requiring_IMV = internal->N_age;
  internal->dim_number_requiring_Ox = internal->N_age;
  internal->dim_Ox_dist_weighting = internal->N_age;
  internal->dim_p_dist = internal->N_age;
  internal->dim_prob_hosp = internal->N_age;
  internal->dim_prob_non_severe_death_no_treatment = internal->N_age;
  internal->dim_prob_non_severe_death_treatment = internal->N_age;
  internal->dim_prob_severe = internal->N_age;
  internal->dim_prob_severe_death_no_treatment = internal->N_age;
  internal->dim_prob_severe_death_treatment = internal->N_age;
  internal->dim_R = internal->N_age;
  internal->dim_R_0 = internal->N_age;
  internal->dim_S = internal->N_age;
  internal->dim_S_0 = internal->N_age;
  internal->dim_s_ij_1 = internal->N_age;
  internal->dim_s_ij_2 = internal->N_age;
  internal->dim_temp = internal->N_age;
  Free(internal->IMV_dist_weighting);
  internal->IMV_dist_weighting = (double*) Calloc(internal->dim_IMV_dist_weighting, double);
  Free(internal->initial_D);
  internal->initial_D = (double*) Calloc(internal->dim_D, double);
  Free(internal->initial_E1);
  internal->initial_E1 = (double*) Calloc(internal->dim_E1, double);
  Free(internal->initial_E2);
  internal->initial_E2 = (double*) Calloc(internal->dim_E2, double);
  Free(internal->initial_ICase1);
  internal->initial_ICase1 = (double*) Calloc(internal->dim_ICase1, double);
  Free(internal->initial_ICase2);
  internal->initial_ICase2 = (double*) Calloc(internal->dim_ICase2, double);
  Free(internal->initial_IMild);
  internal->initial_IMild = (double*) Calloc(internal->dim_IMild, double);
  Free(internal->initial_IMVGetDie1);
  internal->initial_IMVGetDie1 = (double*) Calloc(internal->dim_IMVGetDie1, double);
  Free(internal->initial_IMVGetDie2);
  internal->initial_IMVGetDie2 = (double*) Calloc(internal->dim_IMVGetDie2, double);
  Free(internal->initial_IMVGetLive1);
  internal->initial_IMVGetLive1 = (double*) Calloc(internal->dim_IMVGetLive1, double);
  Free(internal->initial_IMVGetLive2);
  internal->initial_IMVGetLive2 = (double*) Calloc(internal->dim_IMVGetLive2, double);
  Free(internal->initial_IMVNotGetDie1);
  internal->initial_IMVNotGetDie1 = (double*) Calloc(internal->dim_IMVNotGetDie1, double);
  Free(internal->initial_IMVNotGetDie2);
  internal->initial_IMVNotGetDie2 = (double*) Calloc(internal->dim_IMVNotGetDie2, double);
  Free(internal->initial_IMVNotGetLive1);
  internal->initial_IMVNotGetLive1 = (double*) Calloc(internal->dim_IMVNotGetLive1, double);
  Free(internal->initial_IMVNotGetLive2);
  internal->initial_IMVNotGetLive2 = (double*) Calloc(internal->dim_IMVNotGetLive2, double);
  Free(internal->initial_IOxGetDie1);
  internal->initial_IOxGetDie1 = (double*) Calloc(internal->dim_IOxGetDie1, double);
  Free(internal->initial_IOxGetDie2);
  internal->initial_IOxGetDie2 = (double*) Calloc(internal->dim_IOxGetDie2, double);
  Free(internal->initial_IOxGetLive1);
  internal->initial_IOxGetLive1 = (double*) Calloc(internal->dim_IOxGetLive1, double);
  Free(internal->initial_IOxGetLive2);
  internal->initial_IOxGetLive2 = (double*) Calloc(internal->dim_IOxGetLive2, double);
  Free(internal->initial_IOxNotGetDie1);
  internal->initial_IOxNotGetDie1 = (double*) Calloc(internal->dim_IOxNotGetDie1, double);
  Free(internal->initial_IOxNotGetDie2);
  internal->initial_IOxNotGetDie2 = (double*) Calloc(internal->dim_IOxNotGetDie2, double);
  Free(internal->initial_IOxNotGetLive1);
  internal->initial_IOxNotGetLive1 = (double*) Calloc(internal->dim_IOxNotGetLive1, double);
  Free(internal->initial_IOxNotGetLive2);
  internal->initial_IOxNotGetLive2 = (double*) Calloc(internal->dim_IOxNotGetLive2, double);
  Free(internal->initial_IRec1);
  internal->initial_IRec1 = (double*) Calloc(internal->dim_IRec1, double);
  Free(internal->initial_IRec2);
  internal->initial_IRec2 = (double*) Calloc(internal->dim_IRec2, double);
  Free(internal->initial_R);
  internal->initial_R = (double*) Calloc(internal->dim_R, double);
  Free(internal->initial_S);
  internal->initial_S = (double*) Calloc(internal->dim_S, double);
  Free(internal->lambda);
  internal->lambda = (double*) Calloc(internal->dim_lambda, double);
  Free(internal->number_get_IMV);
  internal->number_get_IMV = (double*) Calloc(internal->dim_number_get_IMV, double);
  Free(internal->number_get_Ox);
  internal->number_get_Ox = (double*) Calloc(internal->dim_number_get_Ox, double);
  Free(internal->number_requiring_IMV);
  internal->number_requiring_IMV = (double*) Calloc(internal->dim_number_requiring_IMV, double);
  Free(internal->number_requiring_Ox);
  internal->number_requiring_Ox = (double*) Calloc(internal->dim_number_requiring_Ox, double);
  Free(internal->Ox_dist_weighting);
  internal->Ox_dist_weighting = (double*) Calloc(internal->dim_Ox_dist_weighting, double);
  Free(internal->temp);
  internal->temp = (double*) Calloc(internal->dim_temp, double);
  internal->D_0 = (double*) user_get_array(user, false, internal->D_0, "D_0", NA_REAL, NA_REAL, 1, internal->dim_D_0);
  internal->dim_beta_set = internal->dim_tt_beta;
  internal->dim_m = internal->dim_m_1 * internal->dim_m_2;
  internal->dim_mix_mat_set_1 = internal->dim_tt_matrix;
  internal->dim_mix_mat_set_2 = internal->N_age;
  internal->dim_mix_mat_set_3 = internal->N_age;
  internal->dim_s_ij = internal->dim_s_ij_1 * internal->dim_s_ij_2;
  internal->E1_0 = (double*) user_get_array(user, false, internal->E1_0, "E1_0", NA_REAL, NA_REAL, 1, internal->dim_E1_0);
  internal->E2_0 = (double*) user_get_array(user, false, internal->E2_0, "E2_0", NA_REAL, NA_REAL, 1, internal->dim_E2_0);
  internal->ICase1_0 = (double*) user_get_array(user, false, internal->ICase1_0, "ICase1_0", NA_REAL, NA_REAL, 1, internal->dim_ICase1_0);
  internal->ICase2_0 = (double*) user_get_array(user, false, internal->ICase2_0, "ICase2_0", NA_REAL, NA_REAL, 1, internal->dim_ICase2_0);
  internal->IMild_0 = (double*) user_get_array(user, false, internal->IMild_0, "IMild_0", NA_REAL, NA_REAL, 1, internal->dim_IMild_0);
  internal->IMVGetDie1_0 = (double*) user_get_array(user, false, internal->IMVGetDie1_0, "IMVGetDie1_0", NA_REAL, NA_REAL, 1, internal->dim_IMVGetDie1_0);
  internal->IMVGetDie2_0 = (double*) user_get_array(user, false, internal->IMVGetDie2_0, "IMVGetDie2_0", NA_REAL, NA_REAL, 1, internal->dim_IMVGetDie2_0);
  internal->IMVGetLive1_0 = (double*) user_get_array(user, false, internal->IMVGetLive1_0, "IMVGetLive1_0", NA_REAL, NA_REAL, 1, internal->dim_IMVGetLive1_0);
  internal->IMVGetLive2_0 = (double*) user_get_array(user, false, internal->IMVGetLive2_0, "IMVGetLive2_0", NA_REAL, NA_REAL, 1, internal->dim_IMVGetLive2_0);
  internal->IMVNotGetDie1_0 = (double*) user_get_array(user, false, internal->IMVNotGetDie1_0, "IMVNotGetDie1_0", NA_REAL, NA_REAL, 1, internal->dim_IMVNotGetDie1_0);
  internal->IMVNotGetDie2_0 = (double*) user_get_array(user, false, internal->IMVNotGetDie2_0, "IMVNotGetDie2_0", NA_REAL, NA_REAL, 1, internal->dim_IMVNotGetDie2_0);
  internal->IMVNotGetLive1_0 = (double*) user_get_array(user, false, internal->IMVNotGetLive1_0, "IMVNotGetLive1_0", NA_REAL, NA_REAL, 1, internal->dim_IMVNotGetLive1_0);
  internal->IMVNotGetLive2_0 = (double*) user_get_array(user, false, internal->IMVNotGetLive2_0, "IMVNotGetLive2_0", NA_REAL, NA_REAL, 1, internal->dim_IMVNotGetLive2_0);
  internal->IOxGetDie1_0 = (double*) user_get_array(user, false, internal->IOxGetDie1_0, "IOxGetDie1_0", NA_REAL, NA_REAL, 1, internal->dim_IOxGetDie1_0);
  internal->IOxGetDie2_0 = (double*) user_get_array(user, false, internal->IOxGetDie2_0, "IOxGetDie2_0", NA_REAL, NA_REAL, 1, internal->dim_IOxGetDie2_0);
  internal->IOxGetLive1_0 = (double*) user_get_array(user, false, internal->IOxGetLive1_0, "IOxGetLive1_0", NA_REAL, NA_REAL, 1, internal->dim_IOxGetLive1_0);
  internal->IOxGetLive2_0 = (double*) user_get_array(user, false, internal->IOxGetLive2_0, "IOxGetLive2_0", NA_REAL, NA_REAL, 1, internal->dim_IOxGetLive2_0);
  internal->IOxNotGetDie1_0 = (double*) user_get_array(user, false, internal->IOxNotGetDie1_0, "IOxNotGetDie1_0", NA_REAL, NA_REAL, 1, internal->dim_IOxNotGetDie1_0);
  internal->IOxNotGetDie2_0 = (double*) user_get_array(user, false, internal->IOxNotGetDie2_0, "IOxNotGetDie2_0", NA_REAL, NA_REAL, 1, internal->dim_IOxNotGetDie2_0);
  internal->IOxNotGetLive1_0 = (double*) user_get_array(user, false, internal->IOxNotGetLive1_0, "IOxNotGetLive1_0", NA_REAL, NA_REAL, 1, internal->dim_IOxNotGetLive1_0);
  internal->IOxNotGetLive2_0 = (double*) user_get_array(user, false, internal->IOxNotGetLive2_0, "IOxNotGetLive2_0", NA_REAL, NA_REAL, 1, internal->dim_IOxNotGetLive2_0);
  internal->IRec1_0 = (double*) user_get_array(user, false, internal->IRec1_0, "IRec1_0", NA_REAL, NA_REAL, 1, internal->dim_IRec1_0);
  internal->IRec2_0 = (double*) user_get_array(user, false, internal->IRec2_0, "IRec2_0", NA_REAL, NA_REAL, 1, internal->dim_IRec2_0);
  internal->offset_variable_D = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2 + internal->dim_IRec1 + internal->dim_IRec2 + internal->dim_R;
  internal->offset_variable_E2 = internal->dim_S + internal->dim_E1;
  internal->offset_variable_ICase1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild;
  internal->offset_variable_ICase2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1;
  internal->offset_variable_IMild = internal->dim_S + internal->dim_E1 + internal->dim_E2;
  internal->offset_variable_IMVGetDie1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2;
  internal->offset_variable_IMVGetDie2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1;
  internal->offset_variable_IMVGetLive1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2;
  internal->offset_variable_IMVGetLive2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1;
  internal->offset_variable_IMVNotGetDie1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2;
  internal->offset_variable_IMVNotGetDie2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1;
  internal->offset_variable_IMVNotGetLive1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2;
  internal->offset_variable_IMVNotGetLive2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1;
  internal->offset_variable_IOxGetDie1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2;
  internal->offset_variable_IOxGetDie2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1;
  internal->offset_variable_IOxGetLive1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2;
  internal->offset_variable_IOxGetLive2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1;
  internal->offset_variable_IOxNotGetDie1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2;
  internal->offset_variable_IOxNotGetDie2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1;
  internal->offset_variable_IOxNotGetLive1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2;
  internal->offset_variable_IOxNotGetLive2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1;
  internal->offset_variable_IRec1 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2;
  internal->offset_variable_IRec2 = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2 + internal->dim_IRec1;
  internal->offset_variable_R = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2 + internal->dim_IRec1 + internal->dim_IRec2;
  internal->p_dist = (double*) user_get_array(user, false, internal->p_dist, "p_dist", NA_REAL, NA_REAL, 1, internal->dim_p_dist);
  internal->prob_hosp = (double*) user_get_array(user, false, internal->prob_hosp, "prob_hosp", NA_REAL, NA_REAL, 1, internal->dim_prob_hosp);
  internal->prob_non_severe_death_no_treatment = (double*) user_get_array(user, false, internal->prob_non_severe_death_no_treatment, "prob_non_severe_death_no_treatment", NA_REAL, NA_REAL, 1, internal->dim_prob_non_severe_death_no_treatment);
  internal->prob_non_severe_death_treatment = (double*) user_get_array(user, false, internal->prob_non_severe_death_treatment, "prob_non_severe_death_treatment", NA_REAL, NA_REAL, 1, internal->dim_prob_non_severe_death_treatment);
  internal->prob_severe = (double*) user_get_array(user, false, internal->prob_severe, "prob_severe", NA_REAL, NA_REAL, 1, internal->dim_prob_severe);
  internal->prob_severe_death_no_treatment = (double*) user_get_array(user, false, internal->prob_severe_death_no_treatment, "prob_severe_death_no_treatment", NA_REAL, NA_REAL, 1, internal->dim_prob_severe_death_no_treatment);
  internal->prob_severe_death_treatment = (double*) user_get_array(user, false, internal->prob_severe_death_treatment, "prob_severe_death_treatment", NA_REAL, NA_REAL, 1, internal->dim_prob_severe_death_treatment);
  internal->R_0 = (double*) user_get_array(user, false, internal->R_0, "R_0", NA_REAL, NA_REAL, 1, internal->dim_R_0);
  internal->S_0 = (double*) user_get_array(user, false, internal->S_0, "S_0", NA_REAL, NA_REAL, 1, internal->dim_S_0);
  Free(internal->m);
  internal->m = (double*) Calloc(internal->dim_m, double);
  Free(internal->s_ij);
  internal->s_ij = (double*) Calloc(internal->dim_s_ij, double);
  internal->beta_set = (double*) user_get_array(user, false, internal->beta_set, "beta_set", NA_REAL, NA_REAL, 1, internal->dim_beta_set);
  internal->dim_mix_mat_set = internal->dim_mix_mat_set_1 * internal->dim_mix_mat_set_2 * internal->dim_mix_mat_set_3;
  internal->dim_mix_mat_set_12 = internal->dim_mix_mat_set_1 * internal->dim_mix_mat_set_2;
  for (int i = 1; i <= internal->dim_D; ++i) {
    internal->initial_D[i - 1] = internal->D_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_E1; ++i) {
    internal->initial_E1[i - 1] = internal->E1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_E2; ++i) {
    internal->initial_E2[i - 1] = internal->E2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_ICase1; ++i) {
    internal->initial_ICase1[i - 1] = internal->ICase1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_ICase2; ++i) {
    internal->initial_ICase2[i - 1] = internal->ICase2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMild; ++i) {
    internal->initial_IMild[i - 1] = internal->IMild_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetDie1; ++i) {
    internal->initial_IMVGetDie1[i - 1] = internal->IMVGetDie1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetDie2; ++i) {
    internal->initial_IMVGetDie2[i - 1] = internal->IMVGetDie2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetLive1; ++i) {
    internal->initial_IMVGetLive1[i - 1] = internal->IMVGetLive1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetLive2; ++i) {
    internal->initial_IMVGetLive2[i - 1] = internal->IMVGetLive2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetDie1; ++i) {
    internal->initial_IMVNotGetDie1[i - 1] = internal->IMVNotGetDie1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetDie2; ++i) {
    internal->initial_IMVNotGetDie2[i - 1] = internal->IMVNotGetDie2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetLive1; ++i) {
    internal->initial_IMVNotGetLive1[i - 1] = internal->IMVNotGetLive1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetLive2; ++i) {
    internal->initial_IMVNotGetLive2[i - 1] = internal->IMVNotGetLive2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetDie1; ++i) {
    internal->initial_IOxGetDie1[i - 1] = internal->IOxGetDie1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetDie2; ++i) {
    internal->initial_IOxGetDie2[i - 1] = internal->IOxGetDie2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetLive1; ++i) {
    internal->initial_IOxGetLive1[i - 1] = internal->IOxGetLive1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetLive2; ++i) {
    internal->initial_IOxGetLive2[i - 1] = internal->IOxGetLive2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetDie1; ++i) {
    internal->initial_IOxNotGetDie1[i - 1] = internal->IOxNotGetDie1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetDie2; ++i) {
    internal->initial_IOxNotGetDie2[i - 1] = internal->IOxNotGetDie2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetLive1; ++i) {
    internal->initial_IOxNotGetLive1[i - 1] = internal->IOxNotGetLive1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetLive2; ++i) {
    internal->initial_IOxNotGetLive2[i - 1] = internal->IOxNotGetLive2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IRec1; ++i) {
    internal->initial_IRec1[i - 1] = internal->IRec1_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_IRec2; ++i) {
    internal->initial_IRec2[i - 1] = internal->IRec2_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_R; ++i) {
    internal->initial_R[i - 1] = internal->R_0[i - 1];
  }
  for (int i = 1; i <= internal->dim_S; ++i) {
    internal->initial_S[i - 1] = internal->S_0[i - 1];
  }
  interpolate_check_y(internal->dim_tt_beta, internal->dim_beta_set, 0, "beta_set", "beta");
  cinterpolate_free(internal->interpolate_beta);
  internal->interpolate_beta = cinterpolate_alloc("constant", internal->dim_tt_beta, 1, internal->tt_beta, internal->beta_set, true, false);
  internal->mix_mat_set = (double*) user_get_array(user, false, internal->mix_mat_set, "mix_mat_set", NA_REAL, NA_REAL, 3, internal->dim_mix_mat_set_1, internal->dim_mix_mat_set_2, internal->dim_mix_mat_set_3);
  interpolate_check_y(internal->dim_tt_matrix, internal->dim_mix_mat_set_1, 1, "mix_mat_set", "m");
  interpolate_check_y(internal->dim_m_1, internal->dim_mix_mat_set_2, 2, "mix_mat_set", "m");
  interpolate_check_y(internal->dim_m_2, internal->dim_mix_mat_set_3, 3, "mix_mat_set", "m");
  cinterpolate_free(internal->interpolate_m);
  internal->interpolate_m = cinterpolate_alloc("constant", internal->dim_tt_matrix, internal->dim_m, internal->tt_matrix, internal->mix_mat_set, true, false);
  return R_NilValue;
}
SEXP explicit_SEIR_deterministic_metadata(SEXP internal_p) {
  explicit_SEIR_deterministic_internal *internal = explicit_SEIR_deterministic_get_internal(internal_p, 1);
  SEXP ret = PROTECT(allocVector(VECSXP, 4));
  SEXP nms = PROTECT(allocVector(STRSXP, 4));
  SET_STRING_ELT(nms, 0, mkChar("variable_order"));
  SET_STRING_ELT(nms, 1, mkChar("output_order"));
  SET_STRING_ELT(nms, 2, mkChar("n_out"));
  SET_STRING_ELT(nms, 3, mkChar("interpolate_t"));
  setAttrib(ret, R_NamesSymbol, nms);
  SEXP variable_length = PROTECT(allocVector(VECSXP, 26));
  SEXP variable_names = PROTECT(allocVector(STRSXP, 26));
  setAttrib(variable_length, R_NamesSymbol, variable_names);
  SET_VECTOR_ELT(variable_length, 0, ScalarInteger(internal->dim_S));
  SET_VECTOR_ELT(variable_length, 1, ScalarInteger(internal->dim_E1));
  SET_VECTOR_ELT(variable_length, 2, ScalarInteger(internal->dim_E2));
  SET_VECTOR_ELT(variable_length, 3, ScalarInteger(internal->dim_IMild));
  SET_VECTOR_ELT(variable_length, 4, ScalarInteger(internal->dim_ICase1));
  SET_VECTOR_ELT(variable_length, 5, ScalarInteger(internal->dim_ICase2));
  SET_VECTOR_ELT(variable_length, 6, ScalarInteger(internal->dim_IOxGetLive1));
  SET_VECTOR_ELT(variable_length, 7, ScalarInteger(internal->dim_IOxGetLive2));
  SET_VECTOR_ELT(variable_length, 8, ScalarInteger(internal->dim_IOxGetDie1));
  SET_VECTOR_ELT(variable_length, 9, ScalarInteger(internal->dim_IOxGetDie2));
  SET_VECTOR_ELT(variable_length, 10, ScalarInteger(internal->dim_IOxNotGetLive1));
  SET_VECTOR_ELT(variable_length, 11, ScalarInteger(internal->dim_IOxNotGetLive2));
  SET_VECTOR_ELT(variable_length, 12, ScalarInteger(internal->dim_IOxNotGetDie1));
  SET_VECTOR_ELT(variable_length, 13, ScalarInteger(internal->dim_IOxNotGetDie2));
  SET_VECTOR_ELT(variable_length, 14, ScalarInteger(internal->dim_IMVGetLive1));
  SET_VECTOR_ELT(variable_length, 15, ScalarInteger(internal->dim_IMVGetLive2));
  SET_VECTOR_ELT(variable_length, 16, ScalarInteger(internal->dim_IMVGetDie1));
  SET_VECTOR_ELT(variable_length, 17, ScalarInteger(internal->dim_IMVGetDie2));
  SET_VECTOR_ELT(variable_length, 18, ScalarInteger(internal->dim_IMVNotGetLive1));
  SET_VECTOR_ELT(variable_length, 19, ScalarInteger(internal->dim_IMVNotGetLive2));
  SET_VECTOR_ELT(variable_length, 20, ScalarInteger(internal->dim_IMVNotGetDie1));
  SET_VECTOR_ELT(variable_length, 21, ScalarInteger(internal->dim_IMVNotGetDie2));
  SET_VECTOR_ELT(variable_length, 22, ScalarInteger(internal->dim_IRec1));
  SET_VECTOR_ELT(variable_length, 23, ScalarInteger(internal->dim_IRec2));
  SET_VECTOR_ELT(variable_length, 24, ScalarInteger(internal->dim_R));
  SET_VECTOR_ELT(variable_length, 25, ScalarInteger(internal->dim_D));
  SET_STRING_ELT(variable_names, 0, mkChar("S"));
  SET_STRING_ELT(variable_names, 1, mkChar("E1"));
  SET_STRING_ELT(variable_names, 2, mkChar("E2"));
  SET_STRING_ELT(variable_names, 3, mkChar("IMild"));
  SET_STRING_ELT(variable_names, 4, mkChar("ICase1"));
  SET_STRING_ELT(variable_names, 5, mkChar("ICase2"));
  SET_STRING_ELT(variable_names, 6, mkChar("IOxGetLive1"));
  SET_STRING_ELT(variable_names, 7, mkChar("IOxGetLive2"));
  SET_STRING_ELT(variable_names, 8, mkChar("IOxGetDie1"));
  SET_STRING_ELT(variable_names, 9, mkChar("IOxGetDie2"));
  SET_STRING_ELT(variable_names, 10, mkChar("IOxNotGetLive1"));
  SET_STRING_ELT(variable_names, 11, mkChar("IOxNotGetLive2"));
  SET_STRING_ELT(variable_names, 12, mkChar("IOxNotGetDie1"));
  SET_STRING_ELT(variable_names, 13, mkChar("IOxNotGetDie2"));
  SET_STRING_ELT(variable_names, 14, mkChar("IMVGetLive1"));
  SET_STRING_ELT(variable_names, 15, mkChar("IMVGetLive2"));
  SET_STRING_ELT(variable_names, 16, mkChar("IMVGetDie1"));
  SET_STRING_ELT(variable_names, 17, mkChar("IMVGetDie2"));
  SET_STRING_ELT(variable_names, 18, mkChar("IMVNotGetLive1"));
  SET_STRING_ELT(variable_names, 19, mkChar("IMVNotGetLive2"));
  SET_STRING_ELT(variable_names, 20, mkChar("IMVNotGetDie1"));
  SET_STRING_ELT(variable_names, 21, mkChar("IMVNotGetDie2"));
  SET_STRING_ELT(variable_names, 22, mkChar("IRec1"));
  SET_STRING_ELT(variable_names, 23, mkChar("IRec2"));
  SET_STRING_ELT(variable_names, 24, mkChar("R"));
  SET_STRING_ELT(variable_names, 25, mkChar("D"));
  SET_VECTOR_ELT(ret, 0, variable_length);
  UNPROTECT(2);
  SET_VECTOR_ELT(ret, 1, R_NilValue);
  SET_VECTOR_ELT(ret, 2, ScalarInteger(0));
  SEXP interpolate_t = PROTECT(allocVector(VECSXP, 3));
  SEXP interpolate_t_nms = PROTECT(allocVector(STRSXP, 3));
  setAttrib(interpolate_t, R_NamesSymbol, interpolate_t_nms);
  SET_VECTOR_ELT(interpolate_t, 0, ScalarReal(fmax(internal->tt_beta[0], internal->tt_matrix[0])));
  SET_VECTOR_ELT(interpolate_t, 1, ScalarReal(R_PosInf));
  SET_STRING_ELT(interpolate_t_nms, 0, mkChar("min"));
  SET_STRING_ELT(interpolate_t_nms, 1, mkChar("max"));
  SET_VECTOR_ELT(ret, 3, interpolate_t);
  UNPROTECT(2);
  UNPROTECT(2);
  return ret;
}
SEXP explicit_SEIR_deterministic_initial_conditions(SEXP internal_p, SEXP t_ptr) {
  explicit_SEIR_deterministic_internal *internal = explicit_SEIR_deterministic_get_internal(internal_p, 1);
  SEXP r_state = PROTECT(allocVector(REALSXP, internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_IMild + internal->dim_ICase1 + internal->dim_ICase2 + internal->dim_IOxGetLive1 + internal->dim_IOxGetLive2 + internal->dim_IOxGetDie1 + internal->dim_IOxGetDie2 + internal->dim_IOxNotGetLive1 + internal->dim_IOxNotGetLive2 + internal->dim_IOxNotGetDie1 + internal->dim_IOxNotGetDie2 + internal->dim_IMVGetLive1 + internal->dim_IMVGetLive2 + internal->dim_IMVGetDie1 + internal->dim_IMVGetDie2 + internal->dim_IMVNotGetLive1 + internal->dim_IMVNotGetLive2 + internal->dim_IMVNotGetDie1 + internal->dim_IMVNotGetDie2 + internal->dim_IRec1 + internal->dim_IRec2 + internal->dim_R + internal->dim_D));
  double * state = REAL(r_state);
  memcpy(state + 0, internal->initial_S, internal->dim_S * sizeof(double));
  memcpy(state + internal->dim_S, internal->initial_E1, internal->dim_E1 * sizeof(double));
  memcpy(state + internal->offset_variable_E2, internal->initial_E2, internal->dim_E2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMild, internal->initial_IMild, internal->dim_IMild * sizeof(double));
  memcpy(state + internal->offset_variable_ICase1, internal->initial_ICase1, internal->dim_ICase1 * sizeof(double));
  memcpy(state + internal->offset_variable_ICase2, internal->initial_ICase2, internal->dim_ICase2 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxGetLive1, internal->initial_IOxGetLive1, internal->dim_IOxGetLive1 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxGetLive2, internal->initial_IOxGetLive2, internal->dim_IOxGetLive2 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxGetDie1, internal->initial_IOxGetDie1, internal->dim_IOxGetDie1 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxGetDie2, internal->initial_IOxGetDie2, internal->dim_IOxGetDie2 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxNotGetLive1, internal->initial_IOxNotGetLive1, internal->dim_IOxNotGetLive1 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxNotGetLive2, internal->initial_IOxNotGetLive2, internal->dim_IOxNotGetLive2 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxNotGetDie1, internal->initial_IOxNotGetDie1, internal->dim_IOxNotGetDie1 * sizeof(double));
  memcpy(state + internal->offset_variable_IOxNotGetDie2, internal->initial_IOxNotGetDie2, internal->dim_IOxNotGetDie2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVGetLive1, internal->initial_IMVGetLive1, internal->dim_IMVGetLive1 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVGetLive2, internal->initial_IMVGetLive2, internal->dim_IMVGetLive2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVGetDie1, internal->initial_IMVGetDie1, internal->dim_IMVGetDie1 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVGetDie2, internal->initial_IMVGetDie2, internal->dim_IMVGetDie2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVNotGetLive1, internal->initial_IMVNotGetLive1, internal->dim_IMVNotGetLive1 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVNotGetLive2, internal->initial_IMVNotGetLive2, internal->dim_IMVNotGetLive2 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVNotGetDie1, internal->initial_IMVNotGetDie1, internal->dim_IMVNotGetDie1 * sizeof(double));
  memcpy(state + internal->offset_variable_IMVNotGetDie2, internal->initial_IMVNotGetDie2, internal->dim_IMVNotGetDie2 * sizeof(double));
  memcpy(state + internal->offset_variable_IRec1, internal->initial_IRec1, internal->dim_IRec1 * sizeof(double));
  memcpy(state + internal->offset_variable_IRec2, internal->initial_IRec2, internal->dim_IRec2 * sizeof(double));
  memcpy(state + internal->offset_variable_R, internal->initial_R, internal->dim_R * sizeof(double));
  memcpy(state + internal->offset_variable_D, internal->initial_D, internal->dim_D * sizeof(double));
  UNPROTECT(1);
  return r_state;
}
void explicit_SEIR_deterministic_rhs(explicit_SEIR_deterministic_internal* internal, double t, double * state, double * dstatedt, double * output) {
  double * S = state + 0;
  double * E1 = state + internal->dim_S;
  double * E2 = state + internal->offset_variable_E2;
  double * IMild = state + internal->offset_variable_IMild;
  double * ICase1 = state + internal->offset_variable_ICase1;
  double * ICase2 = state + internal->offset_variable_ICase2;
  double * IMVGetLive1 = state + internal->offset_variable_IMVGetLive1;
  double * IMVGetLive2 = state + internal->offset_variable_IMVGetLive2;
  double * IMVGetDie1 = state + internal->offset_variable_IMVGetDie1;
  double * IMVGetDie2 = state + internal->offset_variable_IMVGetDie2;
  double * IMVNotGetLive1 = state + internal->offset_variable_IMVNotGetLive1;
  double * IMVNotGetLive2 = state + internal->offset_variable_IMVNotGetLive2;
  double * IMVNotGetDie1 = state + internal->offset_variable_IMVNotGetDie1;
  double * IMVNotGetDie2 = state + internal->offset_variable_IMVNotGetDie2;
  double * IRec1 = state + internal->offset_variable_IRec1;
  double * IRec2 = state + internal->offset_variable_IRec2;
  double * IOxGetLive1 = state + internal->offset_variable_IOxGetLive1;
  double * IOxGetLive2 = state + internal->offset_variable_IOxGetLive2;
  double * IOxGetDie1 = state + internal->offset_variable_IOxGetDie1;
  double * IOxGetDie2 = state + internal->offset_variable_IOxGetDie2;
  double * IOxNotGetLive1 = state + internal->offset_variable_IOxNotGetLive1;
  double * IOxNotGetLive2 = state + internal->offset_variable_IOxNotGetLive2;
  double * IOxNotGetDie1 = state + internal->offset_variable_IOxNotGetDie1;
  double * IOxNotGetDie2 = state + internal->offset_variable_IOxNotGetDie2;
  double hosp_occ = odin_sum1(IOxGetLive1, 0, internal->dim_IOxGetLive1) + odin_sum1(IOxGetLive2, 0, internal->dim_IOxGetLive2) + odin_sum1(IOxGetDie1, 0, internal->dim_IOxGetDie1) + odin_sum1(IOxGetDie2, 0, internal->dim_IOxGetDie2) + odin_sum1(IRec1, 0, internal->dim_IRec1) + odin_sum1(IRec2, 0, internal->dim_IRec2);
  double ICU_occ = odin_sum1(IMVGetLive1, 0, internal->dim_IMVGetLive1) + odin_sum1(IMVGetLive2, 0, internal->dim_IMVGetLive2) + odin_sum1(IMVGetDie1, 0, internal->dim_IMVGetDie1) + odin_sum1(IMVGetDie2, 0, internal->dim_IMVGetDie2);
  double current_free_hosp = internal->hosp_bed_capacity - hosp_occ + internal->gamma_get_ox_die * odin_sum1(IOxGetDie2, 0, internal->dim_IOxGetDie2) + internal->gamma_get_ox_survive * odin_sum1(IOxGetLive2, 0, internal->dim_IOxGetLive2) + internal->gamma_rec * odin_sum1(IRec2, 0, internal->dim_IRec2) - internal->gamma_get_mv_survive * odin_sum1(IMVGetLive2, 0, internal->dim_IMVGetLive2);
  double current_free_ICUs = internal->ICU_bed_capacity - ICU_occ + internal->gamma_get_mv_survive * odin_sum1(IMVGetLive2, 0, internal->dim_IMVGetLive2) + internal->gamma_get_mv_die * odin_sum1(IMVGetDie2, 0, internal->dim_IMVGetDie2);
  for (int i = 1; i <= internal->dim_D; ++i) {
    dstatedt[internal->offset_variable_D + i - 1] = (internal->gamma_get_ox_die * IOxGetDie2[i - 1]) + (internal->gamma_not_get_ox_die * IOxNotGetDie2[i - 1]) + (internal->gamma_get_mv_die * IMVGetDie2[i - 1]) + (internal->gamma_not_get_mv_die * IMVNotGetDie2[i - 1]);
  }
  for (int i = 1; i <= internal->dim_E2; ++i) {
    dstatedt[internal->offset_variable_E2 + i - 1] = internal->gamma_E * E1[i - 1] - internal->gamma_E * E2[i - 1];
  }
  for (int i = 1; i <= internal->dim_ICase2; ++i) {
    dstatedt[internal->offset_variable_ICase2 + i - 1] = internal->gamma_hosp * ICase1[i - 1] - internal->gamma_hosp * ICase2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetDie2; ++i) {
    dstatedt[internal->offset_variable_IMVGetDie2 + i - 1] = internal->gamma_get_mv_die * IMVGetDie1[i - 1] - internal->gamma_get_mv_die * IMVGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetLive2; ++i) {
    dstatedt[internal->offset_variable_IMVGetLive2 + i - 1] = internal->gamma_get_mv_survive * IMVGetLive1[i - 1] - internal->gamma_get_mv_survive * IMVGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetDie2; ++i) {
    dstatedt[internal->offset_variable_IMVNotGetDie2 + i - 1] = internal->gamma_not_get_mv_die * IMVNotGetDie1[i - 1] - internal->gamma_not_get_mv_die * IMVNotGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetLive2; ++i) {
    dstatedt[internal->offset_variable_IMVNotGetLive2 + i - 1] = internal->gamma_not_get_mv_survive * IMVNotGetLive1[i - 1] - internal->gamma_not_get_mv_survive * IMVNotGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetDie2; ++i) {
    dstatedt[internal->offset_variable_IOxGetDie2 + i - 1] = internal->gamma_get_ox_die * IOxGetDie1[i - 1] - internal->gamma_get_ox_die * IOxGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetLive2; ++i) {
    dstatedt[internal->offset_variable_IOxGetLive2 + i - 1] = internal->gamma_get_ox_survive * IOxGetLive1[i - 1] - internal->gamma_get_ox_survive * IOxGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetDie2; ++i) {
    dstatedt[internal->offset_variable_IOxNotGetDie2 + i - 1] = internal->gamma_not_get_ox_die * IOxNotGetDie1[i - 1] - internal->gamma_not_get_ox_die * IOxNotGetDie2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetLive2; ++i) {
    dstatedt[internal->offset_variable_IOxNotGetLive2 + i - 1] = internal->gamma_not_get_ox_survive * IOxNotGetLive1[i - 1] - internal->gamma_not_get_ox_survive * IOxNotGetLive2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IRec1; ++i) {
    dstatedt[internal->offset_variable_IRec1 + i - 1] = internal->gamma_get_mv_survive * IMVGetLive2[i - 1] - internal->gamma_rec * IRec1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IRec2; ++i) {
    dstatedt[internal->offset_variable_IRec2 + i - 1] = internal->gamma_rec * IRec1[i - 1] - internal->gamma_rec * IRec2[i - 1];
  }
  for (int i = 1; i <= internal->dim_R; ++i) {
    dstatedt[internal->offset_variable_R + i - 1] = (internal->gamma_rec * IRec2[i - 1]) + (internal->gamma_R * IMild[i - 1]) + (internal->gamma_get_ox_survive * IOxGetLive2[i - 1]) + (internal->gamma_not_get_ox_survive * IOxNotGetLive2[i - 1]) + (internal->gamma_not_get_mv_survive * IMVNotGetLive2[i - 1]);
  }
  for (int i = 1; i <= internal->dim_ICase1; ++i) {
    dstatedt[internal->offset_variable_ICase1 + i - 1] = internal->gamma_E * E2[i - 1] * internal->prob_hosp[i - 1] - internal->gamma_hosp * ICase1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMild; ++i) {
    dstatedt[internal->offset_variable_IMild + i - 1] = internal->gamma_E * E2[i - 1] * (1 - internal->prob_hosp[i - 1]) - internal->gamma_R * IMild[i - 1];
  }
  for (int i = 1; i <= internal->dim_number_requiring_IMV; ++i) {
    internal->number_requiring_IMV[i - 1] = internal->gamma_hosp * ICase2[i - 1] * internal->prob_severe[i - 1];
  }
  for (int i = 1; i <= internal->dim_number_requiring_Ox; ++i) {
    internal->number_requiring_Ox[i - 1] = internal->gamma_hosp * ICase2[i - 1] * (1 - internal->prob_severe[i - 1]);
  }
  for (int i = 1; i <= internal->dim_temp; ++i) {
    internal->temp[i - 1] = IMild[i - 1] + ICase1[i - 1] + ICase2[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMV_dist_weighting; ++i) {
    internal->IMV_dist_weighting[i - 1] = internal->number_requiring_IMV[i - 1] * internal->p_dist[i - 1];
  }
  for (int i = 1; i <= internal->dim_Ox_dist_weighting; ++i) {
    internal->Ox_dist_weighting[i - 1] = internal->number_requiring_Ox[i - 1] * internal->p_dist[i - 1];
  }
  double total_number_requiring_IMV = odin_sum1(internal->number_requiring_IMV, 0, internal->dim_number_requiring_IMV);
  double total_number_requiring_ox = odin_sum1(internal->number_requiring_Ox, 0, internal->dim_number_requiring_Ox);
  double beta = 0.0;
  cinterpolate_eval(t, internal->interpolate_beta, &beta);
  double total_number_get_hosp = (current_free_hosp <= 0 ? 0 : ((current_free_hosp - total_number_requiring_ox >= 0 ? total_number_requiring_ox : (current_free_hosp))));
  double total_number_get_IMV = (current_free_ICUs <= 0 ? 0 : ((current_free_ICUs - total_number_requiring_IMV >= 0 ? total_number_requiring_IMV : (current_free_ICUs))));
  cinterpolate_eval(t, internal->interpolate_m, internal->m);
  for (int i = 1; i <= internal->dim_number_get_IMV; ++i) {
    internal->number_get_IMV[i - 1] = (total_number_requiring_IMV == 0 ? 0 : internal->IMV_dist_weighting[i - 1] / (double) odin_sum1(internal->IMV_dist_weighting, 0, internal->dim_IMV_dist_weighting) * total_number_get_IMV);
  }
  for (int i = 1; i <= internal->dim_number_get_Ox; ++i) {
    internal->number_get_Ox[i - 1] = (total_number_requiring_ox == 0 ? 0 : internal->Ox_dist_weighting[i - 1] / (double) odin_sum1(internal->Ox_dist_weighting, 0, internal->dim_Ox_dist_weighting) * total_number_get_hosp);
  }
  for (int i = 1; i <= internal->dim_IMVGetDie1; ++i) {
    dstatedt[internal->offset_variable_IMVGetDie1 + i - 1] = (internal->prob_severe_death_treatment[i - 1] * internal->number_get_IMV[i - 1]) - internal->gamma_get_mv_die * IMVGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVGetLive1; ++i) {
    dstatedt[internal->offset_variable_IMVGetLive1 + i - 1] = (1 - internal->prob_severe_death_treatment[i - 1]) * internal->number_get_IMV[i - 1] - internal->gamma_get_mv_survive * IMVGetLive1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetDie1; ++i) {
    dstatedt[internal->offset_variable_IMVNotGetDie1 + i - 1] = (internal->number_requiring_IMV[i - 1] - internal->number_get_IMV[i - 1]) * internal->prob_severe_death_no_treatment[i - 1] - internal->gamma_not_get_mv_die * IMVNotGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IMVNotGetLive1; ++i) {
    dstatedt[internal->offset_variable_IMVNotGetLive1 + i - 1] = (internal->number_requiring_IMV[i - 1] - internal->number_get_IMV[i - 1]) * (1 - internal->prob_severe_death_no_treatment[i - 1]) - internal->gamma_not_get_mv_survive * IMVNotGetLive1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetDie1; ++i) {
    dstatedt[internal->offset_variable_IOxGetDie1 + i - 1] = (internal->prob_non_severe_death_treatment[i - 1] * internal->number_get_Ox[i - 1]) - internal->gamma_get_ox_die * IOxGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxGetLive1; ++i) {
    dstatedt[internal->offset_variable_IOxGetLive1 + i - 1] = (1 - internal->prob_non_severe_death_treatment[i - 1]) * internal->number_get_Ox[i - 1] - internal->gamma_get_ox_survive * IOxGetLive1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetDie1; ++i) {
    dstatedt[internal->offset_variable_IOxNotGetDie1 + i - 1] = (internal->number_requiring_Ox[i - 1] - internal->number_get_Ox[i - 1]) * internal->prob_non_severe_death_no_treatment[i - 1] - internal->gamma_not_get_ox_die * IOxNotGetDie1[i - 1];
  }
  for (int i = 1; i <= internal->dim_IOxNotGetLive1; ++i) {
    dstatedt[internal->offset_variable_IOxNotGetLive1 + i - 1] = (internal->number_requiring_Ox[i - 1] - internal->number_get_Ox[i - 1]) * (1 - internal->prob_non_severe_death_no_treatment[i - 1]) - internal->gamma_not_get_ox_survive * IOxNotGetLive1[i - 1];
  }
  for (int i = 1; i <= internal->dim_s_ij_1; ++i) {
    for (int j = 1; j <= internal->dim_s_ij_2; ++j) {
      internal->s_ij[i - 1 + internal->dim_s_ij_1 * (j - 1)] = internal->m[internal->dim_m_1 * (j - 1) + i - 1] * internal->temp[j - 1];
    }
  }
  for (int i = 1; i <= internal->dim_lambda; ++i) {
    internal->lambda[i - 1] = beta * odin_sum2(internal->s_ij, i - 1, i, 0, internal->dim_s_ij_2, internal->dim_s_ij_1);
  }
  for (int i = 1; i <= internal->dim_E1; ++i) {
    dstatedt[internal->dim_S + i - 1] = internal->lambda[i - 1] * S[i - 1] - internal->gamma_E * E1[i - 1];
  }
  for (int i = 1; i <= internal->dim_S; ++i) {
    dstatedt[0 + i - 1] = -(S[i - 1]) * internal->lambda[i - 1];
  }
}
void explicit_SEIR_deterministic_rhs_dde(size_t neq, double t, double * state, double * dstatedt, void * internal) {
  explicit_SEIR_deterministic_rhs((explicit_SEIR_deterministic_internal*)internal, t, state, dstatedt, NULL);
}
void explicit_SEIR_deterministic_rhs_desolve(int * neq, double * t, double * state, double * dstatedt, double * output, int * np) {
  explicit_SEIR_deterministic_rhs(explicit_SEIR_deterministic_internal_ds, *t, state, dstatedt, output);
}
SEXP explicit_SEIR_deterministic_rhs_r(SEXP internal_p, SEXP t, SEXP state) {
  SEXP dstatedt = PROTECT(allocVector(REALSXP, LENGTH(state)));
  explicit_SEIR_deterministic_internal *internal = explicit_SEIR_deterministic_get_internal(internal_p, 1);
  double *output = NULL;
  explicit_SEIR_deterministic_rhs(internal, REAL(t)[0], REAL(state), REAL(dstatedt), output);
  UNPROTECT(1);
  return dstatedt;
}
less_basic_model_for_js_internal* less_basic_model_for_js_get_internal(SEXP internal_p, int closed_error) {
  less_basic_model_for_js_internal *internal = NULL;
  if (TYPEOF(internal_p) != EXTPTRSXP) {
    Rf_error("Expected an external pointer");
  }
  internal = (less_basic_model_for_js_internal*) R_ExternalPtrAddr(internal_p);
  if (!internal && closed_error) {
    Rf_error("Pointer has been invalidated");
  }
  return internal;
}
void less_basic_model_for_js_finalise(SEXP internal_p) {
  less_basic_model_for_js_internal *internal = less_basic_model_for_js_get_internal(internal_p, 0);
  if (internal_p) {
    Free(internal->D0);
    Free(internal->E0);
    Free(internal->I_hosp0);
    Free(internal->I_ICU0);
    Free(internal->I_mild0);
    Free(internal->initial_D);
    Free(internal->initial_E);
    Free(internal->initial_I_hosp);
    Free(internal->initial_I_ICU);
    Free(internal->initial_I_mild);
    Free(internal->initial_R);
    Free(internal->initial_S);
    Free(internal->lambda);
    Free(internal->m);
    Free(internal->p_hosp);
    Free(internal->p_ICU);
    Free(internal->p_mild);
    Free(internal->R0);
    Free(internal->s_ij);
    Free(internal->S0);
    Free(internal->temp);
    Free(internal);
    R_ClearExternalPtr(internal_p);
  }
}
SEXP less_basic_model_for_js_create(SEXP user) {
  less_basic_model_for_js_internal *internal = (less_basic_model_for_js_internal*) Calloc(1, less_basic_model_for_js_internal);
  internal->D0 = NULL;
  internal->E0 = NULL;
  internal->I_hosp0 = NULL;
  internal->I_ICU0 = NULL;
  internal->I_mild0 = NULL;
  internal->initial_D = NULL;
  internal->initial_E = NULL;
  internal->initial_I_hosp = NULL;
  internal->initial_I_ICU = NULL;
  internal->initial_I_mild = NULL;
  internal->initial_R = NULL;
  internal->initial_S = NULL;
  internal->lambda = NULL;
  internal->m = NULL;
  internal->p_hosp = NULL;
  internal->p_ICU = NULL;
  internal->p_mild = NULL;
  internal->R0 = NULL;
  internal->s_ij = NULL;
  internal->S0 = NULL;
  internal->temp = NULL;
  internal->dim_D = 2;
  internal->dim_D0 = 2;
  internal->dim_E = 2;
  internal->dim_E0 = 2;
  internal->dim_I_hosp = 2;
  internal->dim_I_hosp0 = 2;
  internal->dim_I_ICU = 2;
  internal->dim_I_ICU0 = 2;
  internal->dim_I_mild = 2;
  internal->dim_I_mild0 = 2;
  internal->dim_lambda = 2;
  internal->dim_m_1 = 2;
  internal->dim_m_2 = 2;
  internal->dim_p_hosp = 2;
  internal->dim_p_ICU = 2;
  internal->dim_p_mild = 2;
  internal->dim_R = 2;
  internal->dim_R0 = 2;
  internal->dim_S = 2;
  internal->dim_s_ij_1 = 2;
  internal->dim_s_ij_2 = 2;
  internal->dim_S0 = 2;
  internal->dim_temp = 2;
  Free(internal->initial_D);
  internal->initial_D = (double*) Calloc(internal->dim_D, double);
  Free(internal->initial_E);
  internal->initial_E = (double*) Calloc(internal->dim_E, double);
  Free(internal->initial_I_hosp);
  internal->initial_I_hosp = (double*) Calloc(internal->dim_I_hosp, double);
  Free(internal->initial_I_ICU);
  internal->initial_I_ICU = (double*) Calloc(internal->dim_I_ICU, double);
  Free(internal->initial_I_mild);
  internal->initial_I_mild = (double*) Calloc(internal->dim_I_mild, double);
  Free(internal->initial_R);
  internal->initial_R = (double*) Calloc(internal->dim_R, double);
  Free(internal->initial_S);
  internal->initial_S = (double*) Calloc(internal->dim_S, double);
  Free(internal->lambda);
  internal->lambda = (double*) Calloc(internal->dim_lambda, double);
  Free(internal->temp);
  internal->temp = (double*) Calloc(internal->dim_temp, double);
  internal->dim_m = internal->dim_m_1 * internal->dim_m_2;
  internal->dim_s_ij = internal->dim_s_ij_1 * internal->dim_s_ij_2;
  internal->offset_variable_D = internal->dim_S + internal->dim_E + internal->dim_I_mild + internal->dim_I_hosp + internal->dim_I_ICU + internal->dim_R;
  internal->offset_variable_I_hosp = internal->dim_S + internal->dim_E + internal->dim_I_mild;
  internal->offset_variable_I_ICU = internal->dim_S + internal->dim_E + internal->dim_I_mild + internal->dim_I_hosp;
  internal->offset_variable_I_mild = internal->dim_S + internal->dim_E;
  internal->offset_variable_R = internal->dim_S + internal->dim_E + internal->dim_I_mild + internal->dim_I_hosp + internal->dim_I_ICU;
  Free(internal->s_ij);
  internal->s_ij = (double*) Calloc(internal->dim_s_ij, double);
  internal->beta_1 = NA_REAL;
  internal->beta_2 = NA_REAL;
  internal->D0 = NULL;
  internal->E0 = NULL;
  internal->gamma = NA_REAL;
  internal->I_hosp0 = NULL;
  internal->I_ICU0 = NULL;
  internal->I_mild0 = NULL;
  internal->m = NULL;
  internal->mu = NA_REAL;
  internal->p_hosp = NULL;
  internal->p_ICU = NULL;
  internal->p_mild = NULL;
  internal->R0 = NULL;
  internal->S0 = NULL;
  internal->sigma = NA_REAL;
  SEXP ptr = PROTECT(R_MakeExternalPtr(internal, R_NilValue, R_NilValue));
  R_RegisterCFinalizer(ptr, less_basic_model_for_js_finalise);
  UNPROTECT(1);
  return ptr;
}
static less_basic_model_for_js_internal *less_basic_model_for_js_internal_ds;
void less_basic_model_for_js_initmod_desolve(void(* odeparms) (int *, double *)) {
  static DL_FUNC get_desolve_gparms = NULL;
  if (get_desolve_gparms == NULL) {
    get_desolve_gparms =
      R_GetCCallable("deSolve", "get_deSolve_gparms");
  }
  less_basic_model_for_js_internal_ds = less_basic_model_for_js_get_internal(get_desolve_gparms(), 1);
}
SEXP less_basic_model_for_js_contents(SEXP internal_p) {
  less_basic_model_for_js_internal *internal = less_basic_model_for_js_get_internal(internal_p, 1);
  SEXP contents = PROTECT(allocVector(VECSXP, 56));
  SET_VECTOR_ELT(contents, 0, ScalarReal(internal->beta_1));
  SET_VECTOR_ELT(contents, 1, ScalarReal(internal->beta_2));
  SEXP D0 = PROTECT(allocVector(REALSXP, internal->dim_D0));
  memcpy(REAL(D0), internal->D0, internal->dim_D0 * sizeof(double));
  SET_VECTOR_ELT(contents, 2, D0);
  SET_VECTOR_ELT(contents, 3, ScalarInteger(internal->dim_D));
  SET_VECTOR_ELT(contents, 4, ScalarInteger(internal->dim_D0));
  SET_VECTOR_ELT(contents, 5, ScalarInteger(internal->dim_E));
  SET_VECTOR_ELT(contents, 6, ScalarInteger(internal->dim_E0));
  SET_VECTOR_ELT(contents, 7, ScalarInteger(internal->dim_I_hosp));
  SET_VECTOR_ELT(contents, 8, ScalarInteger(internal->dim_I_hosp0));
  SET_VECTOR_ELT(contents, 9, ScalarInteger(internal->dim_I_ICU));
  SET_VECTOR_ELT(contents, 10, ScalarInteger(internal->dim_I_ICU0));
  SET_VECTOR_ELT(contents, 11, ScalarInteger(internal->dim_I_mild));
  SET_VECTOR_ELT(contents, 12, ScalarInteger(internal->dim_I_mild0));
  SET_VECTOR_ELT(contents, 13, ScalarInteger(internal->dim_lambda));
  SET_VECTOR_ELT(contents, 14, ScalarInteger(internal->dim_m));
  SET_VECTOR_ELT(contents, 15, ScalarInteger(internal->dim_m_1));
  SET_VECTOR_ELT(contents, 16, ScalarInteger(internal->dim_m_2));
  SET_VECTOR_ELT(contents, 17, ScalarInteger(internal->dim_p_hosp));
  SET_VECTOR_ELT(contents, 18, ScalarInteger(internal->dim_p_ICU));
  SET_VECTOR_ELT(contents, 19, ScalarInteger(internal->dim_p_mild));
  SET_VECTOR_ELT(contents, 20, ScalarInteger(internal->dim_R));
  SET_VECTOR_ELT(contents, 21, ScalarInteger(internal->dim_R0));
  SET_VECTOR_ELT(contents, 22, ScalarInteger(internal->dim_S));
  SET_VECTOR_ELT(contents, 23, ScalarInteger(internal->dim_s_ij));
  SET_VECTOR_ELT(contents, 24, ScalarInteger(internal->dim_s_ij_1));
  SET_VECTOR_ELT(contents, 25, ScalarInteger(internal->dim_s_ij_2));
  SET_VECTOR_ELT(contents, 26, ScalarInteger(internal->dim_S0));
  SET_VECTOR_ELT(contents, 27, ScalarInteger(internal->dim_temp));
  SEXP E0 = PROTECT(allocVector(REALSXP, internal->dim_E0));
  memcpy(REAL(E0), internal->E0, internal->dim_E0 * sizeof(double));
  SET_VECTOR_ELT(contents, 28, E0);
  SET_VECTOR_ELT(contents, 29, ScalarReal(internal->gamma));
  SEXP I_hosp0 = PROTECT(allocVector(REALSXP, internal->dim_I_hosp0));
  memcpy(REAL(I_hosp0), internal->I_hosp0, internal->dim_I_hosp0 * sizeof(double));
  SET_VECTOR_ELT(contents, 30, I_hosp0);
  SEXP I_ICU0 = PROTECT(allocVector(REALSXP, internal->dim_I_ICU0));
  memcpy(REAL(I_ICU0), internal->I_ICU0, internal->dim_I_ICU0 * sizeof(double));
  SET_VECTOR_ELT(contents, 31, I_ICU0);
  SEXP I_mild0 = PROTECT(allocVector(REALSXP, internal->dim_I_mild0));
  memcpy(REAL(I_mild0), internal->I_mild0, internal->dim_I_mild0 * sizeof(double));
  SET_VECTOR_ELT(contents, 32, I_mild0);
  SEXP initial_D = PROTECT(allocVector(REALSXP, internal->dim_D));
  memcpy(REAL(initial_D), internal->initial_D, internal->dim_D * sizeof(double));
  SET_VECTOR_ELT(contents, 33, initial_D);
  SEXP initial_E = PROTECT(allocVector(REALSXP, internal->dim_E));
  memcpy(REAL(initial_E), internal->initial_E, internal->dim_E * sizeof(double));
  SET_VECTOR_ELT(contents, 34, initial_E);
  SEXP initial_I_hosp = PROTECT(allocVector(REALSXP, internal->dim_I_hosp));
  memcpy(REAL(initial_I_hosp), internal->initial_I_hosp, internal->dim_I_hosp * sizeof(double));
  SET_VECTOR_ELT(contents, 35, initial_I_hosp);
  SEXP initial_I_ICU = PROTECT(allocVector(REALSXP, internal->dim_I_ICU));
  memcpy(REAL(initial_I_ICU), internal->initial_I_ICU, internal->dim_I_ICU * sizeof(double));
  SET_VECTOR_ELT(contents, 36, initial_I_ICU);
  SEXP initial_I_mild = PROTECT(allocVector(REALSXP, internal->dim_I_mild));
  memcpy(REAL(initial_I_mild), internal->initial_I_mild, internal->dim_I_mild * sizeof(double));
  SET_VECTOR_ELT(contents, 37, initial_I_mild);
  SEXP initial_R = PROTECT(allocVector(REALSXP, internal->dim_R));
  memcpy(REAL(initial_R), internal->initial_R, internal->dim_R * sizeof(double));
  SET_VECTOR_ELT(contents, 38, initial_R);
  SEXP initial_S = PROTECT(allocVector(REALSXP, internal->dim_S));
  memcpy(REAL(initial_S), internal->initial_S, internal->dim_S * sizeof(double));
  SET_VECTOR_ELT(contents, 39, initial_S);
  SEXP lambda = PROTECT(allocVector(REALSXP, internal->dim_lambda));
  memcpy(REAL(lambda), internal->lambda, internal->dim_lambda * sizeof(double));
  SET_VECTOR_ELT(contents, 40, lambda);
  SEXP m = PROTECT(allocVector(REALSXP, internal->dim_m));
  memcpy(REAL(m), internal->m, internal->dim_m * sizeof(double));
  odin_set_dim(m, 2, internal->dim_m_1, internal->dim_m_2);
  SET_VECTOR_ELT(contents, 41, m);
  SET_VECTOR_ELT(contents, 42, ScalarReal(internal->mu));
  SET_VECTOR_ELT(contents, 43, ScalarInteger(internal->offset_variable_D));
  SET_VECTOR_ELT(contents, 44, ScalarInteger(internal->offset_variable_I_hosp));
  SET_VECTOR_ELT(contents, 45, ScalarInteger(internal->offset_variable_I_ICU));
  SET_VECTOR_ELT(contents, 46, ScalarInteger(internal->offset_variable_I_mild));
  SET_VECTOR_ELT(contents, 47, ScalarInteger(internal->offset_variable_R));
  SEXP p_hosp = PROTECT(allocVector(REALSXP, internal->dim_p_hosp));
  memcpy(REAL(p_hosp), internal->p_hosp, internal->dim_p_hosp * sizeof(double));
  SET_VECTOR_ELT(contents, 48, p_hosp);
  SEXP p_ICU = PROTECT(allocVector(REALSXP, internal->dim_p_ICU));
  memcpy(REAL(p_ICU), internal->p_ICU, internal->dim_p_ICU * sizeof(double));
  SET_VECTOR_ELT(contents, 49, p_ICU);
  SEXP p_mild = PROTECT(allocVector(REALSXP, internal->dim_p_mild));
  memcpy(REAL(p_mild), internal->p_mild, internal->dim_p_mild * sizeof(double));
  SET_VECTOR_ELT(contents, 50, p_mild);
  SEXP R0 = PROTECT(allocVector(REALSXP, internal->dim_R0));
  memcpy(REAL(R0), internal->R0, internal->dim_R0 * sizeof(double));
  SET_VECTOR_ELT(contents, 51, R0);
  SEXP s_ij = PROTECT(allocVector(REALSXP, internal->dim_s_ij));
  memcpy(REAL(s_ij), internal->s_ij, internal->dim_s_ij * sizeof(double));
  odin_set_dim(s_ij, 2, internal->dim_s_ij_1, internal->dim_s_ij_2);
  SET_VECTOR_ELT(contents, 52, s_ij);
  SEXP S0 = PROTECT(allocVector(REALSXP, internal->dim_S0));
  memcpy(REAL(S0), internal->S0, internal->dim_S0 * sizeof(double));
  SET_VECTOR_ELT(contents, 53, S0);
  SET_VECTOR_ELT(contents, 54, ScalarReal(internal->sigma));
  SEXP temp = PROTECT(allocVector(REALSXP, internal->dim_temp));
  memcpy(REAL(temp), internal->temp, internal->dim_temp * sizeof(double));
  SET_VECTOR_ELT(contents, 55, temp);
  SEXP nms = PROTECT(allocVector(STRSXP, 56));
  SET_STRING_ELT(nms, 0, mkChar("beta_1"));
  SET_STRING_ELT(nms, 1, mkChar("beta_2"));
  SET_STRING_ELT(nms, 2, mkChar("D0"));
  SET_STRING_ELT(nms, 3, mkChar("dim_D"));
  SET_STRING_ELT(nms, 4, mkChar("dim_D0"));
  SET_STRING_ELT(nms, 5, mkChar("dim_E"));
  SET_STRING_ELT(nms, 6, mkChar("dim_E0"));
  SET_STRING_ELT(nms, 7, mkChar("dim_I_hosp"));
  SET_STRING_ELT(nms, 8, mkChar("dim_I_hosp0"));
  SET_STRING_ELT(nms, 9, mkChar("dim_I_ICU"));
  SET_STRING_ELT(nms, 10, mkChar("dim_I_ICU0"));
  SET_STRING_ELT(nms, 11, mkChar("dim_I_mild"));
  SET_STRING_ELT(nms, 12, mkChar("dim_I_mild0"));
  SET_STRING_ELT(nms, 13, mkChar("dim_lambda"));
  SET_STRING_ELT(nms, 14, mkChar("dim_m"));
  SET_STRING_ELT(nms, 15, mkChar("dim_m_1"));
  SET_STRING_ELT(nms, 16, mkChar("dim_m_2"));
  SET_STRING_ELT(nms, 17, mkChar("dim_p_hosp"));
  SET_STRING_ELT(nms, 18, mkChar("dim_p_ICU"));
  SET_STRING_ELT(nms, 19, mkChar("dim_p_mild"));
  SET_STRING_ELT(nms, 20, mkChar("dim_R"));
  SET_STRING_ELT(nms, 21, mkChar("dim_R0"));
  SET_STRING_ELT(nms, 22, mkChar("dim_S"));
  SET_STRING_ELT(nms, 23, mkChar("dim_s_ij"));
  SET_STRING_ELT(nms, 24, mkChar("dim_s_ij_1"));
  SET_STRING_ELT(nms, 25, mkChar("dim_s_ij_2"));
  SET_STRING_ELT(nms, 26, mkChar("dim_S0"));
  SET_STRING_ELT(nms, 27, mkChar("dim_temp"));
  SET_STRING_ELT(nms, 28, mkChar("E0"));
  SET_STRING_ELT(nms, 29, mkChar("gamma"));
  SET_STRING_ELT(nms, 30, mkChar("I_hosp0"));
  SET_STRING_ELT(nms, 31, mkChar("I_ICU0"));
  SET_STRING_ELT(nms, 32, mkChar("I_mild0"));
  SET_STRING_ELT(nms, 33, mkChar("initial_D"));
  SET_STRING_ELT(nms, 34, mkChar("initial_E"));
  SET_STRING_ELT(nms, 35, mkChar("initial_I_hosp"));
  SET_STRING_ELT(nms, 36, mkChar("initial_I_ICU"));
  SET_STRING_ELT(nms, 37, mkChar("initial_I_mild"));
  SET_STRING_ELT(nms, 38, mkChar("initial_R"));
  SET_STRING_ELT(nms, 39, mkChar("initial_S"));
  SET_STRING_ELT(nms, 40, mkChar("lambda"));
  SET_STRING_ELT(nms, 41, mkChar("m"));
  SET_STRING_ELT(nms, 42, mkChar("mu"));
  SET_STRING_ELT(nms, 43, mkChar("offset_variable_D"));
  SET_STRING_ELT(nms, 44, mkChar("offset_variable_I_hosp"));
  SET_STRING_ELT(nms, 45, mkChar("offset_variable_I_ICU"));
  SET_STRING_ELT(nms, 46, mkChar("offset_variable_I_mild"));
  SET_STRING_ELT(nms, 47, mkChar("offset_variable_R"));
  SET_STRING_ELT(nms, 48, mkChar("p_hosp"));
  SET_STRING_ELT(nms, 49, mkChar("p_ICU"));
  SET_STRING_ELT(nms, 50, mkChar("p_mild"));
  SET_STRING_ELT(nms, 51, mkChar("R0"));
  SET_STRING_ELT(nms, 52, mkChar("s_ij"));
  SET_STRING_ELT(nms, 53, mkChar("S0"));
  SET_STRING_ELT(nms, 54, mkChar("sigma"));
  SET_STRING_ELT(nms, 55, mkChar("temp"));
  setAttrib(contents, R_NamesSymbol, nms);
  UNPROTECT(23);
  return contents;
}
SEXP less_basic_model_for_js_set_user(SEXP internal_p, SEXP user) {
  less_basic_model_for_js_internal *internal = less_basic_model_for_js_get_internal(internal_p, 1);
  internal->beta_1 = user_get_scalar_double(user, "beta_1", internal->beta_1, NA_REAL, NA_REAL);
  internal->beta_2 = user_get_scalar_double(user, "beta_2", internal->beta_2, NA_REAL, NA_REAL);
  internal->gamma = user_get_scalar_double(user, "gamma", internal->gamma, NA_REAL, NA_REAL);
  internal->mu = user_get_scalar_double(user, "mu", internal->mu, NA_REAL, NA_REAL);
  internal->sigma = user_get_scalar_double(user, "sigma", internal->sigma, NA_REAL, NA_REAL);
  internal->D0 = (double*) user_get_array(user, false, internal->D0, "D0", NA_REAL, NA_REAL, 1, internal->dim_D0);
  internal->E0 = (double*) user_get_array(user, false, internal->E0, "E0", NA_REAL, NA_REAL, 1, internal->dim_E0);
  internal->I_hosp0 = (double*) user_get_array(user, false, internal->I_hosp0, "I_hosp0", NA_REAL, NA_REAL, 1, internal->dim_I_hosp0);
  internal->I_ICU0 = (double*) user_get_array(user, false, internal->I_ICU0, "I_ICU0", NA_REAL, NA_REAL, 1, internal->dim_I_ICU0);
  internal->I_mild0 = (double*) user_get_array(user, false, internal->I_mild0, "I_mild0", NA_REAL, NA_REAL, 1, internal->dim_I_mild0);
  internal->p_hosp = (double*) user_get_array(user, false, internal->p_hosp, "p_hosp", NA_REAL, NA_REAL, 1, internal->dim_p_hosp);
  internal->p_ICU = (double*) user_get_array(user, false, internal->p_ICU, "p_ICU", NA_REAL, NA_REAL, 1, internal->dim_p_ICU);
  internal->p_mild = (double*) user_get_array(user, false, internal->p_mild, "p_mild", NA_REAL, NA_REAL, 1, internal->dim_p_mild);
  internal->R0 = (double*) user_get_array(user, false, internal->R0, "R0", NA_REAL, NA_REAL, 1, internal->dim_R0);
  internal->S0 = (double*) user_get_array(user, false, internal->S0, "S0", NA_REAL, NA_REAL, 1, internal->dim_S0);
  for (int i = 1; i <= internal->dim_D; ++i) {
    internal->initial_D[i - 1] = internal->D0[i - 1];
  }
  for (int i = 1; i <= internal->dim_E; ++i) {
    internal->initial_E[i - 1] = internal->E0[i - 1];
  }
  for (int i = 1; i <= internal->dim_I_hosp; ++i) {
    internal->initial_I_hosp[i - 1] = internal->I_hosp0[i - 1];
  }
  for (int i = 1; i <= internal->dim_I_ICU; ++i) {
    internal->initial_I_ICU[i - 1] = internal->I_ICU0[i - 1];
  }
  for (int i = 1; i <= internal->dim_I_mild; ++i) {
    internal->initial_I_mild[i - 1] = internal->I_mild0[i - 1];
  }
  for (int i = 1; i <= internal->dim_R; ++i) {
    internal->initial_R[i - 1] = internal->R0[i - 1];
  }
  for (int i = 1; i <= internal->dim_S; ++i) {
    internal->initial_S[i - 1] = internal->S0[i - 1];
  }
  internal->m = (double*) user_get_array(user, false, internal->m, "m", NA_REAL, NA_REAL, 2, internal->dim_m_1, internal->dim_m_2);
  return R_NilValue;
}
SEXP less_basic_model_for_js_metadata(SEXP internal_p) {
  less_basic_model_for_js_internal *internal = less_basic_model_for_js_get_internal(internal_p, 1);
  SEXP ret = PROTECT(allocVector(VECSXP, 4));
  SEXP nms = PROTECT(allocVector(STRSXP, 4));
  SET_STRING_ELT(nms, 0, mkChar("variable_order"));
  SET_STRING_ELT(nms, 1, mkChar("output_order"));
  SET_STRING_ELT(nms, 2, mkChar("n_out"));
  SET_STRING_ELT(nms, 3, mkChar("interpolate_t"));
  setAttrib(ret, R_NamesSymbol, nms);
  SEXP variable_length = PROTECT(allocVector(VECSXP, 7));
  SEXP variable_names = PROTECT(allocVector(STRSXP, 7));
  setAttrib(variable_length, R_NamesSymbol, variable_names);
  SET_VECTOR_ELT(variable_length, 0, ScalarInteger(internal->dim_S));
  SET_VECTOR_ELT(variable_length, 1, ScalarInteger(internal->dim_E));
  SET_VECTOR_ELT(variable_length, 2, ScalarInteger(internal->dim_I_mild));
  SET_VECTOR_ELT(variable_length, 3, ScalarInteger(internal->dim_I_hosp));
  SET_VECTOR_ELT(variable_length, 4, ScalarInteger(internal->dim_I_ICU));
  SET_VECTOR_ELT(variable_length, 5, ScalarInteger(internal->dim_R));
  SET_VECTOR_ELT(variable_length, 6, ScalarInteger(internal->dim_D));
  SET_STRING_ELT(variable_names, 0, mkChar("S"));
  SET_STRING_ELT(variable_names, 1, mkChar("E"));
  SET_STRING_ELT(variable_names, 2, mkChar("I_mild"));
  SET_STRING_ELT(variable_names, 3, mkChar("I_hosp"));
  SET_STRING_ELT(variable_names, 4, mkChar("I_ICU"));
  SET_STRING_ELT(variable_names, 5, mkChar("R"));
  SET_STRING_ELT(variable_names, 6, mkChar("D"));
  SET_VECTOR_ELT(ret, 0, variable_length);
  UNPROTECT(2);
  SET_VECTOR_ELT(ret, 1, R_NilValue);
  SET_VECTOR_ELT(ret, 2, ScalarInteger(0));
  UNPROTECT(2);
  return ret;
}
SEXP less_basic_model_for_js_initial_conditions(SEXP internal_p, SEXP t_ptr) {
  less_basic_model_for_js_internal *internal = less_basic_model_for_js_get_internal(internal_p, 1);
  SEXP r_state = PROTECT(allocVector(REALSXP, internal->dim_S + internal->dim_E + internal->dim_I_mild + internal->dim_I_hosp + internal->dim_I_ICU + internal->dim_R + internal->dim_D));
  double * state = REAL(r_state);
  memcpy(state + 0, internal->initial_S, internal->dim_S * sizeof(double));
  memcpy(state + internal->dim_S, internal->initial_E, internal->dim_E * sizeof(double));
  memcpy(state + internal->offset_variable_I_mild, internal->initial_I_mild, internal->dim_I_mild * sizeof(double));
  memcpy(state + internal->offset_variable_I_hosp, internal->initial_I_hosp, internal->dim_I_hosp * sizeof(double));
  memcpy(state + internal->offset_variable_I_ICU, internal->initial_I_ICU, internal->dim_I_ICU * sizeof(double));
  memcpy(state + internal->offset_variable_R, internal->initial_R, internal->dim_R * sizeof(double));
  memcpy(state + internal->offset_variable_D, internal->initial_D, internal->dim_D * sizeof(double));
  UNPROTECT(1);
  return r_state;
}
void less_basic_model_for_js_rhs(less_basic_model_for_js_internal* internal, double t, double * state, double * dstatedt, double * output) {
  double * S = state + 0;
  double * E = state + internal->dim_S;
  double * I_mild = state + internal->offset_variable_I_mild;
  double * I_hosp = state + internal->offset_variable_I_hosp;
  double * I_ICU = state + internal->offset_variable_I_ICU;
  double beta = (t < 50 ? internal->beta_1 : internal->beta_2);
  for (int i = 1; i <= internal->dim_D; ++i) {
    dstatedt[internal->offset_variable_D + i - 1] = internal->mu * I_mild[i - 1] + internal->mu * I_hosp[i - 1] + internal->mu * I_ICU[i - 1];
  }
  for (int i = 1; i <= internal->dim_R; ++i) {
    dstatedt[internal->offset_variable_R + i - 1] = internal->sigma * I_mild[i - 1] + internal->sigma * I_hosp[i - 1] + internal->sigma * I_ICU[i - 1];
  }
  for (int i = 1; i <= internal->dim_I_hosp; ++i) {
    dstatedt[internal->offset_variable_I_hosp + i - 1] = internal->p_hosp[i - 1] * (internal->gamma * E[i - 1]) - internal->sigma * I_hosp[i - 1] - internal->mu * I_hosp[i - 1];
  }
  for (int i = 1; i <= internal->dim_I_ICU; ++i) {
    dstatedt[internal->offset_variable_I_ICU + i - 1] = internal->p_ICU[i - 1] * (internal->gamma * E[i - 1]) - internal->sigma * I_ICU[i - 1] - internal->mu * I_ICU[i - 1];
  }
  for (int i = 1; i <= internal->dim_I_mild; ++i) {
    dstatedt[internal->offset_variable_I_mild + i - 1] = internal->p_mild[i - 1] * (internal->gamma * E[i - 1]) - internal->sigma * I_mild[i - 1] - internal->mu * I_mild[i - 1];
  }
  for (int i = 1; i <= internal->dim_temp; ++i) {
    internal->temp[i - 1] = I_mild[i - 1] + I_hosp[i - 1] + I_ICU[i - 1];
  }
  for (int i = 1; i <= internal->dim_s_ij_1; ++i) {
    for (int j = 1; j <= internal->dim_s_ij_2; ++j) {
      internal->s_ij[i - 1 + internal->dim_s_ij_1 * (j - 1)] = internal->m[internal->dim_m_1 * (j - 1) + i - 1] * internal->temp[j - 1];
    }
  }
  for (int i = 1; i <= internal->dim_lambda; ++i) {
    internal->lambda[i - 1] = beta * odin_sum2(internal->s_ij, i - 1, i, 0, internal->dim_s_ij_2, internal->dim_s_ij_1);
  }
  for (int i = 1; i <= internal->dim_E; ++i) {
    dstatedt[internal->dim_S + i - 1] = beta * S[i - 1] * internal->lambda[i - 1] - internal->gamma * E[i - 1];
  }
  for (int i = 1; i <= internal->dim_S; ++i) {
    dstatedt[0 + i - 1] = -(beta) * S[i - 1] * internal->lambda[i - 1];
  }
}
void less_basic_model_for_js_rhs_dde(size_t neq, double t, double * state, double * dstatedt, void * internal) {
  less_basic_model_for_js_rhs((less_basic_model_for_js_internal*)internal, t, state, dstatedt, NULL);
}
void less_basic_model_for_js_rhs_desolve(int * neq, double * t, double * state, double * dstatedt, double * output, int * np) {
  less_basic_model_for_js_rhs(less_basic_model_for_js_internal_ds, *t, state, dstatedt, output);
}
SEXP less_basic_model_for_js_rhs_r(SEXP internal_p, SEXP t, SEXP state) {
  SEXP dstatedt = PROTECT(allocVector(REALSXP, LENGTH(state)));
  less_basic_model_for_js_internal *internal = less_basic_model_for_js_get_internal(internal_p, 1);
  double *output = NULL;
  less_basic_model_for_js_rhs(internal, REAL(t)[0], REAL(state), REAL(dstatedt), output);
  UNPROTECT(1);
  return dstatedt;
}
simple_SEIR_internal* simple_SEIR_get_internal(SEXP internal_p, int closed_error) {
  simple_SEIR_internal *internal = NULL;
  if (TYPEOF(internal_p) != EXTPTRSXP) {
    Rf_error("Expected an external pointer");
  }
  internal = (simple_SEIR_internal*) R_ExternalPtrAddr(internal_p);
  if (!internal && closed_error) {
    Rf_error("Pointer has been invalidated");
  }
  return internal;
}
void simple_SEIR_finalise(SEXP internal_p) {
  simple_SEIR_internal *internal = simple_SEIR_get_internal(internal_p, 0);
  if (internal_p) {
    cinterpolate_free(internal->interpolate_beta);
    cinterpolate_free(internal->interpolate_m);
    internal->interpolate_beta = NULL;
    internal->interpolate_m = NULL;
    Free(internal->beta_set);
    Free(internal->delta_E1);
    Free(internal->delta_E2);
    Free(internal->delta_I);
    Free(internal->delta_R);
    Free(internal->E0);
    Free(internal->E02);
    Free(internal->I0);
    Free(internal->initial_E1);
    Free(internal->initial_E2);
    Free(internal->initial_I);
    Free(internal->initial_R);
    Free(internal->initial_S);
    Free(internal->lambda);
    Free(internal->m);
    Free(internal->mix_mat_set);
    Free(internal->n_EE);
    Free(internal->n_EI);
    Free(internal->n_IR);
    Free(internal->n_SE);
    Free(internal->p_SE);
    Free(internal->R0);
    Free(internal->s_ij);
    Free(internal->S0);
    Free(internal->temp);
    Free(internal->tt_beta);
    Free(internal->tt_matrix);
    Free(internal);
    R_ClearExternalPtr(internal_p);
  }
}
SEXP simple_SEIR_create(SEXP user) {
  simple_SEIR_internal *internal = (simple_SEIR_internal*) Calloc(1, simple_SEIR_internal);
  internal->beta_set = NULL;
  internal->delta_E1 = NULL;
  internal->delta_E2 = NULL;
  internal->delta_I = NULL;
  internal->delta_R = NULL;
  internal->E0 = NULL;
  internal->E02 = NULL;
  internal->I0 = NULL;
  internal->initial_E1 = NULL;
  internal->initial_E2 = NULL;
  internal->initial_I = NULL;
  internal->initial_R = NULL;
  internal->initial_S = NULL;
  internal->interpolate_m = NULL;
  internal->lambda = NULL;
  internal->m = NULL;
  internal->mix_mat_set = NULL;
  internal->n_EE = NULL;
  internal->n_EI = NULL;
  internal->n_IR = NULL;
  internal->n_SE = NULL;
  internal->p_SE = NULL;
  internal->R0 = NULL;
  internal->s_ij = NULL;
  internal->S0 = NULL;
  internal->temp = NULL;
  internal->tt_beta = NULL;
  internal->tt_matrix = NULL;
  internal->beta_set = NULL;
  internal->dt = NA_REAL;
  internal->E0 = NULL;
  internal->E02 = NULL;
  internal->gamma_E = NA_REAL;
  internal->gamma_I = NA_REAL;
  internal->I0 = NULL;
  internal->mix_mat_set = NULL;
  internal->N_age = NA_INTEGER;
  internal->R0 = NULL;
  internal->S0 = NULL;
  internal->tt_beta = NULL;
  internal->tt_matrix = NULL;
  SEXP ptr = PROTECT(R_MakeExternalPtr(internal, R_NilValue, R_NilValue));
  R_RegisterCFinalizer(ptr, simple_SEIR_finalise);
  UNPROTECT(1);
  return ptr;
}
static simple_SEIR_internal *simple_SEIR_internal_ds;
void simple_SEIR_initmod_desolve(void(* odeparms) (int *, double *)) {
  static DL_FUNC get_desolve_gparms = NULL;
  if (get_desolve_gparms == NULL) {
    get_desolve_gparms =
      R_GetCCallable("deSolve", "get_deSolve_gparms");
  }
  simple_SEIR_internal_ds = simple_SEIR_get_internal(get_desolve_gparms(), 1);
}
SEXP simple_SEIR_contents(SEXP internal_p) {
  simple_SEIR_internal *internal = simple_SEIR_get_internal(internal_p, 1);
  SEXP contents = PROTECT(allocVector(VECSXP, 74));
  SEXP beta_set = PROTECT(allocVector(REALSXP, internal->dim_beta_set));
  memcpy(REAL(beta_set), internal->beta_set, internal->dim_beta_set * sizeof(double));
  SET_VECTOR_ELT(contents, 0, beta_set);
  SEXP delta_E1 = PROTECT(allocVector(REALSXP, internal->dim_delta_E1));
  memcpy(REAL(delta_E1), internal->delta_E1, internal->dim_delta_E1 * sizeof(double));
  SET_VECTOR_ELT(contents, 1, delta_E1);
  SEXP delta_E2 = PROTECT(allocVector(REALSXP, internal->dim_delta_E2));
  memcpy(REAL(delta_E2), internal->delta_E2, internal->dim_delta_E2 * sizeof(double));
  SET_VECTOR_ELT(contents, 2, delta_E2);
  SEXP delta_I = PROTECT(allocVector(REALSXP, internal->dim_delta_I));
  memcpy(REAL(delta_I), internal->delta_I, internal->dim_delta_I * sizeof(double));
  SET_VECTOR_ELT(contents, 3, delta_I);
  SEXP delta_R = PROTECT(allocVector(REALSXP, internal->dim_delta_R));
  memcpy(REAL(delta_R), internal->delta_R, internal->dim_delta_R * sizeof(double));
  SET_VECTOR_ELT(contents, 4, delta_R);
  SET_VECTOR_ELT(contents, 5, ScalarInteger(internal->dim_beta_set));
  SET_VECTOR_ELT(contents, 6, ScalarInteger(internal->dim_delta_E1));
  SET_VECTOR_ELT(contents, 7, ScalarInteger(internal->dim_delta_E2));
  SET_VECTOR_ELT(contents, 8, ScalarInteger(internal->dim_delta_I));
  SET_VECTOR_ELT(contents, 9, ScalarInteger(internal->dim_delta_R));
  SET_VECTOR_ELT(contents, 10, ScalarInteger(internal->dim_E0));
  SET_VECTOR_ELT(contents, 11, ScalarInteger(internal->dim_E02));
  SET_VECTOR_ELT(contents, 12, ScalarInteger(internal->dim_E1));
  SET_VECTOR_ELT(contents, 13, ScalarInteger(internal->dim_E2));
  SET_VECTOR_ELT(contents, 14, ScalarInteger(internal->dim_I));
  SET_VECTOR_ELT(contents, 15, ScalarInteger(internal->dim_I0));
  SET_VECTOR_ELT(contents, 16, ScalarInteger(internal->dim_lambda));
  SET_VECTOR_ELT(contents, 17, ScalarInteger(internal->dim_m));
  SET_VECTOR_ELT(contents, 18, ScalarInteger(internal->dim_m_1));
  SET_VECTOR_ELT(contents, 19, ScalarInteger(internal->dim_m_2));
  SET_VECTOR_ELT(contents, 20, ScalarInteger(internal->dim_mix_mat_set));
  SET_VECTOR_ELT(contents, 21, ScalarInteger(internal->dim_mix_mat_set_1));
  SET_VECTOR_ELT(contents, 22, ScalarInteger(internal->dim_mix_mat_set_12));
  SET_VECTOR_ELT(contents, 23, ScalarInteger(internal->dim_mix_mat_set_2));
  SET_VECTOR_ELT(contents, 24, ScalarInteger(internal->dim_mix_mat_set_3));
  SET_VECTOR_ELT(contents, 25, ScalarInteger(internal->dim_n_EE));
  SET_VECTOR_ELT(contents, 26, ScalarInteger(internal->dim_n_EI));
  SET_VECTOR_ELT(contents, 27, ScalarInteger(internal->dim_n_IR));
  SET_VECTOR_ELT(contents, 28, ScalarInteger(internal->dim_n_SE));
  SET_VECTOR_ELT(contents, 29, ScalarInteger(internal->dim_p_SE));
  SET_VECTOR_ELT(contents, 30, ScalarInteger(internal->dim_R));
  SET_VECTOR_ELT(contents, 31, ScalarInteger(internal->dim_R0));
  SET_VECTOR_ELT(contents, 32, ScalarInteger(internal->dim_S));
  SET_VECTOR_ELT(contents, 33, ScalarInteger(internal->dim_s_ij));
  SET_VECTOR_ELT(contents, 34, ScalarInteger(internal->dim_s_ij_1));
  SET_VECTOR_ELT(contents, 35, ScalarInteger(internal->dim_s_ij_2));
  SET_VECTOR_ELT(contents, 36, ScalarInteger(internal->dim_S0));
  SET_VECTOR_ELT(contents, 37, ScalarInteger(internal->dim_temp));
  SET_VECTOR_ELT(contents, 38, ScalarInteger(internal->dim_tt_beta));
  SET_VECTOR_ELT(contents, 39, ScalarInteger(internal->dim_tt_matrix));
  SET_VECTOR_ELT(contents, 40, ScalarReal(internal->dt));
  SEXP E0 = PROTECT(allocVector(REALSXP, internal->dim_E0));
  memcpy(REAL(E0), internal->E0, internal->dim_E0 * sizeof(double));
  SET_VECTOR_ELT(contents, 41, E0);
  SEXP E02 = PROTECT(allocVector(REALSXP, internal->dim_E02));
  memcpy(REAL(E02), internal->E02, internal->dim_E02 * sizeof(double));
  SET_VECTOR_ELT(contents, 42, E02);
  SET_VECTOR_ELT(contents, 43, ScalarReal(internal->gamma_E));
  SET_VECTOR_ELT(contents, 44, ScalarReal(internal->gamma_I));
  SEXP I0 = PROTECT(allocVector(REALSXP, internal->dim_I0));
  memcpy(REAL(I0), internal->I0, internal->dim_I0 * sizeof(double));
  SET_VECTOR_ELT(contents, 45, I0);
  SEXP initial_E1 = PROTECT(allocVector(REALSXP, internal->dim_E1));
  memcpy(REAL(initial_E1), internal->initial_E1, internal->dim_E1 * sizeof(double));
  SET_VECTOR_ELT(contents, 46, initial_E1);
  SEXP initial_E2 = PROTECT(allocVector(REALSXP, internal->dim_E2));
  memcpy(REAL(initial_E2), internal->initial_E2, internal->dim_E2 * sizeof(double));
  SET_VECTOR_ELT(contents, 47, initial_E2);
  SEXP initial_I = PROTECT(allocVector(REALSXP, internal->dim_I));
  memcpy(REAL(initial_I), internal->initial_I, internal->dim_I * sizeof(double));
  SET_VECTOR_ELT(contents, 48, initial_I);
  SEXP initial_R = PROTECT(allocVector(REALSXP, internal->dim_R));
  memcpy(REAL(initial_R), internal->initial_R, internal->dim_R * sizeof(double));
  SET_VECTOR_ELT(contents, 49, initial_R);
  SEXP initial_S = PROTECT(allocVector(REALSXP, internal->dim_S));
  memcpy(REAL(initial_S), internal->initial_S, internal->dim_S * sizeof(double));
  SET_VECTOR_ELT(contents, 50, initial_S);
  SEXP lambda = PROTECT(allocVector(REALSXP, internal->dim_lambda));
  memcpy(REAL(lambda), internal->lambda, internal->dim_lambda * sizeof(double));
  SET_VECTOR_ELT(contents, 53, lambda);
  SEXP m = PROTECT(allocVector(REALSXP, internal->dim_m));
  memcpy(REAL(m), internal->m, internal->dim_m * sizeof(double));
  odin_set_dim(m, 2, internal->dim_m_1, internal->dim_m_2);
  SET_VECTOR_ELT(contents, 54, m);
  SEXP mix_mat_set = PROTECT(allocVector(REALSXP, internal->dim_mix_mat_set));
  memcpy(REAL(mix_mat_set), internal->mix_mat_set, internal->dim_mix_mat_set * sizeof(double));
  odin_set_dim(mix_mat_set, 3, internal->dim_mix_mat_set_1, internal->dim_mix_mat_set_2, internal->dim_mix_mat_set_3);
  SET_VECTOR_ELT(contents, 55, mix_mat_set);
  SET_VECTOR_ELT(contents, 56, ScalarInteger(internal->N_age));
  SEXP n_EE = PROTECT(allocVector(REALSXP, internal->dim_n_EE));
  memcpy(REAL(n_EE), internal->n_EE, internal->dim_n_EE * sizeof(double));
  SET_VECTOR_ELT(contents, 57, n_EE);
  SEXP n_EI = PROTECT(allocVector(REALSXP, internal->dim_n_EI));
  memcpy(REAL(n_EI), internal->n_EI, internal->dim_n_EI * sizeof(double));
  SET_VECTOR_ELT(contents, 58, n_EI);
  SEXP n_IR = PROTECT(allocVector(REALSXP, internal->dim_n_IR));
  memcpy(REAL(n_IR), internal->n_IR, internal->dim_n_IR * sizeof(double));
  SET_VECTOR_ELT(contents, 59, n_IR);
  SEXP n_SE = PROTECT(allocVector(REALSXP, internal->dim_n_SE));
  memcpy(REAL(n_SE), internal->n_SE, internal->dim_n_SE * sizeof(double));
  SET_VECTOR_ELT(contents, 60, n_SE);
  SET_VECTOR_ELT(contents, 61, ScalarInteger(internal->offset_variable_E2));
  SET_VECTOR_ELT(contents, 62, ScalarInteger(internal->offset_variable_I));
  SET_VECTOR_ELT(contents, 63, ScalarInteger(internal->offset_variable_R));
  SET_VECTOR_ELT(contents, 64, ScalarReal(internal->p_EE));
  SET_VECTOR_ELT(contents, 65, ScalarReal(internal->p_EI));
  SET_VECTOR_ELT(contents, 66, ScalarReal(internal->p_IR));
  SEXP p_SE = PROTECT(allocVector(REALSXP, internal->dim_p_SE));
  memcpy(REAL(p_SE), internal->p_SE, internal->dim_p_SE * sizeof(double));
  SET_VECTOR_ELT(contents, 67, p_SE);
  SEXP R0 = PROTECT(allocVector(REALSXP, internal->dim_R0));
  memcpy(REAL(R0), internal->R0, internal->dim_R0 * sizeof(double));
  SET_VECTOR_ELT(contents, 68, R0);
  SEXP s_ij = PROTECT(allocVector(REALSXP, internal->dim_s_ij));
  memcpy(REAL(s_ij), internal->s_ij, internal->dim_s_ij * sizeof(double));
  odin_set_dim(s_ij, 2, internal->dim_s_ij_1, internal->dim_s_ij_2);
  SET_VECTOR_ELT(contents, 69, s_ij);
  SEXP S0 = PROTECT(allocVector(REALSXP, internal->dim_S0));
  memcpy(REAL(S0), internal->S0, internal->dim_S0 * sizeof(double));
  SET_VECTOR_ELT(contents, 70, S0);
  SEXP temp = PROTECT(allocVector(REALSXP, internal->dim_temp));
  memcpy(REAL(temp), internal->temp, internal->dim_temp * sizeof(double));
  SET_VECTOR_ELT(contents, 71, temp);
  SEXP tt_beta = PROTECT(allocVector(REALSXP, internal->dim_tt_beta));
  memcpy(REAL(tt_beta), internal->tt_beta, internal->dim_tt_beta * sizeof(double));
  SET_VECTOR_ELT(contents, 72, tt_beta);
  SEXP tt_matrix = PROTECT(allocVector(REALSXP, internal->dim_tt_matrix));
  memcpy(REAL(tt_matrix), internal->tt_matrix, internal->dim_tt_matrix * sizeof(double));
  SET_VECTOR_ELT(contents, 73, tt_matrix);
  SEXP nms = PROTECT(allocVector(STRSXP, 74));
  SET_STRING_ELT(nms, 0, mkChar("beta_set"));
  SET_STRING_ELT(nms, 1, mkChar("delta_E1"));
  SET_STRING_ELT(nms, 2, mkChar("delta_E2"));
  SET_STRING_ELT(nms, 3, mkChar("delta_I"));
  SET_STRING_ELT(nms, 4, mkChar("delta_R"));
  SET_STRING_ELT(nms, 5, mkChar("dim_beta_set"));
  SET_STRING_ELT(nms, 6, mkChar("dim_delta_E1"));
  SET_STRING_ELT(nms, 7, mkChar("dim_delta_E2"));
  SET_STRING_ELT(nms, 8, mkChar("dim_delta_I"));
  SET_STRING_ELT(nms, 9, mkChar("dim_delta_R"));
  SET_STRING_ELT(nms, 10, mkChar("dim_E0"));
  SET_STRING_ELT(nms, 11, mkChar("dim_E02"));
  SET_STRING_ELT(nms, 12, mkChar("dim_E1"));
  SET_STRING_ELT(nms, 13, mkChar("dim_E2"));
  SET_STRING_ELT(nms, 14, mkChar("dim_I"));
  SET_STRING_ELT(nms, 15, mkChar("dim_I0"));
  SET_STRING_ELT(nms, 16, mkChar("dim_lambda"));
  SET_STRING_ELT(nms, 17, mkChar("dim_m"));
  SET_STRING_ELT(nms, 18, mkChar("dim_m_1"));
  SET_STRING_ELT(nms, 19, mkChar("dim_m_2"));
  SET_STRING_ELT(nms, 20, mkChar("dim_mix_mat_set"));
  SET_STRING_ELT(nms, 21, mkChar("dim_mix_mat_set_1"));
  SET_STRING_ELT(nms, 22, mkChar("dim_mix_mat_set_12"));
  SET_STRING_ELT(nms, 23, mkChar("dim_mix_mat_set_2"));
  SET_STRING_ELT(nms, 24, mkChar("dim_mix_mat_set_3"));
  SET_STRING_ELT(nms, 25, mkChar("dim_n_EE"));
  SET_STRING_ELT(nms, 26, mkChar("dim_n_EI"));
  SET_STRING_ELT(nms, 27, mkChar("dim_n_IR"));
  SET_STRING_ELT(nms, 28, mkChar("dim_n_SE"));
  SET_STRING_ELT(nms, 29, mkChar("dim_p_SE"));
  SET_STRING_ELT(nms, 30, mkChar("dim_R"));
  SET_STRING_ELT(nms, 31, mkChar("dim_R0"));
  SET_STRING_ELT(nms, 32, mkChar("dim_S"));
  SET_STRING_ELT(nms, 33, mkChar("dim_s_ij"));
  SET_STRING_ELT(nms, 34, mkChar("dim_s_ij_1"));
  SET_STRING_ELT(nms, 35, mkChar("dim_s_ij_2"));
  SET_STRING_ELT(nms, 36, mkChar("dim_S0"));
  SET_STRING_ELT(nms, 37, mkChar("dim_temp"));
  SET_STRING_ELT(nms, 38, mkChar("dim_tt_beta"));
  SET_STRING_ELT(nms, 39, mkChar("dim_tt_matrix"));
  SET_STRING_ELT(nms, 40, mkChar("dt"));
  SET_STRING_ELT(nms, 41, mkChar("E0"));
  SET_STRING_ELT(nms, 42, mkChar("E02"));
  SET_STRING_ELT(nms, 43, mkChar("gamma_E"));
  SET_STRING_ELT(nms, 44, mkChar("gamma_I"));
  SET_STRING_ELT(nms, 45, mkChar("I0"));
  SET_STRING_ELT(nms, 46, mkChar("initial_E1"));
  SET_STRING_ELT(nms, 47, mkChar("initial_E2"));
  SET_STRING_ELT(nms, 48, mkChar("initial_I"));
  SET_STRING_ELT(nms, 49, mkChar("initial_R"));
  SET_STRING_ELT(nms, 50, mkChar("initial_S"));
  SET_STRING_ELT(nms, 51, mkChar("interpolate_beta"));
  SET_STRING_ELT(nms, 52, mkChar("interpolate_m"));
  SET_STRING_ELT(nms, 53, mkChar("lambda"));
  SET_STRING_ELT(nms, 54, mkChar("m"));
  SET_STRING_ELT(nms, 55, mkChar("mix_mat_set"));
  SET_STRING_ELT(nms, 56, mkChar("N_age"));
  SET_STRING_ELT(nms, 57, mkChar("n_EE"));
  SET_STRING_ELT(nms, 58, mkChar("n_EI"));
  SET_STRING_ELT(nms, 59, mkChar("n_IR"));
  SET_STRING_ELT(nms, 60, mkChar("n_SE"));
  SET_STRING_ELT(nms, 61, mkChar("offset_variable_E2"));
  SET_STRING_ELT(nms, 62, mkChar("offset_variable_I"));
  SET_STRING_ELT(nms, 63, mkChar("offset_variable_R"));
  SET_STRING_ELT(nms, 64, mkChar("p_EE"));
  SET_STRING_ELT(nms, 65, mkChar("p_EI"));
  SET_STRING_ELT(nms, 66, mkChar("p_IR"));
  SET_STRING_ELT(nms, 67, mkChar("p_SE"));
  SET_STRING_ELT(nms, 68, mkChar("R0"));
  SET_STRING_ELT(nms, 69, mkChar("s_ij"));
  SET_STRING_ELT(nms, 70, mkChar("S0"));
  SET_STRING_ELT(nms, 71, mkChar("temp"));
  SET_STRING_ELT(nms, 72, mkChar("tt_beta"));
  SET_STRING_ELT(nms, 73, mkChar("tt_matrix"));
  setAttrib(contents, R_NamesSymbol, nms);
  UNPROTECT(29);
  return contents;
}
SEXP simple_SEIR_set_user(SEXP internal_p, SEXP user) {
  simple_SEIR_internal *internal = simple_SEIR_get_internal(internal_p, 1);
  internal->dt = user_get_scalar_double(user, "dt", internal->dt, NA_REAL, NA_REAL);
  internal->gamma_E = user_get_scalar_double(user, "gamma_E", internal->gamma_E, NA_REAL, NA_REAL);
  internal->gamma_I = user_get_scalar_double(user, "gamma_I", internal->gamma_I, NA_REAL, NA_REAL);
  internal->N_age = user_get_scalar_int(user, "N_age", internal->N_age, NA_REAL, NA_REAL);
  internal->tt_beta = (double*) user_get_array_dim(user, false, internal->tt_beta, "tt_beta", 1, NA_REAL, NA_REAL, &internal->dim_tt_beta);
  internal->tt_matrix = (double*) user_get_array_dim(user, false, internal->tt_matrix, "tt_matrix", 1, NA_REAL, NA_REAL, &internal->dim_tt_matrix);
  internal->dim_delta_E1 = internal->N_age;
  internal->dim_delta_E2 = internal->N_age;
  internal->dim_delta_I = internal->N_age;
  internal->dim_delta_R = internal->N_age;
  internal->dim_E0 = internal->N_age;
  internal->dim_E02 = internal->N_age;
  internal->dim_E1 = internal->N_age;
  internal->dim_E2 = internal->N_age;
  internal->dim_I = internal->N_age;
  internal->dim_I0 = internal->N_age;
  internal->dim_lambda = internal->N_age;
  internal->dim_m_1 = internal->N_age;
  internal->dim_m_2 = internal->N_age;
  internal->dim_n_EE = internal->N_age;
  internal->dim_n_EI = internal->N_age;
  internal->dim_n_IR = internal->N_age;
  internal->dim_n_SE = internal->N_age;
  internal->dim_p_SE = internal->N_age;
  internal->dim_R = internal->N_age;
  internal->dim_R0 = internal->N_age;
  internal->dim_S = internal->N_age;
  internal->dim_s_ij_1 = internal->N_age;
  internal->dim_s_ij_2 = internal->N_age;
  internal->dim_S0 = internal->N_age;
  internal->dim_temp = internal->N_age;
  internal->p_EE = 1 - exp(-(internal->gamma_E) * internal->dt);
  internal->p_EI = 1 - exp(-(internal->gamma_E) * internal->dt);
  internal->p_IR = 1 - exp(-(internal->gamma_I) * internal->dt);
  Free(internal->delta_E1);
  internal->delta_E1 = (double*) Calloc(internal->dim_delta_E1, double);
  Free(internal->delta_E2);
  internal->delta_E2 = (double*) Calloc(internal->dim_delta_E2, double);
  Free(internal->delta_I);
  internal->delta_I = (double*) Calloc(internal->dim_delta_I, double);
  Free(internal->delta_R);
  internal->delta_R = (double*) Calloc(internal->dim_delta_R, double);
  Free(internal->initial_E1);
  internal->initial_E1 = (double*) Calloc(internal->dim_E1, double);
  Free(internal->initial_E2);
  internal->initial_E2 = (double*) Calloc(internal->dim_E2, double);
  Free(internal->initial_I);
  internal->initial_I = (double*) Calloc(internal->dim_I, double);
  Free(internal->initial_R);
  internal->initial_R = (double*) Calloc(internal->dim_R, double);
  Free(internal->initial_S);
  internal->initial_S = (double*) Calloc(internal->dim_S, double);
  Free(internal->lambda);
  internal->lambda = (double*) Calloc(internal->dim_lambda, double);
  Free(internal->n_EE);
  internal->n_EE = (double*) Calloc(internal->dim_n_EE, double);
  Free(internal->n_EI);
  internal->n_EI = (double*) Calloc(internal->dim_n_EI, double);
  Free(internal->n_IR);
  internal->n_IR = (double*) Calloc(internal->dim_n_IR, double);
  Free(internal->n_SE);
  internal->n_SE = (double*) Calloc(internal->dim_n_SE, double);
  Free(internal->p_SE);
  internal->p_SE = (double*) Calloc(internal->dim_p_SE, double);
  Free(internal->temp);
  internal->temp = (double*) Calloc(internal->dim_temp, double);
  internal->dim_beta_set = internal->dim_tt_beta;
  internal->dim_m = internal->dim_m_1 * internal->dim_m_2;
  internal->dim_mix_mat_set_1 = internal->dim_tt_matrix;
  internal->dim_mix_mat_set_2 = internal->N_age;
  internal->dim_mix_mat_set_3 = internal->N_age;
  internal->dim_s_ij = internal->dim_s_ij_1 * internal->dim_s_ij_2;
  internal->E0 = (double*) user_get_array(user, false, internal->E0, "E0", NA_REAL, NA_REAL, 1, internal->dim_E0);
  internal->E02 = (double*) user_get_array(user, false, internal->E02, "E02", NA_REAL, NA_REAL, 1, internal->dim_E02);
  internal->I0 = (double*) user_get_array(user, false, internal->I0, "I0", NA_REAL, NA_REAL, 1, internal->dim_I0);
  internal->offset_variable_E2 = internal->dim_S + internal->dim_E1;
  internal->offset_variable_I = internal->dim_S + internal->dim_E1 + internal->dim_E2;
  internal->offset_variable_R = internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_I;
  internal->R0 = (double*) user_get_array(user, false, internal->R0, "R0", NA_REAL, NA_REAL, 1, internal->dim_R0);
  internal->S0 = (double*) user_get_array(user, false, internal->S0, "S0", NA_REAL, NA_REAL, 1, internal->dim_S0);
  Free(internal->m);
  internal->m = (double*) Calloc(internal->dim_m, double);
  Free(internal->s_ij);
  internal->s_ij = (double*) Calloc(internal->dim_s_ij, double);
  internal->beta_set = (double*) user_get_array(user, false, internal->beta_set, "beta_set", NA_REAL, NA_REAL, 1, internal->dim_beta_set);
  internal->dim_mix_mat_set = internal->dim_mix_mat_set_1 * internal->dim_mix_mat_set_2 * internal->dim_mix_mat_set_3;
  internal->dim_mix_mat_set_12 = internal->dim_mix_mat_set_1 * internal->dim_mix_mat_set_2;
  for (int i = 1; i <= internal->dim_E1; ++i) {
    internal->initial_E1[i - 1] = internal->E0[i - 1];
  }
  for (int i = 1; i <= internal->dim_E2; ++i) {
    internal->initial_E2[i - 1] = internal->E02[i - 1];
  }
  for (int i = 1; i <= internal->dim_I; ++i) {
    internal->initial_I[i - 1] = internal->I0[i - 1];
  }
  for (int i = 1; i <= internal->dim_R; ++i) {
    internal->initial_R[i - 1] = internal->R0[i - 1];
  }
  for (int i = 1; i <= internal->dim_S; ++i) {
    internal->initial_S[i - 1] = internal->S0[i - 1];
  }
  interpolate_check_y(internal->dim_tt_beta, internal->dim_beta_set, 0, "beta_set", "beta");
  cinterpolate_free(internal->interpolate_beta);
  internal->interpolate_beta = cinterpolate_alloc("constant", internal->dim_tt_beta, 1, internal->tt_beta, internal->beta_set, true, false);
  internal->mix_mat_set = (double*) user_get_array(user, false, internal->mix_mat_set, "mix_mat_set", NA_REAL, NA_REAL, 3, internal->dim_mix_mat_set_1, internal->dim_mix_mat_set_2, internal->dim_mix_mat_set_3);
  interpolate_check_y(internal->dim_tt_matrix, internal->dim_mix_mat_set_1, 1, "mix_mat_set", "m");
  interpolate_check_y(internal->dim_m_1, internal->dim_mix_mat_set_2, 2, "mix_mat_set", "m");
  interpolate_check_y(internal->dim_m_2, internal->dim_mix_mat_set_3, 3, "mix_mat_set", "m");
  cinterpolate_free(internal->interpolate_m);
  internal->interpolate_m = cinterpolate_alloc("constant", internal->dim_tt_matrix, internal->dim_m, internal->tt_matrix, internal->mix_mat_set, true, false);
  return R_NilValue;
}
SEXP simple_SEIR_metadata(SEXP internal_p) {
  simple_SEIR_internal *internal = simple_SEIR_get_internal(internal_p, 1);
  SEXP ret = PROTECT(allocVector(VECSXP, 4));
  SEXP nms = PROTECT(allocVector(STRSXP, 4));
  SET_STRING_ELT(nms, 0, mkChar("variable_order"));
  SET_STRING_ELT(nms, 1, mkChar("output_order"));
  SET_STRING_ELT(nms, 2, mkChar("n_out"));
  SET_STRING_ELT(nms, 3, mkChar("interpolate_t"));
  setAttrib(ret, R_NamesSymbol, nms);
  SEXP variable_length = PROTECT(allocVector(VECSXP, 5));
  SEXP variable_names = PROTECT(allocVector(STRSXP, 5));
  setAttrib(variable_length, R_NamesSymbol, variable_names);
  SET_VECTOR_ELT(variable_length, 0, ScalarInteger(internal->dim_S));
  SET_VECTOR_ELT(variable_length, 1, ScalarInteger(internal->dim_E1));
  SET_VECTOR_ELT(variable_length, 2, ScalarInteger(internal->dim_E2));
  SET_VECTOR_ELT(variable_length, 3, ScalarInteger(internal->dim_I));
  SET_VECTOR_ELT(variable_length, 4, ScalarInteger(internal->dim_R));
  SET_STRING_ELT(variable_names, 0, mkChar("S"));
  SET_STRING_ELT(variable_names, 1, mkChar("E1"));
  SET_STRING_ELT(variable_names, 2, mkChar("E2"));
  SET_STRING_ELT(variable_names, 3, mkChar("I"));
  SET_STRING_ELT(variable_names, 4, mkChar("R"));
  SET_VECTOR_ELT(ret, 0, variable_length);
  UNPROTECT(2);
  SEXP output_length = PROTECT(allocVector(VECSXP, 2));
  SEXP output_names = PROTECT(allocVector(STRSXP, 2));
  setAttrib(output_length, R_NamesSymbol, output_names);
  SET_VECTOR_ELT(output_length, 0, R_NilValue);
  SET_VECTOR_ELT(output_length, 1, ScalarInteger(internal->dim_n_EI));
  SET_STRING_ELT(output_names, 0, mkChar("time"));
  SET_STRING_ELT(output_names, 1, mkChar("n_EI"));
  SET_VECTOR_ELT(ret, 1, output_length);
  UNPROTECT(2);
  SET_VECTOR_ELT(ret, 2, ScalarInteger(1 + internal->dim_n_EI));
  SEXP interpolate_t = PROTECT(allocVector(VECSXP, 3));
  SEXP interpolate_t_nms = PROTECT(allocVector(STRSXP, 3));
  setAttrib(interpolate_t, R_NamesSymbol, interpolate_t_nms);
  SET_VECTOR_ELT(interpolate_t, 0, ScalarReal(fmax(internal->tt_beta[0], internal->tt_matrix[0])));
  SET_VECTOR_ELT(interpolate_t, 1, ScalarReal(R_PosInf));
  SET_STRING_ELT(interpolate_t_nms, 0, mkChar("min"));
  SET_STRING_ELT(interpolate_t_nms, 1, mkChar("max"));
  SET_VECTOR_ELT(ret, 3, interpolate_t);
  UNPROTECT(2);
  UNPROTECT(2);
  return ret;
}
SEXP simple_SEIR_initial_conditions(SEXP internal_p, SEXP step_ptr) {
  simple_SEIR_internal *internal = simple_SEIR_get_internal(internal_p, 1);
  SEXP r_state = PROTECT(allocVector(REALSXP, internal->dim_S + internal->dim_E1 + internal->dim_E2 + internal->dim_I + internal->dim_R));
  double * state = REAL(r_state);
  memcpy(state + 0, internal->initial_S, internal->dim_S * sizeof(double));
  memcpy(state + internal->dim_S, internal->initial_E1, internal->dim_E1 * sizeof(double));
  memcpy(state + internal->offset_variable_E2, internal->initial_E2, internal->dim_E2 * sizeof(double));
  memcpy(state + internal->offset_variable_I, internal->initial_I, internal->dim_I * sizeof(double));
  memcpy(state + internal->offset_variable_R, internal->initial_R, internal->dim_R * sizeof(double));
  UNPROTECT(1);
  return r_state;
}
void simple_SEIR_rhs(simple_SEIR_internal* internal, size_t step, double * state, double * state_next, double * output) {
  double * S = state + 0;
  double * E1 = state + internal->dim_S;
  double * E2 = state + internal->offset_variable_E2;
  double * I = state + internal->offset_variable_I;
  double * R = state + internal->offset_variable_R;
  for (int i = 1; i <= internal->dim_n_EE; ++i) {
    internal->n_EE[i - 1] = Rf_rbinom(round(E1[i - 1]), internal->p_EE);
  }
  for (int i = 1; i <= internal->dim_n_EI; ++i) {
    internal->n_EI[i - 1] = Rf_rbinom(round(E2[i - 1]), internal->p_EI);
  }
  for (int i = 1; i <= internal->dim_n_IR; ++i) {
    internal->n_IR[i - 1] = Rf_rbinom(round(I[i - 1]), internal->p_IR);
  }
  for (int i = 1; i <= internal->dim_temp; ++i) {
    internal->temp[i - 1] = I[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_E2; ++i) {
    internal->delta_E2[i - 1] = internal->n_EE[i - 1] - internal->n_EI[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_I; ++i) {
    internal->delta_I[i - 1] = internal->n_EI[i - 1] - internal->n_IR[i - 1];
  }
  for (int i = 1; i <= internal->dim_delta_R; ++i) {
    internal->delta_R[i - 1] = internal->n_IR[i - 1];
  }
  double beta = 0.0;
  cinterpolate_eval(step, internal->interpolate_beta, &beta);
  for (int i = 1; i <= internal->dim_E2; ++i) {
    state_next[internal->offset_variable_E2 + i - 1] = E2[i - 1] + internal->delta_E2[i - 1];
  }
  for (int i = 1; i <= internal->dim_I; ++i) {
    state_next[internal->offset_variable_I + i - 1] = I[i - 1] + internal->delta_I[i - 1];
  }
  for (int i = 1; i <= internal->dim_R; ++i) {
    state_next[internal->offset_variable_R + i - 1] = R[i - 1] + internal->delta_R[i - 1];
  }
  cinterpolate_eval(step, internal->interpolate_m, internal->m);
  for (int i = 1; i <= internal->dim_s_ij_1; ++i) {
    for (int j = 1; j <= internal->dim_s_ij_2; ++j) {
      internal->s_ij[i - 1 + internal->dim_s_ij_1 * (j - 1)] = internal->m[internal->dim_m_1 * (j - 1) + i - 1] * internal->temp[j - 1];
    }
  }
  for (int i = 1; i <= internal->dim_lambda; ++i) {
    internal->lambda[i - 1] = beta * odin_sum2(internal->s_ij, i - 1, i, 0, internal->dim_s_ij_2, internal->dim_s_ij_1);
  }
  for (int i = 1; i <= internal->dim_p_SE; ++i) {
    internal->p_SE[i - 1] = 1 - exp(-(internal->lambda[i - 1]) * internal->dt);
  }
  for (int i = 1; i <= internal->dim_n_SE; ++i) {
    internal->n_SE[i - 1] = Rf_rbinom(round(S[i - 1]), internal->p_SE[i - 1]);
  }
  for (int i = 1; i <= internal->dim_delta_E1; ++i) {
    internal->delta_E1[i - 1] = internal->n_SE[i - 1] - internal->n_EE[i - 1];
  }
  for (int i = 1; i <= internal->dim_S; ++i) {
    state_next[0 + i - 1] = S[i - 1] - internal->n_SE[i - 1];
  }
  for (int i = 1; i <= internal->dim_E1; ++i) {
    state_next[internal->dim_S + i - 1] = E1[i - 1] + internal->delta_E1[i - 1];
  }
  double time = step * internal->dt;
  output[0] = time;
  memcpy(output + 1, internal->n_EI, internal->dim_n_EI * sizeof(double));
}
void simple_SEIR_rhs_dde(size_t n_eq, size_t step, double * state, double * state_next, size_t n_out, double * output, void * internal) {
  simple_SEIR_rhs((simple_SEIR_internal*)internal, step, state, state_next, output);
}
SEXP simple_SEIR_rhs_r(SEXP internal_p, SEXP step, SEXP state) {
  SEXP state_next = PROTECT(allocVector(REALSXP, LENGTH(state)));
  simple_SEIR_internal *internal = simple_SEIR_get_internal(internal_p, 1);
  SEXP output_ptr = PROTECT(allocVector(REALSXP, 1 + internal->dim_n_EI));
  setAttrib(state_next, install("output"), output_ptr);
  UNPROTECT(1);
  double *output = REAL(output_ptr);
  GetRNGstate();
  simple_SEIR_rhs(internal, INTEGER(step)[0], REAL(state), REAL(state_next), output);
  PutRNGstate();
  UNPROTECT(1);
  return state_next;
}
double user_get_scalar_double(SEXP user, const char *name,
                              double default_value, double min, double max) {
  double ret = default_value;
  SEXP el = user_list_element(user, name);
  if (el != R_NilValue) {
    if (length(el) != 1) {
      Rf_error("Expected a scalar numeric for '%s'", name);
    }
    if (TYPEOF(el) == REALSXP) {
      ret = REAL(el)[0];
    } else if (TYPEOF(el) == INTSXP) {
      ret = INTEGER(el)[0];
    } else {
      Rf_error("Expected a numeric value for %s", name);
    }
  }
  if (ISNA(ret)) {
    Rf_error("Expected a value for '%s'", name);
  }
  user_check_values_double(&ret, 1, min, max, name);
  return ret;
}
int user_get_scalar_int(SEXP user, const char *name,
                        int default_value, double min, double max) {
  int ret = default_value;
  SEXP el = user_list_element(user, name);
  if (el != R_NilValue) {
    if (length(el) != 1) {
      Rf_error("Expected scalar integer for %d", name);
    }
    if (TYPEOF(el) == REALSXP) {
      double tmp = REAL(el)[0];
      if (fabs(tmp - round(tmp)) > 2e-8) {
        Rf_error("Expected '%s' to be integer-like", name);
      }
    }
    ret = INTEGER(coerceVector(el, INTSXP))[0];
  }
  if (ret == NA_INTEGER) {
    Rf_error("Expected a value for '%s'", name);
  }
  user_check_values_int(&ret, 1, min, max, name);
  return ret;
}
void user_check_values_double(double * value, size_t len,
                                  double min, double max, const char *name) {
  for (size_t i = 0; i < len; ++i) {
    if (ISNA(value[i])) {
      Rf_error("'%s' must not contain any NA values", name);
    }
  }
  if (min != NA_REAL) {
    for (size_t i = 0; i < len; ++i) {
      if (value[i] < min) {
        Rf_error("Expected '%s' to be at least %g", name, min);
      }
    }
  }
  if (max != NA_REAL) {
    for (size_t i = 0; i < len; ++i) {
      if (value[i] > max) {
        Rf_error("Expected '%s' to be at most %g", name, max);
      }
    }
  }
}
void user_check_values_int(int * value, size_t len,
                               double min, double max, const char *name) {
  for (size_t i = 0; i < len; ++i) {
    if (ISNA(value[i])) {
      Rf_error("'%s' must not contain any NA values", name);
    }
  }
  if (min != NA_REAL) {
    for (size_t i = 0; i < len; ++i) {
      if (value[i] < min) {
        Rf_error("Expected '%s' to be at least %g", name, min);
      }
    }
  }
  if (max != NA_REAL) {
    for (size_t i = 0; i < len; ++i) {
      if (value[i] > max) {
        Rf_error("Expected '%s' to be at most %g", name, max);
      }
    }
  }
}
void user_check_values(SEXP value, double min, double max,
                           const char *name) {
  size_t len = (size_t)length(value);
  if (TYPEOF(value) == INTSXP) {
    user_check_values_int(INTEGER(value), len, min, max, name);
  } else {
    user_check_values_double(REAL(value), len, min, max, name);
  }
}
SEXP user_list_element(SEXP list, const char *name) {
  SEXP ret = R_NilValue, names = getAttrib(list, R_NamesSymbol);
  for (int i = 0; i < length(list); ++i) {
    if(strcmp(CHAR(STRING_ELT(names, i)), name) == 0) {
      ret = VECTOR_ELT(list, i);
      break;
    }
  }
  return ret;
}
void odin_set_dim(SEXP target, int rank, ...) {
  SEXP r_dim = PROTECT(allocVector(INTSXP, rank));
  int *dim = INTEGER(r_dim);

  va_list ap;
  va_start(ap, rank);
  for (size_t i = 0; i < (size_t)rank; ++i) {
    dim[i] = va_arg(ap, int);
  }
  va_end(ap);

  setAttrib(target, R_DimSymbol, r_dim);
  UNPROTECT(1);
}
void* user_get_array_dim(SEXP user, bool is_integer, void * previous,
                         const char *name, int rank,
                         double min, double max, int *dest_dim) {
  SEXP el = user_get_array_check_rank(user, name, rank, previous == NULL);
  if (el == R_NilValue) {
    return previous;
  }

  dest_dim[0] = LENGTH(el);
  if (rank > 1) {
    SEXP r_dim = PROTECT(coerceVector(getAttrib(el, R_DimSymbol), INTSXP));
    int *dim = INTEGER(r_dim);

    for (size_t i = 0; i < (size_t) rank; ++i) {
      dest_dim[i + 1] = dim[i];
    }

    UNPROTECT(1);
  }

  el = PROTECT(user_get_array_check(el, is_integer, name, min, max));

  int len = LENGTH(el);
  void *dest = NULL;
  if (is_integer) {
    dest = Calloc(len, int);
    memcpy(dest, INTEGER(el), len * sizeof(int));
  } else {
    dest = Calloc(len, double);
    memcpy(dest, REAL(el), len * sizeof(double));
  }
  Free(previous);

  UNPROTECT(1);

  return dest;
}
void* user_get_array(SEXP user, bool is_integer, void * previous,
                     const char *name, double min, double max,
                     int rank, ...) {
  SEXP el = user_get_array_check_rank(user, name, rank, previous == NULL);
  if (el == R_NilValue) {
    return previous;
  }

  SEXP r_dim;
  int *dim;

  size_t len = LENGTH(el);
  if (rank == 1) {
    r_dim = PROTECT(ScalarInteger(len));
  } else {
    r_dim = PROTECT(coerceVector(getAttrib(el, R_DimSymbol), INTSXP));
  }
  dim = INTEGER(r_dim);

  va_list ap;
  va_start(ap, rank);
  for (size_t i = 0; i < (size_t) rank; ++i) {
    int dim_expected = va_arg(ap, int);
    if (dim[i] != dim_expected) {
      va_end(ap); // avoid a leak
      if (rank == 1) {
        Rf_error("Expected length %d value for %s", dim_expected, name);
      } else {
        Rf_error("Incorrect size of dimension %d of %s (expected %d)",
                 i + 1, name, dim_expected);
      }
    }
  }
  va_end(ap);
  UNPROTECT(1);

  el = PROTECT(user_get_array_check(el, is_integer, name, min, max));

  void *dest = NULL;
  if (is_integer) {
    dest = Calloc(len, int);
    memcpy(dest, INTEGER(el), len * sizeof(int));
  } else {
    dest = Calloc(len, double);
    memcpy(dest, REAL(el), len * sizeof(double));
  }
  Free(previous);

  UNPROTECT(1);

  return dest;
}
SEXP user_get_array_check(SEXP el, bool is_integer, const char *name,
                          double min, double max) {
  size_t len = (size_t) length(el);
  if (is_integer) {
    if (TYPEOF(el) == INTSXP) {
      user_check_values_int(INTEGER(el), len, min, max, name);
    } else if (TYPEOF(el) == REALSXP) {
      el = PROTECT(coerceVector(el, INTSXP));
      user_check_values_int(INTEGER(el), len, min, max, name);
      UNPROTECT(1);
    } else {
      Rf_error("Expected a integer value for %s", name);
    }
  } else {
    if (TYPEOF(el) == INTSXP) {
      el = PROTECT(coerceVector(el, REALSXP));
      user_check_values_double(REAL(el), len, min, max, name);
      UNPROTECT(1);
    } else if (TYPEOF(el) == REALSXP) {
      user_check_values_double(REAL(el), len, min, max, name);
    } else {
      Rf_error("Expected a numeric value for %s", name);
    }
  }
  return el;
}
SEXP user_get_array_check_rank(SEXP user, const char *name, int rank,
                               bool required) {
  SEXP el = user_list_element(user, name);
  if (el == R_NilValue) {
    if (required) {
      Rf_error("Expected a value for '%s'", name);
    }
  } else {
    if (rank == 1) {
      if (isArray(el)) {
        Rf_error("Expected a numeric vector for '%s'", name);
      }
    } else {
      SEXP r_dim = getAttrib(el, R_DimSymbol);
      if (r_dim == R_NilValue || LENGTH(r_dim) != rank) {
        if (rank == 2) {
          Rf_error("Expected a numeric matrix for '%s'", name);
        } else {
          Rf_error("Expected a numeric array of rank %d for '%s'", rank, name);
        }
      }
    }
  }
  return el;
}
void interpolate_check_y(size_t nx, size_t ny, size_t i, const char *name_arg, const char *name_target) {
  if (nx != ny) {
    if (i == 0) {
      // vector case
      Rf_error("Expected %s to have length %d (for %s)",
               name_arg, nx, name_target);
    } else {
      // array case
      Rf_error("Expected dimension %d of %s to have size %d (for %s)",
               i, name_arg, nx, name_target);
    }
  }
}
double odin_sum1(double *x, size_t from, size_t to) {
  double tot = 0.0;
  for (size_t i = from; i < to; ++i) {
    tot += x[i];
  }
  return tot;
}
double odin_sum2(double* x, int from_i, int to_i, int from_j, int to_j, int dim_x_1) {
  double tot = 0.0;
  for (int j = from_j; j < to_j; ++j) {
    int jj = j * dim_x_1;
    for (int i = from_i; i < to_i; ++i) {
      tot += x[i + jj];
    }
  }
  return tot;
}
double odin_sum3(double* x, int from_i, int to_i, int from_j, int to_j, int from_k, int to_k, int dim_x_1, int dim_x_12) {
  double tot = 0.0;
  for (int k = from_k; k < to_k; ++k) {
    int kk = k * dim_x_12;
    for (int j = from_j; j < to_j; ++j) {
      int jj = j * dim_x_1 + kk;
      for (int i = from_i; i < to_i; ++i) {
        tot += x[i + jj];
      }
    }
  }
  return tot;
}
void rmhyper(size_t n_sample, int *k, size_t m) {
  int N = 0;
  for (size_t i = 0; i < m; ++i) {
    N += k[i];
  }
  if (n_sample > N) {
    Rf_error("Requesting too many elements in rmhyper (%d from %d)",
             n_sample, N);
  }
  int k_other = N - k[0];
  k[0] = Rf_rhyper(k[0], k_other, n_sample);
  for (size_t i = 1; i < m - 1; ++i) {
    k_other -= k[i];
    n_sample -= k[i - 1];
    k[i] = Rf_rhyper(k[i], k_other, n_sample);
  }
  k[m - 1] = n_sample - k[m - 2];
}
void rmhyper_i(size_t n_sample, int *k, size_t m, int *ret) {
  memcpy(ret, k, m * sizeof(int));
  rmhyper(n_sample, ret, m);
}
void rmhyper_d(size_t n_sample, double *k, size_t m, int *ret) {
  for (size_t i = 0; i < m; ++i) {
    ret[i] = k[i];
  }
  rmhyper(n_sample, ret, m);
}
// This construction is to help odin
#ifndef CINTERPOLTE_CINTERPOLATE_H_
#endif


void * cinterpolate_alloc(const char *type, size_t n, size_t ny,
                          double *x, double *y, bool fail_on_extrapolate,
                          bool auto_clean) {
  typedef void* interpolate_alloc_t(const char *, size_t, size_t,
                                    double*, double*, bool, bool);
  static interpolate_alloc_t *fun;
  if (fun == NULL) {
    fun = (interpolate_alloc_t*)
      R_GetCCallable("cinterpolate", "interpolate_alloc");
  }
  return fun(type, n, ny, x, y, fail_on_extrapolate, auto_clean);
}


int cinterpolate_eval(double x, void *obj, double *y) {
  typedef int interpolate_eval_t(double, void*, double*);
  static interpolate_eval_t *fun;
  if (fun == NULL) {
    fun = (interpolate_eval_t*)
      R_GetCCallable("cinterpolate", "interpolate_eval");
  }
  return fun(x, obj, y);
}


void cinterpolate_free(void *obj) {
  typedef int interpolate_free_t(void*);
  static interpolate_free_t *fun;
  if (fun == NULL) {
    fun = (interpolate_free_t*)
      R_GetCCallable("cinterpolate", "interpolate_free");
  }
  fun(obj);
}
